/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (base_yyin)
				fclose(base_yyin);
			if (base_yyout)
				fclose(base_yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
				fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 630 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQL = 292,
    SQL_SQLERROR = 293,
    SQL_SQLPRINT = 294,
    SQL_SQLWARNING = 295,
    SQL_START = 296,
    SQL_STOP = 297,
    SQL_STRUCT = 298,
    SQL_UNSIGNED = 299,
    SQL_VAR = 300,
    SQL_WHENEVER = 301,
    S_ADD = 302,
    S_AND = 303,
    S_ANYTHING = 304,
    S_AUTO = 305,
    S_CONST = 306,
    S_DEC = 307,
    S_DIV = 308,
    S_DOTPOINT = 309,
    S_EQUAL = 310,
    S_EXTERN = 311,
    S_INC = 312,
    S_LSHIFT = 313,
    S_MEMPOINT = 314,
    S_MEMBER = 315,
    S_MOD = 316,
    S_MUL = 317,
    S_NEQUAL = 318,
    S_OR = 319,
    S_REGISTER = 320,
    S_RSHIFT = 321,
    S_STATIC = 322,
    S_SUB = 323,
    S_VOLATILE = 324,
    S_TYPEDEF = 325,
    CSTRING = 326,
    CVARIABLE = 327,
    CPP_LINE = 328,
    IP = 329,
    DOLCONST = 330,
    ECONST = 331,
    NCONST = 332,
    UCONST = 333,
    UIDENT = 334,
    IDENT = 335,
    FCONST = 336,
    SCONST = 337,
    BCONST = 338,
    XCONST = 339,
    Op = 340,
    ICONST = 341,
    PARAM = 342,
    TYPECAST = 343,
    DOT_DOT = 344,
    COLON_EQUALS = 345,
    ABORT_P = 346,
    ABSOLUTE_P = 347,
    ACCESS = 348,
    ACTION = 349,
    ADD_P = 350,
    ADMIN = 351,
    AFTER = 352,
    AGGREGATE = 353,
    ALL = 354,
    ALSO = 355,
    ALTER = 356,
    ALWAYS = 357,
    ANALYSE = 358,
    ANALYZE = 359,
    AND = 360,
    ANY = 361,
    ARRAY = 362,
    AS = 363,
    ASC = 364,
    ASSERTION = 365,
    ASSIGNMENT = 366,
    ASYMMETRIC = 367,
    AT = 368,
    ATTRIBUTE = 369,
    AUTHORIZATION = 370,
    BACKWARD = 371,
    BEFORE = 372,
    BEGIN_P = 373,
    BETWEEN = 374,
    BIGINT = 375,
    BINARY = 376,
    BIT = 377,
    BOOLEAN_P = 378,
    BOTH = 379,
    BY = 380,
    CACHE = 381,
    CALLED = 382,
    CASCADE = 383,
    CASCADED = 384,
    CASE = 385,
    CAST = 386,
    CATALOG_P = 387,
    CHAIN = 388,
    CHAR_P = 389,
    CHARACTER = 390,
    CHARACTERISTICS = 391,
    CHECK = 392,
    CHECKPOINT = 393,
    CLASS = 394,
    CLOSE = 395,
    CLUSTER = 396,
    COALESCE = 397,
    COLLATE = 398,
    COLLATION = 399,
    COLUMN = 400,
    COMMENT = 401,
    COMMENTS = 402,
    COMMIT = 403,
    COMMITTED = 404,
    CONCURRENTLY = 405,
    CONFIGURATION = 406,
    CONNECTION = 407,
    CONSTRAINT = 408,
    CONSTRAINTS = 409,
    CONTENT_P = 410,
    CONTINUE_P = 411,
    CONVERSION_P = 412,
    COPY = 413,
    COST = 414,
    CREATE = 415,
    CROSS = 416,
    CSV = 417,
    CURRENT_P = 418,
    CURRENT_CATALOG = 419,
    CURRENT_DATE = 420,
    CURRENT_ROLE = 421,
    CURRENT_SCHEMA = 422,
    CURRENT_TIME = 423,
    CURRENT_TIMESTAMP = 424,
    CURRENT_USER = 425,
    CURSOR = 426,
    CYCLE = 427,
    DATA_P = 428,
    DATABASE = 429,
    DAY_P = 430,
    DEALLOCATE = 431,
    DEC = 432,
    DECIMAL_P = 433,
    DECLARE = 434,
    DEFAULT = 435,
    DEFAULTS = 436,
    DEFERRABLE = 437,
    DEFERRED = 438,
    DEFINER = 439,
    DELETE_P = 440,
    DELIMITER = 441,
    DELIMITERS = 442,
    DESC = 443,
    DICTIONARY = 444,
    DISABLE_P = 445,
    DISCARD = 446,
    DISTINCT = 447,
    DO = 448,
    DOCUMENT_P = 449,
    DOMAIN_P = 450,
    DOUBLE_P = 451,
    DROP = 452,
    EACH = 453,
    ELSE = 454,
    ENABLE_P = 455,
    ENCODING = 456,
    ENCRYPTED = 457,
    END_P = 458,
    ENUM_P = 459,
    ESCAPE = 460,
    EXCEPT = 461,
    EXCLUDE = 462,
    EXCLUDING = 463,
    EXCLUSIVE = 464,
    EXECUTE = 465,
    EXISTS = 466,
    EXPLAIN = 467,
    EXTENSION = 468,
    EXTERNAL = 469,
    EXTRACT = 470,
    FALSE_P = 471,
    FAMILY = 472,
    FETCH = 473,
    FIRST_P = 474,
    FLOAT_P = 475,
    FOLLOWING = 476,
    FOR = 477,
    FORCE = 478,
    FOREIGN = 479,
    FORWARD = 480,
    FREEZE = 481,
    FROM = 482,
    FULL = 483,
    FUNCTION = 484,
    FUNCTIONS = 485,
    GLOBAL = 486,
    GRANT = 487,
    GRANTED = 488,
    GREATEST = 489,
    GROUP_P = 490,
    HANDLER = 491,
    HAVING = 492,
    HEADER_P = 493,
    HOLD = 494,
    HOUR_P = 495,
    IDENTITY_P = 496,
    IF_P = 497,
    ILIKE = 498,
    IMMEDIATE = 499,
    IMMUTABLE = 500,
    IMPLICIT_P = 501,
    IN_P = 502,
    INCLUDING = 503,
    INCREMENT = 504,
    INDEX = 505,
    INDEXES = 506,
    INHERIT = 507,
    INHERITS = 508,
    INITIALLY = 509,
    INLINE_P = 510,
    INNER_P = 511,
    INOUT = 512,
    INPUT_P = 513,
    INSENSITIVE = 514,
    INSERT = 515,
    INSTEAD = 516,
    INT_P = 517,
    INTEGER = 518,
    INTERSECT = 519,
    INTERVAL = 520,
    INTO = 521,
    INVOKER = 522,
    IS = 523,
    ISNULL = 524,
    ISOLATION = 525,
    JOIN = 526,
    KEY = 527,
    LABEL = 528,
    LANGUAGE = 529,
    LARGE_P = 530,
    LAST_P = 531,
    LC_COLLATE_P = 532,
    LC_CTYPE_P = 533,
    LEADING = 534,
    LEAKPROOF = 535,
    LEAST = 536,
    LEFT = 537,
    LEVEL = 538,
    LIKE = 539,
    LIMIT = 540,
    LISTEN = 541,
    LOAD = 542,
    LOCAL = 543,
    LOCALTIME = 544,
    LOCALTIMESTAMP = 545,
    LOCATION = 546,
    LOCK_P = 547,
    MAPPING = 548,
    MATCH = 549,
    MAXVALUE = 550,
    MINUTE_P = 551,
    MINVALUE = 552,
    MODE = 553,
    MONTH_P = 554,
    MOVE = 555,
    NAME_P = 556,
    NAMES = 557,
    NATIONAL = 558,
    NATURAL = 559,
    NCHAR = 560,
    NEXT = 561,
    NO = 562,
    NONE = 563,
    NOT = 564,
    NOTHING = 565,
    NOTIFY = 566,
    NOTNULL = 567,
    NOWAIT = 568,
    NULL_P = 569,
    NULLIF = 570,
    NULLS_P = 571,
    NUMERIC = 572,
    OBJECT_P = 573,
    OF = 574,
    OFF = 575,
    OFFSET = 576,
    OIDS = 577,
    ON = 578,
    ONLY = 579,
    OPERATOR = 580,
    OPTION = 581,
    OPTIONS = 582,
    OR = 583,
    ORDER = 584,
    OUT_P = 585,
    OUTER_P = 586,
    OVER = 587,
    OVERLAPS = 588,
    OVERLAY = 589,
    OWNED = 590,
    OWNER = 591,
    PARSER = 592,
    PARTIAL = 593,
    PARTITION = 594,
    PASSING = 595,
    PASSWORD = 596,
    PLACING = 597,
    PLANS = 598,
    POSITION = 599,
    PRECEDING = 600,
    PRECISION = 601,
    PRESERVE = 602,
    PREPARE = 603,
    PREPARED = 604,
    PRIMARY = 605,
    PRIOR = 606,
    PRIVILEGES = 607,
    PROCEDURAL = 608,
    PROCEDURE = 609,
    QUOTE = 610,
    RANGE = 611,
    READ = 612,
    REAL = 613,
    REASSIGN = 614,
    RECHECK = 615,
    RECURSIVE = 616,
    REF = 617,
    REFERENCES = 618,
    REINDEX = 619,
    RELATIVE_P = 620,
    RELEASE = 621,
    RENAME = 622,
    REPEATABLE = 623,
    REPLACE = 624,
    REPLICA = 625,
    RESET = 626,
    RESTART = 627,
    RESTRICT = 628,
    RETURNING = 629,
    RETURNS = 630,
    REVOKE = 631,
    RIGHT = 632,
    ROLE = 633,
    ROLLBACK = 634,
    ROW = 635,
    ROWS = 636,
    RULE = 637,
    SAVEPOINT = 638,
    SCHEMA = 639,
    SCROLL = 640,
    SEARCH = 641,
    SECOND_P = 642,
    SECURITY = 643,
    SELECT = 644,
    SEQUENCE = 645,
    SEQUENCES = 646,
    SERIALIZABLE = 647,
    SERVER = 648,
    SESSION = 649,
    SESSION_USER = 650,
    SET = 651,
    SETOF = 652,
    SHARE = 653,
    SHOW = 654,
    SIMILAR = 655,
    SIMPLE = 656,
    SMALLINT = 657,
    SNAPSHOT = 658,
    SOME = 659,
    STABLE = 660,
    STANDALONE_P = 661,
    START = 662,
    STATEMENT = 663,
    STATISTICS = 664,
    STDIN = 665,
    STDOUT = 666,
    STORAGE = 667,
    STRICT_P = 668,
    STRIP_P = 669,
    SUBSTRING = 670,
    SYMMETRIC = 671,
    SYSID = 672,
    SYSTEM_P = 673,
    TABLE = 674,
    TABLES = 675,
    TABLESPACE = 676,
    TEMP = 677,
    TEMPLATE = 678,
    TEMPORARY = 679,
    TEXT_P = 680,
    THEN = 681,
    TIME = 682,
    TIMESTAMP = 683,
    TO = 684,
    TRAILING = 685,
    TRANSACTION = 686,
    TREAT = 687,
    TRIGGER = 688,
    TRIM = 689,
    TRUE_P = 690,
    TRUNCATE = 691,
    TRUSTED = 692,
    TYPE_P = 693,
    TYPES_P = 694,
    UNBOUNDED = 695,
    UNCOMMITTED = 696,
    UNENCRYPTED = 697,
    UNION = 698,
    UNIQUE = 699,
    UNKNOWN = 700,
    UNLISTEN = 701,
    UNLOGGED = 702,
    UNTIL = 703,
    UPDATE = 704,
    USER = 705,
    USING = 706,
    VACUUM = 707,
    VALID = 708,
    VALIDATE = 709,
    VALIDATOR = 710,
    VALUE_P = 711,
    VALUES = 712,
    VARCHAR = 713,
    VARIADIC = 714,
    VARYING = 715,
    VERBOSE = 716,
    VERSION_P = 717,
    VIEW = 718,
    VOLATILE = 719,
    WHEN = 720,
    WHERE = 721,
    WHITESPACE_P = 722,
    WINDOW = 723,
    WITH = 724,
    WITHOUT = 725,
    WORK = 726,
    WRAPPER = 727,
    WRITE = 728,
    XML_P = 729,
    XMLATTRIBUTES = 730,
    XMLCONCAT = 731,
    XMLELEMENT = 732,
    XMLEXISTS = 733,
    XMLFOREST = 734,
    XMLPARSE = 735,
    XMLPI = 736,
    XMLROOT = 737,
    XMLSERIALIZE = 738,
    YEAR_P = 739,
    YES_P = 740,
    ZONE = 741,
    NULLS_FIRST = 742,
    NULLS_LAST = 743,
    WITH_TIME = 744,
    POSTFIXOP = 745,
    UMINUS = 746
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 564 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1177 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1206 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   106186

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  511
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  689
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2737
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  4955

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   746

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   498,     2,     2,
     503,   504,   496,   494,   506,   495,   505,   497,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   508,   507,
     491,   490,   492,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   501,     2,   502,   499,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   509,     2,   510,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   493,   500
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1467,  1467,  1470,  1472,  1474,  1476,  1478,  1480,  1482,
    1484,  1486,  1488,  1490,  1492,  1494,  1496,  1498,  1500,  1502,
    1504,  1506,  1508,  1510,  1512,  1514,  1516,  1518,  1520,  1522,
    1540,  1542,  1544,  1546,  1548,  1550,  1552,  1554,  1556,  1558,
    1560,  1562,  1564,  1566,  1568,  1570,  1572,  1574,  1576,  1578,
    1580,  1582,  1584,  1586,  1588,  1590,  1592,  1594,  1596,  1600,
    1602,  1604,  1606,  1608,  1610,  1612,  1614,  1616,  1618,  1620,
    1622,  1624,  1626,  1628,  1630,  1632,  1634,  1636,  1638,  1640,
    1642,  1644,  1646,  1648,  1650,  1652,  1654,  1656,  1658,  1660,
    1662,  1664,  1666,  1673,  1675,  1677,  1679,  1681,  1683,  1685,
    1687,  1689,  1691,  1693,  1695,  1701,  1703,  1705,  1707,  1709,
    1711,  1713,  1715,  1717,  1723,  1733,  1737,  1743,  1747,  1757,
    1767,  1768,  1782,  1789,  1795,  1806,  1812,  1821,  1828,  1834,
    1843,  1850,  1858,  1863,  1871,  1876,  1882,  1887,  1893,  1898,
    1904,  1908,  1912,  1916,  1920,  1924,  1928,  1932,  1936,  1944,
    1948,  1952,  1956,  1960,  1964,  1972,  1980,  1989,  1991,  1999,
    2007,  2015,  2023,  2027,  2035,  2039,  2047,  2055,  2063,  2067,
    2075,  2079,  2087,  2091,  2099,  2104,  2110,  2115,  2121,  2125,
    2129,  2133,  2137,  2141,  2149,  2153,  2157,  2165,  2169,  2173,
    2181,  2185,  2189,  2193,  2197,  2201,  2205,  2210,  2214,  2218,
    2222,  2226,  2230,  2234,  2242,  2246,  2254,  2258,  2266,  2270,
    2284,  2288,  2292,  2296,  2304,  2308,  2312,  2316,  2324,  2328,
    2332,  2336,  2340,  2344,  2348,  2356,  2360,  2365,  2371,  2375,
    2383,  2387,  2391,  2395,  2399,  2407,  2411,  2419,  2423,  2431,
    2435,  2439,  2443,  2447,  2456,  2464,  2468,  2476,  2480,  2488,
    2496,  2500,  2504,  2508,  2516,  2520,  2524,  2528,  2532,  2536,
    2540,  2544,  2552,  2556,  2564,  2568,  2572,  2576,  2580,  2584,
    2588,  2592,  2596,  2600,  2604,  2608,  2612,  2616,  2620,  2624,
    2628,  2632,  2636,  2640,  2644,  2648,  2652,  2656,  2660,  2664,
    2668,  2672,  2676,  2680,  2684,  2688,  2692,  2696,  2700,  2704,
    2708,  2712,  2716,  2720,  2724,  2728,  2736,  2740,  2748,  2752,
    2757,  2763,  2768,  2774,  2779,  2785,  2793,  2798,  2804,  2808,
    2816,  2820,  2824,  2828,  2836,  2844,  2848,  2856,  2860,  2864,
    2868,  2876,  2881,  2889,  2900,  2911,  2915,  2923,  2927,  2931,
    2939,  2943,  2951,  2956,  2962,  2966,  2970,  2974,  2978,  2982,
    2986,  2990,  2994,  2998,  3002,  3006,  3014,  3019,  3025,  3030,
    3036,  3041,  3047,  3052,  3058,  3062,  3070,  3078,  3082,  3086,
    3090,  3095,  3101,  3105,  3113,  3121,  3125,  3129,  3133,  3141,
    3145,  3149,  3153,  3157,  3161,  3165,  3170,  3176,  3181,  3187,
    3192,  3198,  3202,  3210,  3214,  3222,  3226,  3230,  3238,  3242,
    3250,  3258,  3266,  3271,  3277,  3281,  3285,  3289,  3297,  3301,
    3305,  3309,  3313,  3317,  3321,  3329,  3333,  3337,  3341,  3349,
    3357,  3361,  3366,  3372,  3376,  3380,  3384,  3388,  3392,  3400,
    3404,  3412,  3416,  3420,  3424,  3428,  3432,  3436,  3444,  3449,
    3455,  3460,  3466,  3470,  3478,  3486,  3490,  3495,  3500,  3506,
    3510,  3518,  3522,  3530,  3535,  3541,  3545,  3549,  3553,  3558,
    3564,  3572,  3580,  3584,  3588,  3592,  3596,  3604,  3609,  3615,
    3619,  3623,  3628,  3634,  3638,  3642,  3647,  3653,  3658,  3664,
    3669,  3675,  3683,  3691,  3695,  3700,  3706,  3714,  3718,  3726,
    3731,  3737,  3741,  3749,  3753,  3757,  3761,  3765,  3769,  3773,
    3777,  3781,  3785,  3789,  3793,  3801,  3806,  3812,  3816,  3820,
    3824,  3832,  3836,  3844,  3848,  3856,  3861,  3867,  3871,  3879,
    3884,  3890,  3894,  3902,  3907,  3913,  3917,  3925,  3930,  3936,
    3944,  3949,  3955,  3959,  3967,  3971,  3979,  3984,  3990,  3994,
    3998,  4006,  4014,  4019,  4025,  4033,  4037,  4041,  4045,  4049,
    4053,  4057,  4061,  4065,  4069,  4073,  4077,  4081,  4085,  4089,
    4093,  4097,  4101,  4105,  4109,  4113,  4117,  4125,  4133,  4137,
    4141,  4145,  4153,  4157,  4165,  4170,  4176,  4180,  4188,  4192,
    4200,  4205,  4211,  4215,  4223,  4231,  4235,  4243,  4247,  4251,
    4255,  4263,  4271,  4279,  4287,  4295,  4300,  4306,  4310,  4318,
    4323,  4329,  4333,  4341,  4345,  4349,  4357,  4361,  4369,  4373,
    4381,  4385,  4393,  4401,  4405,  4413,  4421,  4425,  4429,  4437,
    4441,  4449,  4457,  4461,  4469,  4473,  4477,  4485,  4489,  4497,
    4501,  4505,  4509,  4513,  4521,  4526,  4532,  4537,  4543,  4547,
    4555,  4560,  4566,  4570,  4575,  4581,  4585,  4589,  4593,  4601,
    4606,  4613,  4615,  4623,  4627,  4631,  4635,  4639,  4643,  4651,
    4655,  4663,  4672,  4681,  4685,  4689,  4693,  4697,  4701,  4705,
    4709,  4713,  4717,  4721,  4725,  4729,  4733,  4741,  4749,  4753,
    4761,  4765,  4773,  4777,  4781,  4785,  4789,  4797,  4801,  4809,
    4817,  4821,  4829,  4837,  4842,  4848,  4852,  4860,  4864,  4868,
    4876,  4884,  4888,  4896,  4900,  4904,  4908,  4912,  4920,  4925,
    4931,  4936,  4942,  4946,  4951,  4957,  4963,  4969,  4977,  4981,
    4989,  4993,  5001,  5005,  5013,  5017,  5025,  5029,  5037,  5045,
    5053,  5057,  5061,  5065,  5073,  5077,  5081,  5085,  5089,  5093,
    5097,  5101,  5105,  5109,  5113,  5117,  5121,  5125,  5129,  5137,
    5141,  5149,  5153,  5161,  5165,  5173,  5181,  5185,  5190,  5196,
    5200,  5204,  5208,  5212,  5216,  5220,  5224,  5228,  5232,  5236,
    5240,  5244,  5248,  5252,  5256,  5260,  5268,  5272,  5276,  5280,
    5284,  5288,  5292,  5296,  5300,  5304,  5308,  5312,  5316,  5320,
    5324,  5328,  5332,  5340,  5344,  5352,  5356,  5360,  5364,  5368,
    5376,  5381,  5387,  5391,  5395,  5399,  5403,  5407,  5411,  5415,
    5419,  5423,  5427,  5435,  5439,  5447,  5451,  5455,  5459,  5465,
    5471,  5477,  5483,  5489,  5495,  5501,  5511,  5522,  5533,  5544,
    5555,  5566,  5577,  5593,  5609,  5625,  5636,  5652,  5663,  5679,
    5694,  5698,  5706,  5711,  5717,  5725,  5729,  5737,  5741,  5745,
    5749,  5753,  5761,  5765,  5773,  5777,  5781,  5785,  5793,  5797,
    5801,  5805,  5809,  5813,  5817,  5821,  5825,  5829,  5833,  5837,
    5841,  5845,  5849,  5853,  5861,  5865,  5873,  5877,  5885,  5890,
    5896,  5900,  5908,  5916,  5924,  5928,  5936,  5941,  5947,  5952,
    5958,  5966,  5971,  5977,  5981,  5985,  5993,  5997,  6001,  6009,
    6013,  6017,  6021,  6029,  6037,  6042,  6048,  6053,  6059,  6064,
    6070,  6075,  6081,  6085,  6093,  6097,  6101,  6109,  6114,  6120,
    6124,  6129,  6135,  6139,  6144,  6150,  6154,  6159,  6165,  6169,
    6173,  6181,  6186,  6192,  6196,  6204,  6208,  6216,  6220,  6228,
    6232,  6240,  6244,  6248,  6252,  6256,  6264,  6268,  6272,  6276,
    6280,  6288,  6296,  6304,  6308,  6312,  6320,  6324,  6328,  6336,
    6340,  6348,  6352,  6356,  6360,  6364,  6368,  6372,  6376,  6380,
    6384,  6388,  6392,  6396,  6400,  6404,  6412,  6416,  6420,  6424,
    6432,  6436,  6444,  6449,  6455,  6463,  6467,  6475,  6483,  6487,
    6495,  6500,  6506,  6510,  6518,  6522,  6530,  6534,  6542,  6546,
    6550,  6554,  6562,  6566,  6574,  6582,  6586,  6594,  6598,  6606,
    6610,  6614,  6622,  6626,  6631,  6637,  6645,  6650,  6656,  6660,
    6664,  6672,  6676,  6684,  6689,  6695,  6699,  6703,  6707,  6711,
    6715,  6719,  6723,  6727,  6731,  6735,  6739,  6743,  6747,  6751,
    6755,  6759,  6763,  6767,  6771,  6775,  6779,  6783,  6787,  6791,
    6795,  6799,  6803,  6807,  6811,  6815,  6819,  6823,  6827,  6831,
    6835,  6839,  6843,  6847,  6851,  6855,  6863,  6868,  6874,  6879,
    6885,  6889,  6893,  6897,  6901,  6905,  6909,  6913,  6917,  6921,
    6925,  6929,  6933,  6937,  6941,  6945,  6949,  6953,  6957,  6961,
    6965,  6969,  6977,  6981,  6985,  6989,  6993,  6997,  7001,  7005,
    7009,  7013,  7017,  7021,  7025,  7029,  7033,  7037,  7041,  7045,
    7053,  7061,  7065,  7069,  7077,  7081,  7089,  7093,  7097,  7101,
    7105,  7113,  7118,  7124,  7128,  7132,  7136,  7144,  7148,  7153,
    7159,  7163,  7171,  7179,  7184,  7190,  7198,  7202,  7210,  7214,
    7218,  7222,  7226,  7230,  7234,  7238,  7242,  7246,  7250,  7254,
    7258,  7262,  7270,  7274,  7279,  7285,  7289,  7293,  7297,  7301,
    7309,  7313,  7317,  7325,  7330,  7336,  7340,  7348,  7353,  7358,
    7364,  7370,  7378,  7386,  7391,  7397,  7401,  7405,  7409,  7413,
    7417,  7421,  7425,  7429,  7433,  7437,  7441,  7445,  7449,  7453,
    7457,  7465,  7470,  7476,  7480,  7488,  7496,  7501,  7507,  7515,
    7519,  7527,  7535,  7539,  7543,  7547,  7551,  7555,  7559,  7567,
    7572,  7578,  7586,  7590,  7594,  7598,  7602,  7606,  7614,  7622,
    7626,  7630,  7638,  7643,  7649,  7653,  7657,  7661,  7665,  7673,
    7677,  7685,  7689,  7693,  7697,  7705,  7709,  7717,  7721,  7729,
    7734,  7740,  7745,  7751,  7756,  7762,  7767,  7773,  7777,  7781,
    7785,  7793,  7797,  7801,  7805,  7809,  7813,  7817,  7825,  7829,
    7837,  7845,  7849,  7857,  7861,  7866,  7872,  7878,  7888,  7893,
    7899,  7903,  7907,  7911,  7919,  7921,  7929,  7934,  7940,  7948,
    7952,  7956,  7964,  7968,  7976,  7984,  7989,  7995,  8003,  8008,
    8014,  8022,  8027,  8033,  8037,  8041,  8045,  8049,  8053,  8057,
    8061,  8069,  8074,  8080,  8088,  8092,  8100,  8104,  8112,  8120,
    8128,  8136,  8140,  8148,  8201,  8205,  8218,  8220,  8224,  8228,
    8232,  8241,  8247,  8251,  8259,  8263,  8271,  8275,  8283,  8287,
    8291,  8295,  8299,  8303,  8307,  8311,  8319,  8323,  8331,  8335,
    8339,  8343,  8347,  8351,  8359,  8363,  8371,  8375,  8383,  8391,
    8396,  8402,  8407,  8409,  8415,  8419,  8423,  8427,  8431,  8435,
    8439,  8443,  8447,  8455,  8460,  8466,  8470,  8475,  8481,  8485,
    8489,  8494,  8500,  8505,  8511,  8519,  8523,  8531,  8535,  8543,
    8547,  8551,  8555,  8563,  8568,  8574,  8578,  8583,  8591,  8595,
    8603,  8607,  8615,  8623,  8627,  8632,  8638,  8646,  8650,  8658,
    8662,  8670,  8675,  8681,  8686,  8692,  8696,  8704,  8709,  8715,
    8719,  8727,  8731,  8739,  8744,  8750,  8754,  8762,  8767,  8773,
    8777,  8785,  8789,  8793,  8797,  8801,  8805,  8809,  8813,  8819,
    8823,  8827,  8835,  8839,  8843,  8847,  8851,  8855,  8863,  8867,
    8871,  8875,  8883,  8887,  8891,  8895,  8903,  8908,  8914,  8918,
    8926,  8930,  8934,  8938,  8946,  8950,  8958,  8962,  8966,  8974,
    8982,  8987,  8993,  8997,  9003,  9009,  9014,  9020,  9024,  9032,
    9040,  9042,  9044,  9048,  9052,  9056,  9064,  9074,  9085,  9094,
    9098,  9102,  9106,  9110,  9114,  9118,  9126,  9130,  9134,  9138,
    9146,  9150,  9158,  9163,  9169,  9173,  9177,  9181,  9185,  9189,
    9193,  9197,  9201,  9205,  9209,  9217,  9222,  9228,  9232,  9240,
    9244,  9252,  9260,  9268,  9272,  9280,  9284,  9292,  9300,  9308,
    9312,  9316,  9320,  9324,  9328,  9336,  9341,  9347,  9352,  9358,
    9362,  9366,  9370,  9378,  9386,  9390,  9395,  9401,  9405,  9409,
    9413,  9417,  9421,  9425,  9429,  9433,  9437,  9441,  9445,  9449,
    9454,  9460,  9464,  9472,  9476,  9480,  9484,  9488,  9492,  9496,
    9500,  9504,  9508,  9512,  9516,  9520,  9524,  9528,  9532,  9536,
    9540,  9544,  9548,  9552,  9556,  9560,  9564,  9568,  9572,  9576,
    9580,  9584,  9588,  9592,  9596,  9600,  9604,  9608,  9612,  9616,
    9620,  9624,  9628,  9632,  9636,  9640,  9644,  9648,  9652,  9656,
    9660,  9664,  9668,  9672,  9676,  9680,  9684,  9688,  9692,  9696,
    9701,  9705,  9713,  9717,  9721,  9725,  9729,  9733,  9737,  9741,
    9745,  9749,  9753,  9757,  9761,  9765,  9769,  9773,  9777,  9781,
    9785,  9789,  9793,  9797,  9805,  9809,  9813,  9817,  9821,  9825,
    9829,  9833,  9837,  9841,  9845,  9849,  9857,  9861,  9865,  9869,
    9873,  9877,  9881,  9885,  9889,  9893,  9897,  9901,  9905,  9909,
    9913,  9917,  9921,  9925,  9929,  9933,  9937,  9941,  9945,  9949,
    9953,  9957,  9961,  9965,  9969,  9973,  9977,  9981,  9985,  9989,
    9993,  9997, 10001, 10005, 10009, 10013, 10017, 10021, 10025, 10029,
   10033, 10037, 10041, 10045, 10049, 10053, 10061, 10065, 10073, 10077,
   10081, 10086, 10092, 10100, 10104, 10112, 10116, 10124, 10128, 10136,
   10140, 10145, 10151, 10155, 10159, 10163, 10171, 10176, 10182, 10186,
   10194, 10202, 10206, 10211, 10217, 10225, 10229, 10236, 10241, 10247,
   10252, 10257, 10263, 10267, 10275, 10279, 10283, 10287, 10291, 10299,
   10303, 10307, 10315, 10319, 10323, 10331, 10335, 10343, 10347, 10351,
   10355, 10359, 10363, 10367, 10371, 10375, 10383, 10387, 10395, 10399,
   10407, 10411, 10415, 10419, 10423, 10427, 10435, 10439, 10447, 10451,
   10459, 10463, 10471, 10475, 10483, 10487, 10491, 10499, 10503, 10511,
   10516, 10522, 10526, 10530, 10534, 10538, 10542, 10546, 10550, 10558,
   10562, 10570, 10578, 10583, 10589, 10593, 10597, 10601, 10605, 10610,
   10616, 10624, 10632, 10636, 10640, 10648, 10652, 10660, 10668, 10672,
   10680, 10688, 10693, 10699, 10704, 10710, 10714, 10722, 10726, 10730,
   10734, 10742, 10746, 10755, 10757, 10765, 10770, 10776, 10780, 10788,
   10792, 10800, 10808, 10812, 10820, 10824, 10828, 10832, 10840, 10844,
   10852, 10856, 10864, 10868, 10876, 10884, 10892, 10900, 10908, 10916,
   10924, 10928, 10936, 10940, 10944, 10948, 10952, 10956, 10960, 10964,
   10968, 10972, 10976, 10980, 10984, 10988, 10989, 10994, 11000, 11008,
   11012, 11020, 11024, 11025, 11029, 11037, 11041, 11045, 11049, 11057,
   11061, 11065, 11069, 11073, 11077, 11081, 11085, 11089, 11093, 11097,
   11101, 11105, 11109, 11113, 11117, 11121, 11125, 11129, 11133, 11137,
   11141, 11145, 11149, 11153, 11157, 11161, 11165, 11169, 11173, 11177,
   11181, 11185, 11189, 11193, 11197, 11201, 11205, 11209, 11213, 11217,
   11221, 11225, 11229, 11233, 11237, 11241, 11245, 11249, 11253, 11257,
   11261, 11265, 11269, 11273, 11277, 11281, 11285, 11289, 11293, 11297,
   11301, 11305, 11309, 11313, 11317, 11321, 11325, 11329, 11333, 11337,
   11341, 11345, 11349, 11353, 11357, 11361, 11365, 11369, 11373, 11377,
   11381, 11385, 11389, 11393, 11397, 11401, 11405, 11409, 11413, 11417,
   11421, 11425, 11429, 11433, 11437, 11441, 11445, 11449, 11453, 11457,
   11461, 11465, 11469, 11473, 11477, 11481, 11485, 11489, 11493, 11497,
   11501, 11505, 11509, 11513, 11517, 11521, 11525, 11529, 11533, 11537,
   11541, 11545, 11549, 11553, 11557, 11561, 11565, 11569, 11573, 11577,
   11581, 11585, 11589, 11593, 11597, 11601, 11605, 11609, 11613, 11617,
   11621, 11625, 11629, 11633, 11637, 11641, 11645, 11649, 11653, 11657,
   11661, 11665, 11669, 11673, 11677, 11681, 11685, 11689, 11693, 11697,
   11701, 11705, 11709, 11713, 11717, 11721, 11725, 11729, 11733, 11737,
   11741, 11745, 11749, 11753, 11757, 11761, 11765, 11769, 11773, 11777,
   11781, 11785, 11789, 11793, 11797, 11801, 11805, 11809, 11813, 11817,
   11821, 11825, 11829, 11833, 11837, 11841, 11845, 11849, 11853, 11857,
   11861, 11865, 11869, 11873, 11877, 11881, 11885, 11889, 11893, 11897,
   11901, 11905, 11909, 11913, 11917, 11921, 11925, 11929, 11933, 11937,
   11941, 11945, 11949, 11953, 11957, 11961, 11965, 11969, 11973, 11977,
   11981, 11985, 11989, 11993, 11997, 12001, 12005, 12009, 12013, 12017,
   12025, 12029, 12033, 12037, 12041, 12045, 12049, 12053, 12057, 12061,
   12065, 12069, 12073, 12077, 12081, 12085, 12089, 12093, 12097, 12101,
   12105, 12109, 12113, 12117, 12121, 12125, 12129, 12133, 12137, 12141,
   12145, 12149, 12153, 12157, 12161, 12165, 12169, 12173, 12177, 12181,
   12185, 12189, 12193, 12197, 12205, 12209, 12213, 12217, 12221, 12225,
   12229, 12233, 12237, 12241, 12245, 12249, 12253, 12257, 12261, 12265,
   12269, 12273, 12277, 12281, 12285, 12289, 12293, 12301, 12305, 12309,
   12313, 12317, 12321, 12325, 12329, 12333, 12337, 12341, 12345, 12349,
   12353, 12357, 12361, 12365, 12369, 12373, 12377, 12381, 12385, 12389,
   12393, 12397, 12401, 12405, 12409, 12413, 12417, 12421, 12425, 12429,
   12433, 12437, 12441, 12445, 12449, 12453, 12457, 12461, 12465, 12469,
   12473, 12477, 12481, 12485, 12489, 12493, 12497, 12501, 12505, 12509,
   12513, 12517, 12521, 12525, 12529, 12533, 12537, 12541, 12545, 12549,
   12553, 12557, 12561, 12565, 12569, 12573, 12577, 12581, 12585, 12589,
   12593, 12603, 12604, 12607, 12608, 12609, 12615, 12616, 12617, 12618,
   12619, 12632, 12632, 12641, 12656, 12658, 12661, 12663, 12667, 12679,
   12695, 12699, 12710, 12711, 12714, 12726, 12735, 12736, 12739, 12740,
   12741, 12744, 12745, 12748, 12749, 12752, 12753, 12756, 12758, 12760,
   12762, 12766, 12773, 12780, 12796, 12830, 12840, 12843, 12847, 12860,
   12861, 12863, 12865, 12869, 12883, 12890, 12951, 12960, 12962, 12963,
   12966, 12968, 12969, 12972, 12973, 12974, 12975, 12976, 12983, 12982,
   12992, 12994, 12996, 12997, 13000, 13001, 13002, 13003, 13006, 13007,
   13011, 13010, 13027, 13025, 13041, 13040, 13054, 13060, 13061, 13064,
   13066, 13067, 13070, 13071, 13072, 13073, 13076, 13077, 13080, 13088,
   13105, 13113, 13136, 13242, 13276, 13278, 13280, 13284, 13288, 13287,
   13338, 13340, 13339, 13354, 13360, 13367, 13372, 13378, 13379, 13382,
   13383, 13384, 13385, 13386, 13387, 13388, 13396, 13404, 13407, 13408,
   13409, 13410, 13411, 13412, 13420, 13428, 13429, 13430, 13433, 13434,
   13437, 13439, 13448, 13536, 13537, 13544, 13545, 13546, 13552, 13561,
   13564, 13565, 13566, 13567, 13570, 13571, 13572, 13575, 13577, 13585,
   13586, 13592, 13600, 13601, 13604, 13605, 13608, 13613, 13620, 13625,
   13632, 13639, 13639, 13641, 13648, 13649, 13652, 13653, 13654, 13655,
   13656, 13657, 13658, 13659, 13660, 13666, 13673, 13685, 13691, 13698,
   13706, 13707, 13719, 13730, 13741, 13745, 13746, 13749, 13754, 13758,
   13759, 13762, 13768, 13776, 13782, 13789, 13793, 13794, 13797, 13800,
   13804, 13805, 13808, 13814, 13823, 13828, 13838, 13848, 13860, 13861,
   13862, 13863, 13864, 13865, 13866, 13867, 13868, 13869, 13870, 13871,
   13872, 13873, 13874, 13881, 13882, 13885, 13886, 13893, 13894, 13895,
   13902, 13901, 13918, 13919, 13926, 13925, 13995, 14001, 14007, 14015,
   14021, 14027, 14033, 14039, 14045, 14051, 14057, 14063, 14074, 14075,
   14078, 14079, 14080, 14081, 14082, 14083, 14084, 14085, 14086, 14087,
   14088, 14089, 14090, 14091, 14092, 14093, 14094, 14095, 14096, 14097,
   14098, 14099, 14100, 14101, 14104, 14105, 14106, 14107, 14108, 14109,
   14113, 14114, 14115, 14116, 14117, 14118, 14119, 14122, 14125, 14126,
   14127, 14128, 14129, 14130, 14131, 14132, 14145, 14146, 14147, 14148,
   14149, 14150, 14151, 14156, 14157, 14158, 14159, 14160, 14161, 14167,
   14168, 14169, 14170, 14171, 14172, 14173, 14174, 14175, 14176, 14177,
   14180, 14181, 14182, 14183, 14184, 14187, 14188, 14189, 14190, 14193,
   14194, 14195, 14196, 14197, 14198, 14199, 14216, 14217, 14218, 14221,
   14222, 14223, 14224, 14225, 14226, 14230, 14230, 14233, 14239, 14240,
   14243, 14245, 14250, 14260, 14271, 14278, 14279, 14280, 14283, 14316,
   14318, 14320, 14323, 14333, 14343, 14353, 14354, 14357, 14359, 14360,
   14361, 14364, 14366, 14374, 14375, 14376, 14380, 14381, 14385, 14386,
   14389, 14390, 14393, 14394, 14395, 14396, 14397, 14400, 14401, 14402,
   14403, 14404, 14405, 14406, 14407, 14408, 14409, 14410, 14411, 14412,
   14413, 14414, 14415, 14416, 14417, 14418, 14419, 14420, 14421, 14422,
   14423, 14424, 14425, 14426, 14427, 14428, 14429, 14430, 14431, 14432,
   14433, 14434, 14435, 14436, 14437, 14438, 14439, 14440, 14441, 14442,
   14443, 14444, 14445, 14446, 14447, 14448, 14449, 14450, 14451, 14452,
   14453, 14454, 14455, 14458, 14459, 14460, 14461, 14464, 14465, 14466,
   14467, 14468, 14469, 14470, 14471, 14472, 14475, 14476, 14477, 14478,
   14481, 14482, 14485, 14486, 14489, 14490, 14501, 14502
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT",
  "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VOLATILE",
  "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'",
  "'{'", "'}'", "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateSeqStmt", "AlterSeqStmt",
  "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly",
  "NumericOnly_list", "CreatePLangStmt", "opt_trusted", "handler_name",
  "opt_inline_handler", "validator_clause", "opt_validator",
  "DropPLangStmt", "opt_procedural", "CreateTableSpaceStmt",
  "OptTableSpaceOwner", "DropTableSpaceStmt", "CreateExtensionStmt",
  "create_extension_opt_list", "create_extension_opt_item",
  "AlterExtensionStmt", "alter_extension_opt_list",
  "alter_extension_opt_item", "AlterExtensionContentsStmt",
  "CreateFdwStmt", "fdw_option", "fdw_options", "opt_fdw_options",
  "DropFdwStmt", "AlterFdwStmt", "create_generic_options",
  "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "role_list", "SignedIconst", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
      61,    60,    62,   745,    43,    45,    42,    47,    37,    94,
     746,    91,    93,    40,    41,    46,    44,    59,    58,   123,
     125
};
# endif

#define YYPACT_NINF -4308

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4308)))

#define YYTABLE_NINF -2578

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2578)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -4308,   352, 11762, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, 25154, -4308,
   -4308, -4308, -4308, -4308, 95495,   365, -4308, -4308, -4308,100328,
   -4308, -4308, -4308,   313, 65192, -4308, 68078,   374, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, 71445, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, 54598,   780, -4308,
     460, -4308, -4308, -4308, -4308, -4308, -4308, -4308,  1358, 12550,
   -4308, -4308, 68559, -4308,   327, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, 69040,   -66, -4308, -4308,   420,   -35, -4308,   103,
    8269, -4308, -4308, 61825, 66154, -4308, -4308, 71926,   172,  1249,
   12963,  1358, 24670, 72407, -4308,  1367, -4308, 51189, -4308, -4308,
   -4308, 65673, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, 79141,  2554,   438, 51679, -4308, -4308,
   -4308, -4308, 79141, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, 72888, -4308,   554,   953, 79622, 80103, 63268,
   -4308,  1227, -4308, 79141,   812,   944, 53634, -4308, 80584, -4308,
   -4308,   704, -4308, 73369, -4308, -4308, -4308, -4308,   438, -4308,
   54598, 50225,    58,   668, -4308, -4308, 81065, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308,  1724,   726, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308,   -66, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308,   351, -4308,   894,
     661,  1343,   180,   859, -4308, -4308, -4308,  8764, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, 96929,  2141, -4308, -4308, -4308,
     921, -4308,  1066, -4308, -4308, -4308,  1565, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308,   857, -4308, -4308, -4308, -4308,  1512,
   95973, 71445, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, 61344, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308,   179, -4308, -4308, -4308, -4308, -4308, 71445, 71445, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, 71445,  1180, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308,   343,  1498, -4308, -4308,
   54598,  2271,  2271,  1822, 96929, -4308, -4308, -4308, 55562, 79141,
   79141, 79141,  1493, 79141, 79141,   348, 55562,103635, 81546,  1595,
   45802, -4308,103635, 79141, 82027, 79141, 73850, 79141,  1605, 79141,
   79141,104048, 82508,  1730, -4308,  1992,  1409, -4308, -4308, -4308,
   79141, 10810,  2554, -4308, -4308, 79141,  1639, 55562, 79141,  1597,
   79141,  1676, 79141, -4308, 79141, 82989,   372,  1951,103635,  1996,
   46296,  1767,103635, 79141, 79141, 79141, -4308, -4308,  1811, 79141,
   79141, -4308, -4308,104461,  1253,  2086,  2012,   451, -4308, -4308,
    2170,  1764, -4308, -4308,  2215, 71445, -4308, 69521, -4308, -4308,
   -4308,  2285, -4308, -4308, -4308, -4308, -4308,101570,  1249, -4308,
   -4308, 56044, 79141,  2052, -4308, -4308, 83470, -4308, -4308,   517,
   56526,104874,  2159, 46790,  2233,105287, 83951, -4308, -4308, 84432,
   -4308, 84913,  1954, 85394, -4308,105700, -4308,  2093, 85875, -4308,
   13709, -4308,  1876,  1672,  1887,  1450, 71445, 71445,  1110, 98233,
     -66, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,   154,
    1675, 52169,   223, 52659, -4308, -4308,   866,   972,   975,   154,
    2311,  2311,   783, 71445, -4308, -4308,  1675, -4308,    30,    17,
    1907,  1907,  1907,  2098,   817, -4308,  1907, -4308, -4308, -4308,
   -4308, 73369, 52169, 52659, -4308,  1918,  2554,    56,  2308, 79141,
   -4308, 79141, -4308, 79141, 79141, -4308, -4308, -4308,  2324,  1943,
    2180, -4308,  1972, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
    2178,  2182,  2212,    54,  2554,  2091, -4308,  2328, -4308,  2236,
   30061,  1260, 71445,  2554, 53149, 74331, 93090,   241,101570,  2554,
   86356,  2079,  1572,  2256, -4308, -4308,   536, -4308,  2461,  2152,
    2331,   149,  1409, 43368, -4308,  2151,  1689, 73369, 97407, -4308,
   -4308, -4308, -4308,   290,  2425, 30560, -4308, 79141,  2148, -4308,
    2155,  2162,  2172,  1343, -4308, 79141,  1332,  1332,  2563,  1332,
    1694,  1703, -4308,  2185, -4308,  2464,  2431, 73369,   668,  1358,
    2195, -4308, -4308, -4308,  2217, -4308,  2207,  2208, -4308,   448,
    2459, -4308, -4308, -4308, -4308,  2300,  2301,  2307,  2315,  2219,
    2325,   305, -4308, -4308, -4308, -4308,  2540, -4308, -4308, -4308,
   -4308, -4308, -4308,  2639,  2641,100744,100744,   822,   853,   148,
     262, -4308, -4308, -4308,  2513, -4308, -4308,  2511, 79141,  2349,
   79141, -4308, -4308, -4308, 86837, -4308, -4308,  2271,  2217,  2292,
   -4308,   307, -4308,  1689, -4308,   336,   347,   356,  1220,  2282,
    1631,  1423, -4308,   190,  2408,   132,   922,  2337, 74812,  4141,
    2302,   567,  2603,  4419,   305, -4308, 79141, 79141, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308,  2316, -4308, -4308,
    2321,   657,  1745,  2621, 13176,  1587,  2637,  5494,  1707,   856,
    2547,  1142,  2655,  1218,  2670,  5614, 79141,  2386, -4308,  2616,
    2735,   759, -4308,   171, -4308,  2456,  2602,   643, 55562,  2427,
   -4308, -4308, 79141, -4308, -4308, -4308, -4308,   595, 55562, -4308,
    2623, 47284, -4308, 79141, -4308, -4308, -4308, -4308, -4308,  2548,
   79141, -4308, -4308,  2659, 79141, -4308,  1907,   903,  2441,  2811,
   58936,   106, 79141,  2493,  2857,  2660,  2493,  2500, 87318, -4308,
   -4308,  2493, -4308, -4308, 79141, 79141,  2481,  1357,  2493,  2876,
    2900,  2590,  2695,  1016,  1341,   109,  2814,  2493, 79141, 87799,
   79141, 79141,  2890, 55562, 79141, -4308,  2688, 75293, -4308,  2534,
    2170, -4308, -4308, -4308, -4308, -4308,  1315, -4308, -4308, -4308,
   -4308,  2833,  2292,   576,  2834,  2544,  2838, -4308,  2579, -4308,
    2843,  2302,  2845, -4308,  2555, 88280, 88761, 89242,  2849,  2316,
  103635,  2851,  2555,  2853,  2743,  2856,   576,  2859, -4308,  1096,
    2860,  2749,  2862,  1792,  2555,101983,  2863,    94, -4308, 16556,
   13709, -4308, 18843,  1773, -4308, -4308, -4308, -4308, -4308, -4308,
   34053,   854,  2656, -4308, -4308, -4308,  1950, -4308, 99491, -4308,
    1110,  1675, -4308, 71445,  1675, 71445,   783,  1675, 71445,  1675,
   71445,   783,  1675, 71445, 71445, 71445,  1675, -4308, -4308,  2018,
    1882, -4308, -4308, -4308, -4308, -4308, 71445,  2573, 79141, 79141,
   -4308, -4308, -4308, 66635,103635, 67116, -4308, -4308,    26, 71445,
   -4308, 71445, -4308,  2554, -4308, -4308,  1672, 58936,  2970,103635,
    2858,  2858,  2858, -4308, -4308, -4308,  2796, 79141,  2866,  2868,
   66635,103635, -4308, 89723,101570,  2757,  2580, -4308, -4308, -4308,
   -4308,  1959,  2664,   192,  2716, 34053,  2581,   281,   281,  2582,
    2869, -4308, -4308, -4308,   387,  2589,  2591, -4308,   367,   367,
    2736,  2592,  2594, -4308,   378,  2595, -4308,  2725,   419,  2596,
    2597,  2598,  1801,   281, 34053, -4308,  2599,   367,  2604,  2607,
    2609,  2776,  2610, -4308,  2861,  2611,   213,   324,  2612,  2613,
   -4308,  2592, -4308,   409,  2614,  2620,  2622,  2624,  2626,  2627,
    2631,  2632, 34053, 34053, -4308, 29063,  1689,  2554, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308,   112, -4308,   432,  3297, -4308,
   -4308,  2760, 34053, -4308, -4308,   200, -4308,   474, -4308, -4308,
    1689, -4308, -4308,   737, -4308, -4308, -4308, -4308,   878,   878,
     202, -4308, 68559, 68559, -4308, -4308,  1464,  2600, -4308,  1955,
   -4308, -4308, -4308, -4308, -4308, -4308,101157,  3016, -4308,  1098,
    2554,   171,  1740,  2963, 98649, 99070,  2870,  2870,  2867, -4308,
   -4308, 79141, -4308, -4308, 34053, 49261, -4308,  1689,    86,  2871,
   -4308, -4308, -4308,  1963, -4308, -4308, -4308,   -66, -4308, 12459,
   -4308,  1969,  2148, 79141, 79141,  3032, -4308, -4308,  2155, -4308,
   -4308,  1343,  1343, 34053,  1343,  1097,  1087, 31059, 34053,  2920,
    2824,  1403,  1079,  2924, -4308,  1694,  1703, 73369, 79141, 90204,
    2753, -4308, -4308,  2217,  2658,  1658, -4308, 60863, 96451, 96451,
    2889, -4308, -4308,   702,   650,  2765,  2872,  2311,   829,  1599,
    1599, -4308, -4308,  2649, -4308,  2977, 68559,  2707,100744, -4308,
   -4308, 79141, -4308, -4308, 75774, -4308, -4308, -4308,  1944,  2652,
   -4308,  2669, 79141,  3147, -4308,  1599,  1599, -4308, -4308,  2661,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, 96929,  2662,
   79141, -4308,  2665,  2667, -4308, 97407, 49743,  1632,  1689,  2744,
    2746,  2792, 54598,  2673,  2750,  2754,  2803,  2761,  2762, 93571,
   -4308, -4308, -4308, -4308,  1135,   745,  1089,  2763,   237,   738,
    3041, -4308,  2816, -4308, -4308, -4308,  3824, 79141,  2987,  6551,
    2879,   305,  2815, -4308, -4308,  2925,  2775,  2778,  2894,   305,
     138, 94052, -4308, -4308, -4308, -4308, -4308, -4308,  6069, 27592,
   -4308,  2780,  2766, 79141, 62306,  3065,  2892,  1279,  2115,   525,
   79141,  2965,  2899, 79141,  2718,  2790,  2795,  2722,  1507,  3073,
    2723, -4308, -4308,  2895,  2781,  2784, 57972,  1479, 47778,  3062,
    2808, -4308,   559,  2809,  2810, 79141,   305, -4308,  3115,   305,
     305,  1501,  3116,  2819,   174,  1439,  2493,  2723,  2150, -4308,
    2820,  2821,  1755, -4308,  2916, 73369,   159,  1627,  2723,  2822,
    2827,  2722,  2722, 79141, 79141, 79141, 79141, 79141,   124,  3131,
    3148,  2832,   136,  2880,  2764, -4308,102396,  2839, -4308,   559,
   79141,  2842,  1816,  2723,  1789, -4308,  1896, -4308, -4308, -4308,
    1409, -4308, 79141, -4308, 79141,  2292, 58936,  2940,  2802, -4308,
    2302,   305, 79141, 79141,  2316,    81,  1120,  2944, 79141,  3009,
    2823, -4308, -4308,  2493, -4308, 49743,  2481, -4308,  2777, -4308,
    2818, -4308,  2818,  2818,  2786,  2786,  2787, -4308, -4308,  1801,
    2818,  2786, -4308, 59900, -4308,  1542,  1569, -4308,  3171,  3174,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,   915,
   -4308,  1987, -4308, -4308, -4308, 79141, 54598, -4308,  3186, -4308,
   -4308, 58936,  3080, -4308, 79141,  2984,  2791, -4308,  3117,  2844,
   -4308,  2836, -4308,103635,  1328,  2554,  2840, 79141,  3010, 79141,
   79141, 79141, 79141, -4308, -4308,  2981,   591,   143, -4308,102396,
   -4308,  2150,  2995,  3197,   -10,  1907,  3084, -4308, 79141,  2804,
    3200,  3039, -4308, -4308,  2813,  2311, -4308,  2534, -4308,  1761,
   -4308,  2930, -4308, 55562,   576, -4308, -4308, -4308, -4308, 58936,
   79141, 90685, 55562,   576,103635,103635,  3105,    94,  3106,  2873,
    3108,  2875, 47778,   576,   101,103635, 79141, 79141, 79141, -4308,
   79141, -4308, -4308, -4308, -4308, 79141, 79141,103635,102396,  3109,
    3110,   576, 79141, 79141, -4308, -4308, 17582,  1802, -4308, 13709,
   -4308, 12459,  2020,  2870, -4308,  1180, 79141,  1397,  1110,102809,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, 71445, -4308,
   71445,   783, -4308, -4308, 71445, -4308, 71445,   783, -4308, 71445,
   -4308, -4308, -4308, 71445, 79141,  3308,  2826, -4308,   737, -4308,
   79141,  2024, -4308, -4308,  2049,  1000, 79141, 79141,   142, 55562,
   79141,  3011, 79141, 79141, 79141, 79141, 79141,  2898,  2600,  1370,
   -4308,   552, 73369,  3015, -4308, -4308, -4308, -4308, -4308,  2054,
    1724,   864, -4308, -4308, -4308, -4308, -4308, -4308, 67116, 65673,
    3103,   195, 79141, -4308, -4308,  4179, 34053, 29562, -4308, -4308,
   -4308,  2830, 12459,  2877, 34053, -4308, -4308, 34053,  2831,  2311,
    2311, 34053, -4308, -4308, -4308, -4308,  2812,  2311, -4308, 34053,
   34053,  2311,  2311,  2818,  2818, -4308,  6238, 34053, -4308, 47778,
   34053, 35550, 27092, 34053,  2913,  2874,  2311, -4308,  2311, -4308,
   34053, 28564, -4308, 34053,  3042, 36548, 34053,  1740,  3044, 34053,
    1740,  3259,  3259,   668,  3725,  5228,  2847,  1689, -4308,  2953,
    2311, -4308,  2311,   756,   181, 58936, 34053, 54598,  2927,   147,
   79141, 34053,  2854,  1417, -4308, 34053,   724, -4308,  2864, 34053,
    2932, 34053, 34053, 34053, 34053, 34053, 34053, 34053, 34053, 34053,
   -4308, 37518,   214, -4308,   964,  2126, 67597, 30061,  3129, -4308,
   26592, -4308,   249, 71445, -4308, -4308,  1689, -4308, -4308, -4308,
   -4308, -4308,  1944,  2865, -4308,  2883, -4308, -4308, -4308, -4308,
   -4308, 79141,  3016, -4308, -4308,  2928, -4308, -4308, -4308, -4308,
     560, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,  2878,
   -4308, -4308, -4308, -4308,  2878, -4308, -4308,  2870,  2882,  3938,
   -4308, -4308, -4308, -4308,  3121,  3123,   576, 96929, 79141,   290,
   70002, -4308, 30560, -4308,  2058, -4308,  2884, -4308,  3101, -4308,
    2885, -4308, 10055,  3101, -4308, -4308,   137,  3045,  3051,  3051,
   -4308,  2886, 12459, -4308,  1949, 12459,  1998, -4308, -4308, -4308,
   -4308, -4308, -4308,  1309, -4308,  2920,  1079,  2923,   680, 79141,
   -4308, 43853,  1899, -4308,  2217, -4308, -4308, 25632, -4308, 26112,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,  2891,
   -4308, -4308, -4308, -4308, -4308,   305,  2893,  3341, -4308,100744,
   -4308, -4308, -4308,  3308, -4308,  2215, -4308,  2215,  3368, -4308,
   71445, -4308, -4308, -4308, -4308,   651, -4308, 13709, -4308, 13709,
   -4308,  2896,  2064,  2950,  2952,  3004,103635, 79141, 79141, -4308,
   54598,103635, 79141, 79141,103635, 79141, 79141, -4308,  3237,  1186,
   65673,  3012, 63749, -4308, -4308,  2901, 79141,  2942,  3122,  3127,
    1216, -4308, -4308, 91166, -4308,  3089,103635, 79141, 79141, 34053,
    3092, 79141, 79141, 79141,  2978, 55562,  2905, 79141, 79141, 79141,
     612, 55562, 48272, 79141, 79141, 79141, 79141,  3023, 79141, 79141,
    3138,  1388, 73369,   119,  2097,  2723,  3100, -4308,  1263, -4308,
  103635, 79141,  3094, -4308, -4308, -4308, 64230,  3304,  3017, -4308,
   -4308, 94533, -4308, -4308,  3091, -4308, -4308, 59900, -4308, -4308,
    2077, -4308, 59418, 57008, -4308, -4308,  1044,103635,103635,  6672,
   79141,  1306, -4308, -4308, 58936, -4308, 79141, 79141, 79141, 70483,
   91647, 92128,  1393,  1402, 79141, 70964, -4308, 79141, -4308, -4308,
   55080,103635, 79141, 54598, -4308, 79141,  3102,   546, -4308, 79141,
    3582,  2993, 79141, 79141,  2917,  2081,  2997,  3043, -4308, 79141,
  103635,  1539, 93090, -4308,103635, 79141, 13707, -4308, -4308,   305,
   -4308, -4308, -4308, -4308, -4308, 79141, 79141,   305, 79141,   305,
    1521, -4308,103635, 79141, -4308, -4308, -4308,  6919, 79141, 79141,
   79141, 79141,103635, 79141, -4308, -4308,  1245,   785,  1710,  1731,
    3061, 79141,  2554, 79141, 92609,103635, 79141, 79141, 79141,  1533,
   -4308, -4308,  3036, -4308,103635,  1539, -4308,  7351, 79141, 79141,
    3001,  3003,   129,  3077, -4308, -4308, -4308, -4308, -4308, -4308,
    3167,  3328, 79141, -4308,  3169,  3184,  3002,  3007,  3192,  1779,
   79141, 79141, 79141, 79141, 79141, 79141,  3193,  1779,  3140,    74,
    2961,  2084, -4308,  2975, -4308, 34053,  3359, 58936,  2966,  2968,
    3046, -4308,  3048,  2311, -4308,  2031, -4308, -4308,  2103, -4308,
    2980,   591,  1934, -4308, 79141,   763,   565,  3260, 40942,  3085,
    2615,  3251, 79141, 79141,  2615, -4308,  2004, 65673, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308,  3255, -4308,  2554,
    2481,  2481,  2481,  2481, -4308, -4308, -4308, -4308,  3162,  1203,
   -4308,  2989,  2481, 79141,  3090,  2615, -4308,  2150,  3279,  3283,
   79141, 62787,  2046,  3025,  2554,  3172, -4308, 28078,  3735,  3173,
  101570, 75293, -4308,  3006,  3265,  3266,  3276, -4308,  2292, -4308,
    3399, -4308,  3299,   576,  2302, -4308,  2555, -4308, 79141, -4308,
   79141, 79141, 79141, 79141,  2316, -4308, -4308,  2555,  3188,   576,
     576, -4308,  3190,   576,  2555,  3130,  3292,101570, -4308,    94,
   -4308, -4308, -4308, -4308, -4308, 34053, -4308, -4308, -4308,  1907,
    1761, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, 71445,  2215, -4308,  2107, -4308, 79141, -4308,  3268,
    3273,  3275,  3018,  3021,  3066, 79141,  3027, -4308,  3018,   305,
    3018,  2600,  2600,  3018,  3021,103222,  3438,  3309,   561, -4308,
     586,  1086,  3243, -4308, -4308, -4308, -4308, 58936, -4308, -4308,
   -4308, -4308, -4308, 79141,    70,  3220,  3040,103222,  3422,   576,
   -4308, 55562, -4308, -4308, -4308,  3133, 55562,  3232, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308,  3280, 79141,  2112, -4308,  1840,
   -4308,  1841, 34053, 34053,    78, -4308, 10648,  2146, 34053,  3049,
    3052,  2153, -4308, -4308, -4308, -4308, -4308, -4308,  3053,  3331,
   -4308, -4308,  3055,  2183,  2197,  3056,  3057, -4308, -4308,  2406,
    3059, 10840,  3060, 35550, 35550,  1725, -4308, -4308, 35550,  3064,
   -4308,  2203, 10065,  3067,  3070,  3069, -4308,  3071,  3072, 11169,
   31558, 34053, 31558, 31558, 11363,  3067,  3075,  2206, 54598,  3240,
   11809,  2231, -4308, 34053, 54598,  4952, 34053, -4308, 34053, 79141,
    3078,  3079, -4308, -4308,  6238, -4308,  3099, -4308, 35550, 35550,
   -4308,  4744, 29063, -4308, -4308,  3350, -4308, -4308,  1601, -4308,
    3083, -4308, -4308,  5663,   182, 34053,  2854, 34053,  3158, 47778,
    4987, 34053,  3369,  5026,  5026,   689,   689,   219,   219,   219,
    1870,  2126, -4308, -4308, -4308,  3086,  2610, 34053, -4308,  2222,
    2326, 79141,  9177, 12347, 13000, -4308, -4308, -4308, 39001,  3125,
   34053, 34053, 34053,  3088,  3261,  3504, 12459,   891, -4308,  3505,
   -4308, -4308, -4308,  2030,  3368,  1944, -4308,  1409,  2311,   756,
   99491, -4308, -4308, -4308, 34053, -4308, -4308, -4308, -4308,  2155,
   -4308, -4308, -4308, -4308, -4308, 79141,  1724, 34053, -4308, -4308,
     580,  2053, 34053,  1949, -4308, -4308, 79141,  3015,  3015, 34053,
   -4308, -4308, -4308, -4308, -4308, 39001,  3132,  3142, 42883,  3223,
   -4308, -4308, 79141,   176, -4308, -4308, -4308,  3111, -4308, -4308,
   -4308,   814, -4308, -4308, -4308, -4308, -4308, -4308,  3093, -4308,
    3096, -4308,  3113, -4308, -4308, -4308, -4308,   177,  3104,  3112,
    3107,  1644, -4308, -4308,103635, 79141, 79141, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308,  3320, -4308,103635,
  103635,  3284, 79141,  3288,  3287, 34053,  1005, 79141,  3120,  3124,
    1400,  3365, 79141, -4308,  3408,   576, -4308, -4308,  3195, -4308,
   12459, -4308, -4308, -4308, -4308,101570, -4308,  2292, 58936, -4308,
   -4308, -4308,  3154, 79141, -4308, 79141, 79141,  2316, -4308, -4308,
   -4308, -4308,  1132, -4308, -4308, 79141, 79141,    16,  3199,  3201,
   79141, -4308,   631,  2916,  7475, 79141, 79141, 79141,  3371, -4308,
   -4308, -4308, -4308,  3317, -4308, -4308,  1987, -4308, 57008, 59418,
   -4308, 59418, -4308,  1987,  1795, -4308,  2555,  3203,  2723, -4308,
    3307,   904, -4308, -4308, -4308, -4308, -4308,  3424,   576,  3425,
     576, 79141, 79141, 79141, 79141, -4308, -4308, -4308, -4308, -4308,
   54598, 54598, 54598,  2254, -4308, -4308,  2554, -4308, -4308, -4308,
    2270, -4308,  1633, -4308, -4308, -4308, -4308, -4308, -4308,103635,
    1865, -4308,   577, 58936, -4308, 58454,103635, 79141, -4308, -4308,
    3354,  3300, -4308,  1791,  3301,103635,  3196, -4308, -4308, -4308,
   -4308,  3211,  2123,  2723,  2150, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308,   155,  2235,  2723,  3214, -4308,  3216, -4308,
   -4308, -4308,  3353,  3356,  3357,  3218,  3222,  3270,  3226,  3227,
    3274, -4308,  3228,  3277,  3230,  3278,  3231,   576, 58936,  2005,
    3256,  3452,   576, -4308,  3235, -4308, -4308,  3551, -4308, 79141,
   -4308,  3238,  2250,  2723, -4308, -4308,103635, 79141, -4308, -4308,
   -4308,  1779, 58936,  3400,  1779,  1779, 79141, 79141,  1779, -4308,
   -4308, -4308,  3402,  3403,  3405,  3406,  3407,  3411,  1779, -4308,
   -4308, -4308, -4308,   903, 54598, -4308,  2351, -4308,  2285, 45308,
    5474,  3179,  2968,  3178,  2311, 41428,  1134,  3385,  3181, -4308,
   -4308, 54598, 45308,  1905,  3401,  3198,  3198,  3198,  3198,  3198,
    3198,  3198, -4308,  1596,  2493,101570, 79141,101570, -4308,   565,
    3307, 79141, -4308, -4308,  2278, -4308, 79141,103635,   753,103635,
    2311, -4308, -4308,  3252, -4308,  1907,  1328,  3326,  1258,  3516,
   -4308, -4308, -4308, -4308, -4308, 79141, 79141,   591,  2554, -4308,
    3194,  3204, -4308, 79141, 79141, 79141,  1724,  3202, 79141,  3205,
    3207, -4308, -4308, -4308, -4308, 58936,   507,  3377,  3379,  2722,
    3595,  3282, 79141, -4308,  2279,    77, -4308,  2554,101570, 57490,
   -4308,  4716, -4308, -4308,   838,  3471, -4308, 79141, -4308, -4308,
   42398,   576, 58936, 79141, -4308,   576,    94,  3264,   576,  3267,
     576,   576, 79141, -4308, -4308, 79141, -4308, 79141,102396,   576,
   -4308, 12459,  3495, -4308, -4308, -4308, -4308,  3335,  3336,  3337,
   79141,  3018, 55562, -4308,  3224,103635,  1424, -4308, -4308,  3398,
   -4308, -4308, -4308, -4308, -4308,  3517,  3520, -4308, -4308, -4308,
  103635, 66635,   117,103635, -4308,  2292, -4308,  2302,   305, 79141,
    3464, -4308, -4308, -4308,  3233,  2284, 12097, 34053, -4308,  3530,
   58936, -4308,  6006, -4308, -4308, -4308, -4308, 34053, -4308, -4308,
   -4308, -4308, -4308, 34053, -4308, 34053,  3509, -4308,  3650,  3650,
   58936, 35550,  1502,  2604, 35550, 35550, 35550, 35550, 35550, 35550,
   35550, 35550, 35550, 38017,   757, -4308, -4308, 34053, 34053,  3518,
    3509, -4308, -4308,  1716,  1716, 58936,  3242,  3067,  3262,  3269,
   34053, -4308, -4308,  2304, 37033,  3271, 54598, -4308, 34053, 10104,
    2309,  3294, 12427,  1689,  6095, -4308,  3604,  2554, 34053,  1392,
    2424, 34053,  2314, 34053,  3514, -4308, -4308, -4308,  3239, -4308,
   -4308, 58936, 34053, 35550, 35550,  5973, -4308,  6854, 34053,  3272,
    7368, 29063, -4308,   438,   438,   438,   438, -4308, 79141, 79141,
   79141, 38516, 76255,  3257,  2184, -4308, 76255, 76736, -4308,  3295,
    1689, 34053,  3529,   395,   395,  3281,  3261, 44338, -4308, 34053,
    1670, 32057,  3286, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,  3291, -4308,
    3293, -4308, -4308,   171,  3296, -4308, -4308,  9627,   177, -4308,
   -4308,  3298, -4308,  3302, -4308,  2053, -4308, -4308, -4308,  6583,
    3441,  2600, -4308, -4308, -4308,  3257, 32556,  3223, -4308,  2318,
   -4308, -4308, 30061, -4308, -4308,  2319, 43853,  3132, 30560,  1689,
    2311,  3311, -4308,  2215,  2030, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308,  3198,  2555,  2555,   771,  3018,  3545,   771,
    7336, -4308, -4308, 39486, 79141, 79141, -4308, 79141,  2333,  1766,
   79141, -4308, 79141, -4308, -4308,  3663, 79141, -4308,  3323,  3327,
   -4308, 79141, 79141, 79141, 79141, -4308, -4308,  2282, -4308, -4308,
  103635, 79141, -4308, -4308, -4308,   185,  2293,  2723, -4308,  3348,
   -4308, -4308,  3523,  1818, -4308, -4308, -4308,  3366, 79141,  3303,
   -4308,   795,  2722,   809, -4308, -4308,  3373, 79141, -4308, 79141,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, 55080,
   -4308, -4308, -4308, 54598, 45308, 54598, -4308,  3370,  3374,  3423,
     836,  1125,  3380,  3383,  3429,  3310,  3325,  3329, -4308, -4308,
     154,  2554, -4308, -4308,  2554,  2555,  2554, 79141, 79141, 79141,
   79141, 79141, 79141, 79141,  3593,   670,  1910,103635, 79141, 79141,
  103635, 79141, 79141, 79141, 79141, 79141, 79141, 79141, -4308,  3687,
    2554,  2554,  3658,  3394, 79141, -4308, 79141,  2916, 79141, 79141,
   -4308, -4308, -4308,  3332,  1779, -4308, -4308,  3567,  3569, -4308,
    1779,  1779,  1779,  1779,  1779,  1779, -4308,   233,  2334, -4308,
   97820, -4308, -4308,  2857,  2554,  2857,  1167, -4308,  2857, -4308,
    2857, -4308, -4308,  2975,  3302,  1599,  1599, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308,  2311,  2210,  3338, -4308, 41913, -4308,
   -4308, -4308,  2230,   756, -4308, -4308, 79141,  3198, -4308,  2229,
    2502,  2528,  2585, 77217, 77698, 78179,  3342, 79141, 79141, 35550,
   -4308,  1557,   210, -4308,  3572, 79141,  3378, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308,  2791, -4308, 79141,  3307,  2555,
  103635,103635,  2555, -4308, 58936,  3025,  1450, 87799,  3376,  3340,
    3627, -4308,  3347,  3349, -4308, -4308, 79141,  3307,   492,  1887,
    3387, 64711,  2046, -4308,  3601, 62787, -4308, -4308, -4308,  3710,
    3448, -4308,  1724,  2554,  2942, -4308, 57008, 34053, 34053, -4308,
    3364, -4308,  3381,  5200, -4308,  2481, -4308, -4308, -4308, -4308,
   -4308, -4308,  3442, 79141,  3787, -4308, -4308, -4308,  3384,   576,
   -4308, -4308, 79141, -4308, 79141, -4308, -4308,   576,   576, -4308,
    3480, -4308,  1724, 79141, 79141, 79141,  3018, -4308,   305, -4308,
    3645,103222, -4308, -4308, -4308, -4308,   195,  3653, -4308, -4308,
    3613,  3614,  3615,  3617,  1989, -4308, -4308, 34053, 12459, -4308,
    3386, -4308, 12459,  7769, 12459,  3518, -4308,  3263,  3665, -4308,
    1345,  3390,  3263,   914,   914,   465,   465,   123,   123,   123,
    3650,   757, 12459, 12459, -4308, -4308, -4308, -4308,  3391, -4308,
   -4308, -4308,  3067, -4308, 34552,  3534,  3774, -4308, -4308, -4308,
    3433,  3435,  3404, -4308, 34053, 35051,  3397, 59900, -4308, -4308,
     756,  1106, 35550, 35550,  2274, -4308,   562, 34053, 58936,  2339,
    2274,  2509,  3253, 34053, 34053,  7821,   255, 34053,  8040, 79141,
   79141, 79141, 79141, -4308, -4308, -4308, 40456,  2184,  3409, 79141,
   -4308,  3412, 39001,  3633,  3574, -4308, 39001,  3574,  1762,  3574,
    3635, -4308, 44823, -4308,  3413, 26592,  1883, 12459,  3782,  3674,
   34053,  3410, -4308,  3416,  3261, -4308, 95014, -4308, -4308, 12459,
   -4308, -4308, 34053, -4308,  3261,  2030,   711,  2554, -4308, -4308,
   -4308, 47778, -4308, -4308, -4308,  3602, 12459, -4308,  1724, 79141,
    1689,   500,  3434, 79141, -4308,  3223, -4308, -4308, 13709, -4308,
   -4308, -4308,   154, -4308, -4308, -4308, -4308,  3483, 65673,  3696,
   -4308, 34053,  2357, -4308,  3456,  3783,    96,  2360,  2370,  1766,
   -4308,  3378, -4308,  1614,  3675,   266, -4308,   576, -4308, 58936,
   -4308, 79141, 79141, -4308, -4308, -4308, -4308,  2673, -4308, -4308,
   79141, 79141, 79141, 79141, -4308,  3490, -4308, -4308, 54598,  1596,
    3616, -4308, -4308,  3618,   154, 79141, -4308, 58936,   576,   576,
   -4308, -4308, -4308,  3439,103635, 79141, 79141,  2311,  2311, 58936,
    3427, -4308,  2311,  2311,  3428, -4308,103635, 79141, 79141, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,  3507,
   -4308, -4308, -4308, 79141, 79141, 79141, 79141,  3726, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, 79141,
   -4308, -4308, -4308, 58936,   576,   576, -4308, -4308, -4308,  3670,
   -4308,  1779,  1779, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
    2493,  3752, -4308, 54598, -4308, 99912, -4308, -4308, -4308,  2554,
   -4308,  2554,  3628, 50707,  2554,  2554,  1766,  3443,  1506,  3712,
   -4308,  1830, 41913, 41913, 41913, 41913, 41913, -4308, -4308,  3717,
     154, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, 34053, -4308,   227,  3263,
   -4308, -4308, -4308, -4308,  3378,  1907,  3497,   763,  3553, -4308,
   -4308,  2555,  2555,  3499,  3843,   578, 79141,  3754,  3489, -4308,
    2554, -4308, -4308, 79141, 62787,  3387,   198, -4308,  2407, -4308,
   -4308, -4308,  3488,  3379,  1600,  3458,  2046, -4308,  1222, 79141,
   -4308,  3493,  3732,  3460, -4308, 12459, 12459,  2554, 60382,  4716,
   -4308, 79141,  3709, 79141, -4308,   576, -4308,   576,   576, -4308,
   -4308, 79141,  3018,  3018,  3018, -4308,  3639, -4308,   576,103222,
    1989,  1989,  1989,  1989, -4308, -4308, -4308, 12459, -4308, -4308,
   -4308, 35550,  3739, -4308,  3467, 58936, -4308,  3468,  2420,  2436,
   36548,  3605, -4308, -4308, -4308,  8092,  3519, 12459,  3568,  3469,
    3472, -4308,  1274,  1274,   562,  2443, -4308, 35550, 35550,  2274,
    2274, 34053,  2274, -4308, -4308, -4308, -4308, -4308, 76255,  3474,
   79141,  2184, 39001, -4308, -4308,  2140, -4308, 39001,  3708, -4308,
   39001, 79141,  3484, 79141,   948, 34053, 34053,  3524,  3261,  3261,
   -4308,  3647, -4308,  3494, -4308, -4308,  1599, -4308, -4308, -4308,
   -4308,   756,  3496, 71445, -4308, -4308, -4308,   668, -4308, -4308,
   -4308, -4308,103222,  3676,103222,  1766,  8930,  3378, 39486, 48766,
   79141, 78660, 78660,  3625,  3378,  3497, -4308, -4308, -4308, -4308,
   -4308, -4308,  3500, -4308, -4308, -4308,  3564, -4308, -4308, -4308,
    2447, -4308, -4308, -4308, -4308, -4308,  3687, -4308, -4308, 45308,
   -4308, -4308, -4308, 39971, 47778, -4308,   836,  3508,  3510,  1125,
   -4308, -4308, -4308, 79141,  1468,  1129,  3528,  3018,  3781, -4308,
    3687, -4308, -4308,  1779, -4308, -4308,  2961,  2554, -4308, -4308,
    2448, -4308, -4308, -4308, 79141, -4308,  3340, -4308, -4308, -4308,
   55562,  3899,  3899, -4308,  1904,  1904, -4308, -4308, -4308, 79141,
   -4308, -4308,  8981,  3694, -4308,  3497,  3718,  3764, -4308, 79141,
   79141,  1724, 62787,  3307, -4308,  1709,  3513,  3807, -4308,  3202,
    3521, -4308, -4308,  3845, -4308, 64711,  3695,  3448,  1195,  1195,
   79141,  3379,  3640, -4308,  3646, -4308,  1377, -4308, 79141, 39486,
   -4308, 59418, -4308,  2454, -4308, -4308,  3125, 79141,   505, -4308,
    3538, -4308, -4308, -4308, -4308, -4308, -4308,   117, -4308, -4308,
   -4308, -4308,   768, 35550, 58936,  2455, 34053, -4308, 34053, -4308,
    3904, -4308, -4308, -4308,     3, -4308, -4308, -4308,  1274,  1274,
    2274, -4308, 79141,  2471, -4308, 34053,  3527, -4308, -4308, 39001,
    2140,  2472, 79141,  2475, 58936,  3261,  3067, 12459, 79141, -4308,
   -4308, -4308,  3906,  3703,  3261, -4308, -4308, -4308, -4308, -4308,
   -4308,  1424,   771,   117,  3783,  3497, -4308,  3531, -4308, -4308,
   79141, -4308,  1432,  1432, 79141,  3497, -4308, -4308, 79141, -4308,
   54598,  3584, -4308, 58936,  2302,   188, -4308, 58936, 58936, -4308,
   -4308, 79141, 79141, 79141, 79141, 79141,   576, -4308, -4308, -4308,
   -4308, 99912,  3340,  3899,  1179, -4308, -4308, -4308,  1696,  3734,
   -4308,   834,  3716,  3621,  3307,  3828,  3493, -4308, -4308, -4308,
   -4308, 34053,  3693,  2046,  3601, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308,  2476,  3448, -4308,
   -4308,  3912,  3729,  3919, -4308,  2479, -4308, -4308,  5200, 60382,
    3866, -4308,  3606, 79141, -4308, -4308,  2187,  3975, -4308,   768,
    2484, -4308,  2488,  2491,  3700,  3608, -4308,  2492, -4308, 12459,
   79141, -4308, -4308, -4308,  2505, -4308,  3559, -4308,  3958, 34053,
    1131, -4308, -4308,  3840, -4308, 78660,  3603, 47778, -4308,  2053,
    2053,  1907, -4308,  1766, -4308, -4308, 34053, -4308,  2506, -4308,
    1211,  3711,  3846,  2510,  2515,  3021,  3609,  3021, -4308,  3018,
   -4308, -4308, -4308, -4308, -4308,  3874,  3822, -4308, -4308, -4308,
   -4308,    80, -4308,  3756,  3757, 79141, -4308, 79141,  3969, -4308,
    9288, 55562,  3379,  2046,  1596, -4308, -4308,  3758, -4308,  3761,
    3025, 39486,  4716, -4308,   251, -4308, -4308, -4308, -4308, -4308,
   79141, -4308, -4308, -4308, -4308, -4308, -4308,  2516, -4308, 79141,
    3579,  3067, 33055, 33055,  3586,103222,  1432,  3580, -4308,  3588,
   -4308, -4308,  3718,  1766, 12459, 55562,  3963, -4308, -4308, -4308,
    3711, -4308, -4308, 79141,  3713, -4308,   743,   743,  3909, -4308,
    3648, -4308, -4308, -4308,   836, -4308,  3592,  3448,  3379, -4308,
   -4308,  3448, -4308, -4308, -4308, -4308,  1772, -4308, -4308, -4308,
   -4308, 36049,  3719,   134, 10177, -4308, -4308, -4308, -4308,   117,
    2053, 34053,  1766, -4308,  3716,  2302, 79141, -4308, -4308,  3489,
   -4308,  4002, -4308,  1102, -4308, -4308,  3427, 54116, -4308,  3448,
    3125, -4308,  1777, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
    3993, -4308, -4308, -4308, -4308, -4308, -4308, -4308,  9505, -4308,
   -4308, -4308,  3890, -4308, -4308, -4308,  2520, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308,  1846, -4308, -4308,  1847,  2172, 33554,
   -4308,  1766,  3747, -4308, 54116, -4308,  1777, -4308, 55562, -4308,
   -4308,  3599, 54116,  2521, -4308
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2261,     0,     2,     1,  2691,  2695,  2699,  2700,  2617,  2701,
    2702,  2667,  2668,  2669,  2670,  2671,  2672,  2673,  2674,  2675,
    2676,  2677,  2678,  2680,  2679,  2681,  2682,  2683,  2684,  2685,
    2686,  2687,  2688,  2690,  2689,  2639,  2268,  2636,  2633,  2634,
    2635,  2640,  2638,  2631,  2632,  1867,  2704,  2692,  2705,  2693,
    2694,  2696,  2697,  2666,  2698,  2706,  2707,  2708,  2703,  2711,
    2662,  2663,  2661,  2664,  2665,  2709,  2710,  2653,  2654,  2655,
    2656,  2712,  2269,  2270,  2658,  2262,  2266,  2328,  2399,  2659,
    2660,  2657,  2267,  2652,  2399,     0,  2520,  2521,  2522,     0,
    2523,  2524,  2525,  2451,  2413,  2526,     0,     0,  2527,  2528,
    2529,  2530,  2531,  2532,  2533,  2534,     0,  2535,  2536,  2537,
    2538,  2398,  2539,  2540,  2541,  2542,  2543,  2375,  2381,  2504,
       0,  2355,  2356,  2352,  2354,  2353,  2357,  2340,  1154,   528,
    1238,  1237,     0,  2164,  1154,  2120,  2121,  2165,  2122,  2123,
    2124,   249,     0,  1240,  2125,  2166,     0,  1154,  2167,   357,
     932,  2168,  2169,  2283,     0,  2126,  2127,     0,     0,     0,
     528,  1154,     0,     0,  2128,  1350,  2129,     0,  2130,  2170,
    2171,     0,  2131,  2172,  2173,  2132,  2133,  2134,  2174,  2175,
    2176,  2135,  2177,  2178,     0,     0,  1364,     0,  2136,  2179,
    2137,  2138,     0,  2180,  2139,  2140,  2141,  2181,  2182,  2183,
    2142,  2143,  2144,     0,  2145,     0,     0,     0,     0,     0,
    2184,  1154,  2146,     0,     0,  1371,     0,  2147,     0,  2185,
    2148,     0,  2149,     0,  2150,  2151,  2152,  2153,  1364,  2500,
    2376,     0,  1242,     0,  2154,  2186,     0,  2155,  2156,  2157,
    2158,  2159,  2160,  2161,  2162,  2163,     0,     0,    54,    55,
      21,    20,    26,    25,    77,    78,    44,    14,    68,    49,
     110,   109,   111,    32,    28,    62,    18,    19,    29,    33,
      51,    50,    17,    48,    72,    52,    75,    39,     8,     9,
      40,    66,    10,    41,    67,    11,    42,    12,    56,    79,
      24,    53,    76,    35,    64,    60,     7,    45,    46,    47,
      69,    70,    71,    93,    74,   105,    31,   102,    83,    84,
      99,    85,   100,     5,    86,    43,    13,    96,    95,    97,
      63,    36,    65,    94,    98,    15,    16,   101,    73,    91,
      88,   106,   104,   112,    89,    57,     3,     4,    80,    38,
       6,    23,    22,    37,    30,   108,    27,  1240,    82,    92,
      81,    87,    61,    90,   107,    59,   103,  1337,  1324,  1373,
    1336,  1349,     0,  1339,  2596,  2597,    34,  1350,   114,   115,
     120,  2265,  2317,  2318,  2319,  2399,  2350,  2351,  2344,  2360,
    2370,  2359,  2363,  2371,  2358,  2377,     0,   117,   119,   121,
     124,   118,   113,   116,   123,   128,   122,   127,   125,   126,
     129,   130,   131,  2598,  1550,  2595,    58,  2335,  2334,     0,
    2399,     0,  2628,  1879,  1880,  1881,  1882,  1883,  1884,  1885,
    1886,  1887,  1888,  1889,  1890,  1891,  1892,  1893,  1894,  1895,
    1896,  1897,  1898,  1899,  1900,  1901,  1902,  1903,  1904,  1905,
    1906,  1907,  1908,  1909,  1910,  1911,  1912,  1913,  1914,  1915,
    1916,  1917,  1918,  1919,  1920,  1921,  1922,  1923,  1924,  1925,
    1926,  1927,  1928,  1929,  1930,  1931,  1932,  1933,  1934,  1935,
    1936,  1937,  1938,  1939,  1940,  1941,  1942,  1943,  1944,  1945,
    1946,  1947,  1948,  1949,  1950,  1951,  1952,  1953,  1954,  1955,
    1956,  1957,  1958,  1959,  1960,  1961,  1962,  1963,  1964,  1965,
    1966,  1967,  1968,  1969,  1970,  1971,  1972,  1973,  1974,  1975,
    1976,  1977,  1978,  1979,  1980,  1981,  1982,  1983,  1984,  1985,
    1986,  1987,  1988,  1989,  1990,  1991,  1992,  1993,  1994,  1995,
    1996,  1997,  1998,  1999,  2000,  2001,  2002,  2003,  2004,  2005,
    2006,  2007,  2008,  2009,  2010,  2011,  2012,  2013,  2014,  2015,
    2016,  2017,  2018,  2019,  2020,  2021,  2022,  2023,  2024,  2025,
    2028,  2026,  2027,  2029,  2030,  2031,  2032,  2033,  2034,  2035,
    2036,  2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,  2045,
    2046,  2047,  2048,  2049,  2050,  2051,  2052,  2053,  2054,  2055,
    2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,  2064,  2065,
    2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,  2074,  2075,
    2076,  2077,  2078,  2079,  2080,  2081,  2082,  2083,  2084,  2085,
    2086,  2087,  2088,  2283,  2089,  2090,  2091,  2092,  2093,  2094,
    2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,  2103,  2104,
    2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,  2113,  2114,
    2115,  2116,  2117,  2118,  2119,  2301,  1868,  1876,  1877,  1878,
    2276,  2297,  2303,  2624,  2302,  1875,  2450,     0,     0,  2544,
    2545,  2546,  2547,  2548,  2549,  2599,  2600,  2601,  2602,  2603,
    2605,  2604,  2412,  2571,  2608,  2411,  2609,  2415,  2610,  2611,
    2612,  2613,  2572,  2614,  2414,  2606,  2568,  2416,  2409,  2410,
    2569,  2518,  2519,  1845,  2570,  2567,  2607,  2304,  2566,  2420,
    2419,  1314,  2623,  1844,  1315,     0,  2422,  2550,  2551,  2552,
    2553,  2555,  2554,  2556,  2187,  2188,  2189,  2190,  2191,  2192,
    2193,  2194,  2195,  2196,  2197,  2198,  2581,  2199,  2200,  2201,
    2594,  2202,  2203,  2582,  2204,  2205,  2206,  2207,  2208,  2209,
    2210,  2211,  2212,  2213,  2214,  2215,  2216,  2217,  2218,  2219,
    2220,  2221,  2222,  2223,  2224,  2225,  2226,  2227,  2583,  2584,
    2228,  2229,  2230,  2231,  2232,  2233,  2234,  2235,  2236,  2237,
    2238,  2239,  2240,  2241,  2242,  2243,  2244,  2245,  2246,  2247,
    2248,  2249,  2250,  2585,  2251,  2252,  2586,  2253,  2254,  2255,
    2587,  2256,  2257,  2258,  2259,  2260,  2591,  2592,  2593,  2580,
    2373,  2557,  2579,  2590,  2588,  2589,  2383,  2379,  2387,  2382,
       0,     0,     0,     0,  2399,  1153,  1152,  1138,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   527,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2273,     0,  1164,   332,   331,  1239,
    1220,   528,     0,  1141,   356,     0,     0,     0,     0,     0,
       0,     0,     0,   708,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   175,     0,     0,   380,   379,     0,     0,
       0,   904,   385,     0,     0,     0,     0,   516,  2282,  2277,
    2287,     0,  2280,  2281,  2566,     0,  2715,  2026,  2313,  2314,
    2713,  2074,  1316,   250,   253,   251,   252,     0,  1004,  1005,
    1007,     0,     0,  1017,   741,   742,     0,   740,   744,     0,
       0,     0,   737,     0,     0,     0,     0,   743,   735,     0,
     734,     0,     0,     0,   739,     0,   736,     0,     0,  1142,
       0,  2365,  2366,  1967,  1277,   386,     0,     0,  1350,     0,
    1240,  1247,  1257,  1252,  1254,  1253,  1255,  1251,  1256,  1880,
     843,  1894,   843,  1957,   840,   841,   843,   843,   843,  2041,
       0,     0,   815,     0,   826,  1871,   843,  1872,  2624,   848,
     441,   441,   441,     0,   847,   852,   441,  1135,  1171,  1849,
    1363,     0,  1894,  1957,   816,  1134,  2089,  1269,     0,     0,
    1021,     0,  1022,     0,  2056,  1146,   234,  2564,  2065,  2150,
    2089,  2565,   230,  2559,  2560,  2562,   204,  2563,  2561,  2558,
    1884,     0,     0,   847,     0,  1143,  1144,   801,  1370,  1368,
       0,     0,     0,  1902,     0,  1914,  1993,   227,  2052,  2057,
    2065,  2150,  2089,  2117,   184,   189,     0,   243,  2065,  2150,
    2089,     0,  1164,     0,  1340,  1450,  1840,     0,     0,  2374,
    1137,  1136,  1241,     0,  1244,     0,  1415,  2038,  1344,  1346,
    1246,  1337,     0,     0,  2264,  1235,  1367,  1367,     0,  1367,
       0,  1329,  1337,  1332,  1336,     0,     0,     0,     0,  1154,
       0,  2342,  2370,  2349,  2405,  2346,     0,     0,  2395,  2391,
    2388,  2396,  2397,  2390,  2378,  1539,  1540,  1541,  1538,  1551,
    1537,     0,  2323,  1542,  2362,  2329,     0,  2337,  2336,  2641,
    2642,  2452,  2275,  2294,     0,     0,     0,     0,     0,     0,
       0,  2421,  2423,  2425,  2385,  2384,  2380,     0,     0,     0,
       0,  2510,  2511,  2509,     0,  2506,  2508,     0,  2405,     0,
    2575,  2569,  2578,     0,  1850,  2570,  2567,  2566,     0,   751,
       0,   135,   892,     0,     0,     0,  1844,     0,     0,     0,
       0,     0,  1966,     0,     0,  1745,  1906,  1953,  1755,  1753,
    1754,  1747,  1748,  1749,  1750,  1751,  1752,     0,  1002,  1746,
       0,   135,     0,  1966,     0,     0,  1966,     0,     0,     0,
       0,     0,  1996,   135,  1966,     0,     0,     0,  1158,     0,
       0,     0,  1160,  1163,  1139,  1223,     0,  1840,     0,     0,
     785,   776,     0,   786,   777,   782,   788,     0,     0,   779,
       0,     0,   789,     0,   778,   780,   791,   781,   787,     0,
       0,   783,   784,     0,     0,  1150,   441,     0,     0,     0,
       0,     0,     0,   135,  1210,  1966,   135,     0,     0,   384,
     383,   135,   382,   381,  1906,  1953,     0,   931,   135,     0,
     177,   596,   531,     0,     0,   667,  1996,   135,     0,     0,
       0,     0,   907,     0,     0,   515,   528,     0,  2286,  2292,
       0,  2284,  2453,  2716,  2714,  2408,     0,  1008,   228,   229,
    1006,  1966,     0,   310,     0,     0,  1966,  1199,     0,   738,
    1966,     0,  1966,  1869,   170,     0,  1906,  1953,  1966,     0,
       0,  1966,   162,  1966,     0,  1966,   310,  1966,   532,     0,
    1966,     0,  1966,  1996,   164,     0,  1966,   310,   749,     0,
       0,  2646,  2650,     0,  2648,  2643,  2364,  2418,  2417,  2316,
       0,  2726,     0,  1316,  1249,  1262,     0,  1258,  1265,  1261,
    1350,   843,   842,     0,   843,     0,  2736,   843,     0,   843,
       0,  2736,   843,     0,     0,     0,   843,  1873,  1874,     0,
       0,  2735,  2731,  2734,   817,   827,     0,   849,     0,     0,
     856,   855,   854,     0,     0,     0,   857,  1454,  1292,     0,
     824,     0,   822,     0,  1132,  1149,     0,     0,     0,     0,
    1024,  1024,  1024,  1145,   233,   231,     0,     0,     0,     0,
       0,     0,  1151,     0,     0,     0,     0,  2630,  1856,  1756,
    2629,     0,  2121,  2122,  2123,  1814,     0,  2571,  2124,  2125,
    2166,  1668,  1655,  1664,  1669,  1656,  1658,  1665,  2126,  2127,
    1938,  2128,  2129,  1863,  2130,  2131,  1494,  2133,  2134,  2135,
    1660,  1662,  2136,  2137,     0,  1864,  2139,  2140,  2014,  2142,
    2143,  2145,  2146,  1666,  2148,  2149,  2150,  2151,  2152,  2153,
    1862,     0,  1667,  2154,  2156,  2157,  2158,  2159,  2160,  2161,
    2162,  2163,     0,     0,  1837,     0,  1640,     0,  1486,  1487,
    1509,  1510,  1488,  1515,  1516,  1528,  1489,     0,  1836,  1553,
    1639,  1645,     0,  1638,  1634,  1353,  1832,     0,  1635,  1852,
    1815,  1866,  1865,  2624,  1823,  1855,  1853,  1854,     0,     0,
       0,   196,     0,     0,  2499,   245,     0,   246,  1838,  2065,
     185,   226,   198,   225,   199,   197,     0,  1904,   186,     0,
       0,   187,     0,     0,     0,     0,     0,     0,     0,   239,
    1140,     0,  1452,  1451,     0,     0,  1821,  1841,   758,     0,
    1233,  1234,  1232,     0,  1229,  1231,  1243,  1240,  1828,  1827,
    1829,     0,  1345,     0,     0,     0,  1327,  1326,  1246,  1365,
    1366,     0,     0,     0,     0,     0,     0,     0,     0,  1408,
    1381,  1382,  1384,  1405,  1409,     0,  1333,     0,     0,  1456,
       0,  1416,  2263,  2405,  2406,     0,  2400,     0,  2399,  2399,
    2393,  2392,  2389,     0,     0,     0,     0,     0,     0,     0,
       0,  2320,   510,  2322,   507,     0,     0,  2296,     0,  2300,
    2298,     0,  2445,  2448,     0,  2446,  2447,  2449,     0,  2454,
    2455,     0,     0,     0,  2637,     0,     0,  2436,  2424,  2431,
    2433,  2435,  2434,  2443,  2439,  2442,  2444,  2386,  2399,  2517,
       0,  2512,  2515,     0,  2507,     0,     0,     0,  1851,     0,
       0,     0,     0,   752,     0,     0,     0,     0,     0,     0,
     134,  1197,   236,  1195,     0,     0,     0,     0,     0,     0,
       0,  1202,     0,   168,   169,   543,   528,     0,  1966,     0,
       0,     0,     0,   964,   971,     0,     0,     0,     0,     0,
       0,     0,   965,   963,   966,   238,   975,   988,   991,     0,
     882,     0,     0,     0,     0,  1067,     0,     0,  1067,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     256,   262,   305,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,     0,     0,     0,   494,   506,     0,
       0,     0,     0,     0,   503,     0,   135,   258,   487,   491,
       0,     0,     0,   605,   604,     0,  1067,     0,   254,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   324,   325,     0,     0,   139,     0,
       0,     0,     0,   260,     0,  2330,     0,  1159,  1156,  1157,
       0,  1162,     0,  1219,     0,     0,     0,     0,     0,   790,
       0,     0,  1906,  1953,     0,     0,     0,     0,     0,     0,
     359,   338,   339,   135,   337,     0,     0,   664,     0,  1497,
    1526,  1504,  1526,  1526,  1493,  1493,  1506,  1495,  1533,     0,
    1526,  1493,  1498,     0,  1496,  1536,  1536,  1521,     0,  1478,
    1479,  1480,  1481,  1507,  1508,  1482,  1513,  1514,  1483,  1550,
    2576,  1493,  2577,  2574,  2573,     0,     0,   675,     0,  1174,
    1209,     0,     0,   537,     0,  1966,     0,   137,   709,     0,
     665,     0,   137,     0,   173,     0,   600,     0,     0,     0,
       0,     0,     0,   625,   624,     0,     0,     0,   666,     0,
     137,   490,  1966,     0,   441,   441,     0,   906,   909,     0,
       0,     0,  2290,  2285,  2288,     0,  2278,  2292,  1319,  1321,
    1320,     0,  1318,     0,   310,   308,   309,   662,  1016,     0,
       0,     0,     0,   310,     0,     0,  1966,   310,  1966,     0,
    1966,     0,     0,   310,   310,     0,     0,     0,     0,   601,
       0,   748,   746,   745,   747,     0,     0,     0,     0,     0,
    1966,   310,     0,     0,   731,  2644,     0,     0,  2647,     0,
    2367,  1766,     0,  2732,  1274,  2729,     0,     0,  1350,     0,
     215,   216,   214,  1263,   217,  1264,  1260,  1248,     0,   835,
       0,  2736,  2737,   820,     0,   830,     0,  2736,   818,     0,
     831,   828,   829,     0,     0,     0,  2730,  2615,  2621,   834,
       0,     0,   442,   444,     0,     0,  1924,  1937,     0,  1958,
    1984,  1985,  2057,  2061,     0,  2084,  2093,     0,   858,   887,
     853,     0,     0,  1302,   825,   823,  1133,  1267,  1772,     0,
    1350,     0,  1023,  1020,  1019,  1018,   232,   205,     0,     0,
       0,   889,  2056,  1148,   800,   528,     0,     0,  1643,  1644,
    1525,  1512,  1813,     0,     0,  1520,  1519,     0,     0,     0,
       0,     0,  1502,  1501,  1500,  1642,  1780,     0,  1499,     0,
       0,     0,     0,  1526,  1526,  1524,  1573,     0,  1503,     0,
       0,  1793,     0,  1799,     0,     0,     0,  1532,     0,  1530,
       0,     0,  1609,     0,     0,     0,     0,     0,     0,     0,
       0,  1557,  1558,  2572,  1640,  1766,     0,  1641,  1859,     0,
       0,  1518,     0,  1550,  1756,     0,     0,     0,     0,  1826,
       0,  1764,     0,     0,  1587,  1762,     0,  1589,     0,     0,
       0,  1755,  1753,  1754,  1747,  1748,  1749,  1750,  1751,  1752,
    1760,  1570,     0,  1835,     0,  1569,     0,     0,  1418,  1352,
       0,  1857,  1816,     0,  2622,  2625,  1636,  2496,  2495,  2494,
    2493,  2464,     0,  2458,  2459,     0,  2497,  2498,   247,   248,
     244,     0,     0,   201,   200,     0,   223,   224,   195,   222,
       0,   218,   219,   203,  1708,  1707,   202,   194,   192,   190,
     206,   208,   209,   193,   191,   242,   240,     0,     0,     0,
    1818,  1817,  1847,  1822,     0,     0,   310,  2399,  1227,     0,
    1224,  1831,     0,  1347,     0,  1842,     0,  1236,  1343,  1342,
    1374,  1375,   924,  1341,  1399,  1400,  1395,     0,  1414,  1414,
    1391,  1385,  1390,  1388,     0,  1392,  1553,  1407,  1331,  1379,
    1380,  1383,  1330,     0,  1410,  1408,  1384,  1289,     0,     0,
    1457,     0,     0,  2407,  2405,  2345,  1478,  2399,  2338,  2399,
    2394,  2326,  1544,  1545,  1546,  1547,  1548,  1549,  2327,     0,
    2324,  1543,  2325,   508,   509,     0,     0,     0,  2293,     0,
    2274,  2299,  2430,  2539,  2462,     0,  2463,     0,     0,  2427,
       0,  2437,  2440,  2438,  2441,     0,  1478,  2618,  2513,  2618,
    1478,     0,     0,     0,     0,     0,     0,     0,     0,   753,
       0,     0,     0,     0,     0,     0,  2084,   235,  1193,     0,
       0,     0,     0,   891,   890,     0,     0,   911,     0,     0,
       0,  1205,   430,     0,   307,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   541,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   575,     0,  1067,     0,   613,     0,   973,     0,   972,
       0,     0,     0,   974,   969,   970,  2057,  2065,  2089,   237,
     990,     0,   989,   987,   946,   948,   947,     0,   950,   934,
       0,   935,     0,     0,   945,   953,   951,     0,     0,     0,
       0,  1946,   264,   277,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   297,     0,   300,   299,
       0,     0,     0,     0,   304,     0,     0,     0,   303,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,   156,     0,   159,     0,     0,     0,   493,   505,     0,
     497,   498,   495,   499,   500,     0,     0,     0,     0,     0,
       0,   492,     0,     0,   598,   597,   603,     0,     0,     0,
       0,     0,     0,     0,  1059,  1058,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     616,   617,     0,   618,     0,   160,   161,     0,     0,     0,
       0,     0,     0,     0,   213,  1155,  1161,  1222,  1848,  1221,
       0,     0,     0,   792,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     343,     0,   690,  2573,   663,     0,  1478,     0,  1474,  1470,
    1539,  1538,  1537,     0,  1484,  1493,  1490,   676,     0,   678,
     681,     0,  1172,   403,     0,   534,   575,     0,     0,     0,
     166,     0,     0,     0,   133,   177,   386,     0,   176,   178,
     180,   181,   182,   179,   183,   595,   599,     0,   530,     0,
       0,     0,     0,     0,   626,   630,   629,   633,   631,     0,
     627,     0,     0,  1466,     0,   155,   486,   489,     0,  2271,
       0,   388,   472,   317,     0,     0,   908,     0,     0,     0,
       0,     0,  2291,     0,     0,     0,     0,  1317,     0,   994,
       0,  1200,  1966,   310,     0,   992,   171,  1870,     0,   732,
       0,     0,     0,     0,     0,   996,   728,   163,     0,   310,
     310,   533,     0,   310,   165,     0,     0,     0,   525,   310,
     750,  2645,  2651,  2649,  1276,     0,  2733,  2727,  2728,   441,
    1321,  1250,  1259,   832,   839,   821,   838,   837,   819,   836,
     833,  2429,     0,     0,  2620,     0,   850,     0,   440,     0,
       0,     0,   864,   865,     0,     0,   863,   880,   866,     0,
     868,   860,   859,   869,   870,     0,     0,   889,     0,  1299,
       0,  1297,     0,  1455,  1301,  1290,  1268,     0,  1266,  1271,
    1273,  1272,  1270,     0,     0,     0,   847,     0,     0,   310,
    1147,     0,   802,   803,   808,     0,     0,     0,   809,   805,
     806,   807,   810,   811,   812,     0,     0,     0,  1776,     0,
    1777,     0,     0,     0,  1812,  1808,     0,     0,     0,     0,
       0,     0,  1784,  1785,  1786,  1783,  1787,  1782,     0,     0,
    1788,  1781,     0,     0,     0,     0,     0,  1523,  1522,     0,
       0,     0,     0,     0,     0,     0,  1612,  1645,     0,     0,
    1740,     0,  1766,  1798,     0,     0,  1534,     0,     0,     0,
       0,     0,     0,     0,  1766,  1804,     0,     0,     0,     0,
    1706,     0,  1703,     0,     0,     0,     0,  1823,     0,     0,
       0,     0,  1860,  1554,  1571,  1834,     0,  1825,     0,     0,
    1555,  1578,     0,  1805,  1605,     0,  1610,  1593,     0,  1586,
       0,  1591,  1595,  1574,  1826,  1765,     0,  1763,     0,     0,
    1572,     0,  1567,  1565,  1566,  1559,  1560,  1561,  1562,  1563,
    1564,  1568,  1744,  1742,  1743,     0,     0,     0,  1590,  1960,
    1993,     0,  1364,  1364,  1364,  1351,  1362,  1833,     0,  1461,
       0,     0,     0,     0,  1723,     0,  1770,     0,  1768,  1850,
    2627,  2626,  1824,     0,     0,     0,  1839,     0,     0,  1550,
       0,   241,  1453,  1819,     0,   756,   757,   755,  1478,  1246,
    1230,  1226,  1225,  1830,  1245,     0,  1350,     0,   922,   923,
       0,   927,     0,     0,  1393,  1406,     0,  1302,  1302,     0,
    1397,  1398,  1389,  1335,  1334,     0,  1464,     0,     0,  1286,
    1279,  1458,     0,  1418,  1304,  1306,  1307,     0,  1823,  2343,
    2401,  2348,  2369,  2339,  2372,  1552,  2321,  2361,     0,  2295,
    2465,  2466,     0,  2456,  2457,  2426,  2432,  2503,     0,  2619,
       0,     0,   688,   687,     0,     0,     0,  1093,  1026,  1071,
     754,  1094,  1027,  1072,  1095,  1028,  1194,     0,  1196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   651,  1966,   310,  1203,  1096,     0,  1029,
     306,  1204,  1073,  1208,  1074,     0,   542,     0,     0,   547,
     548,   549,     0,     0,   550,  1906,  1953,     0,   555,   561,
     565,   556,     0,   566,   562,     0,     0,     0,     0,     0,
       0,   572,   574,     0,     0,     0,     0,     0,     0,   967,
     968,  1097,  1032,     0,  1075,   949,  1493,   933,     0,     0,
     944,     0,   943,  1493,  1493,  1033,   167,     0,   257,   265,
     581,  1069,   283,   296,   291,   292,   290,  1966,   310,  1966,
     310,     0,     0,     0,     0,   293,   288,   289,   285,   298,
    1883,  1939,  2066,     0,   585,   587,     0,   592,   301,  1045,
       0,   318,   321,   302,   281,   284,   282,   278,   263,     0,
       0,  1846,     0,     0,   998,     0,     0,     0,   158,  1055,
       0,     0,   144,     0,     0,     0,     0,   138,   148,  1103,
    1037,     0,     0,   259,   488,   496,   501,  1041,   504,  1085,
     502,  1109,  1038,  1067,     0,   255,     0,  1039,     0,  1079,
    1105,  1057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1211,     0,     0,     0,     0,     0,   310,     0,   697,
    1069,  1966,   310,  1104,     0,  1064,  1091,     0,   326,     0,
    1056,     0,     0,   261,  1043,  1087,     0,     0,   211,   210,
     212,     0,     0,     0,     0,     0,     0,     0,     0,   794,
     765,   793,     0,     0,     0,     0,     0,     0,     0,   759,
     358,   335,   336,     0,     0,   334,   340,   689,     0,     0,
       0,  1475,  1471,     0,     0,     0,     0,     0,     0,  1491,
     677,     0,     0,     0,     0,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1173,  1201,   135,     0,     0,     0,   536,   574,
     581,     0,   609,   612,     0,   610,     0,     0,     0,     0,
       0,   149,   136,     0,   717,   441,   172,     0,     0,     0,
     529,   674,   672,   671,   673,     0,     0,     0,   694,   670,
       0,  1465,  1467,     0,     0,     0,     0,   390,     0,     0,
     387,   391,   395,   396,   397,   444,     0,     0,   476,     0,
       0,     0,     0,   938,     0,   956,   939,     0,     0,     0,
     978,   983,   979,   959,     0,   513,  2289,  2283,  1322,  1323,
       0,   310,     0,     0,   576,   310,   310,     0,   310,     0,
     310,   310,     0,  1130,   602,     0,   659,     0,     0,   310,
     730,  1767,     0,  2428,  2616,   851,   443,     0,     0,     0,
       0,   862,     0,   511,   867,     0,   879,   874,   876,     0,
     883,  1300,  1293,  1295,  1294,     0,     0,  1291,  1773,   729,
       0,     0,   310,     0,   884,     0,   804,     0,     0,     0,
       0,  1369,  1774,  1775,     0,     0,     0,     0,  1809,     0,
       0,  1681,     0,  1657,  1659,  1492,  1671,     0,  1505,  1682,
    1683,  1661,  1663,     0,  1757,     0,     0,  1672,  1614,  1615,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1627,  1626,  1673,  1739,     0,     0,  1796,
    1797,  1674,  1535,  1536,  1536,     0,     0,  1803,     0,     0,
       0,  1679,  1684,     0,     0,     0,     0,  1690,     0,  1711,
       0,     0,     0,  1637,  1767,  1527,  1528,     0,     0,     0,
       0,     0,     0,     0,     0,  1611,  1594,  1588,     0,  1592,
    1596,     0,     0,     0,     0,  1580,  1606,  1576,     0,     0,
    1582,     0,  1607,  1364,  1364,  1364,  1364,  1361,     0,     0,
       0,     0,  1428,  1417,  1419,  1430,  1421,  1423,  1459,     0,
    1840,     0,  1402,  1373,  1373,     0,  1723,     0,  1646,     0,
    1723,     0,     0,  2478,  2480,  2481,  2482,  2483,  2484,  2486,
    2487,  2489,  2490,  2491,  2479,  2485,  2488,  2492,  2469,  2470,
       0,  2460,  2461,   188,     0,   220,   207,     0,  2503,  1228,
    1843,     0,  1376,     0,  1758,   927,   925,   926,  1378,     0,
       0,  1413,  1412,  1411,  1386,  1288,     0,  1286,  1281,     0,
    1282,  1823,     0,  1278,  1311,     0,     0,  1464,     0,  1310,
       0,  2403,  2331,     0,     0,  2502,  2505,  2516,  2514,  2341,
    1092,  1025,  1070,  1192,   894,   895,     0,   893,     0,     0,
       0,   429,   910,     0,     0,     0,   651,     0,     0,   433,
       0,  1206,     0,   544,   545,     0,     0,   563,     0,     0,
     552,     0,     0,     0,     0,   551,   568,   517,   569,   571,
       0,     0,   570,   573,   578,  1067,     0,   614,  1047,     0,
    1089,   961,     0,  1493,   936,   941,   942,     0,     0,     0,
     403,     0,     0,     0,   266,   276,     0,     0,   280,     0,
     274,   294,   286,   295,   287,   589,   590,   588,   584,     0,
     591,   593,   315,     0,     0,     0,  1099,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1100,  1076,
       0,     0,   141,   140,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   327,   312,
       0,     0,     0,     0,     0,   329,     0,     0,     0,     0,
    1098,  1034,   760,     0,     0,   761,   769,     0,     0,   762,
       0,     0,     0,     0,     0,     0,   771,   361,     0,   364,
     371,   344,   348,  1210,     0,  1210,     0,   349,  1210,   345,
    1210,   342,   691,     0,  2014,  1747,  1748,   685,   692,   682,
     684,   683,   686,   651,     0,     0,     0,  1476,     0,  2717,
    2725,  2724,     0,  1550,   679,   680,     0,  1192,  1191,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     415,     0,     0,   409,     0,     0,   983,   402,   405,   406,
     537,   540,   538,   539,   567,     0,   608,     0,   581,   151,
       0,     0,   152,   150,     0,   317,   386,     0,     0,   632,
     635,   628,     0,   693,   695,   668,     0,   581,     0,  1277,
     485,     0,   472,   422,   468,     0,   470,   469,   471,     0,
     478,   316,     0,     0,   911,   937,     0,     0,     0,   976,
     980,   977,     0,     0,   952,     0,   960,   930,  1125,  1126,
    1123,  1124,     0,     0,  2306,  1313,  2315,   995,     0,   310,
     993,   733,     0,   724,     0,   726,   997,   310,   310,   619,
       0,   526,     0,     0,     0,     0,   861,   881,     0,   877,
       0,     0,   844,   886,  1298,  1296,   889,     0,   845,   888,
       0,     0,     0,     0,     0,  1778,  1511,     0,  1811,  1807,
       0,  1654,  1779,     0,  1791,  1790,  1613,  1792,     0,  1632,
       0,     0,  1624,  1622,  1623,  1616,  1617,  1618,  1619,  1620,
    1621,  1625,  1801,  1800,  1794,  1795,  1531,  1529,     0,  1676,
    1677,  1678,  1802,  1685,     0,  1897,  1712,  1689,  1705,  1704,
       0,     0,     0,  1692,     0,     0,  1701,     0,  1741,  1517,
    1550,  1556,     0,     0,  1579,  1806,  1597,     0,     0,     0,
    1575,     0,     0,     0,     0,  1584,  1757,     0,     0,     0,
       0,     0,     0,  1355,  1354,  1360,  1337,     0,  1430,     0,
    1429,  1441,     0,     0,  1447,  1445,     0,  1447,     0,  1447,
       0,  1422,     0,  1424,  1441,     0,  1841,  1460,     0,  1404,
       0,     0,  1372,     0,  1723,  1653,  1726,  1721,  1722,  1771,
    1647,  1858,     0,  1769,  1723,     0,     0,     0,  1820,  2501,
    1348,     0,  1377,  1394,  1387,     0,  1462,  1287,     0,     0,
    1284,  2732,     0,     0,  1305,  1286,  1308,  2347,     0,  2402,
    2467,  2468,     0,   900,   901,   899,   902,     0,     0,     0,
     651,     0,     0,   449,     0,   918,   918,     0,     0,   435,
     481,   983,   654,     0,     0,     0,   652,   310,  1030,     0,
     564,     0,     0,   560,   558,   557,   559,   518,  1108,  1031,
       0,     0,     0,     0,   962,     0,   954,  1046,     0,   400,
       0,   271,  1068,     0,     0,     0,   270,     0,   310,   310,
     586,   319,   320,   323,     0,     0,     0,     0,     0,     0,
     718,   701,     0,     0,   719,   720,     0,     0,     0,  1000,
    1001,   999,   145,   142,   143,   146,  1042,  1086,  1040,     0,
    1080,  1051,  1049,     0,     0,     0,     0,     0,  1107,  1063,
    1084,  1106,  1061,  1082,  1060,  1081,  1062,  1083,  1054,     0,
    1469,   699,   698,     0,   310,   310,   621,  1044,  1088,     0,
     763,     0,     0,   764,   775,   773,   772,   774,   766,   362,
     135,     0,   341,     0,   369,     0,   367,   366,   368,     0,
     355,     0,     0,     0,     0,     0,   661,     0,     0,     0,
    1472,     0,     0,     0,     0,     0,     0,  1477,  1485,   650,
       0,  1183,  1182,  1181,  1185,  1184,  1187,  1186,  1178,  1177,
    1190,  1189,  1176,  1175,  1180,  1179,     0,   407,     0,   413,
     417,   418,   416,   408,   983,   441,   480,   535,     0,   611,
     606,   154,   153,     0,     0,     0,     0,   637,   641,   669,
       0,  1468,   615,     0,   388,   485,     0,  2272,     0,   393,
     398,   399,     0,   476,   419,     0,   472,   392,     0,     0,
     482,  1170,     0,     0,   940,   957,   958,     0,     0,   983,
     982,     0,   520,     0,  2279,   310,   577,   310,   310,  1131,
     660,     0,   873,   872,   871,   512,     0,   875,   310,     0,
       0,     0,     0,     0,   814,   795,   813,  1810,  1670,  1680,
    1789,     0,     0,  1633,     0,     0,  1675,  2155,     0,     0,
       0,     0,  1709,  1710,  1691,     0,  2005,  1696,     0,     0,
       0,  1861,  1603,  1601,  1598,     0,  1599,     0,     0,  1581,
    1577,     0,  1583,  1608,  1359,  1358,  1357,  1356,  1432,  1439,
       0,  1420,     0,  1446,  1442,     0,  1443,     0,     0,  1444,
       0,     0,  1439,     0,     0,     0,     0,  1717,  1723,  1723,
    1648,  1728,  1725,     0,  1650,  2471,     0,  2474,  2472,  2473,
    2477,  1550,     0,     0,  1280,  1283,  1285,     0,  1312,  1303,
    2404,  1198,     0,     0,     0,   431,     0,   983,     0,     0,
       0,   921,   921,     0,   983,   480,   656,   655,   658,   653,
     657,  1207,     0,   553,   554,  1048,     0,  1090,  1052,   955,
       0,   582,   267,   268,   269,   272,   312,   279,   273,     0,
    1101,  1035,  1077,     0,     0,   707,     0,     0,     0,     0,
    1102,  1036,  1078,     0,     0,     0,     0,  1216,     0,   311,
     312,   328,  1065,     0,   767,   768,   343,     0,   365,   374,
       0,   372,   346,   351,     0,   353,   352,   347,   350,  1473,
       0,  1014,  1014,  2718,  2719,  2720,  2721,  2722,  2723,     0,
     651,  1188,     0,     0,   404,   480,   448,     0,   410,     0,
       0,     0,   388,   581,   636,     0,     0,     0,   696,   390,
       0,  1275,   483,     0,   389,     0,     0,   478,     0,     0,
       0,   476,     0,   473,     0,   477,     0,  1165,     0,     0,
     981,     0,   985,     0,   951,   928,  1461,     0,   524,  2305,
    2309,  1015,   725,   727,   620,   878,   885,   310,   796,   797,
     798,   799,  1628,     0,     0,     0,     0,  1686,     0,  1687,
    1714,  1713,  1693,  1697,     0,  1694,  1695,  1600,  1604,  1602,
    1585,  1431,     0,     0,  1433,     0,     0,  1435,  1437,     0,
       0,     0,     0,     0,  1844,  1723,  1401,  1403,     0,  1338,
    1651,  1652,     0,  1373,  1723,  2476,  2475,   221,  1759,  1463,
    1309,   879,     0,   310,   918,   480,   450,  2014,   451,   917,
       0,   919,   924,   924,     0,   480,   651,   546,     0,   580,
       0,   314,   322,     0,     0,   714,   702,     0,     0,   721,
    1050,     0,     0,     0,     0,     0,   310,   770,   333,   360,
     370,     0,   354,  1014,     0,  1011,  1010,   649,     0,   439,
     411,     0,   459,     0,   581,   711,  1170,   594,   638,   639,
     634,     0,     0,   472,   468,   484,   394,   403,   377,   428,
     427,   424,   423,   425,   426,   421,   420,     0,   478,   474,
     475,     0,     0,     0,  1218,     0,   912,   984,     0,     0,
       0,   519,     0,     0,   523,   514,     0,  2307,   846,  1629,
       0,  1630,     0,     0,     0,  1699,  1698,     0,  1440,  1449,
       0,  1436,  1434,  1425,     0,  1427,  1716,  1718,     0,     0,
    1731,  1649,   896,     0,   897,   921,   454,     0,   920,   927,
     927,   441,   651,   432,  1053,   583,     0,   275,     0,   705,
       0,   716,   714,     0,     0,  1212,     0,  1213,  1214,  1217,
     330,   373,  1009,  1013,  1012,     0,     0,   412,   445,   446,
     447,     0,   414,   455,   456,     0,   607,     0,     0,  1166,
       0,     0,   476,   472,   401,   467,   375,     0,  1167,     0,
     317,     0,   983,   986,  1129,   522,   521,  2310,  2312,  2311,
       0,  1631,  1702,  1688,  1715,  1700,  1438,     0,  1426,     0,
       0,  1727,     0,     0,     0,     0,   924,     0,   651,     0,
     915,   914,   448,   434,   313,     0,     0,   712,   715,   703,
     716,   723,   722,     0,     0,   438,     0,     0,     0,   457,
       0,   458,   479,   710,     0,   640,     0,   478,   476,  1168,
    1169,   478,   913,   929,  1128,  1127,  1350,  2308,  1448,  1719,
    1720,  2120,     0,  2095,     0,  1729,  1732,  1730,  1724,   310,
     927,     0,   436,   452,   459,     0,     0,   704,  1215,   641,
     464,     0,   463,     0,   461,   460,   700,   644,   378,   478,
    1461,  1111,  1350,  1110,  1112,  1120,  1117,  1119,  1118,  1116,
       0,  1736,  1735,  1734,  1738,  1737,   898,   916,     0,   651,
     706,   713,     0,   462,   466,   465,     0,   642,   645,   648,
     646,   647,   376,   903,     0,  1121,  1115,  1337,  1324,     0,
     453,   437,     0,   622,     0,  1113,  1350,  1733,     0,   643,
    1114,     0,   644,     0,   623
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4308, -4308,  3736, -4308, -1160,   326,  2286, -1100, -4308, -4308,
   -4308,  2902, -4308, -4308, -4308, -4308, -4308, -4308, -4308,  2931,
   -4308, -4308, -4308,  1500, -4308, -4308,   -59, -1560,  1445,  2543,
    1184, -4308, -1347, -4308, -4308,  -862,    -7, -1392, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -1103,  1647,  1008,  4075,
   -2511, -4308, -1672, -3689, -4308,   425, -4308, -4308,  1590, -4308,
   -4308, -4308,   877,  -365, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308,   -91, -4308, -4308,  -537, -1815,  -113,  -159,  -402, -4308,
   -4308,   263,  -406, -1695, -4308, -3524, -4308,  -126, -4308, -4308,
   -4308,  -409, -1666,  1107, -4308,  -981, -1373,  1420,  -698, -4308,
    -290, -4308,  -743,  -640,  -638,  -701,  -534, -3697, -4111, -4279,
   -3435,  1121, -4308,  -133, -1806, -4308, -4308, -1744, -1681, -4308,
    -712, -4308, -4308, -4308, -2991, -4308, -4308, -4308, -4308,  -101,
   -4308, -4308, -4308, -4308,   325, -4308, -4308, -4308, -4308, -4308,
   -4308, -2737,  1570,  1571, -4308, -4308, -3178, -4308, -1175, -4308,
     480, -3036,  1050, -4308, -4308, -4308,  2257, -4308, -4308, -4308,
   -4308,   337, -4308,   338, -4308, -4308, -1840, -4308, -4308, -1805,
   -4308,  1583,   869, -4308, -4308, -4308,  -711,  -773,  -761, -4308,
   -3495, -4308, -4308, -4308, -4308, -4308, -1243, -4308,   923, -3130,
   -1207, -4308, -4308,   939, -4308, -4308, -4308, -4308,  -665,  -273,
    2287, -4308,  -565,  -642, -4308, -4308, -4308,  -269, -4308, -4308,
   -4308, -4308, -4308, -4308, -1307,  5389, -1825, -4308, -4308, -4308,
   -4308, -2301, -4308, -4308, -4308, -1785, -4308,  4014,     1,   131,
   -1801, -4308,  -202,  -114,  2797, -1376, -2699,   284,  -412, -4308,
   -2013, -4308, -4308, -4308, -2596, -4308, -4308, -4308, -4308, -3465,
   -1792, -4308, -4308, -4308,   346, -4308, -4090, -3907, -4176, -3527,
   -3439, -4308, -4308, -1313, -4308, -4308, -4308, -1620,  1788, -1696,
   -4308, -2309,   334, -3714,  -994, -3258, -4308, -3662,  -497, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -1306,  -860, -4308, -4308,
    3313, -4308, -3448, -4308, -4308, -4308, -4308,  1174, -4308, -1700,
    1025, -4308, -4308, -4308, -4308, -4308,  -634,  -718, -4308, -4308,
   -4308,   206, -4308, -4308, -4308, -4308,  1581, -1191,  -996,  3175,
   -1789,  -443, -4308, -4308, -4308, -4308, -3034, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308, -1277, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308,  1986,  1988,  -105,  -212, -4308, -4308, -1484, -4308,
    -795, -4308,  2227, -4308, -4308, -4308, -4308,  1293,   258,   382,
     -74, -4308, -4308,   173, -3389,   -64, -4308, -4308, -4308, -4308,
    -274,   -61, -4308,   648, -4308, -4308, -2828, -4308,   294,   -77,
    2888,  1545,   -62,   201,  -245,  -214,  -208,   -75,  3176,  2653,
   -4308, -4308, -4308,  -204,  1946, -4308, -1081,  -354, -4308,  1301,
    -900,  1966,  2645,  2647, -4308,  1299, -4308, -4308,  1307, -4308,
   -4308, -4308,  -895,  1974, -4308,  2648,  1995, -4308,  1294,  1305,
   -3371,   751, -3360,   245,  -990,  -326,   -84,  3208,  2663, -4308,
   -4307,   679, -4308, -3452, -2411, -1163, -2115, -1838, -4308, -4308,
   -1389, 11306, -4308, -4308, -4308, 14967, 16009, -4308, -4308, 18178,
   19596, -4308, -1229,   792, 20084, 10750, -1441, -1842, -1541, 18325,
     375,   712, -2750, -4308, -4308, -4308,  -297,   803,   229, -4308,
   -4308, -4308, -4308,  -536, -2847,  -538, -4308, -4308, -4308,  -539,
   -4023,  1039, -4308,  -763, -4308, 19535,  1335, -4308, -1223, -2749,
   -2760, -1390, -1966, -4308, -4308, -4308, -4308, -4308, -4308, -4308,
   -1252, -3257,  -626,  1410, -4308, -4308,  1504, -4308, -4308, -4308,
   -1539, -1132, -2670,  1415, -2161, -4308, -1092,   698,  2104, -1032,
    4734, -1533, 16241,  -119, -2410, -1514, -1764, -4308,   287, -4308,
    3361,  4281,  -873,  -165,  -843,  5926,  3974,  5236, -3107, -4308,
   -4308,   297, -4308, -4308, -4308,  3669,   946, -4308,  2994, -4308,
    1645,  2348, -4308, -4308,  1978,  -939,    40, -4308,  -512, -4308,
    -128, -4308, -4308, -4308,   164, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308, -4308, -4308,  2672, -4308, -4308, -1453, -4308, -4308,
   -4308, -4308, -4308,  3923,  -294, -4308,  3351,  -277, -4308, -4308,
   -4308, -4308, -4308, -4308, -4308, -4308, -4308,  2679,  2011, -4308,
    3149, -4308, -4308, -4308,   -68,  2903, -4308, -4308, -4308, -1181,
    -583,  3177,  3180,  1975, -4308, -4308, -4308, -4308, -4308, -4308,
   -4308, -4308,  1985, -4308, -4308,  1390, -2150,  1993, -4308, -4308,
     713, -4308, -4308,   265, -4308,   718, -4308,  2789, -4308, -4308,
   -4308,   749, -4308, -4308, -4308,  -591, 13882,    42,    11,    91,
    1331, -4308,  8653,  6813,    21,  2696,   -34, 11531, 18131,   -17,
   -4308,  3916,  1990,  1613, -1000, -4308,  3446,  2295, 16826, -4308,
    -997,   300,  1621, -4308,    -2,  -675, -1168,  2982,  -740, -1954,
   -4308,  4333, -4308, -3536, -4308, -1033,   273,  3355, -1202
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   247,   248,  1701,  2600,  2481,  3291,  3292,   249,
     250,  1772,   251,   252,   253,   254,   255,   256,   257,  1716,
     258,   259,  1279,  1914,  2608,   260,  2357,  1055,  1056,  2229,
    2230,  2545,  2231,  2218,  1552,  2014,  1735,  1703,  1736,   262,
     263,  1546,  2210,   264,   265,   266,  1760,  1761,  1711,  1957,
    4190,  4757,  2468,  3330,  3130,  3131,   267,  1814,  1815,   268,
     269,  3243,  1853,  3245,  3246,  3781,   865,  2569,  4210,  4211,
    3768,  3769,  4217,  4490,  4491,   270,  1911,  3319,  3862,  3320,
    4288,  3321,  4289,  3322,  4290,  3273,  3827,  3828,  3829,  3323,
    4294,  4695,  3324,  2372,  4777,  2642,  2044,  2042,  4672,  4092,
    4093,  4828,  4782,  4783,  4784,  4894,  4296,  3328,  3870,  4300,
    4518,  3033,  1933,  4287,   271,   272,  2636,  1788,  1789,  2489,
    3787,  3384,   273,  1296,  3646,  4558,  4714,  4715,   274,   853,
     275,  1918,   276,   277,  2595,  3278,   278,  2384,  3046,   279,
     280,  3071,  3072,  3073,   281,   282,  3670,  4450,  1762,  3123,
    3124,  3125,  3126,  3690,   283,  1916,  1794,  2617,   284,   285,
     286,  2599,  3284,  3285,   287,   288,  2532,   289,   290,   291,
    1926,  2629,  2630,  4278,  4525,  4680,  4527,  4926,  4927,  4510,
    3629,  4106,   292,   293,   294,   295,  1897,  2588,  2589,  3788,
    1687,  1857,  2571,  2572,  3852,  3853,   296,   297,  4150,  4151,
     895,  4788,  4761,  4839,   298,   299,  4154,  4155,   300,   301,
     302,   303,   304,   948,  1347,  1348,  1693,   305,  2246,   306,
    1254,  3230,   307,  1435,  2776,  4335,   308,   982,  1372,  1373,
     309,   310,   993,  2756,   995,  2057,  3386,  3387,  3922,  2726,
    1179,   311,   312,  2737,  2759,   313,  1704,  2363,  2364,  4087,
     314,   896,  1938,  2645,  3028,  4705,  4094,  4431,  4632,  2951,
    3578,   315,   897,  1740,  2430,  2648,  3334,  3335,  2432,  2915,
    3883,  2434,  3336,  3341,  3342,  3343,  3879,  3887,  4552,  4553,
     316,  1738,  2423,   317,   318,   319,  1767,  1197,   320,   918,
     919,   321,  4665,   322,  1315,   323,  1013,  2073,   324,  2446,
    3676,   325,   326,   327,  4903,  4934,  4935,  4936,  3892,  4866,
     328,  4905,  1414,   330,   331,   332,   856,  1222,  1223,  1224,
     333,  4547,   334,   335,  2592,  3272,  3809,   336,   337,  2358,
    3018,   338,   339,   340,  1901,   341,   342,   343,   344,  1833,
     345,  1583,  1584,   346,   347,   860,  1074,  1587,  1595,   348,
     961,  1366,  1367,  1368,  2016,   349,  1418,  2748,   962,  1361,
     963,  2969,  3589,  3590,  3593,   964,  2966,   353,  2063,  2742,
    2745,   965,  2973,  2974,  2975,  2976,  2977,  3595,   966,   984,
    1306,  2656,   967,  1506,   358,   359,   360,  1083,  1078,  1079,
     362,  2188,  2905,  1001,  1601,  1040,  1090,  4042,  2260,  2261,
    2281,  2282,  1610,  1611,  2271,  2273,  2953,  2274,  2962,  2266,
    4039,  4397,  2277,  2278,  1613,  1614,  2957,   363,  2909,  3523,
    3524,  3525,  4020,  4030,  4384,  4597,  3526,  1408,  1620,  3527,
    3532,  3587,  3310,  3311,  3312,  2435,  2579,  1879,  1507,  1880,
    2586,  1508,  2108,  1882,  1509,  1510,  1511,  1885,  1512,  1513,
    1514,  1515,  2091,  2151,  1516,  1517,  2127,  1122,  1123,  2001,
    2815,  1519,  1520,  3986,  4359,  4348,  2841,  2842,  2226,  3982,
    3475,  4609,  4736,  4737,  4050,  4047,  4401,  4613,  4824,  4875,
    4876,  1521,  2895,  2180,  1199,  1522,  3790,  2182,  2835,  2917,
    2918,  2342,  2089,  2781,  2798,  2799,  2812,  3436,  2819,  2824,
    3459,  3460,  2836,  2864,  1523,  2784,  2785,  3419,  2093,  1524,
    1576,  1577,  2196,  2859,  1590,  1591,  1076,  1525,  1526,  2058,
    1065,  4593,   711,   694,  3140,  2241,  1226,   998,  1527,  1528,
    1529,  1323,  1324,  1642,   656,   695,   696,  1160,   807,     2,
      75,   968,  3316,   367,   368,   899,   900,   901,  1298,  1299,
    1943,  1946,  1647,  2320,   660,   661,   712,  4314,  4559,  4717,
     954,   369,   370,   371,   372,  1643,  2316,  1124,    76,    84,
      77,  1125,   409,   410,  2297,   373,   824,   374,  1623,  1104,
    3601,   375,   376,   377,   378,   379,   951,   380,  1106,   381,
    1107,   382,   383,   384,   385,  1114,   386,  1625,  1626,  4079,
    1627,   387,   388,   698,   699,  1359,   389,   390,  1141,  1142,
    1391,  1392,  1653,  1668,  1669,  1670,   391,   668,   392,   393,
     394,  1659,  1660,   395,  2203,  2204,  2325,  2205,   396,  2990,
    2991,   397,  3558,  3559,  4408,  3560,   398,  2199,   399,   400,
    1068,  3606,   401,   820,   402,  1155,   700,   701,   702,  1162,
     810,  1026,   713,  1164,  3127,   812,   813,   704,   705,   706,
    2036,    78,  2998,  2037,  1531,   714,  1532,  2194,  1533,  1534,
    1535,  1536,  1537,  1676,   708,  1131,  1351,  1352,  2999,  1354,
      82,  1355,   406,  3802,  2004,  1393,  2697,  2022,  2023
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  1082,   986,   361,   351,  1091,  1621,  1032,  1963,  1400,
    1401,  1402,  1615,  1547,   352,  1406,   356,   354,  1967,   710,
    1276,  2013,   986,  1973,  1067,  2041,   910,  2069,  1569,   716,
    1793,  1688,  1831,  1910,   898,  2576,  2727,   894,  2243,  2371,
    1139,  1771,  1928,  2433,   404,  2693,  2129,  2584,  2451,  2442,
     404,  1856,  2923,  1818,  2080,  1307,  1561,   994,  3402,   947,
     960,  2254,  1332,  3142,   854,   858,  2585,  3538,  2547,  2102,
    2103,   261,  1344,  1329,  1308,  1007,   405,  1198,  2443,  3652,
     912,  1101,   405,  3886,  3685,  2464,  3687,   665,  2118,  2634,
     361,  2943,  2304,  2306,  2307,  1033,  2510,  1878,  1102,  2609,
     815,  1787,  3834,  1899,  1798,  1954,  1903,  2501,  2610,  2611,
    3197,  1907,  1823,  2612,  2257,   405,  1369,  1198,  1912,  2431,
     403,  2780,  2613,  3090,  3092,  2614,   403,  1930,   808,  2514,
    2515,  4099,  3805,  1143,   697,  1085,  4062,  2002,   811,  1064,
    1671,  3390,  3791,  1673,  3594,   815,  4129,  1093,  2685,  2243,
    4017,   904,  3535,  1094,  4089,  3791,  4274,  1054,  3528,   403,
     405,  3533,  3534,  1364,  4266,  4293,  4031,  4033,   983,  4309,
    1198,  2419,   697,   808,  2646,  2298,  2298,  3483,  2349,  2028,
    2003,  2981,  4537,   811,  1998,  1737,  1554,  2637,   983,  4432,
    1609,  1028,  3294,   902,   909,  1612,  1649,  1650,  4067,  1028,
    1134,  1028,  3964,   909,   403,  1308,  1029,  3605,   809,   412,
    1353,  3440,  2201,   815,  1029,  3528,  1029,  1927,  2095,  2096,
     412,  2997,  1955,    45,   864,  3001,   412,  1713,   405,  1955,
    1302,  1156,  3810,  3811,  3812,  3813,  3814,  3815,  2521,  4430,
      45,   808,  2244,   909,  2115,  1955,  -135,  2149,   408,  4710,
    2526,   811,  3648,   809,  2068,  -135,  4633,  3877,  4688,  2857,
    -135,  3358,  4231,  3360,  2445,  4846,  3239, -1526, -1526, -1526,
   -1526,   913,   403,  2061, -1526,  1850,  1662,  3417,  3218,   357,
   -1745,  1431,  2146,  1416,   329,  1705,  1072, -1745, -1536, -1536,
   -1536, -1536,   361,   351,  2857, -1536, -2304,  3400,  4226,  1663,
    2445,  3241,    79,   352,  2445,   356,   354,  2155,  3599,  2640,
    4725,  2852,  2508,  2892,   862,  2724,    37,    38,    39,    40,
    2893,   809,  2414,    44, -1851, -1851, -1851, -1851,  2005,  1714,
    2445, -1851,  2158,  1895,   412,  3653,   350,    37,    38,    39,
      40,   404,   666,    43,    44,  1437,  1664,  2631,    45,  2559,
     866,  4864,     3,  1218, -1761,  4912, -1526, -1526, -1526, -1526,
     261, -1761,  2160, -1526,  3816,  1095,   357,  1540,  1144,  1397,
    1831,  4532,   355,   405,  2147,   366,   404,   412,  3054,   411,
    2483,  1844, -2576, -2576, -2576, -2576,    43,  1706,   715, -2576,
    2377,    45,  4262,   130,   131,   859,   825, -2576,  2192, -1536,
   -1536, -1536, -1536,  2908,  2560,  2415, -1536,  3819,   405,  1641,
    4760, -2577, -2577, -2577, -2577,  1389, -1526,   403, -2577,  4796,
    -363,  1551, -2574, -2574, -2574, -2574, -2577,  2536,  2758, -2574,
    4698, -2573, -2573, -2573, -2573,  2129,   826, -2574, -2573,  4435,
    1096,  1219, -1493, -1493, -1493, -1493, -2573,  1081,  4439, -1493,
     974,  1130,   403, -1506, -1506, -1506, -1506,  1974,  2245,  4706,
   -1506,  3252, -2169, -2169, -2169, -2169,  2186,  1956, -2003, -2169,
     975,  3649,  1763,  1630,  1956,  2102,  2103, -2169,  1198,  4913,
    1220, -2304,  2118,  1991, -1521, -1521, -1521, -1521,  4726, -1954,
    1956, -1521,  2189,  2641, -1533, -1533, -1533, -1533,   821,  2632,
     822, -1533,  1308,  3242,   898,  4533,   855,    37,    38,    39,
      40, -1325,  4865,  2722,    44,   914,  1580,  2728,  1581,  2730,
    1398,  1177,  2733,  2068,  4263,  1308,  1707,  2554,  1221,  4847,
    1158,  2059,  2062,  2235,  2236,  2725,  4513, -2304,  2558,  1137,
    1138,  3823,  3653,  2783, -1521,  1267,  2071,  1102,  3075,    37,
      38,    39,    40,  3440,  1652,  1655,    44,  1708,  2081,  1417,
    1405,  1073,  1092,  2858,  4142,  2527,  1684,  3878,   357,  4826,
    3219,   667,  2084,   329,  1128,  2017,  1405,  3824,  4898,  4082,
    2522,  1715,  4900, -1325,  3719, -1745,  1709,  3791,  2509,  2576,
    3825,  1308,  2062,  4933,   915,  4425,   916,  1574,  3503,  4541,
    1993,  1575,  4515,  2475,  1658,  1145,   246,  1965,  2243,  1896,
    1997,  3094,  1896,  2574,  4120,  2150,  2405,  3622,  2894,  2506,
    4932,   904,  3452,  3921,  2497,   350,  2499,  2452,  2550,  1097,
    1135,   980,   981,  2095,  2096,    37,    38,    39,    40,  2546,
    2952,  2115,    44,  1700,  1710,  2738,  2633,  4555,   980,   981,
    2155,  4381,  2090,  2243,  1427,  4385,  2015,  2922,  2202, -1761,
    4270,   355,  1713,   902,   366,  1185,  2378,  2715,  -135,  -135,
   -2003,  3826,  3700,  2551, -1954,  2158,  1136,  1830,  3255,  4282,
    1293,  4857,  3596,  2124,  4209,  2689,  4419,  3135,  4340,  4045,
    1318,  1766,  2068,  2570,  2214, -1526,  4504,  4505,  4506,  4507,
    4508,  1965,  2125,  3076,  1955,  2160,  2187,   909,   909,  2321,
    1631,  4862,  1171,  1308,  1082,  2285,  2126,  4745,  2179,  4440,
    2286,  1308,  1308,   412,  1088, -1325,    37,    38,    39,    40,
   -1954, -2003,    43,    44,  1437,  1664,  3089,    45,  2593,  1616,
    2723,  2090,  3164,   861,  2422,  3099, -2003,  4899,  1370,  2734,
    1574,  1582, -1851,  1263,  1575,  1130,  1665,  1666,   825,  2193,
    1253,  2739,  1207,  1563,  1714,  4625,  1389,  1178,  1838,   823,
    3391,  3528,  4635,  4240,  3701,  3562,  2625,  2155,  1143,  1304,
    3665,  4053,  3666,   412, -1526,  3052,    37,    38,    39,    40,
     404,  1268,    43,    44,  2124,  3393,  2660,    45,   826,  1639,
    1640,  3066,  2158,   815,  1371,   816,  1377,  1317,  1382,   412,
   -2576,  4283,  4712,  2125,  1386,   817,  3757,  3758,   405,  2705,
   -1325, -1328,   405,  3568,  2698,  2708,  1167,  2128,  1998,  3866,
   -2578,   808,  2160,  1294,  1167,   665,  3010,  1377,  1382, -2577,
     665,  1147,  1362,  2874,  2983,  3440,  2983,  2219,  4910,   665,
   -2574,  2626,  2232,  2232,  1365, -1325,  3440,  1000, -1325, -2573,
    2967,  2419,   403,  2777,  2779,  1167,   403,  3066,  3136,  1093,
    2101,  4890,  3067,  4095,  2787,  1094,   665,  2301,  2791,  1363,
     665,  2107,  2365,   361,  2807,  2808,  2803,  2804,  1295,  1008,
   -2169,   665,  4174, -1328,  1376,  2453,  1381,  2640,  2366,  2821,
    2823,  4040,  4312,  3283,  1769,  3573,  1395,  2454,  2478,  1305,
    2837,   809, -1521,  3702,   818,   665,  4947,  1407,  2379,  1167,
    3752,  4070, -1533,  3755,  3756,  1410,  1412,  3759,  1167,   665,
     208,  2580,  2740,   665,  1741,  2152,  1319,  3766,  3067,  4601,
    3789,  4603,  2302,   665,  3703,  1130,  2305,   909,    81,  1956,
    2741,  2433,  2367,  3789,  2643,  2482,  2501,   665,  2455,  3392,
    4713,  3449,  3450,  3451,  3452,  1564, -1848,  2875,  1585,  2368,
    2696,  2876,  1375,  3704,  1380,  2374,  1544,  2190,    37,    38,
      39,    40,  4132,  1407,  3394,    44,  4792,  1550,  3840,  2379,
    3275,  1558,  2853,  1358,  4802,  4284,  1116,   909,  2303,  1439,
    4636,  4083,  3440,  1409,  1411,  1198,  2187,  1803,  2877,  2407,
    2463,  4594,  2147,  1619,  1839,  4668,  4598,  2413,  4591,  4600,
    3070,  2731,  2732,  3888,  1770,  3442,  1565,  2627,  -157,  1028,
    3884,  3053,  1115,  1028,  1579, -1328, -2578,  1119,  1167,  4175,
    2628,  1427,   819,  1038,  1029,  1804,   665,  2380,  1029,  1389,
    4891,  3886,  1117,  -157,  4666,  2581,  2174,  2175,  2176,  2177,
    2178,  2179,  4778,  2928,  2487,  4147,   405,  2490,  2491,   215,
    1188,  1189,  1190,  1167,  1191,  1192,  1193,  1194,  1195,  1196,
    4670,  4522,  1130,  1828,   697,  1037,  3070,  3565,  1651,  1119,
    2580,  2666,  4451,   974,  1719,  2369,  4858,  1116,  3889,   223,
    1086,  3671,  2677,  1378,  4130,  4749,  4750,  1383,  1384,  1385,
     403,  4861,  2674,   975,  2684,  1159,  4892,  1396,  4133,  1654,
    1389,  3188,  2381,  1180,  2878,  2310,  1700,  1009,  2311,  2555,
   -1328,  3841, -1986,   665,   665,  1062,  1039,   233,  -579,  4893,
    4863,  4753,  2365,  1119,  1574,  1665,  1666,  3276,  1575,   236,
    4734, -1493,  3189,  1117,  1258,  1116,  1118,  4743,  1087,   357,
    1081,  4148,  4084,  4794,  1702, -1328,  1369,  1919, -1328,    35,
     412,  1075,  4779,    37,    38,    39,    40,    41,    42,    43,
      44,  3190,  3442,  2968,    45,  2176,  2177,  2178,  2179,  2370,
    4746,  4085,  3381,  1805,  2155,  1941,  3259,  4400,  2197,   974,
    4752,  2198,   974,  1010,  2931,  1920,  4406,  4404,  1312,  1198,
    4086,  1117,  2367,  2701,  2581,  4772,  2312,  1321,  4134,   975,
    1088,  4135,   975,  1088, -1493,  3277,  1167,  3890,  4731,  2368,
    2719,  1754,  1829,  1084,  1390,  4780,  1167,  1808, -2004,  3443,
    2582, -2029,  2373,  1809,  1119,  4418,  1404,  1981,  4149,  2160,
      79,  3447,  3448,  3449,  3450,  3451,  3452,  4833,  1894,  2810,
    1082,  3663,  3447,  3448,  3449,  3450,  3451,  3452,  3094,  2374,
     955,  2561,  3528,  1390,  3191,  3672,  3528,  1088,  2216,  1806,
    4053,  3100,  4924,  3641,  1092,  1982,  4394,  3891,  1896,   956,
    4773,  1167,  4403,  2753,  4689,   361,  2019,  1605,  2021,  4880,
    3673,  2025,  1119,  2027,  1390,  1140,  2030,  2031,  2032,  2562,
    4830,  4831,  2463,  1851,  1852,  3255,  2264, -1986,  -751,  2039,
     957,  3642,  3600,  1405,    37,    38,    39,    40,   665,  4642,
    4328,    44,  2064,  4882,  2065,  1671,  3098,  1089,  1673,  1810,
    3182,  1120,  4690,   665,  2896,  4677,  3183,    81,    81,  4691,
      81,  3355,  3791,  1921,  4152,  2369,  1198,  2359,  1167,  1439,
    1121,  3356,  3440,  1868,  1607,  1098,   665,  2360,  3361,  3917,
    1965,  1011,  1012, -1986,  2302,  2250,  4692,  3301,  3302,  3303,
    3304,  3157,  2361,  3163,  2336,  3789,  2217,  2258,  2259,  3309,
    2263,  2720,  2433,  1094,  1094,  3540,  1094,  3541,  2375,  2582,
    1608,  1102,   665,  2265,  3175, -2578, -2578,  4542,  3447,  3448,
    3449,  3450,  3451,  3452,  3253,  1894,  4925,   665,  2583,  4543,
    2721,  1644,  1143, -2004,  4941,  4774, -2029,  1692,  1105,   665,
    2303,  1599,   665,  1983,  3213,  3157,  1948,  4076,  1923,  1922,
    1674,  4917,  3184,  1167,  2267,  4281,  4693,  3079,  3935,  2370,
    4153,  3351,  4605,  4200,  3541,  3569,  1358,  2563,  1924,  4203,
    4204,  4205,  4206,  4207,  4208,  1769,  3395,  2897,  3664,  3643,
     130,   131,  1167,  3720,  2206,  2207,  4222,  1439,  1811, -2004,
    3440,  2609, -2029,  2501,  1644,  2268,  1949,  4822,  2606,  3617,
    2610,  2611,  4317,   952,  4318,  2612,  4786,  3992,  4652,   215,
    1167,  1167,  2018,  1167,  2613,  2020,  4701,  2614,  2024,  1812,
    2026,  2362,  4823,  2029,  4702,  1835,  2183,  2033,  1948,  1984,
    1167,  1119,  4223,   917,  1600,  1840,  3306,   955,  3910,   223,
    3080,  3307,  3057,  1619, -1493,  3396,  2269,  4342,  1813,  4343,
    4836,  2948,  3442,  2564,  3886, -1493,   956,  2101, -1493,  1692,
   -1493,  4610,  4611,     8,   665,  3644,  1689,  2222,   815,  3415,
    2607,  1069,   665,   665,  3019,  3096,  4711,   233,  2700,  4544,
    1108,   357,  1167,   405,  1950, -2368,  1034,   957,  2318,   236,
    1939,  3185,   697,   697,  3398,  1817,   808,  1690,   877,  -157,
    1109,  1218,  1639,  1640,   404,   404,  2242,  4837,  4653,  3443,
    1110,  1167,  1925,  2986,  4755,  1167,  1167,  4694,  3467,  2865,
      35,  2866,  3186,   246,  -157,  2400,  1691,   403,    41,    42,
    2949,  1605,  1951,    80,  3066,   405,   405,   405,  3207,  1198,
    4567,  1140,  3528,  2867,  1809,  2945,  3020,  3528,   808,  3492,
    3528,  3187,  2088,  1288,   404,   879,   665,  2208,  1288,    79,
      79,  2340,    79,  1022,  3867,  2995,  1950,  3871,   825,  3628,
    3442,  2448,  2105,  1061,  4344,  4703,   809,  3031,  1644,   403,
     403,   403,  1289,  2492,  2146,   815,   405,  3847,  4095,  1219,
      43,   877,  1028,   405,  1894,    45,   697,  1700,  1607,  1538,
     405,  3150,  2132,  2492,  3948,  3067,  3949,  1029,   826,  1111,
    1952,  4443,  4444,   808,  1951,  3259,  2144,  2268,  2209,   827,
     664,  2507,  2449,  2242,  1028,  2304,  1290,  3443,  1220,  3032,
     403,  1290,  4806,  4621,  3068,  4623,  2868,   403,   863,  1029,
    1810,  2869,   215,  3816,   403,  4500,  2870,  1894,   879,  3817,
    4260,  3151,   949,  1357,   412,    37,    38,    39,    40,  3818,
    1539,  3640,    44,  2457,  1218,  3069,   215,  3027,  2269,  1697,
    1146,  1112,   223,  4501,  1894,  1702,  1221,  4741,  3447,  3448,
    3449,  3450,  3451,  3452,   903,  3111,  3819,  3165,  3820,   886,
     920,   887,  1952,   809,  3113,  3168,   223,  3170,  3345,   825,
    1698,  3152,  1035,  3494,   208,  3495,  2493,  4436,  2494,  4095,
     233,  4261,  1092,  1092,   892,  1092,   999,  1308,  4538,  -911,
    1439,  3950,  1702,  3440,   665,  2476,  2493,  3496,  2494,  1699,
    -386,  3951,  4117,  2498,   233,  3369,  3112,  1113,   958,   826,
      37,    38,    39,    40,  1894,  3114,   236,    44,  1157,  2736,
    3634,  2661,  1219,  3070,  1308,  1172,   246,  3916,  4539,  3528,
    3821,  3031,  2871,  2573,    37,    38,    39,    40,  4437,  1644,
    2465,    44,  2872,  4100,  1644,  1644,    37,    38,    39,    40,
     959,  1894,   886,    44,   887,  2477,  1965,  2755,  4102,   815,
    3153,  1220,  3444,  3445,  3446,  3635,  3447,  3448,  3449,  3450,
    3451,  3452,  1700,  3920,   405,  2224,  1662,   892,  3654,  1894,
    4484,  4485,   974,  3625,  1365,  3822,  4407,   808,  2466,  2467,
    3823,   665,  1605,  1184,  1754,  3497,  1606,  2590,  4775,  1663,
    3498, -1372,   975,  1790,  3581, -1372,  3675,   665,  2465,  1221,
    3921,  3563,  3849,   361,  2225,  2113,  2114,  4651,   403,  2313,
    2314,  2703,  2463,  2704,  2922,  4641,  3824,  2706,  4102,  2707,
    4103,  1167,  2709,  2938,  1791,  4121,  2710,  1894,  2155,  3825,
    1167,  4238,   665,   665,  2754,  2332,  2334,  1694,  2343,  4656,
    1102,  3657,  3441,   665,  2945,  1560,  2466,  2467,  2743,  1607,
    3705,  3154,  3707,  2158,  2775,   665,   665,   809, -1372,  3155,
    4024,  1209,  3156,  3442,    81,   361,  2749,    81,  1695,  2344,
    4131,  4136,  3537,  4104,  1216,  4105,  2750,   665,  2752,  2751,
    2463,  2511,  2124,  2160,  1988,  1608,   412,  3383,  4025,  3509,
    4103,  1644,  3966,  3967, -1372,  3927,  1217,  1696,  2345,  1644,
      45,  2125,  2034,  4387,  1989,  3739,  3499,  3373,  3543,  2124,
    3826,  3544,  3545,  1799,  4027,  2126,  3500,  1167,  2465,  1792,
    3443,  4095,  3546,  3547,  3548,  2035,  3549,  3550,  2125,  3753,
    2922,  3551,  3552,  3553,    37,    38,    39,    40,  1257,  2504,
    1556,    44,  2128,  4104,  1800,  4105,  1644,  3192,  1801,  1644,
    1644,  1773,  4901,   192,  1167,  1167,  3264,  1308,   192,  4678,
     412,  2212,  1167,  3229,  3931,  1167,  2466,  2467,  3194,  1167,
    1260,  2954,  3740,  1802,  2801,  3712,  3193,  1167,  1167,  1262,
    4675,  3999,  1774,   215,  3830,  1167,  1198,  4679,  1167,  1167,
    1167,  1167,  3741,  3694,  4420,  2540,  4879,  3195,  1167,  1167,
    2463,  1167,  4176,  1167,  1167,  3265,  1277,  1167,  3695,  4029,
     815,  1644,  3283,   223,  1585,  3255,  3614,  3615,  4361,  4360,
    3789,  3609,  4177,  1894,  1167,   405,  2541,   871,  3021,  1167,
    3024,   215,  3100,  1167,  2294,  2295,   215,  1167,   808,  1167,
    1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  2855,  1167,
    2433,   233,  4657,  3633,  3945,  1167,  2124,  3574,  1167,  3898,
    1574,   223,   122,   236,  1575,  4291,   223,  1283,  3930,   403,
    2539,  3697,  1308,  3554,  3466,  2125,  3468,  3469,  3965,   357,
     126,  3266,  3267,   404,  2155,  3444,  3445,  3446,  2232,  3447,
    3448,  3449,  3450,  3451,  3452,  3268,  2970,   246,  3806,   233,
    2654,  2655,  3698,  3307,   233,   877,  3015,  2465,  2604,  2158,
    2658,   236,  4707,  1291,   903,   405,   236,  3972,   809,  2664,
    1167,  4097,  4098,  2542,  -905,  1297,  2635,  3940,    35,   412,
    2445,  3699,  1292,   404,  2543,   404,    41,    42,  2450,  2160,
    3269,   357,  1300,    45,  3259,  4902,  1776,  3946,  1148,  1999,
     246, -1122,  3715,  2000, -1122,  2466,  2467,   412,  2544,   403,
    1149,  1150,   879,  3667,  1314,   405,    79,   405,  2101,    79,
    2350,  4023,  3968,  4334,    37,    38,    39,    40,  1999,  1325,
    1151,    44,  2692,  1152,  3845,    45,  4125,   665,  3074,  2463,
    2276,  2101,  1777,  2350,  4232,  4233,  4234,  4235,  4236,  2960,
    2961,  3555,  3297,   815,  4503,    81,  1180,    81,  2068,   403,
    1339,   403,  3412,  3413,   665,  4023,  2695,  3414,   405,   665,
    4945,  1596,   665,  4946, -1325,  3270,    35,  3271,  1330,  2154,
    3148,   808,  2155,  2863,    41,    42,  2843,  1345,  4024,  2846,
    1130,  2242,  1831,  1269,   665,  1270,  3556,  1167, -1396, -1396,
    4322,  4323,  4324,  1167,  1574,   950, -1851,  2158,  1575,  1167,
    1360,  1086,   403,  2159,  2163,  2164,  4025,    45,  4036,  1778,
    4234,  4235,  4236, -1373,  1028,  2294,  2979, -1373,   665,  4241,
    1399,  4026,  4024,  3831,  3839,  3833,  3842,  2160,  1272,  1029,
    1273,  1403,  4027,  4216,  1413,  1894,   886,  1153,   887,  1425,
    1894,  1894,  1308,  1419,  1308,   665,   665,   889,  2167,  1424,
    4025,   809,  1894,   815,  4028,  1779,   815,  1780,   891,  1087,
    1426,   892,  4041,  4043,  2008,  4026,  2009,  2500,   405,   665,
    2087,   405,   246,  4595,  1154,  1028,  4027,  2248,  3557,  2249,
   -1373,   808,  3771,  2251,   808,  2252,  3881,  1427,   665,  3158,
    1029,  3077,   665,  1255,  3132,  1782,  3574,  4663,  4028,   357,
    2101,  2154,  1692,  3298,  2155,  1308,  4219,  2243,  4221,  3574,
     665,  4224,   403,  4225,  1428,   403, -1373,  3718,  1429,  1439,
     665,  2156,  3440,  3772,  1088,  3326,  3327,  4029,  2465,  2158,
    1433,  2162,  1784,   665,  2694,  2159,  2695,  3926,  2716,  3993,
    2717,  2922,   665,  3158,  2101,  1430,  2350,  3773,  1309,   920,
    3576,  3577,  2163,  2164,  2465,  4568,  4569,  4570,  4571,  2160,
    1434,   809,  3774,  2718,   809,  2717,  3775,  1786,  2746,  1436,
    2747,  4029,  2944,  3542,  2945,  1559,  2466,  2467,  3003,  4617,
    2747,    80,  4196,  1167,  3776,  1894,  1566,    37,    38,    39,
      40,  3087,  1562,  3088,    44,  3144,  2167,  3145,  3247,  3777,
    3248,  4596,  2466,  2467,  1439,  2074,  2075,  3440,  3158,  2168,
    2463,  1568,  3158,    37,    38,    39,    40,  3260,  4365,  3261,
      44,  3375,  4551,  2717,  4367,  1644,  3411,  1082,  2695,  3721,
    2174,  2175,  2176,  2177,  2178,  2179,  2463,  1415,  1089,    37,
      38,    39,    40,  3158,  3749,  1674,    44,    79,  1567,    79,
    4474,  4475,  4310,  4477,  3513,  1894,  3514,  1573,   665,  2161,
    3421,  1586,  2695,  2162,  1593,  1432,  2465,  3425,  1594,  2695,
      37,    38,    39,    40,  1541,  3778,  1596,    44,  1553,  1309,
    1555,  2465,  3047,  3779,  2163,  2164,  1597,  4122,  1180,  4228,
    4229,  4273,  4244,  3582,  3583,   665,    35,  3429,  1603,  2695,
    2165,  1617,  3442,  1167,    41,    42,  3932,  1618,  3518,  3519,
    3520,  3430,  1622,  2695,  2466,  2467,  3780,  3456,  4246,  2695,
    3472,  3287,  2695,  1624,  2465,  2166,  1628,  1629,  2167,  2466,
    2467,  1632,  1637,  1082,  4232,  4233,  4234,  4235,  4236,  1633,
    1634,  2168,  4237,   665,  2169,  3477,  1635,  3478,  2463, -1497,
   -1497, -1497, -1497,  1645,  1636,  1894, -1497,  1646,  3515,  3443,
    3516,  4349,  1130,  2463,  1638,   665,   664,   664,  3688,  1167,
    3689,  1675,  2466,  2467,  1167,  4248,  1648,  3150,  2174,  2175,
    2176,  2177,  2178,  2179,  3692,  1677,  3693,  3442,  1680,  1678,
    1167,  1167,  3836,  3875,  3837,  3876,  1167,  1692,  3936,  1644,
    2695, -1504, -1504, -1504, -1504,  1686,  2463,  1644, -1504,  1644,
   -1495, -1495, -1495, -1495,  1712,  1739,  2170, -1495,  3973,  1717,
    3974,  1167,  1167,  3983,  1743,  3984,  1167,  3151,  3995,  1766,
    2695,   815,  4068,  4072,  4069,  4073,  1768,   815,  1167,  1167,
    1167,  1167,  1775,  2816,  3443,  2068,   405,  4101,  4212,  2717,
    4213,  1167,   405,  4366,  1167,  2747,  1167,  2839,  1795,   808,
    4496, -1498, -1498, -1498, -1498,   808,  1167,  1167, -1498,  3473,
    1167,  4427,  3288,  4428,  4433,  3480,  2717,  3152,  4489,  4291,
    1807,   361,  2749,  1167,  4434,  1167,  2717,  1816,  1854,  1167,
     403,  1820,  2750,    35,  2752,  2751,   403,    37,    38,    39,
      40,    41,    42,  1825,    44,  1167,  2171,  2172,  2173,  1826,
    2174,  2175,  2176,  2177,  2178,  2179,  1167,  1832,  1167,  1167,
    1167,  4534,  3433,  4535,  3444,  3445,  3446,  1827,  3447,  3448,
    3449,  3450,  3451,  3452,  4577,  1834,  4578,  1308,   665,   809,
    1836,  3574,  1167,  1848,  1846,   809, -1496, -1496, -1496, -1496,
    4579,  1841,  2695, -1496,  1855,  1167,  4442,  4587,  1858,  2747,
    1167,  4639,  4660,  4640,  4661,  4575,  3153,  1167,  4708,  4721,
    4709,  2747,  1700,  1167,  1688,  1900,  1309,  4271,  4272,  1902,
      80,    80,  1904,    80,  4456,  4728,  4733,  2945,  3856,  4735,
    4795,  3856,  2211,  4800,  1896,  4801,  4465,  2792,  4811,  1309,
    2747,  1913,  4812,  3289,  3478,  4813,  4816,  2695,  2945,  3444,
    3445,  3446,   665,  3447,  3448,  3449,  3450,  3451,  3452,  4818,
    4835,  3856,  2747,  4551,  4841,  -174,  2747,   665,   665,  4842,
    4868,  2747,  2945,  1167,  4943,  4954,  4944,  4944,  1915,  1644,
    4480,  1917,  3290,  1602,  2066,  1604,  1929,  4386,  2696,  4389,
    1937,   841,  1945,   665,  1953,  1958,  1894,  1959,  3405,  1960,
    4486,  1961,  2793,  3407,  1962,  1309,  1964,  3154,  4218,  4727,
    1972,  1965,  1975,  2144,  1976,  3155,  1977,  1978,  3156,  4727,
    1980,  1985,  1986,  1987,  1992,  2006,  2040,  2863,  2070,  2076,
    2085,  2072,  2104,  2086,  2094,  2097,  1894,  1894,  2078,  1894,
    2079,  2098,  2099,  2184,  2100,   246,  3512,  2106,  2109,  2110,
    2111,  2112,  2117,   815,   815,   815,  2211,  2119,  2794,  3522,
    2120,  2795,  2121,  2122,  2123,  2130,  2131,  2133,   405,   405,
     405,  4662,  4769,  2134,  2215,  2135,  2227,  2136,  2148,  2137,
    2138,   808,   808,   808,  2139,  2140,  1389,   665,  2153,  2247,
    2256,  1894,  1606,  1894,   665,  1608,  2283,   357,  2191,  2291,
    2237,  2300,  1119,   665,  2293,  2315,  2317,  2319,  2327,  2328,
    2817,  2330,   403,   403,   403,  2337,  3522,  2335, -2520,  1081,
    2339,  2308,  4606,  2346,  2817,  2347,  2348,  1309,  2350,  2351,
    2221,  2223,  2068,  2352,  4720,  1309,  1309,  2353,  3438,  3439,
    2354,  2355,  2376,  3454,  2382,  3529,  1894,  4817,  2402,  2796,
    2383,  4412,  2406,  2408,  2410,  2409,  4325,  2411,  2412,  2437,
    2445,   809,   809,   809,   665,  2447,  2438,  2457,  2458,  2461,
    1894,  2460,  3896,  2898,  2462,  2463,  2469,   815,   898,  2470,
    1644,  2471,  2472,  3489,  3490,  2473,  2479,  2480,  2484,  2485,
    2488,  2495,   405,  1754,   815,  2523,  3783,  1894,  2496,  2502,
    2503,  2512,  3529,  4758,  3860,   808,  2513,  4763,  4764,   405,
    1894,  2525,  2524,  2552,  2528,  3770,  1082,  2565,  2534,   664,
    2529,  2538,   808,   665,  2553,   665,  1082,  2567,  2090,  2577,
    2575,  2578,  2590,  2591,  4516,   665,   403,   665,  3895,  2101,
    2107,  2594,  2568,  2597,  2598,  2602,  2797,   873,  1198,  2603,
    2624,  2619,  1792,   403,  2638,  2639,  2644,  2647,  2649,  4009,
    4010,  4011,  4012,  2650,  4489,  2657,  2668,  2670,  2651,  2672,
    2686,  2687,  2712,  1894,  2671,  4620,  2673,  2735,  2744,  2729,
    2757,  4759,  2713,  2782,  2788,   809,   665,  1894,  1439,  4762,
    2825,  3440,  2783,  2838,  4765,  2844,  4767,  2155,  1439,  2849,
    1894,  3440,   809,  2848,  2856,  4723,  2908,  2862,  4368,  2927,
    2826,  2881,  2935,    74,  2936,  1087,   665,  2879,    35,  2955,
    2956,  2924,  1308,  2925,  2965,  2988,    41,    42,  2201,  3004,
    1167,  3005,  2154,   665,  2930,  2155,  2932,  2946,  3006,  3017,
     909,  2947,  2959,  3027,  3029,  2985,  3022,  2987,   665,  3030,
    3002,   665,  2156,  3036,  3025,  2157,  3041,  3045,  3048,  3062,
    2158,  2068,  3065,  2505,  3078,  1167,  2159,  3083,  1894,  1556,
    1560,  3085,  3139,  3143,  3134,  1167,  3146,  3147,  3196,  3209,
    3216,  1167,  3217,  1167,  3220,  3221,  3222,  3224,  1894,  1167,
    2160,  3739,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,
    1167,  1167,  3225,  3226,  2154,  1167,  1167,  2155,  3227,   815,
    3228,  3238,  3240,  1894,  3244,  3249,  3251,  3254,  1167,  3255,
    3262,  3281,  1167,  3293,   405,  3256,  1167,  3257,  3286,  3299,
    2068,  3305,  2158,  3313,  2068,  2068,  1167,   808,  2159,  1167,
    3314,  1167,  3308,  3315,  3329,  3332,  3344,  3978,  3350,  1894,
    1167,  1167,  1167,  3347,  3348,  3349,  1167,  3352,  4697,  1167,
    3353,  3362,  2160,  3365,  3368,  3377,  4821,   357,   403,  1167,
    3378,  3442,  3379,  3367,  2945,  2816,  2816,  1993,   985,  1167,
    2816,  3442,  4740,  3382,  3389,   662,  2615,  1167,  3380,  1167,
    2161,  3397,  2758,  3401,  2162,  4162,  1405,  3403,   985,  1644,
    3408,   357,  3406,  3423,  3409,  3462,  3424,  3426,  3427,  3428,
    3431,  3432,  1644,  3434,  3437,  2163,  2164,   809,  3455,  4628,
    2816,  2816,  4920,  2695,  3461,  3463,  3464,  3493,  3443,  3471,
    3474,  2165,  3486,  3487,  1167,  3488,  3501,  3508,  3443,  3511,
    1167,  3531,  3536,  3537,  3539,  -951,  1167,  3592,  3586,  3588,
    3602,  3598,  3603,  3604,  4645,  3613,  2166,  3616,  3607,  2167,
    3619,  3608,  2161,   987,  3618,  3627,  2162,    80,  1999,  3630,
      80,  1167,  2168,  3623,  3632,  2169,  3636,  3624,  3650,  3661,
    3651,  3662,  3668,   987,  3669,  3677,  3679,  2163,  2164,  3710,
    3717,  3711,  3714,  3722,  3716,  3723,  3724,  3727,   665,  3725,
    3726,  3728,  3742,  2165,  3729,  3730,  3731,  3733,  3732,  3735,
    3737,  3734,  3736,  3744,  3746,  2521,  1198,  3748,  3754,  1180,
    3760,  3761,   815,  3762,  3763,  3764,   815,  1744,   815,  3765,
    3794,  2167,  3795,  1745,  2311,  3803,  3807,   405,  3808,  3848,
    3844,   405,  1894,   405,  2168,  3846,  3574,  2170,  3855,  3868,
     808,  1198,  3869,  3872,   808,  3861,   808,  3893,  1644,  3864,
    3856,  3873,  2144,  3865,  3132,  3902,  4143,  3912,  3904,  3913,
    3914,  3915,  4016,  1746,  3923,   665,  3924,  2800,   665,  3925,
    3918,   403,  3934,  3939,  2087,   403,  3458,   403,  3440,  2149,
    3457,  3997,  3998,  3444,  3445,  3446,  3969,  3447,  3448,  3449,
    3450,  3451,  3452,  3444,  3445,  3446,  3985,  3447,  3448,  3449,
    3450,  3451,  3452,  4022,  4038,  4064,  3970,  4088,   665,  2170,
    4832,  4109,  1747,  3971,  4111,  3977,  4006,  4123,  4112,  1748,
     809,  4124,  1749,  4056,   809,  4044,   809,  2171,  2172,  2173,
    4054,  2174,  2175,  2176,  2177,  2178,  2179,  4055,  4035,  4144,
    4057,  4078,  4060,  4145,  4126,  4061,  4128,  4146,  3529,  4156,
    4301,  4137,  4157,  4158,  4159,  4173,  3947,  1167,  1308,  3952,
    3953,  3954,  3955,  3956,  3957,  3958,  3959,  3960,  3961,  4160,
    4189,  4132,  4193,  4161,  1750,  4201,  4199,  4202,   665,   665,
    4230,  2929,  1894,  3337,  4264,  4256,  2717,  3885,  4276,  4277,
    3895,  4279,  2817,  2817,  4295,  4280,  4286,  2817,  4298,  2171,
    2172,  2173,  1720,  2174,  2175,  2176,  2177,  2178,  2179,  4299,
    4307,  4311,  4313,  4321,  1894,  1167,  1167,  4326,  4001,  4002,
    4329,  4330,  4331,  4332,  4308,  4333,  4423,  4829,  4315,  1751,
    4338,  1752,  4341,  4345,  1721,  4346,  4350,  2817,  2817,  4351,
    4352,  1753,  4353,  4358,  4382,  4383,  4390,  4395,  4354,  1754,
    3529,  4396,  4422,  4378,  4398,  4380,  4393,  4421,  1755,   665,
    4399,  4413,  2385,  4424,  4417,  4429,  4430,  4438,  4449,  4459,
    4452, -1337,  4453,  4466,  4469,  1167,  4473,  4478,  4483,  4487,
     664,  4502,  4494, -1337,  4509,  4499,  4519, -1337,  4517,  1722,
    4520,  4521,  4524,  1757,  4526,  2386,  1675,  4536,    80,  4548,
      80,  4540,  4546,  4549,  4557,  4565,  4573,  4581,  2387,  4454,
    4574,  4576,  1167,  4585,  4584,  4583,  4586,  4592,  1758,  4599,
    1723,  2388,  1167,  1167,  1198,  1894,  4612,  4602,  4634, -1337,
    1167,  1167,  4608,  4638,  1644,  1167,  1894,  4654,  4614,  4622,
    4618,  1167,  1167,  4655,  4637,  1167,  4414,  4664,  4263,  3338,
   -1337,  4647,  4671,  4648,  4673,  1724,  4681,  4682,  4685,  2389,
    1167,  4699,  4687,  2154,  1167,  4684,  2155,  4700,  4716,  4724,
    4730,  4739,  1088,  1167,  4747,  4756,  1759,  1555,  1167,  4781,
    3542,  4776,  4785,  2156,  1725,  4787, -1337,  4791,  2390,  4797,
    1167,  2158,   364,  2391, -1337,  4798,  4799,  2159,   364,  4804,
    4810,  4805,  4814,   658,  4815,  4819,  4820,  4825,  4760,  4827,
    1644,  4838,  4844,   357,  4845,  4511,    81,  4854,  4843,  4848,
    4850,  2160,  4046,  4881,  4859,  2313,  2314,  4860,  4886,  1167,
    4878,   364,  4883,  4889,  4846,  4897,  4923,  4847,  4939,  4911,
    4942,  4948,  4952,  1100,  2535,  3296,   208,  1894,  2234,  3674,
    3339,   815,  1742,   357,  3566,  1819,  1729,  3138,  4141,  3208,
    3767,  4658,  4488,  1730,  4771,  4530,   405,  4683,  4297,  4686,
    4696,  2421,  4514,  3621,  4884,  1894,   364,  3376,  4626,   808,
    1732,  4919,   665,  3199,  4851,  4849,  4895,  1894,  1733,  2392,
    4793,  3626,  4531,  2816,   665,  4267,  2816,  2816,  2816,  2816,
    2816,  2816,  2816,  2816,  2816,  2816,  3279,  3280, -1337,  4140,
     403,  3686,  4268,  2616,  3263,  4269,  3851,   841,  4922,  4953,
    3231,  2161,  1024,  4949,  3804,  2162,  3976,  3782,  3231,  4896,
    1024,  1894,  1024,  4646,  4259,  2601,   815,  4840,  4887,  1734,
    4649,  1004,  2060,  3340,   364,  4327,  2163,  2164,  2393,  4742,
    4304,   405,  4803,   665,  2394,  2816,  2816,  2395,  1644,   809,
    4303,  3091,  2165,  3522,   808,  3743,  1574,  3522,  4950,  1596,
    1575,  1310,  4904,  4789,  3770,  2940,  2702,  1570,  2941,  3571,
    3300,  4285,  4415,  2396,  4074,  3372,  2253,  2166,  3572,  2397,
    2167,  2007,  2964,  1592,  1167,   403,  2280,  2279,  3584,  2963,
    3580,  2284,  2398,  2168,  2958,  3331,  2169,  3597,  1720,   357,
    3585,  1309,  4018,  4388,  4732,  1578,  4075,  2761,  3989,  4722,
    2287,  3979,  4870,  4869,  4877,  3575,  3506,  2399,  3418,  3504,
    4071,  2907,  1133,  3894,  1947,  2653,  3346,  2989,  4867,  1103,
    1721,  2299,  2292,  1356,   809,  2980,  1894,  1685,  1309,  3529,
    2996,    74,  2993,  3529,  3561,  1656,  4080,  4059,  1657,  2067,
    4405,  2994,  4081,  2296,  2762,  1126,  3374,   665,  2200,  3000,
     985,  1996,   985,  2714,   985,    83,  4619,  1394,  2170,  1167,
     985,  1387,  1388,  1894,  4416,     0,     0,     0,  1167,   364,
       0,     0,     0,  2763,     0,  1722,  4409,     0,     0,     0,
       0,     0,     0,   985,   985,  1167,  1167,  4362,  4363,  1167,
     655,     0,     0,     0,  2764,     0,     0,     0,    79,     0,
    1167,     0,     0,     0,   364,  1167,  1723,     0,  1167,     0,
       0,     0,     0,  1167,  1167,     0,     0,     0,     0,     0,
       0,     0,     0,  2765,     0,     0,     0,     0,  2766,     0,
       0,     0,     0,     0,     0,   987,     0,   987,     0,   987,
     665,  1724,   665,     0,     0,   987,  1167,     0,  2171,  2172,
    2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,     0,     0,
    2933,     0,     0,     0,     0,     0,  2934,     0,   987,   987,
    1725,     0,     0,     0,  2767,     0,     0,  1894,     0,  4676,
       0,  1167,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1726,     0,     0,
    2817,     0,   985,  2817,  2817,  2817,  2817,  2817,  2817,  2817,
    2817,  2817,  2817,     0,     0,     0,     0,     0,  1167,     0,
       0,  1667,     0,     0,     0,     0,     0,     0,  1727,     0,
       0,     0,   208,  2817,  1744,     0,  1728,     0,     0,     0,
    1745,     0,  1729,     0,     0,     0,     0,     0,     0,  1730,
       0,  2816,   841,     0,     0,     0,     0,  1731,     0,     0,
       0,     0,  2817,  2817,     0,   985,  1732,  1167,     0,  1894,
       0,  1309,     0,     0,  1733,     0,     0,  2768,     0,     0,
    1746,     0,     0,  2769,     0,     0,     0,   987,     0,  2770,
       0,  1167,  1894,     0,  1167,     0,  1167,     0,     0,     0,
       0,   662,   662,  3522,     0,     0,  1672,     0,  3522,     0,
       0,  3522,     0,  1167,     0,     0,     0,  1167,  2771,     0,
    2772,     0,  1894,     0,     0,  1734,     0,     0,     0,  1747,
       0,     0,     0,     0,     0,     0,  1748,  2773,     0,  1749,
       0,     0,     0,   815,     0,     0,     0,     0,     0,     0,
     987,     0,     0,     0,     0,     0,     0,     0,   405,     0,
       0,  1894,  2774,     0,     0,  1894,  1894,     0,     0,     0,
       0,   808,     0,     0,     0,     0,     0,  4938,     0,   665,
       0,     0,     0,     0,     0,     0,  1309,     0,     0,  3529,
       0,  1750,     0,     0,  3529,     0,     0,  3529,     0,  1167,
       0,     0,   403,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2816,  2816,  4616,  1894,     0,     0,
      74,    74,     0,    74,  4809,  3529,  4572,     0,     0,     0,
       0,     0,   357,     0,     0,     0,  1751,     0,  1752,   985,
       0,   809,     0,     0,     0,     0,     0,  1167,  1753,     0,
       0,     0,  4588,  4589,     0,     0,  1754,  3691,     0,     0,
    4644,     0,     0,     0,  1167,  1755,     0,     0,     0,  1644,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3713,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1756,  1180,     0,  1167,
    1757,   361,  4906,     0,   364,     0,     0,     0,   364,  1167,
    3522,     0,  4907,     0,  4909,  4908,     0,     0,     0,     0,
       0,   658,     0,     0,   987,  1758,   658,     0,     0,     0,
    1167,  1167,     0,   665,  3337,   658,     0,   361,  4906,  2154,
       0,     0,  2155,  1167,     0,     0,  3529,     0,  4907,     0,
    4909,  4908,  3231,  1720,     0,  3231,  3231,     0,     0,  3231,
       0,     0,   658,     0,     0,     0,   658,  2158,  2817,  3231,
       0,     0,     0,  2159,  1854,     0,     0,   658,     0,  1167,
    3792,   361,  4906,  1759,     0,  1721,  3801,     0,     0,  1167,
     815,     0,  4907,  3792,  4909,  4908,  3529,  2160,     0,     0,
       0,   658,     0,     0,     0,   405,  1309,     0,  1309,     0,
       0,     0,     0,     0,     0,   658,     0,     0,   808,   658,
       0,     0,     0,     0,     0,     0,     0,     0,  4929,   658,
     985,     0,     0,     0,     0,   985,   985,   815,     0,  3854,
    1722,     0,     0,   658,     0,   815,     0,  1167,     0,   403,
       0,     0,   405,     0,     0,     0,  1167,     0,  4719,  3491,
     405,     0,     0,     0,     0,   808,     0,     0,  3880,  1309,
       0,  1723,     0,   808,     0,  4929,     0,     0,     0,     0,
       0,     0,     0,  4929,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   403, -2578,   809,     0,
    3338,  2162,     0,     0,   403,     0,  1724,     0,  2309,     0,
    1387,  1388,     0,     0,     0,   987,     0,     0,     0,     0,
     987,   987,  2163,  2164,     0,     0,     0,     0,     0,  2324,
    1024,     0,   658,     0,  1024,  1725,  2331,  2333, -2578,     0,
       0,  2817,  2817,     0,     0,   809,     0,  2154,     0,     0,
    2155,     0,   364,   809,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2816,     0,     0,  2167,  2156,     0,     0,
       0,     0,  4580,     0,     0,  2158,     0,   357,     0,  2168,
       0,  2159,  2154,     0,     0,  2155,     0,     0,  4856,  2816,
    2816,     0,   985,     0,     0,     0,     0,   208,  3529,     0,
     985,  1728,  2156,     0,   662,  2160,     0,  1729,     0,     0,
    2158,     0,     0,  4937,  1730,     0,  2159,     0,  3990,   658,
     658,  2154,  2421,     0,  2155,     0,     0,     0,  1181,     0,
       0,  1732,  4885,  1201,     0,     0,     0,     0,     0,  1733,
    2160,     0,  1213,     0,     0,     0,     0,   985,     0,  2158,
     985,   985,     0,     0, -2578,  2159,     0,   357,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1271,
       0,  4051,     0,  1278,     0,     0,     0,   987,     0,  2160,
       0,     0,     0,     0,  1287,   987,     0,     0,     0,     0,
    1734,     0,     0,     0,  3340,  3885,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2161,     0,  4930,     0,  2162,
       0,     0,   985,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2163,  2164,   987,     0,     0,   987,   987,     0,     0,     0,
    2161,     0,     0,     0,  2162,  4951,  2165,     0,  2174,  2175,
    2176,  2177,  2178,  2179,  4930,     0,     0,     0,     0,     0,
       0,     0,  4930,     0,     0,  2163,  2164,     0,     0,     0,
       0,  2166,     0,     0,  2167,     0,     0,     0,     0,  2161,
       0,  2165,     0,  2162,     0,     0,     0,  2168,     0,     0,
    2169,     0,     0,     0,     0,  2816,     0,   987,     0,     0,
       0,     0,     0,     0,  2163,  2164,  2166,     0,     0,  2167,
       0,     0,     0,     0,   658,     0,  2652,     0,  3337,     0,
    2165,     0,  2168,  2154,   365,  3792,  2155,     0,     0,   658,
     365,     0,     0,     0,     0,   659,     0,  1720,     0,     0,
       0,     0,  4163,  2156,     0,  4164,     0,  4165,  2167,     0,
       0,  2158,   658,     0,     0,     0,     0,  2159,     0,     0,
       0,  2168,  2170,   365,     0,     0,     0,    74,     0,  1721,
      74,  4191,  4192,     0,     0,     0,     0,     0,     0,     0,
       0,  2160,     0,     0,     0,  3231,     0,     0,   658,     0,
    2817,  3231,  3231,  3231,  3231,  3231,  3231,  2170,     0,  2817,
       0,  1309,     0,   658,     0,  4220,     0,     0,   365,     0,
       0,     0,     0,     0,     0,   658,  2817,  2817,   658,     0,
       0,  1979,     0,     0,  1722,     0,   655,   655,     0,  3801,
       0,     0,  1994,     0,     0,     0,  2170,     0,     0,     0,
    4243,  4245,  4247,  4249,     0,     0,     0,     0,     0,     0,
       0,     0,  2171,  2172,  2173,  1723,  2174,  2175,  2176,  2177,
    2178,  2179,     0,     0,     0,     0,     0,     0,  3481,     0,
    2789,  2790,     0,     0,     0,     0,   365,     0,  2802,     0,
       0,  2161,  2805,  2806,  3338,  2162,     0,  2171,  2172,  2173,
    1724,  2174,  2175,  2176,  2177,  2178,  2179,  2827,     0,  2828,
       0,     0,     0,     0,  4302,     0,  2163,  2164,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1725,
       0,  2850,  2165,  2851,     0,     0,     0, -2578, -2578,     0,
    2174,  2175,  2176,  2177,  2178,  2179,     0,     0,     0,     0,
     658,     0,     0,     0,     0,     0,     0,  2166,   658,   658,
    2167,     0,     0,     0,     0,     0,     0,     0,     0,   364,
       0,     0,     0,  2168,     0,  4336,  2169,     0,     0,  2154,
       0,     0,  2155,  2324,     0,     0,     0,     0,     0,     0,
       0,   208,  1183,     0,     0,  1728,     0,     0,  1204,  2156,
       0,  1729,     0,     0,     0,     0,  1215,  2158,  1730,  1744,
       0,     0,     0,  2159,  1225,  1745,  2421,     0,     0,  1256,
       0,   364,   364,   364,     0,  1732,     0,     0,     0,     0,
       0,   365,  2817,  1733,     0,     0,     0,  2160,     0,     0,
       0,     0,   658,     0,     0,     0,     0,   985,  2170,     0,
       0,     0,     0,     0,     0,  1746,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   365,     0,     0,     0,
       0,     0,   364,     0,     0,     0,     0,     0,     0,   364,
       0,     0,     0,     0,  1734,     0,   364,     0,  3340,     0,
       0,     0,     0,  1024,     0,     0,   985,  4410,  4411,     0,
       0,     0,     0,     0,  1747,     0,     0,     0,     0,     0,
       0,  1748,     0,     0,  1749,     0,  1667,     0,    74,    80,
      74,     0,     0,     0,     0,  1024,     0,     0,     0,  1744,
       0,     0,   987,     0,     0,  1745,     0,  2161,  2171,  2172,
    2173,  2162,  2174,  2175,  2176,  2177,  2178,  2179,     0,     0,
       0,     0,  2847,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2163,  2164,     0,     0,  1750,  1422,  2154,     0,
       0,  2155,     0,     0,     0,  1746,     0,     0,  2165,     0,
       0,   987,     0,     0,     0,   662,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2158,     0,     0,  1548,
       0,  1672,  2159,  2166,     0,     0,  2167,     0,     0,     0,
     658,     0,     0,     0,     0,     0,     0,  1572,     0,  2168,
       0,  1751,  2169,  1752,  1747,     0,  2160,     0,     0,     0,
       0,  1748,     0,  1753,  1749,     0,     0,     0,     0,  1598,
       0,  1754,  3231,  3231,     0,     0,     0,     0,     0,     0,
    1755,     0,     0,     0,     0,     0,  1309,     0,     0,     0,
    4492,     0,  4493,     0,     0,  4497,  4498,     0,     0,     0,
     985,     0,     0,  3801,  3801,  3801,  3801,  3801,   985,     0,
     985,  1796,     0,     0,     0,  1757,  1750,     0,  3502,     0,
     364,     0,     0,     0,  2170,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   658,     0,     0,
    1797,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4528,     0,   658,     0,     0, -2578,     0,     0,     0,
    2162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1751,     0,  1752,     0,     0,     0,     0,  4550,   655,
       0,  2163,  2164,  1753,     0,   987,     0,     0,   658,   658,
       0,  1754,     0,   987,  3258,   987,     0, -2578,  1759,   658,
    1755,  4336,  4336,  4336,  4336,     0,     0,     0,     0,     0,
       0,   658,   658,     0,  2171,  2172,  2173,     0,  2174,  2175,
    2176,  2177,  2178,  2179,     0,  2167,     0,     0,  3793,     0,
       0,  1821,     0,   658,     0,  1757,     0,     0,  2168,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1906,     0,     0,     0,     0,     0,     0,     0,
    1822,     0,     0,     0,     0,   657,     0,     0,     0,     0,
       0,     0,  1931,  1934,  1935,     0,     0,     0,     0,  2659,
       0,     0,     0,     0,     0,     0,     0,     0,  2665,     0,
       0,     0,  2669,   806,     0,     0,     0,     0,  2675,  2676,
       0,     0,     0,     0,     0,     0,   365,     0,  2154,     0,
     365,  2155,     0, -2578,     0,     0,  2688,     0,  1759,     0,
       0,     0,     0,   659,     0,     0,     0,     0,   659,     0,
    3792,     0,     0,     0,     0,     0,  2158,   659,   806,     0,
     985,  2154,  2159,     0,  2155,     0,     0,  2533,     0,     0,
       0,     0,     0,     0,  3231,     0,     0,     0,  4659,     0,
       0,  2156,     0,     0,   659,     0,  2160,     0,   659,  2158,
       0,     0,     0,     0,     0,  2159,     0,     0,     0,   659,
       0,   364,     0,     0,  1023,     0,     0,  1548,     0,     0,
       0,     0,  1023,     0,  1023,     0,     0,     0,     0,  2160,
       0,     0,     0,   659,     0,     0,   806,  2174,  2175,  2176,
    2177,  2178,  2179,     0,  1548,     0,     0,   659,     0,     0,
       0,   659,     0,     0,     0,   987,     0,     0,  4003,     0,
    2154,   659,     0,  2155,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2605,   659,  1720,     0,     0,     0,
    2156,     0,     0,     0,     0,     0,     0,     0,  2158,     0,
    2533,     0,     0,     0,  2159,     0, -2578,     0,  1168,  1170,
    2162,   364,  1173,  1174,     0,     0,     0,     0,  1721,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2160,  1211,
       0,  2163,  2164,     0,     0,     0,  2667,     0,     0,  2161,
       0,     0,     0,  2162,     0,     0,     0, -2578,     0,  1261,
       0,     0,     0,  1264,     0,     0,     0,     0,     0,  2533,
       0,   364,     0,   364,  2163,  2164,     0,     0,     0,  1285,
       0,     0,  1309,  1722,   659,  2167,  2324,     0,     0,  3564,
    2165,   985,     0,   658,     0,     0,     0,     0,  2168,     0,
       0,     0,     0,     0,   365,  2238,     0,     0,     0,     0,
       0,     0,     0,     0,  1723,  2166,     0,     0,  2167,     0,
     658,  2937,     0,  2154,   364,   658,  2155,     0,   658,     0,
       0,  2168,     0,     0,  2169,     0,     0,     0,  2161,     0,
       0,     0,  2162,     0,     0,     0,     0,     0,     0,  1724,
     658,  2158,  2288,     0,     0,     0,     0,  2159,     0,     0,
       0,     0,     0,  2163,  2164,     0,     0,     0,     0,     0,
       0,   659,   659, -2578,     0,     0,   987,     0,  1725,  2165,
       0,  2160,     0,     0,   658,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1024,     0,     0,     0,     0,
       0,     0,     0,     0,  2166,     0,  2170,  2167,     0,     0,
       0,   658,   658,     0,     0,     0,     0,     0,     0,     0,
    2168,     0,     0,  2169,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   364,   658,     0,   364,     0,     0,
     208,     0,  2420,     0,  1728,     0,     0,     0,     0,     0,
    1729,     0,     0,     0,   658,     0,  1024,  1730,   658,     0,
       0,     0,     0,     0,     0,  2421,     0,  2174,  2175,  2176,
    2177,  2178,  2179,     0,  1732,     0,   658,  2439,     0,     0,
       0,  2161,  1733,     0,  2456,  2162,   658,     0,     0,     0,
       0,     0,     0,     0,     0,  2170,  2171,  2172,  2173,   658,
    2174,  2175,  2176,  2177,  2178,  2179,  2163,  2164,   658,  2486,
    3941,     0,     0,     0,     0,     0,     0,     0,  4931,     0,
       0,     0,  2165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1734,     0,     0,     0,     0,     0,     0,
       0,  2520,     0,     0,     0,     0,     0,  2166,     0,     0,
    2167,     0,     0,     0,  2537,     0,     0,     0,     0,     0,
       0,     0,     0,  2168,     0,  4931,   659,     0,  2549,     0,
       0,     0,     0,  4931,     0,  1764,  1765,     0,     0,     0,
       0,   659,     0,     0,     0,  2171,  2172,  2173,     0,  2174,
    2175,  2176,  2177,  2178,  2179,     0,     0,     0,     0,  3988,
     655,     0,     0,     0,   659,     0,     0,     0,     0,     0,
     985,     0,     0,     0,     0,  3796,  3799,     0,     0,     0,
       0,     0,     0,   985,   658,     0,     0,  3007,     0,     0,
       0,     0,  3011,     0,     0,  3014,     0,     0,  2170,     0,
     659,     0,     0,  1849,     0,     0,  1744,     0,     0,     0,
       0,  3843,  1745,     0,     0,   659,     0,  3037,     0,     0,
       0,   658,     0,  1908,  1909,     0,     0,   659,  2154,     0,
     659,  2155,     0,     0,     0,     0,     0,     0,     0,     0,
    1936,     0,     0,     0,     0,     0,     0,     0,  2156,     0,
       0,  3081,  1746,     0,     0,   987,  2158,     0,     0,     0,
       0,     0,  2159,     0,     0,     0,     0,     0,   987,   658,
       0,     0,     0,     0,     0,  1969,  1971,     0,  3095,     0,
       0,     0,     0,     0,     0,     0,  2160,     0,  2171,  2172,
    2173,   658,  2174,  2175,  2176,  2177,  2178,  2179,  3354,     0,
    2699,  1747,  3128,     0,     0,     0,   806,     0,  1748,     0,
       0,  1749,     0,     0,  3363,  3364,     0,     0,  3366,     0,
       0,  3149,     0,   657,  3370,  3159,     0,  1744,   657,   985,
       0,     0,     0,  1745,     0,     0,     0,   657,     0,     0,
       0,     0,     0,  3171,     0,     0,     0,  1548,  1548,     0,
       0,     0,   659,  3180,     0,     0,     0,     0,     0,     0,
     659,   659,     0,  1750,   657,     0,  3203,     0,   657,     0,
       0,   365,   364,  1746,     0,  3210,     0,     0,   364,   657,
       0,     0,     0,     0,     0,     0,  2161,     0,     0,     0,
    2162,     0,     0,     0,  3404,     0,     0,     0,     0,     0,
       0,     0,     0,   657,     0,     0,     0,     0,     0,     0,
       0,  2163,  2164,     0,   987,     0,     0,   657,  1751,     0,
    1752,   657,  1747,   365,   365,   365,     0,  2165,     0,  1748,
    1753,   657,  1749,     0,     0,     0,     0,     0,  1754,     0,
       0,     0,     0,     0,   659,   657,     0,  1755,     0,     0,
       0,     0,  2166,     0,     0,  2167,     0,     0,     0,     0,
       0,     0,     0,     0,   658,     0,     0,     0,  2168,     0,
       0,  2169,     0,     0,   365,     0,     0,     0,  2403,     0,
    2906,   365,  1757,     0,  1750,     0,     0,     0,   365,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2154,
       0,     0,  2155,     0,     0,  2926,     0,  2404,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4077,     0,     0,     0,     0,     0,  2158,     0,     0,
       0,     0,  1023,  2159,   657,     0,  1023,     0,   658,  1751,
       0,  1752,  2939,  2170,  2942,     0,     0,     0,     0,     0,
       0,  1753,     0,   658,   658,     0,     0,  2160,     0,  1754,
       0,     0,     0,     0,     0,  1759,     0,     0,  1755,     0,
       0,     0,     0,     0,  1744,     0,  3388,     0,     0,   658,
    1745,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3388,  3097,
       0,     0,     0,  1757,     0,     0,     0,     0,     0,     0,
       0,     0,   659,     0,     0,   985,     0,     0,     0,  4004,
    1746,   657,   657,     0,     0,     0,     0,     0,  1758,     0,
       0,   985,     0,  2171,  2172,  2173,     0,  2174,  2175,  2176,
    2177,  2178,  2179,     0,     0,     0,     0,  4063,     0,     0,
       0,     0,     0,     0,   364,   364,   364, -2578,     0,     0,
       0,  2162,     0,     0,     0,     0,     0,     0,     0,  1747,
    3631,     0,     0,   658,     0,     0,  1748,     0,     0,  1749,
     658,     0,  2163,  2164,     0,     0,  1759,     0,     0,   658,
       0,   985,   365,     0,     0,     0,     0,     0, -2578,     0,
     987,     0,  2459,     0,     0,     0,  1387,  1388,     0,   659,
       0,     0,     0,     0,     0,  4227,   987,     0,     0,  3799,
       0,     0,     0,     0,     0,   659,  2167,     0,     0,     0,
    4242,  1750,     0,     0,     0,     0,     0,     0,     0,  2168,
       0,     0,     0,  3678,     0,  3680,     0,     0,     0,     0,
     658,  3119,  2516,  2517,  2518,  2519,     0,     0,     0,     0,
     659,   659,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   659,     0,     0,     0,     0,   987,     0,   364,     0,
       0,     0,     0,   659,   659,     0,  1751,     0,  1752,     0,
       0,  2556,  2557,     0,     0,   364,     0,  2566,  1753,     0,
       0,     0,     0,     0,     0,   659,  1754,     0,     0,   658,
       0,   658,     0,     0, -2578,  1755,   657,     0,     0,     0,
       0,   658,     0,   658,     0,     0,     0,     0,     0,     0,
       0,   657,  3738,     0,     0,     0,     0,  3745,     0,   985,
       0,     0,     0,     0,  2587,  3610,  3173,     0,     0,     0,
    1757,     0,     0,     0,   657,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2620,  2621,
    2622,  2623,   658,     0,     0,  3174,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     657,     0,     0,     0,     0,     0,     0,  3295,     0,     0,
       0,     0,   658,     0,     0,   657,     0,     0,  2174,  2175,
    2176,  2177,  2178,  2179,     0,     0,     0,   657,     0,   658,
     657,     0,     0,     0,   987,     0,  2679,     0,     0,     0,
       0,     0,     0,  1759,   658,  2683,     0,   658,     0,     0,
       0,     0,  2690,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   365,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2324,     0,     0,
    3696,  2154,     0,     0,  2155,     0,  3897,  3708,     0,     0,
    3900,  3901,     0,  3903,     0,  3905,  3906,     0,     0,    74,
       0,  2156,     0,   985,  3911,     0,  1744,     0,     0,  2158,
     364,     0,  1745,  2154,     0,  2159,  2155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3928,     0,  2160,
       0,  2158,   657,   365,     0,     0,     0,  2159,     0,     0,
     657,   657,  1746,     0,     0,   985,     0,  3750,     0,     0,
       0,   806,     0,     0,     0,     0,     0,     0,  4463,  4464,
       0,  2160,     0,  4467,  4468,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   987,     0,
       0,     0,     0,   365,     0,   365,     0,     0,     0,     0,
       0,  1747,     0,     0,     0,     0,     0,     0,  1748,  2860,
       0,  1749,     0,   806,     0,   659,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1744,     0,     0,  4007,   657,     0,  1745,     0,     0,  2161,
     987,     0,   659,  2162,     0,     0,   365,   659,     0,     0,
     659,     0,     0,  3799,  3799,  3799,  3799,  3799,     0,     0,
       0,   985,     0,  1750,  2163,  2164,     0,     0,     0,     0,
       0, -2578,   659,     0,     0,  2162,  1746,     0,   806,     0,
    2165,     0,     0,     0,   658,  1023,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3517,  2163,  2164,     0,     0,
       0,     0,     0,     0,     0,  2166,   659,     0,  2167,  2533,
       0,     0, -2578,     0,     0,     0,     0,  1023,  1751,     0,
    1752,  2168,     0,   364,  2169,  1747,  3919,   364,     0,   364,
    1753,     0,  1748,   659,   659,  1749,     0,     0,  1754,     0,
    2167,     0,     0,     0,  3929,     0,   987,  1755,     0,     0,
    1548,     0,     0,  2168,     0,     0,   365,   659,     0,   365,
       0,   658,     0,     0,   658,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   659,     0,  3211,     0,
     659,     0,  1757,     0,     0,     0,     0,  1750,     0,     0,
       0,     0,     0,     0,     0,     0,  2170,     0,   659,     0,
       0,     0,   657,     0,   658,     0,     0,  3212,   659,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   659,     0,     0,     0,     0,     0,  4615, -2578,     0,
     659,     0,     0,     0,     0,     0,  3049,  3050,  3051,     0,
       0,     0,  1751,  3059,  1752,  3061,     0,  3063,  3064,     0,
       0,     0,     0,     0,  1753,     0,     0,     0,     0,     0,
       0,     0,  1754,     0,     0,  1759,     0,     0,     0,     0,
       0,  1755,     0,     0,   658,   658,     0,     0,     0,     0,
     985,     0,   806,     0,     0,     0,  2171,  2172,  2173,     0,
    2174,  2175,  2176,  2177,  2178,  2179,     0,     0,     0,   657,
    4090,     0,  3655,     0,     0,     0,  1757,     0,     0,     0,
       0,     0,     0,     0,  2154,   657,     0,  2155,     0,     0,
       0,     0,  2174,  2175,  2176,  2177,  2178,  2179,     0,     0,
       0,  3656,     0,     0,  2156,     0,     0,     0,     0,     0,
       0,     0,  2158,     0,  3166,     0,   659,     0,  2159,     0,
     657,   657,     0,     0,     0,   658,     0,     0,     0,     0,
       0,   657,     0,     0,     0,   987,  2154,     0,     0,  2155,
       0,     0,  2160,   657,   657,     0,     0,     0,     0,     0,
       0,     0,     0,   659,     0,     0,     0,     0,     0,  1759,
       0,  4118,     0,     0,  2158,   657,     0,     0,     0,     0,
    2159,  3223,     0,     0,     0,     0,     0,     0,     0,  3232,
    3233,  3234,  3235,  3236,  3237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2160,     0,     0,     0,     0,     0,
       0,   659,     0,     0,  4316,     0,     0,     0,     0,     0,
       0,     0,  4319,  4320,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   659,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4178,     0,
       0,  4181,  2161,     0,     0,  3835,  2162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4371,     0,     0,  3317,
       0,     0,     0,     0,     0,     0,     0,  2163,  2164,     0,
    3850,     0,     0,     0,     0,     0,     0,     0,  3858,     0,
       0,     0,  3863,  2165,     0,     0,     0,     0,     0,  3357,
       0,  3359,     0,     0, -2578,     0,  3874,     0,  2162,     0,
       0,     0,     0,  1891,   365,     0,     0,  4807,  2166,     0,
     365,  2167,     0,   806,     0,     0,     0,     0,     0,  2163,
    2164,     0,     0,     0,  2168,     0,     0,  2169,     0,     0,
       0,     0,   364,     0,     0, -2578,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   658,     0,
       0,     0,     0,     0,     0,  2154,     0,     0,  2155,     0,
     658,     0,     0,  2167,     0,  1548,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2156,  2168,     0,     0,     0,
       0,     0,     0,  2158,     0,     0,     0,     0,     0,  2159,
       0,     0,  4808,     0,     0,  3410,   659,     0,     0,  2170,
       0,     0,     0,     0,     0,     0,     0,  2154,     0,     0,
    2155,     0,  4441,  2160,     0,     0,     0,   364,     0,   658,
       0,     0,     0,     0,     0,     0,     0,  2156,     0,     0,
       0,     0,  3388,     0,     0,  2158,     0,     0,     0,     0,
       0,  2159,     0,  4457,  4458,     0,     0,     0,     0,     0,
       0, -2578,     0,     0,     0,     0,     0,     0,     0,     0,
    1891,     0,     0,     0,     0,  2160,     0,     0,     0,     0,
     659,     0,     0,     0,     0,   657,     0,     0,     0,     0,
       0,     0,  4013,  4014,  4015,   659,   659,     0,  4928,  2171,
    2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,  4481,
    4482,     0,   657,  4339,     0,     0,   806,   657,     0,     0,
     657,   659,     0,  2161,     0,     0,     0,  2162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   657,   658,     0,  4928,     0,     0,  2163,  2164,
       0,     0,     0,  4928,     0,  2174,  2175,  2176,  2177,  2178,
    2179,     0,     0,     0,  2165,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2161,   657,     0,     0,  2162,
       0,     0,     0,     0,     0,     0,     0,  1023,     0,  2166,
       0,     0,  2167,     0,     0,     0,   365,   365,   365,     0,
    2163,  2164,     0,   657,   657,  2168,     0,   867,  2169,     0,
       0,     0,     0,     0,     0,   659,  2165,     0,     0,   868,
       0,     0,   659,     0,     0,     0,   806,   657,     0,   806,
    4561,   659,  4562,  4563,     0,     0,   658,     0,   658,     0,
     869,  2166,     0,  4566,  2167,     0,   657,     0,  1023,     0,
     657,     0,     0,   870,     0,     0,     0,  2168,     0,     0,
    2169,     0,   871,     0,     0,  4460,  -709,     0,   657,     0,
       0,     0,     0,     0,     0,     0,     0,  4470,   657,     0,
    2170,     0,  3637,   872,  3638,  3639,     0,     0,     0,   873,
       0,   657,   659,     0,     0,     0,     0,     0,     0,     0,
     657,     0,     0,     0,   874,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     365,     0,   875,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2170,   876,     0,     0,     0,   365,     0,  1891,
     877,     0,     0,     0,   878,     0,     0,     0,     0,     0,
       0,   659,     0,   659,     0,     0,     0,     0,     0,  -905,
       0,     0,     0,   659,     0,   659,     0,     0,     0,     0,
    2171,  2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,
    4239,     0,     0,     0,  4373,     0,     0,     0,     0,     0,
       0,     0,  2436,     0,     0,     0,     0,   879,     0,  4265,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   659,     0,   657,     0,     0,  1891,
       0,  4275,  2171,  2172,  2173,     0,  2174,  2175,  2176,  2177,
    2178,  2179,     0,     0,   880,     0,  4582,   881,     0,     0,
       0,     0,     0,     0,   659,     0,     0,     0,     0,     0,
    3388,     0,     0,   657,   364,     0,     0,     0,     0,     0,
       0,   659,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   658,   659,     0,     0,   659,
       0,     0,  4718,     0,     0,     0,     0,   882,     0,  1891,
       0,     0,     0,   883,     0,     0,     0,     0,     0,  -386,
       0,   657,   884,     0,     0,     0,     0,     0,  1891,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   657,     0,     0,  1891,     0,  -386,     0,
     885,   886,     0,   887,   888,     0,     0,     0,  4744,     0,
       0,     0,   889,  3388,     0,  3388,     0,   890,     0,     0,
       0,     0,   365,   891,  1891,     0,   892,     0,     0,   893,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4770,  -386,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4374,  4375,  4376,  4377,   703,     0,     0,
       0,  3907,     0,     0,  3908,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   806,     0,     0,    85,     0,     0,
     806,     0,  1891,    89,     0,     0,     0,    93,     0,    94,
       0,    96,    97,     0,     0,   703,     0,     0,     0,     0,
       0,     0,   106,     0,     0,     0,     0,     0,  3933,   658,
       0,     0,     0,     0,     0,     0,   703,     0,     0,   119,
     120,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   996,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   997,     0,     0,
       0,     0,     0,     0,     0,  1005,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   128,   657,     0,     0,     0,
    1015,     0,   996,     0,     0,   129,  1036,   130,   131,     0,
       0,   364,     0,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,  1099,     0,  1071,     0,   659,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   141,     0,   142,   143,     0,     0,     0,     0,
     146,     0,   147,     0,     0,     0,     0,     0,   364,     0,
       0,     0,   149,     0,   150,   365,   364,     0,     0,   365,
     657,   365,     0,     0,     0,     0,     0,     0,   153,     0,
     154,     0,     0,   157,     0,   657,   657,     0,     0,     0,
       0,     0,     0,     0,  4916,   158,     0,   159,     0,     0,
       0,   160,     0,   659,     0,     0,   659,   161,  1891,     0,
       0,   657,     0,     0,   163,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   171,     0,     0,     0,
       0,     0,     0,  2919,     0,     0,   659,     0,     0,     0,
       0,     0,     0,     0,     0,  2154,     0,     0,  2155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4113,  4114,  4115,  4116,     0,  2156,     0,     0,     0,     0,
       0,     0,     0,  2158,     0,  4556,   806,   806,   806,  2159,
     184,   185,     0,     0,     0,     0,   186,     0,     0,     0,
       0,     0,     0,     0,   187,   657,  2154,     0,     0,  2155,
       0,     0,   657,  2160,     0,   192,   659,   659,     0,     0,
       0,   657,     0,     0,     0,     0,  2156,     0,     0,     0,
       0,     0,     0,     0,  2158,     0,     0,     0,     0,     0,
    2159,     0,     0,     0,     0,     0,  3388,     0,     0,     0,
       0,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   205,  2160,     0,     0,     0,   206,     0,
     207,     0,     0,     0,     0,   208,     0,     0,     0,     0,
     209,     0,   657,   211,     0,     0,     0,   213,     0,     0,
       0,     0,   214,   215,     0,     0,     0,   659,     0,     0,
     216,     0,     0,   218,     0,     0,     0,     0,     0,     0,
     806,   221,     0,  2161,     0,     0,     0,  2162,     0,     0,
       0,     0,     0,   223,     0,     0,     0,   806,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2163,  2164,
     228,   657,   229,   657,     0,     0,  4257,     0,     0,     0,
     231,     0,     0,   657,  2165,   657,   232,     0,     0,     0,
       0,   233,     0,     0,  2161,     0,     0,     0,  2162,     0,
       0,     0,     0,   236,     0,     0,     0,     0,     0,  2166,
    3086,     0,  2167,  4667,     0,  2436,  3093,     0,     0,  2163,
    2164,     0,     0,     0,     0,  2168,     0,  1891,  2169,     0,
       0,     0,     0,     0,   657,  2165,     0,   246,     0,     0,
       0,  -132,     0,     0,  1548,     0,   703,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2166,     0,     0,  2167,   657,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2168,     0,     0,  2169,
       0,   657,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   657,     0,     0,   657,
    2170,     0,     0,     0,     0,     0,     0, -2085,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   365,     0,     0,     0,  4751,     0,
       0,     0,     0,  2154,     0,     0,  2155,     0,     0,     0,
     659,  2170,     0, -2085,     0,     0,     0,     0,     0,     0,
    1891,     0,   659,  2156,     0, -2085,     0,     0,     0, -2085,
       0,  2158,   806,     0, -2085,     0,     0,  2159,     0, -2085,
       0,     0, -2085,     0, -2085,     0,     0,     0,     0,     0,
    2171,  2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,
       0,  2160,     0,     0,  4624,     0,     0,     0,     0,     0,
       0, -2085,     0,     0,     0,     0,     0,     0,     0,   365,
       0,   659,     0,     0,     0,     0,     0,     0,     0,     0,
    2436,     0, -2085,     0,     0,     0,     0,     0,     0,     0,
       0,  2171,  2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,
    2179,  1163,  1169,  1169,   703,  4669,  1169,  1176,     0,  1163,
       0,  1066,     0,  1200,     0,     0,     0,  1066, -2085,  1066,
       0,     0,     0,  1169,     0,  1066, -2085,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,  1066,     0,
    1163,     0,     0,  1169,     0,   703,     0,  1169,     0,     0,
       0,  2161,     0,  1200,     0,  2162,  1280,     0,     0,     0,
       0,     0,     0,  1169,     0,     0,     0,     0,     0,     0,
       0, -2085,     0,     0,     0,     0,  2163,  2164,     0,     0,
    1891,     0,     0,     0,  4476,   659,     0,     0,     0,     0,
       0,     0,  2165,     0,  1163,     0,   657,     0,  4479,   703,
       0,     0,     0,  1163,     0,     0,  1200,     0,     0,     0,
    2154,     0,     0,  2155,     0,     0,  1000,  2166,     0,     0,
    2167,  1169,     0,     0,     0,     0,     0,     0,     0,     0,
    2156,     0,     0,  2168,     0,   806,  2169,     0,  2158,   806,
   -2085,   806,     0,     0,  2159,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2085,     0, -2085, -2085,     0,  2160,     0,
       0,     0,     0,   657,  1066,     0,   657,     0,   659,     0,
     659,     0,     0,     0,     0,     0,  1066,  1423,     0,     0,
       0,     0,  4529,     0,     0,     0,     0,     0, -2085,     0,
       0, -2085, -2085,     0, -2085,     0,     0,     0,  2170,     0,
       0,     0,     0,  1530,     0,     0,   657,   703,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2154,     0,     0,  2155,  1066,     0,     0,     0,
    1066,     0,     0,  2919,  2919,  2919,     0,     0,  1530,     0,
       0,     0,  2156,     0,     0,     0,     0,     0,  1066,     0,
    2158,     0,     0,     0,     0,     0,  2159,     0,  2161,     0,
    1066,     0,  2162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   657,   657,     0,     0,
    2160,     0,     0,  2163,  2164,     0,     0,     0,  2171,  2172,
    2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,     0,  2165,
       0,     0,  4855,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2166,     0,     0,  2167,     0,  4629,
    4631,  4631,     0,     0,     0,     0,     0,     0,     0,     0,
    2168,  1066,     0,  2169,     0,     0,     0,     0,     0,  1169,
    1169,     0,     0,     0,     0,     0,     0,   657,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1891,     0,     0,     0,     0,     0,     0,     0,     0,
    2161,     0,     0,     0,  2162,     0,   365,     0,     0,     0,
       0,  1163,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1163,     0,     0,  1200,  2163,  2164,   659,     0,     0,
       0,  2436,  3093,     0,  3093,  2170,     0,  1169,     0,     0,
       0,  2165,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,  1169,  1169,     0,
       0,     0,     0,     0,     0,     0,  2166,  4704,     0,  2167,
       0,  1066,  1066,  1066,  1169,     0,  1163,     0,     0,     0,
    1944,     0,  2168,     0,     0,  2169,  1891,     0,  1891,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1169,  1169,
    1169,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2171,  2172,  2173,     0,  2174,
    2175,  2176,  2177,  2178,  2179,     0,     0,     0,     0,  4940,
       0,  1891,     0,  1530,     0,     0,     0,     0,     0,  4748,
       0,     0,     0,     0,     0,     0,     0,  2170,     0,     0,
       0,     0,     0,     0,     0,  1891,     0,     0,     0,     0,
       0,  4766,     0,  4768,     0,     0,     0,     0,     0,     0,
       0,  2043,  2043,     0,   806,     0,  1066,     0,   996,     0,
       0,   659,  3093,     0,     0,     0,     0,     0,     0,     0,
     657,     0,     0,     0,     0,  3093,     0,     0,     0,     0,
    2077,     0,   657,  1066,     0,     0,  2083,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1530,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2171,  2172,  2173,
       0,  2174,  2175,  2176,  2177,  2178,  2179,  1530,     0,  4058,
       0,     0,     0,   365,  4631,     0,     0,     0,  1891,   806,
    2154,   657,     0,  2155,     0,     0,     0,     0,     0,     0,
    2154,     0,  3093,  2155,     0,  1530,  1530,     0,  1530,     0,
    2156,     0,     0,     0,  2948,  1891,     0,     0,  2158,     0,
    2156,     0,     0,     0,  2159,  1530,  4853,     0,  2158,     0,
     365,     0,     0,     0,  2159,     0,     0,     0,   365,  2154,
       0,     0,  2155,     0,     0,   703,   703,     0,  2160,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2160,  2156,
       0,     0,     0,     0,     0,     0,     0,  2158,     0,     0,
       0,     0,     0,  2159,  1066,     0,     0,  1530,     0,     0,
       0,     0,  4888,  1891,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2949,     0,     0,     0,  2160,     0,     0,
       0,     0,     0,  1891,     0,   657,  1530,     0,     0,     0,
    1530,  1530,  2154,     0,     0,  2155,     0,     0,     0,     0,
    1066,  1066,  2290,     0,     0,  4921,     0,     0,  1891,     0,
       0,     0,  2156,     0,     0,     0,     0,  3457,     0,     0,
    2158,     0,  3458,     0,     0,     0,  2159,     0,  2161,   703,
       0,     0,  2162,     0,     0,     0,     0,     0,  2161,     0,
       0,     0,  2162,     0,  1891,     0,     0,     0,     0,     0,
    2160,     0,     0,  2163,  2164,     0,     0,     0,     0,     0,
       0,     0,     0,  2163,  2164,     0,     0,     0,     0,  2165,
       0,     0,     0,     0,     0,     0,     0,  2161,   657,  2165,
     657,  2162,     0,     0,  2919,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2166,     0,     0,  2167,     0,     0,
       0,     0,  2163,  2164,  2166,     0,     0,  2167,     0,     0,
    2168,     0,     0,  2169,     0,     0,     0,     0,  2165,     0,
    2168,     0,     0,  2169,     0,     0,  1066,  2444,  4914,     0,
       0,     0,     0,  1066,     0,     0,  1169,     0,     0,     0,
       0,     0,     0,  2166,     0,     0,  2167,     0,     0,     0,
    2161,  1200,     0,     0,  2162,     0,     0,     0,  1066,  2168,
       0,     0,  2169,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2163,  2164,     0,  1066,     0,
       0,  3980,     0,     0,     0,  2170,  1169,  1169,  1169,  1169,
    1066,  2165,     0,     0,     0,  2170,     0,     0,     0,     0,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2548,  2166,  1066,     0,  2167,
       0,     0,     0,     0,     0,  1169,  1169,     0,     0,     0,
       0,  1169,  2168,     0,  2170,  2169,  2950,  3093,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3981,     0,
       0,     0,  4915,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2171,  2172,  2173,  1169,  2174,
    2175,  2176,  2177,  2178,  2179,  2171,  2172,  2173,     0,  2174,
    2175,  2176,  2177,  2178,  2179,     0,   806,     0,     0,     0,
       0,     0,  1169,  1169,  1169,  1169,     0,  2170,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   657,     0,     0,
       0,  2548,     0,     0,  2171,  2172,  2173,     0,  2174,  2175,
    2176,  2177,  2178,  2179,     0,     0,  1163,     0,     0,     0,
       0,     0,     0,   703,     0,  1163,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1200,     0,     0,     0,     0,
    1169,     0,     0,     0,     0,     0,     0,     0,     0,  1169,
       0,     0,     0,     0,     0,  1169,  1169,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1891,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,  2171,  2172,  2173,
       0,  2174,  2175,  2176,  2177,  2178,  2179,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2436,
       0,     0,     0,  2043,     0,     0,     0,     0,     0,     0,
    1169,     0,  1163,     0,     0,     0,  1066,  1066,     0,  1169,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   996,   996,  2154,     0,  2760,  2155,     0,     0,  1530,
    1530,     0,     0,     0,     0,     0,     0,  1530,     0,     0,
    1530,   657,     0,  2156,  1530,     0,  3420,     0,     0,     0,
       0,  2158,  1530,  1530,     0,     0,     0,  2159,     0,     0,
    1530,     0,  1200,  1530,  1530,  1530,  1530,     0,     0,     0,
       0,     0,     0,  1530,  1530,     0,  1530,     0,  1530,  1530,
       0,  2160,  1530,     0,     0,     0,     0,     0,     0,     0,
    1891,     0,     0,     0,     0,     0,     0,     0,     0,  1530,
       0,  1891,     0,  1169,  1530,     0,     0,     0,  1530,     0,
       0,     0,  1530,   806,  1530,  1530,  1530,  1530,  1530,  1530,
    1530,  1530,  1530,     0,  1530,     0,     0,     0,     0,  1066,
    1530,     0,     0,  1530,     0,     0,     0,     0,  2919,     0,
       0,     0,     0,  2919,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,  2919,     0,     0,     0,     0,
     806,     0,     0,     0,     0,     0,     0,     0,   806,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2161,     0,     0,     0,  2162,     0,     0,     0,     0,
       0,  1066,     0,  1066,     0,  1530,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,  2163,  2164,     0,     0,
       0,     0,  1891,     0,     0,  2154,     0,     0,  2155,     0,
       0,     0,  2165,     0,     0,     0,     0,     0,     0,     0,
       0,  1229,  2971,     0,  2978,  2156,     0,     0,     0,     0,
    1891,     0,     0,  2158,  1230,  1231,     0,  2166,     0,  2159,
    2167,     0,  1891,  1232,     0,     0,     0,  1233,     0,     0,
       0,     0,     0,  2168,     0,     0,  2169,     0,     0,     0,
       0,     0,     0,  2160,  1234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1235,  1891,     0,   703,     0,
       0,     0,     0,   996,     0,   996,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,  1530,     0,  1237,     0,     0,     0,  1163,  1238,
    1169,  1169,  1169,     0,  1163,  1200,     0,  1169,  2170,  1169,
       0,  1169,  1169,     0,     0,  1066,     0,     0,     0,     0,
    1239,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2161,     0,  1240,     0,  2162,     0,     0,
       0,     0,     0,  2444,     0,     0,     0,     0,     0,  3101,
       0,     0,     0,     0,  3110,     0,     0,     0,  2163,  2164,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4554,     0,     0,  2165,  3141,  3141,     0,     0,     0,
       0,     0,   703,     0,     0,  1241,     0,     0,  2171,  2172,
    2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,  1169,  2166,
       0,     0,  2167,     0,     0,     0,     0,     0,  1891,     0,
       0,     0,     0,   841,     0,  2168,     0,     0,  2169,     0,
       0,     0,     0,     0,  3198,     0,  3200,  3202,     0,     0,
       0,     0,  3435,     0,     0,     0,     0,     0,  1242,     0,
       0,     0,  1243,     0,  1244,     0,     0,     0,     0,     0,
    1245,     0,     0,  1246,     0,  1169,     0,     0,     0,     0,
       0,     0,     0,  1169,  1169,  1169,  1169,  1169,  1169,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1530,  1247,
       0,  1248,     0,     0,     0,  1249,     0,     0,     0,     0,
    2170,     0,     0,  1250,     0,     0,     0,     0,  1251,     0,
       0,  2444,     0,     0,  2154,  3141,  1066,  2155,     0,     0,
     996,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3093,  1252,  2156,     0,     0,  3465,     0,     0,
       0,     0,  2158,     0,     0,     0,  3198,     0,  2159,     0,
       0,     0,     0,  1169,  3325,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1944,     0,     0,     0,     0,     0,
       0,     0,  2160,     0,     0,     0,     0,     0,     0,     0,
       0,  1169,     0,  1169,  3141,  1169,  3141,     0,     0,     0,
    2171,  2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,
       0,     0,     0,     0,     0,     0,     0,     0,  1530,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3093,     0,     0,     0,     0,     0,
    2043,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1891,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2161,     0,  1163,     0,  2162,  1891,     0,  1163,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1169,
       0,     0,     0,     0,     0,  1530,  1530,  2163,  2164,     0,
       0,  1530,     0,     0,     0,     0,     0,     0,  2154,     0,
       0,  2155,     0,  2165,     0,     0,  1891,     0,     0,     0,
    1891,  1891,     0,     0,     0,     0,  1530,  1530,  2156,     0,
       0,  1530,     0,     0,     0,     0,  2158,     0,  2166,     0,
       0,  2167,  2159,  1530,  1530,  1530,  1530,     0,     0,     0,
       0,     0,     0,     0,  2168,     0,  1530,  2169,     0,  1530,
       0,  1530,  3485,     0,     0,     0,  2160,     0,     0,     0,
       0,  1530,  1530,     0,     0,  1530,     0,     0,     0,     0,
       0,     0,  4554,     0,     0,     0,     0,     0,  1530,     0,
    1530,     0,  1200,     0,  1530,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1530,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,  3530,     0,  1530,  1530,  1530,     0,     0,     0,  2170,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1530,     0,     0,
    3470,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1530,     0,     0,     0,     0,  1530,  2161,     0,     0,  1066,
    2162,     0,  1530,     0,     0,     0,     0,     0,  3530,     0,
       0,  3591,     0,     0,     0,  2978,     0,     0,     0,     0,
       0,  2163,  2164,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2165,   814,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2171,
    2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,     0,
       0,     0,  2166,     0,     0,  2167,     0,     0,  1530,     0,
    3141,     0,     0,     0,     0,  2043,     0,     0,  2168,     0,
       0,  2169,     0,   814,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1169,     0,  1169,  1169,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1027,
       0,     0,     0,     0,     0,     0,     0,  1027,     0,  1027,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   814,     0,  2170,     0,     0,     0,     4,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     5,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     0,
       0,     0,     0,     8,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,    36,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,  2171,  2172,  2173,     0,  2174,  2175,  2176,
    2177,  2178,  2179,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3141,
    3141,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2154,     0,    46,  2155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3800,     0,
       0,     0,     0,     0,  2156,     0,     0,  3476,     0,     0,
       0,     0,  2158,     0,     0,     0,     0,     0,  2159,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2160,     0,     0,     0,     0,     0,  2043,  1066,
       0,     0,     0,     0,     0,     0,    47,  1066,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    48,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     703,     0,    49,     0,     0,     0,     0,     0,     0,     0,
    1889,     0,     0,     0,     0,  1169,     0,     0,  1169,     0,
       0,     0,     0,     0,    50,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1163,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2161,     0,  1066,     0,  2162,     0,    51,     0,
       0,    52,  1169,     0,     0,     0,     0,     0,     0,     0,
    1530,     0,     0,     0,     0,     0,    53,  2163,  2164,     0,
    1530,     0,     0,     0,     0,     0,  1530,     0,  1530,     0,
       0,     0,     0,  2165,  1530,     0,     0,  1530,  1530,  1530,
    1530,  1530,  1530,  1530,  1530,  1530,  1530,     0,     0,     0,
    1530,  1530,     0,     0,     0,     0,     0,     0,  2166,     0,
       0,  2167,     0,  1530,     0,     0,     0,  1530,     0,     0,
       0,  1530,     0,     0,  2168,     0,     0,  2169,     0,     0,
       0,  1530,     0,     0,  1530,     0,  1530,     0,     0,    54,
       0,     0,     0,     0,     0,  1530,  1530,  1530,     0,     0,
       0,  1530,     0,     0,  1530,     0,     0,  1889,     0,     0,
       0,  1066,  1066,  1066,  3530,  4021,     0,     0,     0,  4021,
    4034,     0,  2154,     0,  1530,  2155,     0,     0,     0,     0,
    4048,    55,  1530,     0,  1530,     0,     0,     0,     0,     0,
       0,     0,  2156,     0,     0,    56,     0,     0,     0,  2170,
    2158,     0,     0,     0,     0,     0,  2159,     0,     0,     0,
      57,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1530,
    2160,     0,     0,     0,     0,  1530,    58,     0,     0,  2978,
       0,  1530,    59,     0,     0,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,    67,    68,     0,    69,    70,
      71,    72,    73,     0,     0,     0,  4096,  2043,  2043,     0,
    2548,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1169,  1169,  1169,  1169,     0,  2171,
    2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,  2220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4139,     0,     0,     0,     0,     0,     0,     0,
    2161,     0,     0,     0,  2162,     0,     0,     0,     0,     0,
       0,   814,     0,     0,     0,     0,     0,     0,     0,  1165,
       0,     0,     0,     0,     0,  2163,  2164,  1165,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2165,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4194,  1165,     0,
       0,     0,     0,     0,     0,     0,  2166,     0,     0,  2167,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2168,     0,     0,  2169,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3800,  1165,     0,     0,     0,     0,     0,     0,  1066,
       0,  1165,     0,     0,     0,     0,     0,     0,     0,     0,
    1169,     0,  1530,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1889,
    2444,     0,     0,     0,     0,     0,     0,  2170,     0,     0,
    1066,     0,     0,     0,     0,     0,     0, -2087,     0,  3198,
       0,     0,  2154,     0,  4292,  2155,  1889,     0,  2444,     0,
       0,     0,     0,  3937,     0,     0,     0,     0,     0,     0,
    1530,  1530,  2156,     0,     0,  3987,     0,     0,     0,     0,
    2158,     0,     0,     0,  2154,     0,  2159,  2155,     0,     0,
       0,     0,     0, -2087,     0,  3141,     0,  3141,     0,     0,
       0,     0,     0,     0,  2156, -2087,  1881,     0,     0, -2087,
    2160,  1165,  2158,     0, -2087,     0,     0,  1027,  2159, -2087,
       0,  1027, -2087,     0, -2087,     0,  1889,  2171,  2172,  2173,
    1530,  2174,  2175,  2176,  2177,  2178,  2179,     0,     0,     0,
       0,     0,  2160,     0,     0,  1889,  1165,     0,     0,     0,
       0, -2087,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1889,     0,     0,     0,  1530,     0,     0,
       0,     0, -2087,     0,     0,     0,     0,  1530,  1530,     0,
       0,     0,     0,     0,     0,  1530,  1530,     0,   828,     0,
    1530,  1889,     0,     0,     0,     0,  1530,  1530,     0,     0,
    1530,     0,  1066,  1066,  1066,  1066,     0,     0, -2087,  4021,
    2161,     0,  4379,     0,  2162,  3530, -2087,     0,     0,  3530,
       0,     0,     0,     0,     0,  4392,     0,     0,  1530,     0,
       0,     0,     0,  1530,   829,  2163,  2164,     0,     0,  4402,
       0,     0,  2161,     0,     0,  1530,  2162,   830,     0,  1889,
       0,  2165,     0,     0,  1200,     0,     0,     0,     0,     0,
       0, -2087,  3591,  1881,   831,     0,  2978,  2163,  2164,     0,
     832,     0,     0,     0,     0,     0,  2166,     0,     0,  2167,
       0,   996,     0,  2165,  1530,   833,     0,     0,     0,     0,
       0,     0,  2168,     0,     0,  2169,     0,     0,     0,  1165,
       0,     0,     0,   834,  3141,  3141,  1000,     0,  2166,  1165,
       0,  2167,     0,     0,   835,     0,     0,     0,     0,   836,
       0,     0,     0,     0,  2168,   837,     0,  2169,  4455,     0,
   -2087,  1892,     0,     0,     0,     0,     0,     0,     0,     0,
     838,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2087,     0, -2087, -2087,     0,     0,     0,
       0,     0,     0,     0,  1165,   839,     0,  2170,  1169,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1169,     0,     0,     0,     0,     0, -2087,     0,
       0, -2087, -2087,     0, -2087,     0,     0,     0,     0,  2170,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   840,  2043,     0,     0,     0,
       0,     0,     0,     0,     0,  3800,  3800,  3800,  3800,  3800,
       0,  1165,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   841,     0,  1889,     0,     0,     0,  1530,
       0,     0,     0,     0,     0,     0,     0,  2171,  2172,  2173,
       0,  2174,  2175,  2176,  2177,  2178,  2179,     0,   842,     0,
       0,     0,     0,     0,   843,     0,  1169,  2444,     0,     0,
     844,     0,     0,   845,     0,     0,     0,     0,  1892,  2171,
    2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,     0,
       0,     0,     0,     0,  1066,     0,  4560,     0,     0,   846,
       0,   847,     0,     0,     0,   848,  1165,     0,     0,     0,
       0,     0,     0,   849,     0,     0,     0,     0,   850,     0,
       0,     0,  1881,     0,  1530,     0,     0,     0,     0,     0,
     851,     0,     0,  1530,     0,  1165,     0,     0,     0,     0,
       0,     0,     0,   852,     0,     0,     0,     0,     0,     0,
    1530,  1530,     0,     0,  1530,     0,     0,     0,     0,     0,
       0,  4021,     0,  1165,  1165,  3530,  1165,     0,     0,     0,
    3530,     0,     0,  3530,  3198,  1881,  4604,     0,  1530,  1530,
       0,     0,     0,  1165,     0,     0,     0,     0,     0,     0,
       0,   921,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1881,   922,     0,     0,     0,     0,     0,     0,
       0,  4096,  1200,  1169,  1169,  1169,     0,     0,     0,     0,
       0,     0,     0,     0,   923,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1165,   814,   924,     0,     0,
       0,     0,     0,     0,     0,     0,  1163,  1200,     0,     0,
     925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1165,     0,     0,   926,  1165,  1165,
       0,     0,  1881,     0,     0,     0,     0,  2043,     0,     0,
       0,     0,     0,  1163,     0,     0,     0,     0,   927,     0,
   -2100,  1881,  1066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3141,     0,  2444,   928,  1889,     0,  1881,
       0,     0,  1889,  1889,     0,     0,     0,   929,  4292,     0,
       0,     0,   930,  1066,  1889,     0,     0,     0,   931,     0,
       0,  1169,  4096,     0,     0,     0, -2100,  1881,     0,     0,
       0,     0,     0,   932,     0,     0,     0,  1892, -2100,     0,
       0,     0, -2100,   814,     0,     0,  1530, -2100,     0,  1530,
    1027,  1530, -2100,     0,     0, -2100,     0, -2100,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1530,     0,
       0,     0,  3530,     0,     0,  4604,     0,     0,     0,     0,
       0,  4738,  1027,     0, -2100,  1881,     0,     0,     0,     0,
    1892,  1744,     0,     0,     0,     0,     0,  1745,     0,     0,
       0,     0,     0,  1169,     0, -2100,     0,  1066,   933,     0,
       0,     0,     0,     0,     0,     0,     0,  1892,   934,     0,
       0,     0,  1776,     0,  1169,  1169,  1169,  1169,     0,     0,
       0,     0,     0,     0,     0,     0,   841,  1746,     0,     0,
       0, -2100,     0,     0,     0,     0,     0,  1889,     0, -2100,
       0,     0,     0,     0,  1530,     0,     0,     0,     0,     0,
       0,   935,     0,     0,     0,   936,     0,   937,  1777,     0,
       0,     0,     0,   938,     0,     0,   939,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1747,  1892,     0,     0,
       0,     0,     0,  1748, -2100,     0,  1749,     0,     0,     0,
       0,     0,   940,     0,   941,     0,  1892,     0,   942,     0,
       0,     0,  1530,     0,     0,     0,   943,  1889,  1169,     0,
    1200,   944,     0,     0,  1892,     0,     0,     0,     0,  1530,
       0,     0,     0,   945,     0,     0,     0,     0,     0,  1000,
       0,     0,     0,     0,     0,  1778,   946,   814,  1750,     0,
       0,     0,  1892,     0,     0,     0,     0,     0,     0,     0,
    1169,     0,     0, -2100,  1163,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4096,     0,     0,     0,     0,     0,
       0,  1881,     0,  4560,     0,     0, -2100,     0, -2100, -2100,
       0,  1779,  4738,  1780,     0,  1530,  1530,     0,     0,     0,
       0,     0,     0,  1781,  1165,  1752,     0,     0,  1163,     0,
    1892,     0,     0,  1165,     0,  1753,  1169,  1889,     0,     0,
       0, -2100,     0,  1754, -2100, -2100,     0, -2100,     0,     0,
       0,  1782,  1755,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1530,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1530,     0,     0,     0,     0,  1169,
       0,     0,     0,  1783,     0,     0,     0,  1757,  1784,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1785,     0,     0,     0,     0,     0,     0,     0,
    1165,     0,     0,  1786,     0,     0,     0,     0,     0,     0,
       0,     0,  1530,     0,     0,     0,     0,     0,     0,     0,
       0,  1163,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1165,  1165,     0,
       0,     0,     0,     0,     0,  1165,     0,     0,  1165,     0,
    1759,     0,  1165,     0,     0,     0,     0,     0,     0,     0,
    1165,  1165,     0,     0,     0,     0,     0,     0,  1165,     0,
       0,  1165,  1165,  1165,  1165,     0,     0,     0,     0,     0,
       0,  1165,  1165,     0,  1165,     0,  1165,  1165,     0,     0,
    1165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1892,  1165,   814,     0,
       0,     0,  1165,     0,     0,     0,  1165,     0,     0,     0,
    1165,     0,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,
    1165,     0,  1165,     0,     4,     0,     0,     0,  1165,     0,
       0,  1165,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1881,     5,     0,     0,     0,  1881,  1881,
       0,     0,     0,     0,     6,     7,     0,     0,     0,     0,
    1881,     0,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,     0,  1165,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,  1889,     0,
       0,     0,  1744,     0,     0,     0,     0,     0,  1745,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1776,     0,     0,     0,     0,  1889,  1889,
       0,  1889,     0,    46,     0,     0,     0,     0,  1746,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1777,
       0,   814,     0,  1881,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1889,     0,  1889,     0,  1747,     0,     0,
       0,     0,     0,     0,  1748,     0,     0,  1749,     0,     0,
    1165,     0,     0,    47,     0,     0,  1165,     0,     0,     0,
       0,     0,  1165,     0,     0,     0,     0,     0,     0,    48,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1889,    49,
       0,     0,  1027,  1881,     0,     0,  1778,     0,  1892,  1750,
       0,     0,     0,  1892,  1892,     0,     0,     0,     0,     0,
       0,    50,  1889,     0,     0,  1892,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   814,     0,     0,   814,     0,     0,     0,     0,  1889,
       0,     0,  1779,     0,  1780,    51,     0,     0,    52,     0,
       0,     0,  1889,  1027,  1781,     0,  1752,     0,     0,     0,
       0,     0,     0,    53,     0,     0,  1753,     0,     0,     0,
       0,     0,     0,     0,  1754,     0,     0,     0,     0,     0,
       0,     0,  1782,  1755,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1881,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3161,  1889,     0,     0,  1757,  1784,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1889,
    1025,     0,     0,     0,     0,     0,    54,     0,  1025,     0,
    1025,     0,  1889,  3162,     0,     0,  1165,     0,  1892,     0,
       0,     0,     0,     0,  1786,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    55,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,     0,     0,     0,     0,     0,     0,     0,
       0,  1759,     0,     0,     0,     0,     0,    57,     0,     0,
    1889,     0,     0,     0,     0,     0,     0,     0,  1892,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1889,     0,     0,    58,     0,     0,     0,     0,     0,    59,
       0,     0,     0,    60,    61,    62,    63,    64,     0,     0,
      65,    66,  1349,     0,     0,  1889,     0,    71,  1350,     0,
       0,     0,     0,     0,     0,     0,  1165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1892,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1165,     0,     0,     0,     0,  1165,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1165,  1165,     0,     0,     0,     0,  1165,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1165,  1165,     0,     0,     0,  1165,
       0,     0,     0,     0,  1881,     0,     0,     0,     0,     0,
       0,  1165,  1165,  1165,  1165,     0,     0,     0,     0,   814,
       0,     0,     0,     0,  1165,   814,     0,  1165,     0,  1165,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1165,
    1165,     0,     0,  1165,  1881,  1881,     0,  1881,     0,     0,
       0,     0,     0,     0,     0,     0,  1165,     0,  1165,     0,
       0,     0,  1165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1165,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1165,
       0,  1165,  1165,  1165,  1889,     0,     0,     0,     0,  1881,
       0,  1881,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1165,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1165,     0,
       0,     0,     0,  1165,     0,     0,     0,     0,     0,     0,
    1165,     0,     0,     0,     0,     0,  1165,     0,     0,     0,
       0,     0,     0,     0,  1881,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1881,  1165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1892,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1889,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1892,
    1892,     0,  1892,     0,     0,     0,  1889,     0,     0,     0,
       0,  1881,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1881,     0,     0,     0,     0,
       0,   814,   814,   814,     0,     0,     0,     0,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1892,     0,  1892,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,  1161,     0,
       0,     0,     0,     0,     0,     0,  1881,     0,     0,  1892,
       0,     0,     0,     0,     0,     0,     0,  1889,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,     0,  1889,  1161,
       0,     0,     0,  1892,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1881,     0,     0,     0,   814,     0,     0,     0,     0,
    1892,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   814,  1892,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,  1881,     0,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1892,     0,     0,  1889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1892,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1892,     0,     0,     0,  1889,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1165,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,  1025,     0,
       0,     0,  1025,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1889,     0,     0,     0,     0,  1165,     0,
       0,  1892,     0,     0,     0,     0,     0,  1161,  1165,     0,
       0,     0,     0,     0,  1165,     0,  1165,     0,     0,     0,
       0,  1892,  1165,     0,     0,  1165,  1165,  1165,  1165,  1165,
    1165,  1165,  1165,  1165,  1165,     0,     0,     0,  1165,  1165,
       0,     0,     0,     0,     0,     0,  1892,     0,     0,     0,
    1881,  1165,     0,     0,     0,  1165,     0,   814,     0,  1165,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1165,
       0,     0,  1165,     0,  1165,     0,     0,     0,     0,     0,
       0,     0,  1892,  1165,  1165,  1165,     0,     0,     0,  1165,
       0,     0,  1165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1165,     0,     0,     0,     0,     0,     0,     0,
    1165,     0,  1165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,  1165,     0,     0,
    1161,     0,     0,  1165,     0,     0,     0,     0,     0,  1165,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1890,     0,     0,     0,     0,     0,     0,     0,
    1881,     0,     0,     0,  1165,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,  1881,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     814,     0,     0,     0,   814,  1892,   814,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1881,     0,     0,     0,     0,     0,  1890,
       0,  1889,     0,     0,  1881,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1889,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1165,     0,     0,     0,  1889,     0,  1161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1892,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,  1161,     0,  1161,     0,     0,
       0,     0,     0,  1889,     0,     0,     0,  1889,  1889,     0,
       0,     0,     0,     0,  1161,     0,     0,  1892,  1165,  1165,
       0,     0,     0,     0,     0,  1881,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1881,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1881,  1161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1165,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,  1161,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,  1881,
       0,     0,     0,     0,     0,  1165,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1165,  1165,     0,  1892,     0,
       0,     0,     0,  1165,  1165,     0,     0,     0,  1165,  1892,
       0,     0,     0,     0,  1165,  1165,     0,     0,  1165,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1165,     0,     0,     0,  1165,     0,     0,
       0,     0,     0,     0,     0,     0,  1165,     0,  1890,     0,
       0,  1165,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1025,     0,  1165,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1025,     0,     0,     0,     0,     0,     0,
       0,  1890,  1165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1892,     0,     0,     0,     0,     0,     0,     0,  1890,     0,
       0,  1881,     0,     0,     0,     0,     0,     0,     0,   814,
       0,     0,     0,     0,     0,     0,     0,     0,  1892,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1892,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1890,     0,
       0,     0,     0,     0,  1892,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1890,     0,     0,
       0,     0,     0,     0,   814,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1890,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1881,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1890,     0,     0,     0,  1165,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,  1892,
       0,  1890,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1881,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1165,     0,     0,     0,  1892,     0,     0,     0,
    1881,  1165,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1165,  1165,
       0,     0,  1165,     0,     0,     0,     0,     0,     0,     0,
    1881,     0,     0,  1165,     0,     0,     0,     0,  1165,     0,
       0,  1165,     0,     0,     0,     0,  1165,  1165,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1881,
       0,     0,     0,  1881,  1881,     0,     0,     0,     0,  1165,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,  1161,
       0,     0,     0,     0,     0,     0,  1161,     0,     0,  1161,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
    1892,  1161,  1161,     0,  1165,     0,     0,     0,     0,  1161,
       0,     0,  1161,  1161,  1161,  1161,     0,     0,     0,     0,
       0,     0,  1161,  1161,     0,  1161,     0,  1161,  1161,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1165,     0,     0,     0,     0,     0,  1890,  1161,     0,
       0,     0,     0,  1161,     0,     0,     0,  1161,     0,     0,
       0,  1161,     0,  1161,  1161,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,     0,  1161,     0,     0,     0,     0,     0,  1161,
       0,     0,  1161,     0,     0,     0,     0,     0,     0,     0,
    1165,     0,  1892,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1165,  1892,     0,  1165,     0,  1165,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1165,     0,     0,     0,
    1165,     0,     0,     0,  1161,  1892,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   814,     0,     0,  1892,     0,     0,     0,  1892,  1892,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1883,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1892,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,  1161,     0,     0,
    1165,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1165,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1025,     0,     0,     0,     0,     0,  1890,
       0,     0,     0,     0,  1890,  1890,     0,     0,     0,     0,
       0,     0,  1165,     0,     0,     0,  1890,     0,     0,     0,
       0,     0,  1165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1165,  1165,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1025,     0,  1165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1883,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   908,     0,     0,     0,     0,
       0,     0,  1165,     0,   908,     0,     0,     0,     0,     0,
       0,     0,  1165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   814,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   908,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,     0,  1890,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1165,     0,     0,     0,     0,   814,     0,  1080,     0,  1165,
       0,     0,     0,   814,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1890,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     0,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,  1890,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,  1161,     0,     0,     0,     0,  1161,     0,
       0,     0,  1129,  1883,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,  1161,     0,     0,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,     0,     0,     0,     0,  1161,  1161,     0,     0,     0,
    1161,     0,     0,     0,     0,     0,  1883,     0,     0,     0,
       0,     0,  1161,  1161,  1161,  1161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,  1161,     0,
    1161,     0,     0,  1883,     0,     0,     0,     0,     0,     0,
    1161,  1161,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,     0,  1161,
      47,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,     0,  1161,  1161,  1161,     0,    49,     0,     0,     0,
       0,     0,     0,  1883,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,    50,     0,
       0,     0,  1883,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,  1161,     0,     0,     0,     0,     0,
    1883,  1161,     0,     0,     0,     0,     0,  1161,     0,     0,
       0,     0,    51,     0,     0,    52,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1883,     0,
      53,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,   908,   908,
       0,     0,     0,     0,     0,   663,     0,     0,     0,     0,
     707,     0,   707,     0,     0,     0,  1883,     0,     0,     0,
    1890,     0,   707,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    54,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1129,     0,   707,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   707,     0,
    1890,  1890,     0,  1890,     0,     0,     0,     0,     0,   707,
     707,     0,     0,   707,     0,    55,     0,     0,     0,   707,
       0,     0,     0,   988,     0,     0,     0,     0,     0,    56,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   988,    57,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1890,     0,  1890,     0,   707,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      58,     0,     0,     0,     0,     0,    59,     0,     0,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1349,
    1995,     0,     0,     0,    71,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1175,     0,     0,     0,     0,
    1890,     0,     0,     0,  1202,     0,  1205,     0,  1208,     0,
    1210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1890,     0,     0,     0,     0,  1259,
       0,     0,     0,     0,     0,     0,  1266,     0,     0,     0,
       0,     0,  1883,     0,     0,  1281,  1282,     0,     0,     0,
    1284,  1890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1890,     0,  1129,     0,   908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1313,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1334,     0,     0,
    1336,     0,  1338,     0,  1341,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   908,     0,
       0,     0,     0,     0,     0,     0,     0,  1890,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1890,     0,     0,   707,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1420,     0,  1421,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,     0,     0,     0,     0,  1884,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1129,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,  1890,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,  1161,     0,  1161,  1080,     0,
       0,     0,  1890,  1161,     0,     0,  1161,  1161,  1161,  1161,
    1161,  1161,  1161,  1161,  1161,  1161,     0,     0,     0,  1161,
    1161,     0,     0,     0,     0,     0,     0,  1890,     0,     0,
       0,     0,  1161,     0,     0,     0,  1161,     0,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,     0,     0,  1161,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,  1890,  1161,  1161,  1161,     0,     0,  1679,
    1161,  1681,     0,  1161,  1883,  1683,     0,     0,     0,  1883,
    1883,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,  1883,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,  1161,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   707,
       0,     0,     0,     0,     0,     0,     0,  1824,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,     0,
       0,     0,     0,  1837,  1161,     0,     0,     0,     0,     0,
    1161,     0,     0,     0,  1845,     0,     0,     0,     0,     0,
       0,  1847,     0,   707,   707,     0,     0,     0,     0,     0,
       0,     0,     0,  1898,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1940,     0,     0,     0,     0,
       0,   707,     0,     0,  1883,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1890,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     4,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     5,     0,     0,
       0,     0,     0,     0,  1883,     0,     0,     6,     7,     0,
       0,     0,     0,     0,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1884,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1883,     0,    46,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1890,     0,     0,     0,
    1301,   707,     0,   707,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1890,  1161,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1884,     0,     0,     0,   707,
       0,     0,   707,   707,     0,     0,    47,     0,     0,     0,
       0,     0,     0,     0,     0,   663,     0,   988,     0,   988,
       0,     0,    48,     0,     0,   663,     0,     0,     0,   707,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,    49,     0,     0,     0,     0,     0,   988,   988,
       0,     0,     0,     0,  1080,  2255,     0,     0,     0,     0,
       0,     0,     0,     0,    50,  1884,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,     0,     0,
       0,     0,     0,     0,  1884,     0,  1161,  1161,   707,  1890,
     707,     0,     0,     0,  1161,  1161,     0,     0,    51,  1161,
    1890,    52,  1884,     0,     0,  1161,  1161,     0,     0,  1161,
       0,     0,  2322,     0,     0,  2322,    53,     0,     0,     0,
       0,     0,     0,  2329,  1161,     0,     0,     0,  1161,     0,
    1884,     0,     0,     0,     0,     0,     0,  1161,     0,     0,
       0,  2338,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   663,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2401,     0,
       0,   663,   663,     0,     0,  1661,     0,     0,  1884,    54,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     663,    55,     0,     0,     0,  1883,     0,     0,     0,  1890,
       0,     0,     0,     0,     0,    56,     0,     0,     0,     0,
       0,  1890,     0,     0,     0,     0,     0,     0,     0,     0,
      57,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1883,  1883,     0,  1883,     0,
       0,     0,     0,     0,     0,     0,    58,     0,     0,     0,
       0,     0,    59,     0,     0,  1890,    60,    61,    62,    63,
      64,     0,     0,    65,    66,  1349,  2691,     0,     0,     0,
      71,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1883,     0,  1883,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,     0,
       0,     0,     0,     0,     0,  2596,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2618,     0,
       0,     0,     0,     0,  1884,  1883,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1883,
    1890,     0,     0,     0,   663,     0,     0,     0,     0,   707,
       0,   707,  2663,     0,   707,     0,   707,     0,     0,   707,
     707,   707,     0,     0,     0,  2038,  1883,  2678,     0,  2680,
       0,  2681,   707,  1161,     0,     0,  2682,  1890,     0,  1883,
       0,     0,  1161,     0,     0,   707,     0,   707,     0,     0,
       0,     0,   707,     0,     0,     0,     0,     0,     0,  1161,
    1161,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,     0,     0,     0,     0,  1161,
       0,     0,  1161,     0,     0,  2711,     0,  1161,  1161,     0,
       0,     0,     0,     0,     0,     0,     0,  2255,     0,     0,
       0,  2255,  1883,  2255,     0,     0,  2255,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1883,     0,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,  1883,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1890,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2195,
       0,     0,     0,     0,     0,     0,     0,     0,   707,   707,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,   663,     0,  1883,     0,     0,
     663,   663,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1883,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,  1883,  1890,  2920,     0,  1884,     0,     0,     0,
       0,  1884,  1884,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,  1161,  1890,     0,  1161,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,  1883,     0,
       0,     0,   707,     0,   663,     0,     0,  1161,     0,     0,
       0,  1161,     0,     0,  2326,     0,  1890,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1890,     0,     0,     0,  1890,
    1890,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   663,     0,     0,
       0,     0,     0,     0,     0,   663,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,  1129,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1884,     0,  3008,  3009,
       0,  1890,     0,  3012,  3013,     0,     0,  3016,     0,     0,
       0,     0,   663,     0,     0,   663,   663,  3026,     0,     0,
       0,     0,     0,     0,  3035,     0,     0,     0,  3038,  3039,
       0,  1161,  3042,  3043,  3044,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3058,     0,  3060,     0,  1161,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3082,     0,     0,     0,  1884,  3084,     0,     0,
       0,  1883,     0,     0,     0,     0,     0,   663,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,  3102,  3103,
    3106,  3108,     0,     0,     0,  3115,  3118,     0,     0,     0,
       0,     0,     0,  3129,  1161,  1161,  3133,     0,     0,     0,
    3137,     0,     0,     0,     0,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,  3160,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3167,     0,  3169,
       0,     0,     0,     0,  3172,     0,     0,     0,     0,  3176,
    3177,  3178,  3179,  1161,  3181,     0,  1884,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,  3204,  3205,  3206,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3214,
    3215,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1883,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,     0,     0,     0,     0,  3274,     0,     0,     0,     0,
       0,     0,     0,  1883,   707,     0,   707,     0,     4,     0,
     707,     0,   707,     0,     0,   707,     0,     0,     0,   707,
       0,     0,     0,     0,  2195,     0,     0,     0,     5,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       0,     0,     0,     0,     0,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1129,  1883,     0,     0,     0,     0,  1166,
       0,     0,     0,     0,     0,  1883,  2255,  1166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3399,     0,     0,     0,  1166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2038,     0,     0,     0,     0,     0,     0,  2921,
       0,     0,     0,     0,     0,     0,     0,     0,  2326,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
       0,     0,  1166,     0,     0,     0,     0,  1884,     0,     0,
       0,  1166,     0,    48,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1883,     0,     0,     0,
       0,     0,     0,    49,     0,     0,     0,     0,     0,     0,
       0,     0,   663,     0,     0,     0,     0,  1884,  1884,     0,
    1884,     0,     0,     0,  1883,    50,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1883,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    51,
       0,   663,    52,     0,     0,   663,     0,     0,     0,     0,
       0,  2992,  1884,  1661,  1884,     0,   707,    53,     0,     0,
    1883,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1166,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3570,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1166,  1884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      54,  1884,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3611,  3612,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1884,     0,
       0,     0,     0,  2255,     0,     0,     0,     0,     0,     0,
       0,  1884,    55,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    56,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    57,     0,     0,     0,     0,  3645,  3647,     0,     0,
       0,  3647,  1883,     0,     0,   663,  3658,  3659,  3660,     0,
       0,     0,     0,   663,     0,   663,     0,    58,     0,     0,
       0,     0,     0,    59,  1884,     0,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1349,     0,  1884,     0,
       0,    71,  3681,  3682,  3683,  3684,     0,     0,     0,  1166,
       0,  1884,     0,     0,     0,  1518,     0,     0,     0,  1166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3709,     0,
       0,  1893,     0,     0,     0,     0,     0,     0,     0,     0,
    1589,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1166,     0,  1883,     0,     0,  1884,
       0,     0,     0,     0,     0,     0,     0,     0,  1886,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1884,
    3747,     0,     0,     0,     0,     0,     0,     0,  3751,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1166,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1884,     0,     0,     0,     0,     0,     0,  3832,  1883,     0,
       0,     0,     0,     0,     0,     0,     0,  3838,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   707,  2038,
       0,  1883,     0,     0,     0,     0,     0,     0,  1893,     0,
       0,     0,     0,     0,  3857,   663,  3859,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1883,     0,     0,     0,     0,  1166,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   908,     0,     0,  3899,  1886,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1166,     0,     0,  3909,     0,
    1883,     0,     0,     0,  1883,  1883,     0,     0,     0,     0,
       0,  2255,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1166,  1166,     0,  1166,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1166,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,  1166,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1166,     0,     0,     0,  1166,  1166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2326,     0,     0,     0,     0,   663,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2092,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2116,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1893,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2141,  2142,     0,
    2145,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2185,     0,     0,
       0,     0,     0,  1884,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1886,     0,     0,     0,     0,     0,
    1893,  4107,     0,  4108,     0,     0,     0,  4110,     0,     0,
       0,     0,     0,     0,     0,  1884,     0,     0,     0,     0,
       0,     0,  4119,     0,     0,     0,     0,  1893,     0,  2239,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4127,
       0,     0,     0,     0,     0,     0,     0,  1886,  4138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2262,     0,
       0,     0,  2272,  2275,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4166,  4167,
    4168,  4169,  4170,  4171,  4172,     0,     0,  1893,     0,  4179,
    4180,     0,  4182,  4183,  4184,  4185,  4186,  4187,  4188,     0,
       0,     0,     0,     0,     0,     0,  1893,  4195,     0,  4197,
    4198,     0,     0,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,  1893,     0,     0,  1884,     0,     0,
       0,     0,     0,     0,  1886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1893,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1886,     0,     0,  4251,  4253,  4255,     0,     0,  4258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   663,     0,     0,     0,  1886,
       0,     0,     0,     0,  1166,     0,     0,     0,   663,     0,
    1893,     0,     0,  1166,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3647,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,  2255,  2255,  2255,     0,  1884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   707,     0,     0,     0,
    1166,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1884,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1166,  1166,     0,
       0,     0,     0,     0,     0,  1166,     0,     0,  1166,     0,
       0,     0,  1166,     0,   663,     0,     0,     0,     0,     0,
    1166,  1166,     0,     0,     0,     0,     0,     0,  1166,     0,
       0,  1166,  1166,  1166,  1166,     0,     0,     0,     0,     0,
       0,  1166,  1166,     0,  1166,     0,  1166,  1166,     0,     0,
    1166,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1893,  1166,     0,     0,
       0,     0,  1166,     0,     0,     0,  1166,     0,     0,     0,
    1166,     0,  1166,  1166,  1166,  1166,  1166,  1166,  1166,  1166,
    1166,     0,  1166,     0,     0,     0,     0,     0,  1166,     0,
       0,  1166,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
       0,  4445,  4446,  4447,  4448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1166,     0,     0,  4461,  4462,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4471,  4472,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2255,  2255,     0,  2255,     0,  2786,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2992,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2809,     0,     0,  2811,     0,     0,  2822,     0,
       0,     0,     0,     0,     0,  2829,  2834,     0,     0,     0,
       0,  2840,     0,     0,  2845,     0,     0,     0,  1884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2854,     0,     0,     0,     0,  2861,     0,     0,     0,
    2873,     0,     0,     0,  2880,     0,  2882,  2883,  2884,  2885,
    2886,  2887,  2888,  2889,  2890,     0,  2891,     0,     0,     0,
    1166,     0,  1518,     0,     0,  2916,  1166,  4523,     0,     0,
     663,     0,  1166,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   663,     0,     0,     0,
    4545,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1893,     0,
    1884,     0,  4564,  1893,  1893,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1893,     0,  1589,     0,     0,
       0,     0,     0,  1884,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   663,     0,     0,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,     0,
    1886,  1886,     0,  1884,     0,     0,     0,     0,     0,     0,
       0,  2255,  1886,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2255,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1884,     0,     0,     0,  1884,  1884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3040,     0,  1166,     0,  1893,     0,
       0,     0,     0,     0,  4650,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   663,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,     0,
    4674,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1893,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3647,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1886,  1166,     0,     0,     0,
       0,     0,     0,  2255,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2255,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1887,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1893,  4754,
       0,     0,  2326,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1166,     0,     0,     0,  2255,  1166,     0,     0,
    3250,     0,     0,     0,     0,     0,     0,     0,   663,     0,
       0,     0,     0,  1166,  1166,     0,     0,     0,     0,  1166,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1166,  1166,     0,     0,     0,  1166,
       0,     0,     0,     0,  3647,     0,     0,     0,     0,     0,
     663,  1166,  1166,  1166,  1166,     0,     0,     0,     0,     0,
       0,  2255,     0,     0,  1166,     0,     0,  1166,     0,  1166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1166,
    1166,     0,     0,  1166,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1166,     0,  1166,     0,
       0,     0,  1166,  1887,     0,     0,     0,     0,     0,     0,
    3371,     0,     0,     0,     0,     0,  4852,     0,  1166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1166,
       0,  1166,  1166,  1166,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1166,   663,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1166,     0,
       0,     0,     0,  1166,     0,     0,     0,     0,     0,     0,
    1166,     0,     0,     0,     0,     0,  1166,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3416,     0,
       0,     0,     0,  3422,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2834,  1166,  2834,  2834,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3479,     0,
       0,  3482,     0,  3484,     0,     0,     0,     0,     0,  1893,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3505,     0,  3507,     0,     0,     0,  3510,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1893,
    1893,     0,  1893,     0,     0,     0,  1886,     0,     0,     0,
       0,     0,     0,     0,     0,  2916,  2916,  2916,     0,   707,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3567,
       0,     0,     0,     0,     0,     0,  1886,  1886,     0,  1886,
       0,     0,  2262,     0,  1893,     0,  1893,  3579,     0,     0,
       0,     0,  1887,     0,  2275,   663,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1886,     0,  1886,     0,     0,     0,     0,     0,  1893,
       0,     0,     0,     0,     0,  1887,     0,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,     0,     0,     0,     0,
    3620,     0,     0,  1893,     0,     0,     0,     0,     0,     0,
       0,     0,  1887,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1886,     0,     0,     0,
    1893,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1893,     0,     0,     0,     0,     0,     0,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,     0,
       0,     0,  1887,     0,     0,     0,     0,     0,     0,     0,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1887,     0,     0,     0,     0,  1893,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1887,
    1893,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1893,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1887,     0,     0,
       0,  1888,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1166,     0,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1886,     0,     0,     0,     0,     0,  2181,     0,     0,     0,
       0,     0,   663,     0,     0,     0,     0,     0,  1166,     0,
       0,  1893,     0,     0,     0,  1887,     0,     0,  1166,     0,
       0,     0,     0,     0,  1166,     0,  1166,     0,     0,     0,
       0,  1893,  1166,     0,     0,  1166,  1166,  1166,  1166,  1166,
    1166,  1166,  1166,  1166,  1166,     0,     0,     0,  1166,  1166,
       0,     0,     0,     0,     0,     0,  1893,     0,  1886,     0,
       0,  1166,     0,     0,     0,  1166,     0,     0,     0,  1166,
       0,     0,     0,     0,     0,     0,     0,     0,  1886,  1166,
       0,     0,  1166,     0,  1166,     0,     0,  2181,     0,     0,
       0,     0,  1893,  1166,  1166,  1166,     0,     0,     0,  1166,
       0,     0,  1166,  1886,     0,     0,     0,     0,     0,     0,
       0,  2181,  1166,     0,     0,     0,  2818,     0,     0,     0,
       0,     0,  1166,     0,     0,     0,     0,     0,     0,     0,
    1166,     0,  1166,     0,     0,     0,  2181,  2181,     0,  1886,
    2181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1166,     0,     0,
    2181,     0,     0,  1166,     0,     0,     0,     0,     0,  1166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3938,     0,     0,     0,     0,     0,     0,     0,
       0,  1887,  3942,     0,  1166,     0,     0,     0,  3943,     0,
    3944,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,  2181,     0,     0,     0,     0,     0,
       0,     0,  3962,  3963,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2181,     0,     0,
       0,     0,     0,  2840,     0,     0,     0,  2181,     0,     0,
    2181,     0,     0,  3991,     0,     0,  3994,     0,  3996,     0,
       0,     0,     0,  1888,     0,  1893,     0,  4000,     0,     0,
       0,     0,     0,  4005,     0,     0,  4008,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,     0,     0,  4037,     0,     0,     0,
       0,     0,     0,     0,  4049,     0,  2916,     0,     0,     0,
       0,     0,  1886,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4066,     0,     0,     0,     0,     0,  1518,     0,     0,
    1888,     0,     0,  1589,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1888,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1166,     0,     0,     0,     0,     0,     0,  1888,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1893,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1893,  1166,  1166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1886,  1887,     0,     0,     0,     0,  1887,  1887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1887,     0,     0,  1888,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1166,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1166,  1166,     0,  1893,     0,
       0,     0,     0,  1166,  1166,     0,     0,     0,  1166,  1893,
       0,     0,     0,     0,  1166,  1166,     0,     0,  1166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1166,     0,     0,     0,  1166,     0,     0,
       0,     0,     0,     0,     0,  1886,  1166,     0,     0,     0,
       0,  1166,     0,  1887,     0,     0,  1886,     0,     0,     0,
       0,     0,     0,  1166,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4305,  4306,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1166,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1888,
    1893,     0,     0,  1887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4337,     0,     0,     0,     0,     0,  1893,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1893,     0,     0,     0,     0,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4355,
    4357,     0,     0,     0,     0,  1886,     0,     0,     0,     0,
       0,  2181,  4364,     0,  1893,     0,     0,  1886,  4369,  4370,
       0,     0,  4372,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1887,  2181,     0,  2181,     0,  2818,  2818,
    3453,     0,     0,  2818,     0,     0,     0,  2181,     0,     0,
    2916,     0,     0,     0,  2181,  2916,     0,     0,     0,  2181,
       0,  1886,     0,     0,     0,  2181,     0,  2916,     0,     0,
    2181,     0,     0,     0,     0,     0,     0,  1166,     0,  2181,
       0,     0,     0,  2818,  2818,     0,  2181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2181,     0,
       0,     0,     0,     0,     0,  2181,  4426,  2181,  2181,  2181,
    2181,  2181,  2181,  2181,  2181,  2181,  2181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1893,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1166,     0,     0,     0,  1893,     0,     0,     0,
       0,  1166,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1166,  1166,
       0,     0,  1166,     0,     0,     0,     0,     0,     0,     0,
       0,  1888,     0,  1166,     0,     0,  1888,  1888,  1166,     0,
       0,  1166,     0,  1886,     0,     0,  1166,  1166,  1888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2181,     0,     0,     0,     0,
       0,  4512,     0,     0,     0,     0,     0,     0,     0,     0,
    1893,     0,     0,     0,  1166,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1166,     0,     0,     0,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,  1887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1888,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1166,     0,  1893,     0,  1887,  1887,     0,  1887,     0,     0,
       0,     0,     0,     0,     0,     0,  4590,     0,     0,     0,
       0,     0,     0,     0,  1166,  1893,     0,  1166,     0,  1166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4607,     0,     0,     0,     0,  1166,     0,     0,  1886,
    1166,  1888,     0,     0,     0,  1893,     0,     0,     0,  1887,
       0,  1887,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1886,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1893,     0,     0,     0,  1893,  1893,
       0,     0,  1886,     0,     0,  2181,     0,     0,     0,     0,
       0,     0,     0,     0,  1887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1166,     0,     0,     0,     0,     0,  1887,     0,
       0,  1886,     0,     0,     0,  1886,  1886,     0,     0,     0,
       0,  1888,     0,     0,     0,     0,     0,     0,     0,     0,
    1893,     0,     0,     0,     0,  1887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1887,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1166,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2840,     0,     0,     0,     0,  2181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4729,  1887,  1166,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1166,     0,     0,  1887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1887,     0,
       0,  2181,     0,  1166,  1166,     0,     0,  2181,     0,     0,
       0,     0,     0,     0,     0,     0,  1166,     0,     0,     0,
       0,     0,     0,  3453,  3453,     0,  2818,     0,     0,  2818,
    2818,  2818,  2818,  2818,  2818,  2818,  2818,  2818,  2818,  3453,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1166,     0,     0,     0,  4790,     0,     0,     0,
       0,     0,  1166,     0,  2181,     0,  1887,  2181,     0,  2181,
       0,     0,     0,     0,  3453,  3453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1887,     0,  2818,  2818,
    2181,     0,  2181,     0,     0,  2181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1887,     0,     0,     0,     0,     0,     0,     0,     0,
    1166,     0,     0,     0,     0,     0,     0,     0,     0,  1166,
       0,  4834,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1887,     0,     0,
       0,     0,  2181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1888,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4874,  4874,     0,
       0,     0,     0,     0,     0,  2181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1888,  1888,     0,  1888,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4874,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4918,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1888,     0,  1888,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4874,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1888,     0,     0,     0,     0,     0,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,     0,     0,  2818,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1888,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1887,  2181,     0,     0,     0,  2181,  2181,  2181,
       0,     0,  3453,     0,     0,     0,     0,  3453,  3453,  3453,
    3453,  3453,  3453,  3453,  3453,  3453,  3453,  2181,  2181,     0,
       0,     0,     0,     0,  1888,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,  2181,  2818,  2818,  2181,
       0,  2181,     0,     0,     0,  2181,  3453,  3453,     0,     0,
    2181,     0,     0,  2181,     0,     0,     0,     0,     0,  1888,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1887,  2181,  1888,     0,     0,     0,     0,
       0,     0,     0,     0,  1887,     0,     0,     0,     0,     0,
       0,  2181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1887,
       0,     0,     0,     0,  3453,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2181,  2181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2181,     0,     0,     0,  2818,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2181,     0,  2181,     0,     0,     0,     0,  3453,  3453,  2181,
       0,     0,  2818,  2818,  2181,  2181,     0,  2181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1887,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,  2181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2181,     0,     0,
       0,     0,     0,     0,     0,  1887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1888,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1888,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3453,  2818,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3453,  3453,  2181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2181,     0,     0,     0,     0,  1887,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,     0,     0,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1888,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,     0,     0,     0,  1887,
       0,     0,     0,  1887,  1887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3453,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1888,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1888,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   717,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,  1888,    98,
      99,   100,   101,   102,   103,   718,   104,   105,   672,   719,
       0,   107,   108,   109,   110,   720,   721,   112,   113,   114,
     115,     0,   116,   722,   723,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,  1888,     0,     0,
       0,  1888,  1888,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,   724,
     421,   422,   423,   725,   726,   727,   728,   729,   730,   731,
     424,   425,   732,   426,   427,   133,   428,   429,   430,   135,
     136,   137,   138,   139,   733,   431,   432,   433,   434,   435,
     734,   735,   436,   437,   736,   140,   438,   737,   439,   440,
     441,   442,   144,   738,   145,   739,   443,   444,   445,   446,
     148,   447,   740,   741,   448,   449,   450,   451,   452,   453,
     742,   151,   454,   743,   744,   745,   746,   152,   747,   748,
     749,   455,   456,   457,   458,   686,   459,   155,   156,   460,
     750,   461,   751,   462,   463,   464,   465,   466,   752,   467,
     468,   469,   753,   754,   470,   471,   472,   473,   474,   755,
     475,   476,   477,   756,   478,   479,   757,   480,   481,   482,
     483,   164,   484,   485,   486,   166,   758,   487,   759,   488,
     168,   489,   760,   490,   761,   491,   169,   762,   170,   492,
     493,   494,   763,   495,   172,   764,   496,   765,   497,   498,
     688,   499,   500,   173,   501,   502,   503,   766,   504,   505,
     506,   507,   508,   509,   767,   510,   174,   175,   768,   511,
     512,   513,   769,   176,   770,   177,   771,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,   772,
     523,   181,   182,   524,   183,   773,   525,   526,   527,   774,
     775,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,   189,   190,   538,   539,   191,   776,
     540,   541,   193,   542,   777,   194,   543,   195,   544,   545,
     546,   778,   547,   779,   780,   548,   549,   550,   781,   782,
     196,   197,   198,   199,   200,   551,   552,   553,   554,   555,
     556,   557,   783,   558,   201,   559,   202,   560,   561,   562,
     784,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,   785,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   786,   584,   585,   210,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,   787,
     595,   596,   597,   598,   599,   788,   600,   217,   601,   602,
     219,   603,   220,   604,   789,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,   790,   615,   616,   791,
     617,   618,   619,   620,   621,   622,   792,   224,   225,   793,
     794,   624,   226,   625,   227,   795,   626,   627,   628,   629,
     630,   631,   632,   796,   797,   633,   634,   635,   636,   637,
     798,   799,   638,   639,   640,   641,   642,   800,   234,   801,
     643,   235,   644,   645,   646,   802,   803,   647,   804,   805,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    85,     0,     0,
      86,    87,    88,    89,    90,    91,    92,    93,     0,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   950,
     104,   105,   106,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,   119,
     120,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,   127,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   128,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   129,     0,   130,   131,     0,
       0,     0,     0,     0,     0,     0,     0,   132,     0,   133,
       0,     0,   134,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,   141,     0,   142,   143,   144,     0,   145,     0,
     146,     0,   147,     0,   148,     0,     0,     0,     0,     0,
       0,     0,   149,     0,   150,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,   153,     0,
     154,   155,   156,   157,     0,     0,     0,     0,     0, -1350,
       0,     0,     0,     0,     0,   158,     0,   159,     0,     0,
       0,   160,     0,     0,     0,     0,     0,   161,   162,     0,
       0,     0,     0,     0,   163,   164,   165,     0,     0,   166,
       0,     0,   167,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0, -1350,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   183,     0,
     184,   185,     0,     0,     0,     0,   186,     0,     0,     0,
       0,     0,     0,     0,   187,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,   192,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,   197,   198,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,   205,     0,     0,     0,     0,   206,     0,
     207,     0,     0,     0,     0,   208,     0,     0,     0,     0,
     209,   210,     0,   211,   212,     0,     0,   213,     0,     0,
       0,     0,   214,   215,     0,     0,     0,     0,     0,     0,
     216,   217,     0,   218,   219,     0,   220,     0,     0,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,   223,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
     228,     0,   229,     0,     0,     0,     0,   230,     0,     0,
     231,     0,     0, -1350,     0,     0,   232,     0,     0,     0,
       0,   233,   234,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,   236,     0,     0,     0,     0,     0,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   246,   104,   105,
       0,  -132,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,     0,     0,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   162,     0,     0,     0,
       0,     0,     0,   164,     0,     0,     0,   166,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   217,
       0,     0,   219,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,     0,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,  2982,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,     0,     0,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   162,     0,     0,     0,
       0,     0,     0,   164,     0,     0,     0,   166,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   217,
       0,     0,   219,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,  2984,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,   412,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1437,  1438,  1439,    45,  1440,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,  2910,   421,   422,   423,     0,     0,     0,     0,  1441,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,   135,  1442,   137,  1443,  1444,     0,   431,   432,   433,
     434,   435,  1445,  1446,   436,   437,  1447,  1448,   438,     0,
     439,   440,   441,   442,  1449,     0,  1450,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,  1451,  1452,  1453,  1454,
    1455,  1456,  1457,   455,   456,   457,   458,   686,   459,  1458,
    1459,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,  2911,     0,   470,   471,  1460,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,  1461,   484,   485,   486,  1462,  1463,   487,
       0,   488,  1464,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,  1465,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,   175,
       0,   511,   512,   513,  1466,  1467,     0,  1468,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,  1469,   182,   524,   183,     0,   525,   526,
     527,  1470,  1471,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,  1472,   189,  1473,   538,   539,
     191,  1474,   540,   541,   193,   542,  1475,  1476,   543,  1477,
     544,   545,   546,     0,   547,     0,     0,  1478,   549,   550,
       0,     0,   196,   197,   198,   199,  1479,   551,   552,   553,
     554,   555,   556,   557,     0,   558,  1480,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
    1481,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,  1482,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,  1483,   600,   217,
     601,   602,   219,   603,  1484,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,  1485,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,  1486,
    1487,     0,     0,   624,  1488,   625,  1489,  1490,   626,   627,
     628,   629,   630,   631,   632,     0,  1491,   633,   634,   635,
     636,   637,  1492,     0,   638,   639,   640,   641,   642,   692,
    1493,  2912,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,  1494,  1495,
    1496,  1497,  1498,  1499,  1500,  1501,   693,   653,   654,     0,
       0,     0,     0,     0,     0,     0,  1502,  1503,  2913,     0,
       0,     0,     0,     0,     0,  1505,  2914,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,     0,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,   412,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1437,  1438,  1439,    45,  1440,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,  1441,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,   135,  1442,   137,  1443,  1444,     0,   431,   432,   433,
     434,   435,  1445,  1446,   436,   437,  1447,  1448,   438,     0,
     439,   440,   441,   442,  1449,     0,  1450,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,  1451,  1452,  1453,  1454,
    1455,  1456,  1457,   455,   456,   457,   458,   686,   459,  1458,
    1459,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1460,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,  1461,   484,   485,   486,  1462,  1463,   487,
       0,   488,  1464,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,  1465,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,   175,
       0,   511,   512,   513,  1466,  1467,     0,  1468,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,  1469,   182,   524,   183,     0,   525,   526,
     527,  1470,  1471,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,  1472,   189,  1473,   538,   539,
     191,  1474,   540,   541,   193,   542,  1475,  1476,   543,  1477,
     544,   545,   546,     0,   547,     0,     0,  1478,   549,   550,
       0,     0,   196,   197,   198,   199,  1479,   551,   552,   553,
     554,   555,   556,   557,     0,   558,  1480,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
    1481,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,  1482,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,  1483,   600,   217,
     601,   602,   219,   603,  1484,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,  1485,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,  1486,
    1487,     0,     0,   624,  1488,   625,  1489,  1490,   626,   627,
     628,   629,   630,   631,   632,     0,  1491,   633,   634,   635,
     636,   637,  1492,     0,   638,   639,   640,   641,   642,   692,
    1493,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,  1494,  1495,
    1496,  1497,  1498,  1499,  1500,  1501,   693,   653,   654,     0,
       0,     0,     0,     0,     0,     0,  1502,  1503,     0,     0,
       0,     0,     0,     0,     0,  1505,  2820,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,     0,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,     0,  1859,   137,  1860,  1861,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,  1862,  1863,   438,     0,
     439,   440,   441,   442,     0,     0,   145,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,     0,     0,     0,   152,
       0,     0,     0,   455,   456,   457,   458,   686,   459,  1864,
    1865,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1460,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,     0,     0,   487,
       0,   488,  1866,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,     0,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,  2424,
     504,   505,   506,   507,   508,   509,     0,   510,   174,  2425,
       0,   511,   512,   513,  1466,  1867,     0,  1868,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,     0,   182,   524,   183,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,  1869,   189,  1870,   538,   539,
       0,     0,   540,   541,   193,   542,     0,     0,   543,  1871,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,  2426,   197,   198,   199,     0,   551,   552,   553,
     554,   555,   556,   557,     0,   558,     0,   559,     0,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
    1872,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,  2427,
     601,   602,   219,   603,  1874,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,  1875,
    1876,     0,     0,   624,     0,   625,     0,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,     0,
    1877,  2428,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   693,   653,   654,     0,
       0,     0,     0,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,  2429,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,     0,  1859,   137,
    1860,  1861,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,  1862,  1863,   438,     0,   439,   440,   441,   442,
       0,     0,   145,     0,   443,   444,   445,   446,   148,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,     0,     0,     0,   152,     0,     0,     0,   455,
     456,   457,   458,   686,   459,  1864,  1865,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1460,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,     0,     0,   487,     0,   488,  1866,   489,
       0,   490,     0,   491,   169,     0,   170,   492,   493,   494,
       0,   495,     0,     0,   496,     0,   497,   498,   688,   499,
     500,   173,   501,   502,   503,  2424,   504,   505,   506,   507,
     508,   509,     0,   510,   174,  2425,     0,   511,   512,   513,
    1466,  1867,     0,  1868,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,     0,
     182,   524,   183,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,  1869,   189,  1870,   538,   539,     0,     0,   540,   541,
     193,   542,     0,     0,   543,  1871,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,  2426,   197,
     198,   199,     0,   551,   552,   553,   554,   555,   556,   557,
       0,   558,     0,   559,     0,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,  1872,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,  2427,   601,   602,   219,   603,
    1874,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,  1875,  1876,     0,     0,   624,
       0,   625,     0,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,     0,  1877,  2428,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,   653,   654,     0,     0,     0,     0,   717,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,  3333,    98,    99,   100,   101,   102,   103,   718,
     104,   105,   672,   719,     0,   107,   108,   109,   110,   720,
     721,   112,   113,   114,   115,     0,   116,   722,   723,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,   412,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1437,  1438,  1439,
      45,  1440,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,  1441,     0,     0,   424,   425,     0,   426,   427,   133,
     428,   429,   430,   135,  1442,   137,  1443,  1444,  2830,   431,
     432,   433,   434,   435,  1445,  1446,   436,   437,  1447,  1448,
     438,     0,   439,   440,   441,   442,  1449,     0,  1450,     0,
     443,   444,   445,   446,   148,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,   151,   454,     0,  1451,  1452,
    1453,  1454,  1455,  1456,  1457,   455,   456,   457,   458,   686,
     459,  1458,  1459,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
    1460,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,  1461,   484,   485,   486,  1462,
    1463,   487,     0,   488,  1464,   489,     0,   490,     0,   491,
     169,  2831,   170,   492,   493,   494,     0,   495,  1465,     0,
     496,     0,   497,   498,   688,   499,   500,   173,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     174,   175,     0,   511,   512,   513,  1466,  1467,     0,  1468,
       0,   514,   178,   179,   515,   180,   516,   517,   518,   519,
     520,   521,   522,  2832,   523,  1469,   182,   524,   183,     0,
     525,   526,   527,  1470,  1471,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,  1472,   189,  1473,
     538,   539,   191,  1474,   540,   541,   193,   542,  1475,  1476,
     543,  1477,   544,   545,   546,     0,   547,     0,     0,  1478,
     549,   550,     0,     0,   196,   197,   198,   199,  1479,   551,
     552,   553,   554,   555,   556,   557,     0,   558,  1480,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,  1481,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,   210,   586,   587,  1482,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,  1483,
     600,   217,   601,   602,   219,   603,  1484,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,  1485,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,  1486,  1487,     0,  2833,   624,  1488,   625,  1489,  1490,
     626,   627,   628,   629,   630,   631,   632,     0,  1491,   633,
     634,   635,   636,   637,  1492,     0,   638,   639,   640,   641,
     642,   692,  1493,     0,   643,   235,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
    1494,  1495,  1496,  1497,  1498,  1499,  1500,  1501,   693,   653,
     654,     0,     0,     0,     0,     0,     0,     0,  1502,  1503,
       0,     0,     0,     0,     0,     0,     0,  1505,   717,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   718,   104,
     105,   672,   719,     0,   107,   108,   109,   110,   720,   721,
     112,   113,   114,   115,     0,   116,   722,   723,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,   412,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1437,  1438,  1439,    45,
    1440,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
    1441,     0,     0,   424,   425,     0,   426,   427,   133,   428,
     429,   430,   135,  1442,   137,  1443,  1444,     0,   431,   432,
     433,   434,   435,  1445,  1446,   436,   437,  1447,  1448,   438,
       0,   439,   440,   441,   442,  1449,     0,  1450,     0,   443,
     444,   445,   446,   148,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,   151,   454,     0,  1451,  1452,  1453,
    1454,  1455,  1456,  1457,   455,   456,   457,   458,   686,   459,
    1458,  1459,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,  1460,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,  1461,   484,   485,   486,  1462,  1463,
     487,     0,   488,  1464,   489,     0,   490,     0,   491,   169,
       0,   170,   492,   493,   494,     0,   495,  1465,     0,   496,
       0,   497,   498,   688,   499,   500,   173,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   174,
     175,     0,   511,   512,   513,  1466,  1467,     0,  1468,     0,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,     0,   523,  1469,   182,   524,   183,     0,   525,
     526,   527,  1470,  1471,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,  1472,   189,  1473,   538,
     539,   191,  1474,   540,   541,   193,   542,  1475,  1476,   543,
    1477,   544,   545,   546,     0,   547,     0,     0,  1478,   549,
     550,     0,     0,   196,   197,   198,   199,  1479,   551,   552,
     553,   554,   555,   556,   557,     0,   558,  1480,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,  1481,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
     210,   586,   587,  1482,   588,   589,   590,   591,   592,   593,
     691,   594,   215,   595,   596,   597,   598,   599,  1483,   600,
     217,   601,   602,   219,   603,  1484,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,  1485,     0,
     615,   616,   223,   617,   618,   619,   620,   621,   622,     0,
    1486,  1487,     0,     0,   624,  1488,   625,  1489,  1490,   626,
     627,   628,   629,   630,   631,   632,     0,  1491,   633,   634,
     635,   636,   637,  1492,     0,   638,   639,   640,   641,   642,
    2143,  1493,     0,   643,   235,   644,   645,   646,     0,     0,
     647,     0,   236,   648,   649,   650,   651,   652,   237,  1494,
    1495,  1496,  1497,  1498,  1499,  1500,  1501,   693,   653,   654,
       0,     0,     0,     0,     0,     0,     0,  1502,  1503,     0,
       0,     0,     0,     0,     0,     0,  1505,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,     0,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,   412,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1437,  1438,  1439,    45,  1440,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,  1441,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,   135,  1442,   137,  1443,  1444,     0,   431,   432,   433,
     434,   435,  1445,  1446,   436,   437,  1447,  1448,   438,     0,
     439,   440,   441,   442,  1449,     0,  1450,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,  1451,  1452,  1453,  1454,
    1455,  1456,  1457,   455,   456,   457,   458,   686,   459,  1458,
    1459,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1460,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,  1461,   484,   485,   486,  1462,  1463,   487,
       0,   488,  1464,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,  1465,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,   175,
       0,   511,   512,   513,  1466,  1467,     0,  1468,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,  1469,   182,   524,   183,     0,   525,   526,
     527,  1470,  1471,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,  1472,   189,  1473,   538,   539,
     191,  1474,   540,   541,   193,   542,  1475,  1476,   543,  1477,
     544,   545,   546,     0,   547,     0,     0,  1478,   549,   550,
       0,     0,   196,   197,   198,   199,  1479,   551,   552,   553,
     554,   555,   556,   557,     0,   558,  1480,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
    1481,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,  1482,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,  1483,   600,   217,
     601,   602,   219,   603,  1484,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,  1485,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,  1486,
    1487,     0,     0,   624,  1488,   625,  1489,  1490,   626,   627,
     628,   629,   630,   631,   632,     0,  1491,   633,   634,   635,
     636,   637,  1492,     0,   638,   639,   640,   641,   642,   692,
    1493,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,  1494,  1495,
    1496,  1497,  1498,  1499,  1500,  1501,   693,   653,   654,     0,
       0,     0,     0,     0,     0,     0,  1502,  1503,     0,     0,
       0,     0,     0,  2087,  2778,  1505,   717,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   718,   104,   105,   672,
     719,     0,   107,   108,   109,   110,   720,   721,   112,   113,
     114,   115,     0,   116,   722,   723,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,   412,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1437,  1438,  1439,    45,  1440,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,  1441,     0,
       0,   424,   425,     0,   426,   427,   133,   428,   429,   430,
     135,  1442,   137,  1443,  1444,     0,   431,   432,   433,   434,
     435,  1445,  1446,   436,   437,  1447,  1448,   438,     0,   439,
     440,   441,   442,  1449,     0,  1450,     0,   443,   444,   445,
     446,   148,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,   151,   454,     0,  1451,  1452,  1453,  1454,  1455,
    1456,  1457,   455,   456,   457,   458,   686,   459,  1458,  1459,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,  1460,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,  1461,   484,   485,   486,  1462,  1463,   487,     0,
     488,  1464,   489,     0,   490,     0,   491,   169,     0,   170,
     492,   493,   494,     0,   495,  1465,     0,   496,     0,   497,
     498,   688,   499,   500,   173,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   174,   175,     0,
     511,   512,   513,  1466,  1467,     0,  1468,     0,   514,   178,
     179,   515,   180,   516,   517,   518,   519,   520,   521,   522,
       0,   523,  1469,   182,   524,   183,     0,   525,   526,   527,
    1470,  1471,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,  1472,   189,  1473,   538,   539,   191,
    1474,   540,   541,   193,   542,  1475,  1476,   543,  1477,   544,
     545,   546,     0,   547,     0,     0,  1478,   549,   550,     0,
       0,   196,   197,   198,   199,  1479,   551,   552,   553,   554,
     555,   556,   557,     0,   558,  1480,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,  1481,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,   210,   586,
     587,  1482,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,  1483,   600,   217,   601,
     602,   219,   603,  1484,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,  1485,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,  1486,  1487,
       0,     0,   624,  1488,   625,  1489,  1490,   626,   627,   628,
     629,   630,   631,   632,     0,  1491,   633,   634,   635,   636,
     637,  1492,     0,   638,   639,   640,   641,   642,   692,  1493,
       0,   643,   235,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,  1494,  1495,  1496,
    1497,  1498,  1499,  1500,  1501,   693,   653,   654,     0,     0,
       0,     0,     0,     0,     0,  1502,  1503,  1504,     0,     0,
       0,     0,     0,     0,  1505,   717,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   718,   104,   105,   672,   719,
       0,   107,   108,   109,   110,   720,   721,   112,   113,   114,
     115,     0,   116,   722,   723,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,   412,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1437,  1438,  1439,    45,  1440,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,  1441,     0,     0,
     424,   425,     0,   426,   427,   133,   428,   429,   430,   135,
    1442,   137,  1443,  1444,     0,   431,   432,   433,   434,   435,
    1445,  1446,   436,   437,  1447,  1448,   438,     0,   439,   440,
     441,   442,  1449,     0,  1450,     0,   443,   444,   445,   446,
     148,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,   151,   454,     0,  1451,  1452,  1453,  1454,  1455,  1456,
    1457,   455,   456,   457,   458,   686,   459,  1458,  1459,   460,
    1588,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,  1460,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,  1461,   484,   485,   486,  1462,  1463,   487,     0,   488,
    1464,   489,     0,   490,     0,   491,   169,     0,   170,   492,
     493,   494,     0,   495,  1465,     0,   496,     0,   497,   498,
     688,   499,   500,   173,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   174,   175,     0,   511,
     512,   513,  1466,  1467,     0,  1468,     0,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,     0,
     523,  1469,   182,   524,   183,     0,   525,   526,   527,  1470,
    1471,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,  1472,   189,  1473,   538,   539,   191,  1474,
     540,   541,   193,   542,  1475,  1476,   543,  1477,   544,   545,
     546,     0,   547,     0,     0,  1478,   549,   550,     0,     0,
     196,   197,   198,   199,  1479,   551,   552,   553,   554,   555,
     556,   557,     0,   558,  1480,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,  1481,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,   210,   586,   587,
    1482,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,  1483,   600,   217,   601,   602,
     219,   603,  1484,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,  1485,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,  1486,  1487,     0,
       0,   624,  1488,   625,  1489,  1490,   626,   627,   628,   629,
     630,   631,   632,     0,  1491,   633,   634,   635,   636,   637,
    1492,     0,   638,   639,   640,   641,   642,   692,  1493,     0,
     643,   235,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,  1494,  1495,  1496,  1497,
    1498,  1499,  1500,  1501,   693,   653,   654,     0,     0,     0,
       0,     0,     0,     0,  1502,  1503,     0,     0,     0,     0,
       0,     0,     0,  1505,   717,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   718,   104,   105,   672,   719,     0,
     107,   108,   109,   110,   720,   721,   112,   113,   114,   115,
       0,   116,   722,   723,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1437,  1438,  1439,    45,  1440,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,  2270,   421,
     422,   423,     0,     0,     0,     0,  1441,     0,     0,   424,
     425,     0,   426,   427,   133,   428,   429,   430,   135,  1442,
     137,  1443,  1444,     0,   431,   432,   433,   434,   435,  1445,
    1446,   436,   437,  1447,  1448,   438,     0,   439,   440,   441,
     442,  1449,     0,  1450,     0,   443,   444,   445,   446,   148,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
     151,   454,     0,  1451,  1452,  1453,  1454,  1455,  1456,  1457,
     455,   456,   457,   458,   686,   459,  1458,  1459,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,  1460,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
    1461,   484,   485,   486,  1462,  1463,   487,     0,   488,  1464,
     489,     0,   490,     0,   491,   169,     0,   170,   492,   493,
     494,     0,   495,  1465,     0,   496,     0,   497,   498,   688,
     499,   500,   173,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,   174,   175,     0,   511,   512,
     513,  1466,  1467,     0,  1468,     0,   514,   178,   179,   515,
     180,   516,   517,   518,   519,   520,   521,   522,     0,   523,
    1469,   182,   524,   183,     0,   525,   526,   527,  1470,  1471,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,  1472,   189,  1473,   538,   539,   191,  1474,   540,
     541,   193,   542,  1475,  1476,   543,  1477,   544,   545,   546,
       0,   547,     0,     0,  1478,   549,   550,     0,     0,   196,
     197,   198,   199,  1479,   551,   552,   553,   554,   555,   556,
     557,     0,   558,  1480,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,  1481,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,   210,   586,   587,  1482,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,  1483,   600,   217,   601,   602,   219,
     603,  1484,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,  1485,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,  1486,  1487,     0,     0,
     624,  1488,   625,  1489,  1490,   626,   627,   628,   629,   630,
     631,   632,     0,  1491,   633,   634,   635,   636,   637,  1492,
       0,   638,   639,   640,   641,   642,   692,  1493,     0,   643,
     235,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,  1494,  1495,  1496,  1497,  1498,
    1499,  1500,  1501,   693,   653,   654,     0,     0,     0,     0,
       0,     0,     0,  1502,  1503,     0,     0,     0,     0,     0,
       0,     0,  1505,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
     412,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1437,  1438,  1439,    45,  1440,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,  1441,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,   135,  1442,   137,
    1443,  1444,     0,   431,   432,   433,   434,   435,  1445,  1446,
     436,   437,  1447,  1448,   438,     0,   439,   440,   441,   442,
    1449,     0,  1450,     0,   443,   444,   445,   446,   148,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,  1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,
     456,   457,   458,   686,   459,  1458,  1459,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1460,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,  1461,
     484,   485,   486,  1462,  1463,   487,     0,   488,  1464,   489,
       0,   490,     0,   491,   169,  2831,   170,   492,   493,   494,
       0,   495,  1465,     0,   496,     0,   497,   498,   688,   499,
     500,   173,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   174,   175,     0,   511,   512,   513,
    1466,  1467,     0,  1468,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,  1469,
     182,   524,   183,     0,   525,   526,   527,  1470,  1471,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,  1472,   189,  1473,   538,   539,   191,  1474,   540,   541,
     193,   542,  1475,  1476,   543,  1477,   544,   545,   546,     0,
     547,     0,     0,  1478,   549,   550,     0,     0,   196,   197,
     198,   199,  1479,   551,   552,   553,   554,   555,   556,   557,
       0,   558,  1480,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,  1481,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,  1482,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,  1483,   600,   217,   601,   602,   219,   603,
    1484,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,  1485,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,  1486,  1487,     0,     0,   624,
    1488,   625,  1489,  1490,   626,   627,   628,   629,   630,   631,
     632,     0,  1491,   633,   634,   635,   636,   637,  1492,     0,
     638,   639,   640,   641,   642,   692,  1493,     0,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,  1494,  1495,  1496,  1497,  1498,  1499,
    1500,  1501,   693,   653,   654,     0,     0,     0,     0,     0,
       0,     0,  1502,  1503,     0,     0,     0,     0,     0,     0,
       0,  1505,   717,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   718,   104,   105,   672,   719,     0,   107,   108,
     109,   110,   720,   721,   112,   113,   114,   115,     0,   116,
     722,   723,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,   412,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1437,  1438,  1439,    45,  1440,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,  1441,     0,     0,   424,   425,     0,
     426,   427,   133,   428,   429,   430,   135,  1442,   137,  1443,
    1444,     0,   431,   432,   433,   434,   435,  1445,  1446,   436,
     437,  1447,  1448,   438,     0,   439,   440,   441,   442,  1449,
       0,  1450,     0,   443,   444,   445,   446,   148,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,   151,   454,
       0,  1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,   456,
     457,   458,   686,   459,  1458,  1459,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,  1460,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,  1461,   484,
     485,   486,  1462,  1463,   487,     0,   488,  1464,   489,     0,
     490,     0,   491,   169,     0,   170,   492,   493,   494,     0,
     495,  1465,     0,   496,     0,   497,   498,   688,   499,   500,
     173,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,   174,   175,     0,   511,   512,   513,  1466,
    1467,     0,  1468,     0,   514,   178,   179,   515,   180,   516,
     517,   518,   519,   520,   521,   522,     0,   523,  1469,   182,
     524,   183,     0,   525,   526,   527,  1470,  1471,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
    1472,   189,  1473,   538,   539,   191,  1474,   540,   541,   193,
     542,  1475,  1476,   543,  1477,   544,   545,   546,     0,   547,
       0,     0,  1478,   549,   550,     0,     0,   196,   197,   198,
     199,  1479,   551,   552,   553,   554,   555,   556,   557,     0,
     558,  1480,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,  1481,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,   210,   586,   587,  1482,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,  1483,   600,   217,   601,   602,   219,   603,  1484,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,  1485,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,  1486,  1487,     0,     0,   624,  1488,
     625,  1489,  1490,   626,   627,   628,   629,   630,   631,   632,
       0,  1491,   633,   634,   635,   636,   637,  1492,     0,   638,
     639,   640,   641,   642,   692,  1493,  4052,   643,   235,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,  1494,  1495,  1496,  1497,  1498,  1499,  1500,
    1501,   693,   653,   654,     0,     0,     0,     0,     0,     0,
       0,  1502,  1503,     0,     0,     0,     0,     0,     0,     0,
    1505,   717,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   718,   104,   105,   672,   719,     0,   107,   108,   109,
     110,   720,   721,   112,   113,   114,   115,     0,   116,   722,
     723,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,   412,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1437,
    1438,  1439,    45,  1440,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,  1441,     0,     0,   424,   425,     0,   426,
     427,   133,   428,   429,   430,   135,  1442,   137,  1443,  1444,
       0,   431,   432,   433,   434,   435,  1445,  1446,   436,   437,
    1447,  1448,   438,     0,   439,   440,   441,   442,  1449,     0,
    1450,     0,   443,   444,   445,   446,   148,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,   151,   454,  4065,
    1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,   456,   457,
     458,   686,   459,  1458,  1459,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,  1460,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,  1461,   484,   485,
     486,  1462,  1463,   487,     0,   488,  1464,   489,     0,   490,
       0,   491,   169,     0,   170,   492,   493,   494,     0,   495,
    1465,     0,   496,     0,   497,   498,   688,   499,   500,   173,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   174,   175,     0,   511,   512,   513,  1466,  1467,
       0,  1468,     0,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,     0,   523,  1469,   182,   524,
     183,     0,   525,   526,   527,  1470,  1471,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,  1472,
     189,  1473,   538,   539,   191,  1474,   540,   541,   193,   542,
    1475,  1476,   543,  1477,   544,   545,   546,     0,   547,     0,
       0,  1478,   549,   550,     0,     0,   196,   197,   198,   199,
    1479,   551,   552,   553,   554,   555,   556,   557,     0,   558,
    1480,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,  1481,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,   210,   586,   587,  1482,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,  1483,   600,   217,   601,   602,   219,   603,  1484,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,  1485,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,  1486,  1487,     0,     0,   624,  1488,   625,
    1489,  1490,   626,   627,   628,   629,   630,   631,   632,     0,
    1491,   633,   634,   635,   636,   637,  1492,     0,   638,   639,
     640,   641,   642,   692,  1493,     0,   643,   235,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,  1494,  1495,  1496,  1497,  1498,  1499,  1500,  1501,
     693,   653,   654,     0,     0,     0,     0,     0,     0,     0,
    1502,  1503,     0,     0,     0,     0,     0,     0,     0,  1505,
     717,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     718,   104,   105,   672,   719,     0,   107,   108,   109,   110,
     720,   721,   112,   113,   114,   115,     0,   116,   722,   723,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,   412,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1437,  1438,
    1439,    45,  1440,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,  1441,     0,     0,   424,   425,     0,   426,   427,
     133,   428,   429,   430,  4871,  1442,   137,  1443,  1444,     0,
     431,   432,   433,   434,   435,  1445,  1446,   436,   437,  1447,
    1448,   438,     0,   439,   440,   441,   442,  1449,     0,  1450,
       0,   443,   444,   445,   446,   148,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,   151,   454,  4872,  1451,
    1452,  1453,  1454,  1455,  1456,  1457,   455,   456,   457,   458,
     686,   459,  1458,  1459,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,  1460,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,  1461,   484,   485,   486,
    1462,  1463,   487,     0,   488,  1464,   489,     0,   490,     0,
     491,   169,     0,   170,   492,   493,   494,     0,   495,  1465,
       0,   496,     0,   497,   498,   688,   499,   500,   173,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   174,   175,     0,   511,   512,   513,  1466,  1467,     0,
    1468,     0,   514,   178,   179,   515,   180,   516,   517,   518,
     519,   520,   521,   522,     0,   523,  1469,   182,   524,   183,
       0,   525,   526,   527,  1470,  1471,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,  1472,   189,
    1473,   538,   539,   191,  1474,   540,   541,   193,   542,  1475,
    1476,   543,  1477,   544,   545,   546,     0,   547,     0,     0,
    1478,   549,   550,     0,     0,   196,   197,   198,   199,  1479,
     551,   552,   553,   554,   555,   556,   557,     0,   558,  1480,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,  1481,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,   210,   586,   587,  1482,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
    1483,   600,   217,   601,   602,   219,   603,  1484,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
    1485,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,  1486,  1487,     0,     0,   624,  1488,   625,  1489,
    1490,   626,   627,   628,   629,  4873,   631,   632,     0,  1491,
     633,   634,   635,   636,   637,  1492,     0,   638,   639,   640,
     641,   642,   692,  1493,     0,   643,   235,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,  1494,  1495,  1496,  1497,  1498,  1499,  1500,  1501,   693,
     653,   654,     0,     0,     0,     0,     0,     0,     0,  1502,
    1503,     0,     0,     0,     0,     0,     0,     0,  1505,   717,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   718,
     104,   105,   672,   719,     0,   107,   108,   109,   110,   720,
     721,   112,   113,   114,   115,     0,   116,   722,   723,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,   412,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1437,  1438,  1439,
      45,  1440,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,  1441,     0,     0,   424,   425,     0,   426,   427,   133,
     428,   429,   430,   135,  1442,   137,  1443,  1444,     0,   431,
     432,   433,   434,   435,  1445,  1446,   436,   437,  1447,  1448,
     438,     0,   439,   440,   441,   442,  1449,     0,  1450,     0,
     443,   444,   445,   446,   148,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,   151,   454,  4872,  1451,  1452,
    1453,  1454,  1455,  1456,  1457,   455,   456,   457,   458,   686,
     459,  1458,  1459,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
    1460,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,  1461,   484,   485,   486,  1462,
    1463,   487,     0,   488,  1464,   489,     0,   490,     0,   491,
     169,     0,   170,   492,   493,   494,     0,   495,  1465,     0,
     496,     0,   497,   498,   688,   499,   500,   173,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     174,   175,     0,   511,   512,   513,  1466,  1467,     0,  1468,
       0,   514,   178,   179,   515,   180,   516,   517,   518,   519,
     520,   521,   522,     0,   523,  1469,   182,   524,   183,     0,
     525,   526,   527,  1470,  1471,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,  1472,   189,  1473,
     538,   539,   191,  1474,   540,   541,   193,   542,  1475,  1476,
     543,  1477,   544,   545,   546,     0,   547,     0,     0,  1478,
     549,   550,     0,     0,   196,   197,   198,   199,  1479,   551,
     552,   553,   554,   555,   556,   557,     0,   558,  1480,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,  1481,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,   210,   586,   587,  1482,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,  1483,
     600,   217,   601,   602,   219,   603,  1484,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,  1485,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,  1486,  1487,     0,     0,   624,  1488,   625,  1489,  1490,
     626,   627,   628,   629,  4873,   631,   632,     0,  1491,   633,
     634,   635,   636,   637,  1492,     0,   638,   639,   640,   641,
     642,   692,  1493,     0,   643,   235,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
    1494,  1495,  1496,  1497,  1498,  1499,  1500,  1501,   693,   653,
     654,     0,     0,     0,     0,     0,     0,     0,  1502,  1503,
       0,     0,     0,     0,     0,     0,     0,  1505,   717,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   718,   104,
     105,   672,   719,     0,   107,   108,   109,   110,   720,   721,
     112,   113,   114,   115,     0,   116,   722,   723,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,   412,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1437,  1438,  1439,    45,
    1440,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
    1441,     0,     0,   424,   425,     0,   426,   427,   133,   428,
     429,   430,   135,  1442,   137,  1443,  1444,     0,   431,   432,
     433,   434,   435,  1445,  1446,   436,   437,  1447,  1448,   438,
       0,   439,   440,   441,   442,  1449,     0,  1450,     0,   443,
     444,   445,   446,   148,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,   151,   454,     0,  1451,  1452,  1453,
    1454,  1455,  1456,  1457,   455,   456,   457,   458,   686,   459,
    1458,  1459,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,  1460,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,  1461,   484,   485,   486,  1462,  1463,
     487,     0,   488,  1464,   489,     0,   490,     0,   491,   169,
       0,   170,   492,   493,   494,     0,   495,  1465,     0,   496,
       0,   497,   498,   688,   499,   500,   173,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   174,
     175,     0,   511,   512,   513,  1466,  1467,     0,  1468,     0,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,     0,   523,  1469,   182,   524,   183,     0,   525,
     526,   527,  1470,  1471,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,  1472,   189,  1473,   538,
     539,   191,  1474,   540,   541,   193,   542,  1475,  1476,   543,
    1477,   544,   545,   546,     0,   547,     0,     0,  1478,   549,
     550,     0,     0,   196,   197,   198,   199,  1479,   551,   552,
     553,   554,   555,   556,   557,     0,   558,  1480,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,  1481,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
     210,   586,   587,  1482,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,  1483,   600,
     217,   601,   602,   219,   603,  1484,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,  1485,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
    1486,  1487,     0,     0,   624,  1488,   625,  1489,  1490,   626,
     627,   628,   629,   630,   631,   632,     0,  1491,   633,   634,
     635,   636,   637,  1492,     0,   638,   639,   640,   641,   642,
     692,  1493,     0,   643,   235,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,  1494,
    1495,  1496,  1497,  1498,  1499,  1500,  1501,   693,   653,   654,
       0,     0,     0,     0,     0,     0,     0,  1502,  1503,     0,
       0,     0,     0,     0,     0,     0,  1505,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,     0,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,   412,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1437,  1438,  1439,    45,  1440,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,  1441,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,   135,  1442,   137,  1443,  1444,     0,   431,   432,   433,
     434,   435,  1445,  1446,   436,   437,  1447,  1448,   438,     0,
     439,   440,   441,   442,  1449,     0,  1450,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,  1451,  1452,  1453,  1454,
    1455,  1456,  1457,   455,   456,   457,   458,   686,   459,  1458,
    1459,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1460,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,  1461,   484,   485,   486,  1462,  1463,   487,
       0,   488,  1464,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,  1465,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,   175,
       0,   511,   512,   513,  1466,  1467,     0,  1468,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,  1469,   182,   524,   183,     0,   525,   526,
     527,  1470,  1471,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,  1472,   189,  1473,   538,   539,
     191,  1474,   540,   541,   193,   542,  1475,  1476,   543,  1477,
     544,   545,   546,     0,   547,     0,     0,  1478,   549,   550,
       0,     0,   196,   197,   198,   199,  1479,   551,   552,   553,
     554,   555,   556,   557,     0,   558,  1480,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
    1481,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,  1482,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,  1483,   600,   217,
     601,   602,   219,   603,  1484,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,  1485,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,  1486,
    1487,     0,     0,   624,  1488,   625,  1489,  1490,   626,   627,
     628,   629,   630,   631,   632,     0,  1491,   633,   634,   635,
     636,   637,  1492,     0,   638,   639,   640,   641,   642,   692,
    1493,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,  4347,  1494,  1495,
    1496,  1497,  1498,  1499,  1500,  1501,   693,   653,   654,     0,
       0,     0,     0,     0,     0,     0,  1502,  1503,     0,     0,
       0,     0,     0,     0,     0,  1505,   717,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   718,   104,   105,   672,
     719,     0,   107,   108,   109,   110,   720,   721,   112,   113,
     114,   115,     0,   116,   722,   723,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,   412,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1437,  1438,  1439,    45,  1440,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,  1441,     0,
       0,   424,   425,     0,   426,   427,   133,   428,   429,   430,
     135,  1442,   137,  1443,  1444,     0,   431,   432,   433,   434,
     435,  1445,  1446,   436,   437,  1447,  1448,   438,     0,   439,
     440,   441,   442,  1449,     0,  1450,     0,   443,   444,   445,
     446,   148,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,   151,   454,     0,  1451,  1452,  1453,  1454,  1455,
    1456,  1457,   455,   456,   457,   458,   686,   459,  1458,  1459,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,  1460,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,  1461,   484,   485,   486,  1462,  1463,   487,     0,
     488,  1464,   489,     0,   490,     0,   491,   169,     0,   170,
     492,   493,   494,     0,   495,  1465,     0,   496,     0,   497,
     498,   688,   499,   500,   173,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   174,   175,     0,
     511,   512,   513,  1466,  1467,     0,  1468,     0,   514,   178,
     179,   515,   180,   516,   517,   518,   519,   520,   521,   522,
       0,   523,  1469,   182,   524,   183,     0,   525,   526,   527,
    1470,  1471,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,  1472,   189,  1473,   538,  4356,   191,
    1474,   540,   541,   193,   542,  1475,  1476,   543,  1477,   544,
     545,   546,     0,   547,     0,     0,  1478,   549,   550,     0,
       0,   196,   197,   198,   199,  1479,   551,   552,   553,   554,
     555,   556,   557,     0,   558,  1480,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,  1481,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,   210,   586,
     587,  1482,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,  1483,   600,   217,   601,
     602,   219,   603,  1484,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,  1485,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,  1486,  1487,
       0,     0,   624,  1488,   625,  1489,  1490,   626,   627,   628,
     629,   630,   631,   632,     0,  1491,   633,   634,   635,   636,
     637,  1492,     0,   638,   639,   640,   641,   642,   692,  1493,
       0,   643,   235,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,  1494,  1495,  1496,
    1497,  1498,  1499,  1500,  1501,   693,   653,   654,     0,     0,
       0,     0,     0,     0,     0,  1502,  1503,     0,     0,     0,
       0,     0,     0,     0,  1505,   717,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   718,   104,   105,   672,   719,
       0,   107,   108,   109,   110,   720,   721,   112,   113,   114,
     115,     0,   116,   722,   723,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,   412,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1437,  1438,  1439,    45,  1440,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,  1441,     0,     0,
     424,   425,     0,   426,   427,   133,   428,   429,   430,   135,
    1442,   137,  1443,  1444,     0,   431,   432,   433,   434,   435,
    1445,  1446,   436,   437,  1447,  1448,   438,     0,   439,   440,
     441,   442,  1449,     0,  1450,     0,   443,   444,   445,   446,
     148,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,   151,   454,     0,  1451,  1452,  1453,  1454,  1455,  1456,
    1457,   455,   456,   457,   458,   686,   459,  1458,  1459,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,  1460,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,  1461,   484,   485,   486,  1462,  1463,   487,     0,   488,
    1464,   489,     0,   490,     0,   491,   169,     0,   170,   492,
     493,   494,     0,   495,  1465,     0,   496,     0,   497,   498,
     688,   499,   500,   173,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   174,   175,     0,   511,
     512,   513,  1466,  1467,     0,  1468,     0,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,     0,
     523,  1469,   182,   524,   183,     0,   525,   526,   527,  1470,
    1471,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,  1472,   189,  1473,   538,   539,   191,     0,
     540,   541,   193,   542,  1475,  1476,   543,  1477,   544,   545,
     546,     0,   547,     0,     0,  1478,   549,   550,     0,     0,
     196,   197,   198,   199,  1479,   551,   552,   553,   554,   555,
     556,   557,     0,   558,  1480,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,  1481,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,   210,   586,   587,
    1482,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,  1483,   600,   217,   601,   602,
     219,   603,  1484,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,  1485,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,  1486,  1487,     0,
       0,   624,  1488,   625,  1489,  1490,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
    1492,     0,   638,   639,   640,   641,   642,   692,  1493,     0,
     643,   235,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,  1494,  1495,  1496,  1497,
    1498,  1499,  1500,  1501,   693,   653,   654,     0,     0,     0,
       0,     0,     0,     0,  2813,  2814,     0,     0,     0,     0,
       0,     0,     0,  1505,   717,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   718,   104,   105,   672,   719,     0,
     107,   108,   109,   110,   720,   721,   112,   113,   114,   115,
       0,   116,   722,   723,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1437,  1438,  1439,    45,  1440,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,  1441,     0,     0,   424,
     425,     0,   426,   427,   133,   428,   429,   430, -2578,  1442,
     137,  1443,  1444,     0,   431,   432,   433,   434,   435,  1445,
    1446,   436,   437,  1447,  1448,   438,     0,   439,   440,   441,
     442,  1449,     0,  1450,     0,   443,   444,   445,   446,   148,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
     151,   454,  4872,  1451,  1452,  1453,  1454,  1455,  1456,  1457,
     455,   456,   457,   458,   686,   459,  1458,  1459,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,  1460,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
    1461,   484,   485,   486,  1462,  1463,   487,     0,   488,  1464,
     489,     0,   490,     0,   491,   169,     0,   170,   492,   493,
     494,     0,   495,  1465,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,   174,   175,     0,   511,   512,
     513,  1466,  1467,     0,  1468,     0,   514,   178,   179,   515,
     180,   516,   517,   518,   519,   520,   521,   522,     0,   523,
    1469,   182,   524,     0,     0,   525,   526,   527,  1470,  1471,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,  1472,   189,  1473,   538,   539,   191,     0,   540,
     541,   193,   542,  1475,  1476,   543,  1477,   544,   545,   546,
       0,   547,     0,     0,  1478,   549,   550,     0,     0,   196,
     197,   198,   199,  1479,   551,   552,   553,   554,   555,   556,
     557,     0,   558,  1480,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,  1481,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,   210,   586,   587,  1482,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,  1483,   600,   217,   601,   602,     0,
     603,  1484,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,  1485,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,  1486,  1487,     0,     0,
     624,  1488,   625,  1489,  1490,   626,   627,   628,   629,  4873,
     631,   632,     0,  1491,   633,   634,   635,   636,   637,  1492,
       0,   638,   639,   640,   641,   642,   692,  1493,     0,   643,
     235,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,  1494,  1495,  1496,  1497,  1498,
    1499,  1500,  1501,   693,   653,   654,     0,     0,     0,     0,
       0,     0,     0,  1502,  1503,     0,     0,     0,     0,     0,
       0,     0,  1505,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
     412,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1437,  1438,     0,    45,  1440,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,  1441,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,   135,  1442,   137,
    1443,  1444,     0,   431,   432,   433,   434,   435,  1445,  1446,
     436,   437,  1447,  1448,   438,     0,   439,   440,   441,   442,
    1449,     0,  1450,     0,   443,   444,   445,   446,   148,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,  1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,
     456,   457,   458,   686,   459,  1458,  1459,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1460,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,  1461,
     484,   485,   486,  1462,  1463,   487,     0,   488,  1464,   489,
       0,   490,     0,   491,   169,     0,   170,   492,   493,   494,
       0,   495,  1465,     0,   496,     0,   497,   498,   688,   499,
     500,   173,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   174,   175,     0,   511,   512,   513,
    1466,  1467,     0,  1468,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,  1469,
     182,   524,   183,     0,   525,   526,   527,  1470,  1471,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,  1472,   189,  1473,   538,   539,   191,     0,   540,   541,
     193,   542,  1475,  1476,   543,  1477,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,   197,
     198,   199,  1479,   551,   552,   553,   554,   555,   556,   557,
       0,   558,  1480,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,  1481,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,  1482,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,  1483,   600,   217,   601,   602,   219,   603,
    1484,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,  1485,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,  1486,  1487,     0,     0,   624,
    1488,   625,  1489,  1490,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,  1492,     0,
     638,   639,   640,   641,   642,   692,  1493,     0,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,  1494,  1495,  1496,  1497,  1498,  1499,
    1500,  1501,   693,   653,   654,     0,     0,     0,   717,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,  1505,    98,    99,   100,   101,   102,   103,   718,   104,
     105,   672,   719,     0,   107,   108,   109,   110,   720,   721,
     112,   113,   114,   115,     0,   116,   722,   723,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,   412,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1437,  1438,     0,    45,
    1440,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
    1441,     0,     0,   424,   425,     0,   426,   427,   133,   428,
     429,   430,   135,  1442,   137,  1443,  1444,     0,  3975,   432,
     433,   434,   435,  1445,  1446,   436,   437,  1447,  1448,   438,
       0,   439,   440,   441,   442,  1449,     0,  1450,     0,   443,
     444,   445,   446,   148,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,   151,   454,     0,  1451,  1452,  1453,
    1454,  1455,  1456,  1457,   455,   456,   457,   458,   686,   459,
    1458,  1459,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,  1460,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,  1461,   484,   485,   486,  1462,  1463,
     487,     0,   488,  1464,   489,     0,   490,     0,   491,   169,
       0,   170,   492,   493,   494,     0,   495,  1465,     0,   496,
       0,   497,   498,   688,   499,   500,   173,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   174,
     175,     0,   511,   512,   513,  1466,  1467,     0,  1468,     0,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,     0,   523,  1469,   182,   524,   183,     0,   525,
     526,   527,  1470,  1471,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,  1472,   189,  1473,   538,
     539,   191,     0,   540,   541,   193,   542,  1475,  1476,   543,
    1477,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,   197,   198,   199,  1479,   551,   552,
     553,   554,   555,   556,   557,     0,   558,  1480,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,  1481,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
     210,   586,   587,  1482,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,  1483,   600,
     217,   601,   602,   219,   603,  1484,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,  1485,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
    1486,  1487,     0,     0,   624,  1488,   625,  1489,  1490,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,  1492,     0,   638,   639,   640,   641,   642,
     692,  1493,     0,   643,   235,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,  1494,
    1495,  1496,  1497,  1498,  1499,  1500,  1501,   693,   653,   654,
       0,     0,     0,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,  1505,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
     412,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1437,  1438,  1439,    45,  1440,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,  1441,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,     0,  1442,   137,
    1443,  1444,     0,   431,   432,   433,   434,   435,  1445,  1446,
     436,   437,  1447,  1448,   438,     0,   439,   440,   441,   442,
    1449,     0,  1450,     0,   443,   444,   445,   446,   148,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,  1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,
     456,   457,   458,   686,   459,  1458,  1459,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1460,   473,   474,     0,   475,   476,
     477,     0,   478,     0,     0,   480,   481,   482,   483,  1461,
     484,   485,   486,  1462,  1463,   487,     0,   488,  1464,   489,
       0,   490,     0,   491,   169,     0,   170,   492,   493,   494,
       0,   495,  1465,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   174,   175,     0,   511,   512,   513,
    1466,  1467,     0,  1468,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,  1469,
     182,   524,     0,     0,   525,   526,   527,  1470,  1471,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,  1472,   189,  1473,   538,   539,   191,     0,   540,   541,
     193,   542,  1475,  1476,   543,  1477,   544,   545,   546,     0,
     547,     0,     0,  1478,   549,   550,     0,     0,   196,   197,
     198,   199,  1479,   551,   552,   553,   554,   555,   556,   557,
       0,   558,  1480,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,  1481,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,  1482,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,  1483,   600,   217,   601,   602,     0,   603,
    1484,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,  1485,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,  1486,  1487,     0,     0,   624,
    1488,   625,  1489,  1490,   626,   627,   628,   629,   630,   631,
     632,     0,  1491,   633,   634,   635,   636,   637,  1492,     0,
     638,   639,   640,   641,   642,   692,  1493,     0,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,  1494,  1495,  1496,  1497,  1498,  1499,
    1500,  1501,   693,   653,   654,     0,     0,     0,     0,     0,
       0,     0,  1502,  1503,     0,     0,     0,     0,     0,     0,
       0,  1505,   717,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   718,   104,   105,   672,   719,     0,   107,   108,
     109,   110,   720,   721,   112,   113,   114,   115,     0,   116,
     722,   723,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,   412,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1437,  1438,  1439,    45,  1440,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,  1441,     0,     0,   424,   425,     0,
     426,   427,   133,   428,   429,   430,     0,  1442,   137,  1443,
    1444,     0,   431,   432,   433,   434,   435,  1445,  1446,   436,
     437,  1447,  1448,   438,     0,   439,   440,   441,   442,  1449,
       0,  1450,     0,   443,   444,   445,   446,   148,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,   151,   454,
       0,  1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,   456,
     457,   458,   686,   459,  1458,  1459,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,  1460,   473,   474,     0,   475,   476,   477,
       0,   478,     0,     0,   480,   481,   482,   483,  1461,   484,
     485,   486,  1462,  1463,   487,     0,   488,  1464,   489,     0,
     490,     0,   491,   169,     0,   170,   492,   493,   494,     0,
     495,  1465,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,   174,   175,     0,   511,   512,   513,  1466,
    1467,     0,  1468,     0,   514,   178,   179,   515,   180,   516,
     517,   518,   519,   520,   521,   522,     0,   523,  1469,   182,
     524,     0,     0,   525,   526,   527,  1470,  1471,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
    1472,   189,  1473,   538,   539,   191,     0,   540,   541,   193,
     542,  1475,  1476,   543,  1477,   544,   545,   546,     0,   547,
       0,     0,  1478,   549,   550,     0,     0,   196,   197,   198,
     199,  1479,   551,   552,   553,   554,   555,   556,   557,     0,
     558,  1480,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,  1481,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,   210,   586,   587,  1482,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,  1483,   600,   217,   601,   602,     0,   603,  1484,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,  1485,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,  1486,  1487,     0,     0,   624,  1488,
     625,  1489,  1490,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,  1492,     0,   638,
     639,   640,   641,   642,   692,  1493,     0,   643,   235,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,  1494,  1495,  1496,  1497,  1498,  1499,  1500,
    1501,   693,   653,   654,     0,     0,     0,     0,     0,     0,
       0,  2813,  2814,     0,     0,     0,     0,     0,     0,     0,
    1505,   717,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   718,   104,   105,   672,   719,     0,   107,   108,   109,
     110,   720,   721,   112,   113,   114,   115,     0,   116,   722,
     723,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,   133,   428,   429,   430,   135,   136,   137,   138,   139,
       0,   431,   432,   433,   434,   435,     0,  1446,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,  1449,     0,
    1450,     0,   443,   444,   445,   446,   148,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,   151,   454,     0,
    1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,  1462,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,   169,     0,   170,   492,   493,   494,     0,   495,
    1465,     0,   496,     0,   497,   498,   688,   499,   500,   173,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   174,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,     0,   523,  1469,   182,   524,
     183,     0,   525,   526,   527,  1470,  1471,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
     189,   190,   538,   539,   191,     0,   540,   541,   193,   542,
       0,  1476,   543,   195,   544,   545,   546,     0,   547,     0,
    1063,   548,   549,   550,     0,     0,   196,   197,   198,   199,
    1479,   551,   552,   553,   554,   555,   556,   557,     0,   558,
    1480,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,   210,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,   215,   595,   596,   597,   598,
     599,  1483,   600,   217,   601,   602,   219,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,  1485,     0,   615,   616,   223,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,  1488,   625,
    1489,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,  1492,     0,   638,   639,
     640,   641,   642,  2143,   234,     0,   643,   235,   644,   645,
     646,     0,     0,   647,     0,   236,   648,   649,   650,   651,
     652,   237,  1494,  1495,  1496,  1497,  1498,  1499,  1500,  1501,
     693,   653,   654,     0,     0,     0,   717,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,  3521,
      98,    99,   100,   101,   102,   103,   718,   104,   105,   672,
     719,     0,   107,   108,   109,   110,   720,   721,   112,   113,
     114,   115,     0,   116,   722,   723,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,   133,   428,   429,   430,
     135,   136,   137,   138,   139,     0,   431,   432,   433,   434,
     435,     0,  1446,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,  1449,     0,  1450,     0,   443,   444,   445,
     446,   148,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,   151,   454,     0,  1451,  1452,  1453,  1454,  1455,
    1456,  1457,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,  1462,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,   169,     0,   170,
     492,   493,   494,     0,   495,  1465,     0,   496,     0,   497,
     498,   688,   499,   500,   173,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   174,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,   178,
     179,   515,   180,   516,   517,   518,   519,   520,   521,   522,
       0,   523,  1469,   182,   524,   183,     0,   525,   526,   527,
    1470,  1471,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,   189,   190,   538,   539,   191,
       0,   540,   541,   193,   542,     0,  1476,   543,   195,   544,
     545,   546,     0,   547,     0,  1063,   548,   549,   550,     0,
       0,   196,   197,   198,   199,  1479,   551,   552,   553,   554,
     555,   556,   557,     0,   558,  1480,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,   210,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,  1483,   600,   217,   601,
     602,   219,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,  1485,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,  1488,   625,  1489,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,  1492,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,   235,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,  1494,  1495,  1496,
    1497,  1498,  1499,  1500,  1501,   693,   653,   654,     0,     0,
       0,   717,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,  3521,    98,    99,   100,   101,   102,
     103,   718,   104,   105,   672,   719,     0,   107,   108,   109,
     110,   720,   721,   112,   113,   114,   115,     0,   116,   722,
     723,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,   133,   428,   429,   430,   135,   136,   137,   138,   139,
       0,   431,   432,   433,   434,   435,     0,  1446,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,  1449,     0,
    1450,     0,   443,   444,   445,   446,   148,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,   151,   454,     0,
    1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,  1462,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,   169,     0,   170,   492,   493,   494,     0,   495,
    1465,     0,   496,     0,   497,   498,   688,   499,   500,   173,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   174,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,     0,   523,  1469,   182,   524,
     183,     0,   525,   526,   527,  1470,  1471,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
     189,   190,   538,   539,   191,     0,   540,   541,   193,   542,
       0,  1476,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,   197,   198,   199,
    1479,   551,   552,   553,   554,   555,   556,   557,     0,   558,
    1480,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,   210,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,  1483,   600,   217,   601,   602,   219,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,  1485,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,  1488,   625,
    1489,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,  1492,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,   235,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,  1494,  1495,  1496,  1497,  1498,  1499,  1500,  1501,
     693,   653,   654,     0,     0,     0,   717,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,  4091,
      98,    99,   100,   101,   102,   103,   718,   104,   105,   672,
     719,     0,   107,   108,   109,   110,   720,   721,   112,   113,
     114,   115,     0,   116,   722,   723,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,   133,   428,   429,   430,
     135,   136,   137,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,   144,     0,   145,     0,   443,   444,   445,
     446,   148,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,   151,   454,     0,     0,     0,     0,   152,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,   169,     0,   170,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,   500,   173,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   174,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,   178,
     179,   515,   180,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,   182,   524,   183,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,   189,   190,   538,   539,   191,
       0,   540,   541,   193,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,   197,   198,   199,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,   210,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,   219,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,   235,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,     0,     0,
       0,     0,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,  4643,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,  4019,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0, -1428,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0, -1428,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510, -1428,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515, -1428,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181, -1428,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
   -1428,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585, -1428,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,     0,     0,     0,     0,     0,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
    1596,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,     0,
       0,     0,     0,     0,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,  3282,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,     0,     0,     0,     0,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
    3797,  3798,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,    45,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
       0,     0,     0,     0,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,  3798,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
     412,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,   215,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,   223,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,  2143,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,   236,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,     0,     0,     0,     0,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,   246,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,   215,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,   223,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
    2143,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,   236,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
       0,     0,     0,     0,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,   246,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,     0,     0,     0,     0,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,  1571,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
       0,     0,     0,     0,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,  2972,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,     0,     0,     0,     0,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,  4046,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
       0,     0,     0,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,  4391,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
     412,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,  1185,    45,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   724,   421,   422,
     423,   725,   726,   727,   728,   729,   730,   731,   424,   425,
     732,   426,   427,   133,   428,   429,   430,     0,  1859,   137,
    1860,  1861,   733,   431,   432,   433,   434,   435,   734,   735,
     436,   437,  1862,  1863,   438,   737,   439,   440,   441,   442,
       0,   738,   145,   739,   443,   444,   445,   446,   148,   447,
     684,   741,   448,   449,   450,   451,   452,   453,   742,   151,
     454,     0,   744,   745,   746,   152,   747,   748,   749,   455,
     456,   457,   458,   686,   459,  1864,  1865,   460,   750,   461,
     751,   462,   463,   464,   465,   466,   752,   467,   468,   469,
     753,   754,   470,   471,  1460,   473,   474,   755,   475,   476,
     477,   756,   478,   479,   757,   480,   481,   482,   483,     0,
     484,   485,   486,     0,   758,   487,   759,   488,  1866,   489,
     760,   490,   761,   491,   169,   762,   170,   492,   493,   494,
     763,   495,     0,   764,   496,   765,   497,   498,   688,   499,
     500,   173,   501,   502,   503,   766,   504,   505,   506,   507,
     508,   509,   767,   510,   174,     0,     0,   511,   512,   513,
    1466,  1867,   770,  1868,   771,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,   772,   523,     0,
     182,   524,   183,   773,   525,   526,   527,   774,   775,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,  1869,   189,  1870,   538,   539,     0,   776,   540,   541,
     193,   542,   777,     0,   543,  1871,   544,   545,   546,   778,
     547,   779,   780,  3784,   549,   550,   781,   782,     0,   197,
     198,   199,     0,   551,   552,   553,   554,   555,   556,   557,
     783,   558,     0,   559,     0,   560,   561,   562,   784,   563,
     564,   565,   566,   567,   568,   569,  1872,   570,   571,   572,
     573,   785,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   786,   584,   585,   210,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   691,   594,   787,   595,   596,
     597,   598,   599,   788,   600,  2427,   601,   602,   219,   603,
    1874,   604,   789,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   790,   615,   616,   791,   617,   618,
     619,   620,   621,   622,   792,  1875,  1876,     0,   794,   624,
       0,   625,     0,   795,   626,   627,   628,   629,   630,   631,
     632,     0,   797,   633,   634,   635,   636,   637,   798,   799,
     638,   639,   640,   641,   642,     0,  1877,   801,   643,   235,
     644,   645,   646,   802,   803,   647,   804,   805,   648,   649,
     650,   651,   652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,   653,   654,     0,     0,     0,  1188,  1189,
    1190,     0,  3785,  3786,  1193,  1194,  1195,  1196,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,  1186,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,  1187,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,     0,
       0,     0,  1188,  1189,  1190,     0,  1191,  1192,  1193,  1194,
    1195,  1196,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,  1274,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,  1275,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,     0,     0,     0,  1188,  1189,  1190,     0,
    1191,  1192,  1193,  1194,  1195,  1196,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1185,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,  1326,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,  1327,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,  1328,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,     0,     0,     0,
    1188,  1189,  1190,     0,  1191,  1192,  1193,  1194,  1195,  1196,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,  1842,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,  1843,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,     0,     0,     0,  1188,  1189,  1190,     0,  1191,  1192,
    1193,  1194,  1195,  1196,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,     0,     0,     0,  1188,  1189,
    1190,     0,  1191,  1192,  1193,  1194,  1195,  1196,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,  3055,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,  3056,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,     0,
       0,     0,  1188,  1189,  1190,     0,  1191,  1192,  1193,  1194,
    1195,  1196,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,  4627,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,     0,     0,     0,  1188,  1189,  1190,     0,
    1191,  1192,  1193,  1194,  1195,  1196,   717,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   718,   104,   105,   672,
     719,     0,   107,   108,   109,   110,   720,   721,   112,   113,
     114,   115,     0,   116,   722,   723,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     724,   421,   422,   423,   725,   726,   727,   728,   729,   730,
     731,   424,   425,   732,   426,   427,   133,   428,   429,   430,
     135,   136,   137,   138,   139,   733,   431,   432,   433,   434,
     435,   734,   735,   436,   437,   736,   140,   438,   737,   439,
     440,   441,   442,   144,   738,   145,   739,   443,   444,   445,
     446,   148,   447,   740,   741,   448,   449,   450,   451,   452,
     453,   742,   151,   454,   743,   744,   745,   746,   152,   747,
     748,   749,   455,   456,   457,   458,   686,   459,   155,   156,
     460,   750,   461,   751,   462,   463,   464,   465,   466,   752,
     467,   468,   469,   753,   754,   470,   471,   472,   473,   474,
     755,   475,   476,   477,   756,   478,   479,   757,   480,   481,
     482,   483,   164,   484,   485,   486,   166,   758,   487,   759,
     488,   168,   489,   760,   490,   761,   491,   169,   762,   170,
     492,   493,   494,   763,   495,   172,   764,   496,   765,   497,
     498,   688,   499,   500,   173,   501,   502,   503,   766,   504,
     505,   506,   507,   508,   509,   767,   510,   174,   175,   768,
     511,   512,   513,   769,   176,   770,   177,   771,   514,   178,
     179,   515,   180,   516,   517,   518,   519,   520,   521,   522,
     772,   523,   181,   182,   524,   183,   773,   525,   526,   527,
     774,   775,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,   189,   190,   538,   539,   191,
     776,   540,   541,   193,   542,   777,   194,   543,   195,   544,
     545,   546,   778,   547,   779,   780,   548,   549,   550,   781,
     782,   196,   197,   198,   199,   200,   551,   552,   553,   554,
     555,   556,   557,   783,   558,   201,   559,   202,   560,   561,
     562,   784,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,   785,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   786,   584,   585,   210,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
     787,   595,   596,   597,   598,   599,   788,   600,   217,   601,
     602,   219,   603,   220,   604,   789,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,   790,   615,   616,
     791,   617,   618,   619,   620,   621,   622,   792,   224,   225,
     793,   794,   624,   226,   625,   227,   795,   626,   627,   628,
     629,   630,   631,   632,   796,   797,   633,   634,   635,   636,
     637,   798,   799,   638,   639,   640,   641,   642,   800,   234,
     801,   643,   235,   644,   645,   646,   802,   803,   647,   804,
     805,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,   717,    86,
      87,    88,   669,    90,    91,    92,   670,  2240,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   718,   104,
     105,   672,   719,     0,   107,   108,   109,   110,   720,   721,
     112,   113,   114,   115,     0,   116,   722,   723,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,   133,   428,
     429,   430,     0,  1859,   137,  1860,  1861,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,  1862,  1863,   438,
       0,   439,   440,   441,   442,     0,     0,   145,     0,   443,
     444,   445,   446,   148,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,   151,   454,     0,     0,     0,     0,
     152,     0,     0,     0,   455,   456,   457,   458,   686,   459,
    1864,  1865,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,  1460,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,     0,     0,
     487,     0,   488,  1866,   489,     0,   490,     0,   491,   169,
       0,   170,   492,   493,   494,     0,   495,     0,     0,   496,
       0,   497,   498,   688,   499,   500,   173,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   174,
       0,     0,   511,   512,   513,  1466,  1867,     0,  1868,     0,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,     0,   523,     0,   182,   524,   183,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,  1869,   189,  1870,   538,
     539,     0,     0,   540,   541,   193,   542,     0,     0,   543,
    1871,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,     0,   197,   198,   199,     0,   551,   552,
     553,   554,   555,   556,   557,     0,   558,     0,   559,     0,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,  1872,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
     210,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
    1873,   601,   602,   219,   603,  1874,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
    1875,  1876,     0,     0,   624,     0,   625,     0,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
       0,  1877,     0,   643,   235,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   693,   653,   654,
       0,    86,    87,    88,   669,    90,    91,    92,   670,  2341,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,     0,    86,    87,    88,   669,    90,    91,    92,
     670,  1070,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,     0,    86,    87,    88,   669,    90,
      91,    92,   670,  4495,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     413,   969,   415,   416,   417,   418,   419,   420,   970,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   971,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   972,   168,
     489,     0,   490,     0,   973,     0,   974,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,   975,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   976,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   977,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     978,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   979,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,     0,     0,     0,     0,
       0,     0,     0,   980,   981,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     413,   969,   415,   416,   417,   418,   419,   420,   970,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,  1002,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   972,   168,
     489,     0,   490,     0,  1003,     0,   974,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,   975,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   976,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   977,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     978,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   979,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,     0,     0,     0,     0,
       0,     0,     0,   980,   981,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,  1374,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,   974,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,   975,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,     0,     0,     0,     0,
       0,     0,     0,   980,   981,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,  1379,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,   974,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,   975,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,     0,     0,     0,     0,
       0,     0,     0,   980,   981,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,   687,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,  1542,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,     0,     0,  1041,  1543,
      86,    87,    88,   669,    90,    91,    92,   670,  1042,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,  1043,   437,  1017,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,  1044,     0,  1045,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,  1046,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,  1047,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,  1048,   587,   212,   588,   589,   590,  1049,   592,
     593,   691,   594,     0,   595,   596,   597,   598,  1050,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,  1051,   225,     0,     0,  1052,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,  1021,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,  1053,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,   717,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   718,   104,   105,   672,   719,     0,   107,   108,   109,
     110,   720,   721,   112,   113,   114,   115,     0,   116,   722,
     723,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,   724,   421,   422,   423,   725,
     726,   727,   728,   729,   730,   731,   424,   425,   732,   426,
     427,   133,   428,   429,   430,   135,   136,   137,   138,   139,
     733,   431,   432,   433,   434,   435,   734,   735,   436,   437,
     736,   140,   438,   737,   439,   440,   441,   442,   144,   738,
     145,   739,   443,   444,   445,   446,   148,   447,   740,   741,
     448,   449,   450,   451,   452,   453,   742,   151,   454,   743,
     744,   745,   746,   152,   747,   748,   749,   455,   456,   457,
     458,   686,   459,   155,   156,   460,   750,   461,   751,   462,
     463,   464,   465,   466,   752,   467,   468,   469,   753,   754,
     470,   471,   472,   473,   474,   755,   475,   476,   477,   756,
     478,   479,   757,   480,   481,   482,   483,   164,   484,   485,
     486,   166,   758,   487,   759,   488,   168,   489,   760,   490,
     761,   491,   169,   762,   170,   492,   493,   494,   763,   495,
     172,   764,   496,   765,   497,   498,   688,   499,   500,   173,
     501,   502,   503,   766,   504,   505,   506,   507,   508,   509,
     767,   510,   174,   175,   768,   511,   512,   513,   769,   176,
     770,   177,   771,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,   772,   523,   181,   182,   524,
     183,   773,   525,   526,   527,   774,   775,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
     189,   190,   538,   539,   191,   776,   540,   541,   193,   542,
     777,   194,   543,   195,   544,   545,   546,   778,   547,   779,
     780,   548,   549,   550,   781,   782,   196,   197,   198,   199,
     200,   551,   552,   553,   554,   555,   556,   557,   783,   558,
     201,   559,   202,   560,   561,   562,   784,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,   785,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     786,   584,   585,   210,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,   787,   595,   596,   597,   598,
     599,   788,   600,   217,   601,   602,   219,   603,   220,   604,
     789,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,   790,   615,   616,   791,   617,   618,   619,   620,
     621,   622,   792,   224,   225,   793,   794,   624,   226,   625,
     227,   795,   626,   627,   628,   629,   630,   631,   632,   796,
     797,   633,   634,   635,   636,   637,   798,   799,   638,   639,
     640,   641,   642,   800,   234,   801,   643,   235,   644,   645,
     646,   802,   803,   647,   804,   805,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   724,   421,   422,
     423,   725,   726,   727,   728,   729,   730,   731,   424,   425,
     732,   426,   427,   133,   428,   429,   430,   135,   136,   137,
     138,   139,   733,   431,   432,   433,   434,   435,   734,   735,
     436,   437,   736,   140,   438,   737,   439,   440,   441,   442,
     144,   738,   145,   739,   443,   444,   445,   446,   148,   447,
     740,   741,   448,   449,   450,   451,   452,   453,   742,   151,
     454,   743,   744,   745,   746,   152,   747,   748,   749,   455,
     456,   457,   458,   686,   459,   155,   156,   460,   750,   461,
     751,   462,   463,   464,   465,   466,   752,   467,   468,   469,
     753,   754,   470,   471,   472,   473,   474,   755,   475,   476,
     477,   756,   478,   479,   757,   480,   481,   482,   483,   164,
     484,   485,   486,   166,   758,   487,   759,   488,   168,   489,
     760,   490,   761,   491,   169,   762,   170,   492,   493,   494,
     763,   495,   172,   764,   496,   765,   497,   498,   688,   499,
     500,   173,   501,   502,   503,   766,   504,   505,   506,   507,
     508,   509,   767,   510,   174,   175,   768,   511,   512,   513,
     769,   176,   770,   177,   771,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,   772,   523,   181,
     182,   524,   183,   773,   525,   526,   527,   774,   775,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,   189,   190,   538,   539,   191,   776,   540,   541,
     193,   542,   777,   194,   543,   195,   544,   545,   546,   778,
     547,   779,   780,   548,   549,   550,   781,   782,   196,   197,
     198,   199,   200,   551,   552,   553,   554,   555,   556,   557,
     783,   558,   201,   559,   202,   560,   561,   562,   784,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,   785,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   786,   584,   585,   210,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,   787,   595,   596,
     597,   598,   599,   788,   600,   217,   601,   602,   219,   603,
     220,   604,   789,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,   790,   615,   616,   791,   617,   618,
     619,   620,   621,   622,   792,   224,   225,   793,   794,   624,
     226,   625,   227,   795,   626,   627,   628,   629,   630,   631,
     632,   796,   797,   633,   634,   635,   636,   637,   798,   799,
     638,   639,   640,   641,   642,   800,   234,   801,   643,   235,
     644,   645,   646,   802,   803,   647,   804,   805,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,   717,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   718,   104,   105,   672,   719,
       0,   107,   108,   109,   110,   720,   721,   112,   113,   114,
     115,     0,   116,   722,   723,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,  3120,   418,   419,   420,   724,
     421,   422,   423,   725,   726,   727,   728,   729,   730,   731,
     424,   425,   732,   426,   427,   133,   428,   429,   430,   135,
     136,   137,   138,   139,   733,   431,   432,   433,   434,   435,
     734,   735,   436,   437,   736,   140,   438,   737,   439,   440,
     441,   442,   144,   738,   145,   739,   443,   444,   445,   446,
     148,   447,   740,   741,   448,   449,   450,   451,   452,   453,
     742,   151,   454,   743,   744,   745,   746,   152,   747,   748,
     749,   455,   456,   457,   458,   686,   459,   155,   156,   460,
     750,   461,   751,   462,   463,   464,   465,   466,   752,   467,
     468,   469,   753,   754,   470,   471,   472,  3121,   474,   755,
     475,   476,   477,   756,   478,   479,   757,   480,   481,   482,
     483,   164,   484,   485,   486,   166,   758,   487,   759,   488,
     168,   489,   760,   490,   761,   491,   169,   762,   170,   492,
     493,   494,   763,   495,   172,   764,   496,   765,   497,   498,
     688,   499,   500,   173,   501,   502,   503,   766,   504,   505,
     506,   507,   508,   509,   767,   510,   174,   175,   768,   511,
     512,   513,   769,   176,   770,   177,   771,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,   772,
     523,   181,   182,   524,   183,   773,   525,   526,   527,   774,
     775,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,   189,   190,   538,   539,   191,   776,
     540,   541,   193,   542,   777,   194,   543,   195,   544,   545,
     546,   778,   547,   779,   780,   548,   549,   550,   781,   782,
     196,   197,   198,   199,   200,   551,   552,   553,   554,   555,
     556,   557,   783,   558,   201,   559,   202,   560,   561,   562,
     784,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,   785,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   786,   584,   585,   210,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,   787,
     595,   596,   597,   598,   599,   788,  3122,   217,   601,   602,
     219,   603,   220,   604,   789,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,   790,   615,   616,   791,
     617,   618,   619,   620,   621,   622,   792,   224,   225,   793,
     794,   624,   226,   625,   227,   795,   626,   627,   628,   629,
     630,   631,   632,   796,   797,   633,   634,   635,   636,   637,
     798,   799,   638,   639,   640,   641,   642,   800,   234,   801,
     643,   235,   644,   645,   646,   802,   803,   647,   804,   805,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,     0,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,   135,   136,   137,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,   145,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,     0,     0,     0,   152,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,   182,   524,   183,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,   189,   190,   538,   539,
     191,     0,   540,   541,   193,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,   197,   198,   199,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,   219,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,   717,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   718,
     104,   105,   672,   719,     0,   107,   108,   109,   110,   720,
     721,   112,   113,   114,   115,     0,   116,   722,   723,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,   133,
     428,   429,   430,   135,   136,   137,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,   145,     0,
     443,   444,   445,   446,   148,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,   151,   454,     0,     0,     0,
       0,   152,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
     169,     0,   170,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,  1311,   173,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     174,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,   178,   179,   515,   180,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,   182,   524,   183,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,   189,   190,
     538,   539,   191,     0,   540,   541,   193,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,   197,   198,   199,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,   210,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,   219,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,   235,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,   717,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   718,   104,   105,   672,   719,     0,   107,   108,   109,
     110,   720,   721,   112,   113,   114,   115,     0,   116,   722,
     723,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,   133,   428,   429,   430,   135,   136,   137,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
     145,     0,   443,   444,   445,   446,   148,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,   151,   454,     0,
       0,     0,     0,   152,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,   169,     0,   170,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,  1320,   173,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   174,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,   182,   524,
     183,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
     189,   190,   538,   539,   191,     0,   540,   541,   193,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,   197,   198,   199,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,   210,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,   219,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,   235,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,     0,  1859,   137,
    1860,  1861,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,  1862,  1863,   438,     0,   439,   440,   441,   442,
       0,     0,   145,     0,   443,   444,   445,   446,   148,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,     0,     0,     0,   152,     0,     0,     0,   455,
     456,   457,   458,   686,   459,  1864,  1865,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1460,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,     0,     0,   487,     0,   488,  1866,   489,
       0,   490,     0,   491,   169,     0,   170,   492,   493,   494,
       0,   495,     0,     0,   496,     0,   497,   498,   688,   499,
     500,   173,   501,   502,   503,  2424,   504,   505,   506,   507,
     508,   509,     0,   510,   174,  2425,     0,   511,   512,   513,
    1466,  1867,     0,  1868,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,     0,
     182,   524,   183,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,  1869,   189,  1870,   538,   539,     0,     0,   540,   541,
     193,   542,     0,     0,   543,  1871,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,  2426,   197,
     198,   199,     0,   551,   552,   553,   554,   555,   556,   557,
       0,   558,     0,   559,     0,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,  1872,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,  2427,   601,   602,   219,   603,
    1874,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,  1875,  1876,     0,     0,   624,
       0,   625,     0,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,     0,  1877,  2428,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,   653,   654,   717,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   718,   104,   105,   672,   719,
       0,   107,   108,   109,   110,   720,   721,   112,   113,   114,
     115,     0,   116,   722,   723,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,   133,   428,   429,   430,     0,
    1859,   137,  1860,  1861,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,  1862,  1863,   438,     0,   439,   440,
     441,   442,     0,     0,   145,     0,   443,   444,   445,   446,
     148,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,   151,   454,     0,     0,     0,     0,   152,     0,     0,
       0,   455,   456,   457,   458,   686,   459,  1864,  1865,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,  1460,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,     0,     0,   487,     0,   488,
    1866,   489,     0,   490,     0,   491,   169,     0,   170,   492,
     493,   494,     0,   495,     0,     0,   496,     0,   497,   498,
     688,   499,   500,   173,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   174,     0,     0,   511,
     512,   513,  1466,  1867,     0,  1868,     0,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,     0,
     523,     0,   182,   524,   183,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,  1869,   189,  1870,   538,   539,     0,     0,
     540,   541,   193,   542,  2412,     0,   543,  1871,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
       0,   197,   198,   199,     0,   551,   552,   553,   554,   555,
     556,   557,     0,   558,     0,   559,     0,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,  1872,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,   210,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,  2427,   601,   602,
     219,   603,  1874,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,     0,   615,   616,  3882,
     617,   618,   619,   620,   621,   622,     0,  1875,  1876,     0,
       0,   624,     0,   625,     0,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,     0,  1877,     0,
     643,   235,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   693,   653,   654,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,     0,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,     0,  1859,   137,  1860,  1861,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,  1862,  1863,   438,     0,
     439,   440,   441,   442,     0,     0,   145,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,     0,     0,     0,   152,
       0,     0,     0,   455,   456,   457,   458,   686,   459,  1864,
    1865,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1460,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,     0,     0,   487,
       0,   488,  1866,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,     0,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,     0,
       0,   511,   512,   513,  1466,  1867,     0,  1868,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,     0,   182,   524,   183,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,  1869,   189,  1870,   538,   539,
    2474,     0,   540,   541,   193,   542,     0,     0,   543,  1871,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,     0,   197,   198,   199,     0,   551,   552,   553,
     554,   555,   556,   557,     0,   558,     0,   559,     0,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
    1872,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,  1873,
     601,   602,   219,   603,  1874,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,  1875,
    1876,     0,     0,   624,     0,   625,     0,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,     0,
    1877,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   693,   653,   654,   717,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   718,
     104,   105,   672,   719,     0,   107,   108,   109,   110,   720,
     721,   112,   113,   114,   115,     0,   116,   722,   723,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,   133,
     428,   429,   430,     0,  1859,   137,  1860,  1861,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,  1862,  1863,
     438,     0,   439,   440,   441,   442,     0,     0,   145,     0,
     443,   444,   445,   446,   148,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,   151,   454,     0,     0,     0,
       0,   152,     0,     0,     0,   455,   456,   457,   458,   686,
     459,  1864,  1865,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
    1460,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,     0,
       0,   487,     0,   488,  1866,   489,     0,   490,     0,   491,
     169,     0,   170,   492,   493,   494,     0,   495,     0,     0,
     496,     0,   497,   498,   688,   499,   500,   173,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     174,     0,     0,   511,   512,   513,  1466,  1867,     0,  1868,
       0,   514,   178,   179,   515,   180,   516,   517,   518,   519,
     520,   521,   522,     0,   523,     0,   182,   524,   183,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,  1869,   189,  1870,
     538,   539,  3706,     0,   540,   541,   193,   542,     0,     0,
     543,  1871,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,     0,   197,   198,   199,     0,   551,
     552,   553,   554,   555,   556,   557,     0,   558,     0,   559,
       0,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,  1872,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,   210,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,  1873,   601,   602,   219,   603,  1874,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,     0,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,  1875,  1876,     0,     0,   624,     0,   625,     0,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,     0,  1877,     0,   643,   235,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   693,   653,
     654,   717,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   718,   104,   105,   672,   719,     0,   107,   108,   109,
     110,   720,   721,   112,   113,   114,   115,     0,   116,   722,
     723,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,   133,   428,   429,   430,     0,  1859,   137,  1860,  1861,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
    1862,  1863,   438,     0,   439,   440,   441,   442,     0,     0,
     145,     0,   443,   444,   445,   446,   148,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,   151,   454,     0,
       0,     0,     0,   152,     0,     0,     0,   455,   456,   457,
     458,   686,   459,  1864,  1865,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,  1460,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,     0,     0,   487,     0,   488,  1866,   489,     0,   490,
       0,   491,   169,     0,   170,   492,   493,   494,     0,   495,
       0,     0,   496,     0,   497,   498,   688,   499,   500,   173,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   174,     0,     0,   511,   512,   513,  1466,  1867,
       0,  1868,     0,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,     0,   523,     0,   182,   524,
     183,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,  1869,
     189,  1870,   538,   539,     0,     0,   540,   541,   193,   542,
       0,     0,   543,  1871,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,     0,   197,   198,   199,
       0,   551,   552,   553,   554,   555,   556,   557,     0,   558,
       0,   559,     0,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,  1872,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,   210,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,  1873,   601,   602,   219,   603,  1874,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,  1875,  1876,     0,     0,   624,     0,   625,
       0,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,     0,  1877,     0,   643,   235,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     693,   653,   654,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,     0,  1859,   137,
    1860,  1861,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,  1862,  1863,   438,     0,   439,   440,   441,   442,
       0,     0,   145,     0,   443,   444,   445,   446,   148,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,     0,     0,     0,   152,     0,     0,     0,   455,
     456,   457,   458,   686,   459,  1864,  1865,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1460,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,     0,     0,   487,     0,   488,  1866,   489,
       0,   490,     0,   491,   169,     0,   170,   492,   493,   494,
       0,   495,     0,     0,   496,     0,   497,   498,   688,   499,
     500,   173,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   174,     0,     0,   511,   512,   513,
    1466,  1867,     0,  1868,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,     0,
     182,   524,   183,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,  1869,   189,  1870,   538,   539,     0,     0,   540,   541,
     193,   542,     0,     0,   543,  1871,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,     0,   197,
     198,   199,     0,   551,   552,   553,   554,   555,   556,   557,
       0,   558,     0,   559,     0,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,  1872,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,  2427,   601,   602,   219,   603,
    1874,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,  1875,  1876,     0,     0,   624,
       0,   625,     0,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,     0,  1877,     0,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,   653,   654,   717,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   718,   104,   105,   672,   719,
       0,   107,   108,   109,   110,   720,   721,   112,   113,   114,
     115,     0,   116,   722,   723,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,   133,   428,   429,   430,     0,
    1859,   137,  1860,  1861,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,  1862,  1863,   438,     0,   439,   440,
     441,   442,     0,     0,   145,     0,   443,   444,   445,   446,
     148,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,   151,   454,     0,     0,     0,     0,   152,     0,     0,
       0,   455,   456,   457,   458,   686,   459,  1864,  1865,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,  1460,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,     0,     0,   487,     0,   488,
    1866,   489,     0,   490,     0,   491,   169,     0,   170,   492,
     493,   494,     0,   495,     0,     0,   496,     0,   497,   498,
     688,   499,   500,   173,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   174,     0,     0,   511,
     512,   513,  1466,  1867,     0,  1868,     0,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,     0,
     523,     0,   182,   524,   183,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,  1869,   189,  1870,   538,   539,     0,     0,
     540,   541,   193,   542,     0,     0,   543,  1871,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
       0,   197,   198,   199,     0,   551,   552,   553,   554,   555,
     556,   557,     0,   558,     0,   559,     0,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,  1872,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,   210,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,     0,   601,   602,
     219,   603,  1874,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,  1875,  1876,     0,
       0,   624,     0,   625,     0,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,     0,  1877,     0,
     643,   235,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   693,   653,   654,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,     0,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,     0,     0,   137,     0,     0,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,     0,     0,   438,     0,
     439,   440,   441,   442,     0,     0,   145,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,     0,     0,     0,   152,
       0,     0,     0,   455,   456,   457,   458,   686,   459,     0,
       0,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,     0,     0,   487,
       0,   488,     0,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,     0,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,     0,
       0,   511,   512,   513,     0,     0,     0,     0,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,     0,   182,   524,   183,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,     0,   189,     0,   538,   539,
       0,     0,   540,   541,   193,   542,     0,     0,   543,     0,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,     0,   197,   198,   199,     0,   551,   552,   553,
     554,   555,   556,   557,     0,   558,     0,   559,     0,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
       0,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,     0,
     601,   602,   219,   603,     0,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,     0,
       0,     0,     0,   624,     0,   625,     0,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,     0,
       0,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   724,   421,   422,   423,   725,   726,   727,   728,
     729,   730,   731,   424,   425,   732,   426,   427,   133,   428,
     429,   430,   135,   136,   137,   138,   139,   733,   431,   432,
     433,   434,   435,   734,   735,   436,   437,     0,   140,   438,
     737,   439,   440,   441,   442,   144,   738,   145,   739,   443,
     444,   445,   446,   148,   447,   740,   741,   448,   449,   450,
     451,   452,   453,   742,   151,   454,     0,   744,   745,   746,
     152,   747,   748,   749,   455,   456,   457,   458,     0,   459,
     155,   156,   460,   750,   461,   751,   462,   463,   464,   465,
     466,   752,   467,   468,   469,   753,   754,   470,   471,   472,
     473,   474,   755,   475,   476,   477,   756,   478,   479,   757,
     480,   481,   482,   483,   164,   484,   485,   486,   166,   758,
     487,   759,   488,   168,   489,   760,   490,   761,   491,   169,
     762,   170,   492,   493,   494,   763,   495,   172,   764,   496,
     765,   497,   498,     0,   499,   500,   173,   501,   502,   503,
     766,   504,   505,   506,   507,   508,   509,   767,   510,   174,
     175,     0,   511,   512,   513,     0,   176,   770,   177,   771,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,   772,   523,   181,   182,   524,   183,   773,   525,
     526,   527,   774,   775,   528,   529,   530,   531,   532,     0,
     533,   534,     0,   535,   536,   537,   188,   189,   190,   538,
     539,   191,   776,   540,   541,   193,   542,   777,   194,   543,
     195,   544,   545,   546,   778,   547,   779,   780,   548,   549,
     550,   781,   782,   196,   197,   198,   199,   200,   551,   552,
     553,   554,   555,   556,   557,   783,   558,   201,   559,   202,
     560,   561,   562,   784,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,   785,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   786,   584,   585,
     210,   586,   587,   212,   588,   589,   590,   591,   592,   593,
       0,   594,   787,   595,   596,   597,   598,   599,   788,   600,
     217,   601,   602,   219,   603,   220,   604,   789,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,   790,
     615,   616,   791,   617,   618,   619,   620,   621,   622,   792,
     224,   225,     0,   794,   624,   226,   625,   227,   795,   626,
     627,   628,   629,   630,   631,   632,     0,   797,   633,   634,
     635,   636,   637,   798,   799,   638,   639,   640,   641,   642,
       0,   234,   801,   643,   235,   644,   645,   646,   802,   803,
     647,   804,   805,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,   412,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,  1132,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,   412,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,  2365,   439,   440,   441,   442,   144,     0,
       0,  2440,   443,   444,   445,   446,     0,   447,   684,  2366,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,  2441,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
    2368,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,  2369,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
    2370,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,  2365,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
    2366,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,  2441,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,  2368,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,  3318,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,  2369,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,  2370,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,  1030,   419,   420,   989,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,   990,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
    1031,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,   991,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,   992,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,   989,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,   990,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,  3023,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,   991,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,   992,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,   440,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   672,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,     0,   428,   429,   430,
     135,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,  2365,   439,
     440,   441,   442,   144,     0,     0,     0,   443,   444,   445,
     446,     0,   447,   684,  2366,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,  2441,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,  2368,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,     0,   524,     0,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,     0,   190,   538,   539,   191,
       0,   540,   541,     0,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,     0,     0,     0,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,  2369,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,     0,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,     0,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,  2370,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,     0,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,   412,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,   682,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,   685,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,   687,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   989,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,   990,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,   991,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,   992,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,   905,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,   412,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,   906,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   907,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,  2045,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,  2046,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
    2047,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,  2048,
     491,     0,     0,     0,  2049,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,  2050,
    2051,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,  2052,
     592,   593,   691,   594,     0,  2053,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,  2054,   617,  2055,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,  2056,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,   990,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,   991,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,   992,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,    86,    87,    88,   669,    90,    91,    92,
     670,  2034,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,  2323,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,   412,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,  2899,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,  2900,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,  2901,   617,   618,  2902,
     620,  2903,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,  2904,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
     412,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   709,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,   687,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,   412,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,   857,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,   440,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   672,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,   412,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
    1303,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,     0,   428,   429,   430,
     135,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,   144,     0,     0,     0,   443,   444,   445,
     446,     0,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,     0,   524,     0,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,     0,   190,   538,   539,   191,
       0,   540,   541,     0,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,     0,     0,     0,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,     0,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,     0,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,     0,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   130,   131,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,  3104,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,  3105,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,  3116,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,  3117,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,   412,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,   412,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   911,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,   412,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   953,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
     412,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,  1006,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,  1063,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,   440,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,  1206,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,  1063,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   672,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
    1545,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,     0,   428,   429,   430,
     135,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,   144,     0,     0,     0,   443,   444,   445,
     446,     0,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,     0,   524,     0,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,     0,   190,   538,   539,   191,
       0,   540,   541,     0,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,     0,     0,     0,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,     0,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,     0,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,     0,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,  1718,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,  1063,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,  1942,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,  2034,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,  2323,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,  4019,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,  4032,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,  4250,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,  4252,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,  4254,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,   440,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,  4630,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   672,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,     0,   428,   429,   430,
     135,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,   144,     0,     0,     0,   443,   444,   445,
     446,     0,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,     0,   524,     0,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,     0,   190,   538,   539,   191,
       0,   540,   541,     0,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,     0,     0,     0,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,     0,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,     0,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,     0,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,  1014,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,  1016,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,  1017,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,     0,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,  1018,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
    1019,   225,     0,     0,  1020,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
    1021,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,  1057,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,  1017,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,  1058,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,  1059,   225,     0,     0,  1060,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,  1021,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,  1077,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,  1182,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,  1203,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
    1214,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,  1265,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,   440,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,  1316,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   672,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,     0,   428,   429,   430,
     135,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,   144,     0,     0,     0,   443,   444,   445,
     446,     0,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,  1333,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,     0,   524,     0,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,     0,   190,   538,   539,   191,
       0,   540,   541,     0,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,     0,     0,     0,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,     0,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,     0,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,     0,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,  1335,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,  1337,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,  1340,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,  1346,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,  1556,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,  1043,   437,
    1017,   140,  1557,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,     0,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,  1047,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,  1048,   587,   212,   588,   589,   590,
    1049,   592,   593,   691,   594,     0,   595,   596,   597,   598,
    1549,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,  1051,   225,     0,     0,  1052,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,  1021,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
    1053,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,  1682,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
    1905,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,  1932,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,   440,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,  1966,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   672,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,     0,   428,   429,   430,
     135,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,   144,     0,     0,     0,   443,   444,   445,
     446,     0,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,  1968,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,     0,   524,     0,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,     0,   190,   538,   539,   191,
       0,   540,   541,     0,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,     0,     0,     0,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,     0,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,     0,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,     0,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,  1970,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,  2082,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,  2289,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
       0,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,  2662,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,  3034,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,  3107,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
    3109,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,  3201,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,  1043,   437,  1017,   140,   438,     0,   439,   440,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,     0,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,  1047,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,  1048,   587,
     212,   588,   589,   590,  1049,   592,   593,   691,   594,     0,
     595,   596,   597,   598,  1549,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,  1051,   225,     0,
       0,  1052,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,  1021,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,  1053,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   672,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,     0,   428,   429,   430,
     135,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,  1043,   437,  1017,   140,   438,     0,   439,
     440,   441,   442,   144,     0,     0,     0,   443,   444,   445,
     446,     0,   447,     0,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,     0,   524,     0,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,  1047,   188,     0,   190,   538,   539,   191,
       0,   540,   541,     0,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,     0,     0,     0,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,     0,  1048,
     587,   212,   588,   589,   590,  1049,   592,   593,   691,   594,
       0,   595,   596,   597,   598,  1549,     0,   600,   217,   601,
     602,     0,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,  2356,   619,   620,   621,   622,     0,  1051,   225,
       0,     0,  1052,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,  1021,   234,
       0,   643,     0,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,  1053,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,  1043,   437,  1017,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,     0,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,  1047,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
    1048,   587,   212,   588,   589,   590,  2416,   592,   593,   691,
     594,     0,   595,   596,   597,   598,  2417,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,  1051,
     225,     0,     0,  2418,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,  1021,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,  1053,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,  1043,   437,  1017,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,     0,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,  1047,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,  1048,   587,   212,   588,   589,   590,  1049,   592,   593,
     691,   594,     0,   595,   596,   597,   598,  2417,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
    1051,   225,     0,     0,  2418,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
    1021,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,  1053,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,     0,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
       0,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,     0,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,   115, -2332,   116,   117,   118,
       0,     0,     0,     0,     0,   121,   122,     0,     0,     0,
       0,   123,     0,     0,     0,     0,     0,     0,     0,     0,
     124,     0,   125,     0,   126,   127,    35,     0,   407,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     133,     0,     0,     0,   135,   136,   137,   138,   139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     140,     0,     0,     0,     0,     0,     0,   144,     0,   145,
       0,     0,     0,     0,     0,   148,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,   152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   155,   156,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   162,
       0,     0,     0,     0,     0,     0,   164,     0,     0,     0,
     166,     0,     0,     0,     0,   168,     0,     0,     0,     0,
       0,   169,     0,   170,     0,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   174,   175,     0,     0,     0,     0,     0,   176,     0,
     177,     0,     0,   178,   179,     0,   180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   188,   189,
     190,     0,     0,   191,     0,     0,     0,   193,     0,     0,
     194,     0,   195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   196,   197,   198,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   210,     0,     0,   212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   217,     0,     0,   219,     0,   220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,     0,     0,     0,   226,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   234,     0,     0,   235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115, -2333,   116,   117,   118,     0,     0,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,   127,    35,     0,  1127,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,   145,     0,     0,
       0,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
     152,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     155,   156,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   162,     0,     0,
       0,     0,     0,     0,   164,     0,     0,     0,   166,     0,
       0,     0,     0,   168,     0,     0,     0,     0,     0,   169,
       0,   170,     0,     0,     0,     0,     0,   172,     0,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   174,
     175,     0,     0,     0,     0,     0,   176,     0,   177,     0,
       0,   178,   179,     0,   180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   181,   182,     0,   183,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   188,   189,   190,     0,
       0,   191,     0,     0,     0,   193,     0,     0,   194,     0,
     195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,   198,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     210,     0,     0,   212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     217,     0,     0,   219,     0,   220,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,     0,     0,     0,   226,     0,   227,     0,     0,
       0,     0,     0,     0,     0,     0,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   234,     0,     0,   235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115,     0,   116,   117,   118,     0,     0,     0,     0,
       0,   121,   122,     0,     0,     0,     0,   123,     0,     0,
       0,     0,     0,     0,     0,     0,   124,     0,   125,     0,
     126,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   133,     0,     0,     0,
     135,   136,   137,   138,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,     0,     0,
       0,     0,     0,   144,     0,   145,     0,     0,     0,     0,
       0,   148,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,   152,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   155,   156,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   162,     0,     0,     0,     0,
       0,     0,   164,     0,     0,     0,   166,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,   169,     0,   170,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   174,   175,     0,
       0,     0,     0,     0,   176,     0,   177,     0,     0,   178,
     179,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   188,   189,   190,     0,     0,   191,
       0,     0,     0,   193,     0,     0,   194,     0,   195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   196,   197,   198,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,     0,
       0,   212,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   217,     0,
       0,   219,     0,   220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   222,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
       0,     0,     0,   226,     0,   227,     0,     0,     0,     0,
       0,     0,     0,     0,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   234,
       0,     0,   235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114,   115,
       0,   116,   117,   118,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   133,     0,     0,     0,   135,   136,
     137,   138,   139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   140,     0,     0,     0,     0,     0,
       0,   144,     0,   145,     0,     0,     0,     0,     0,   148,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,   152,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   155,   156,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   162,     0,     0,     0,     0,     0,     0,
     164,     0,     0,     0,   166,     0,     0,     0,     0,   168,
       0,     0,     0,     0,     0,   169,     0,   170,     0,     0,
       0,     0,     0,   172,     0,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   174,   175,     0,     0,     0,
       0,     0,   176,     0,   177,     0,     0,   178,   179,     0,
     180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     181,   182,     0,   183,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   188,   189,   190,     0,     0,   191,     0,     0,
       0,   193,     0,     0,   194,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,   198,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   210,     0,     0,   212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   217,     0,     0,   219,
       0,   220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,     0,     0,
       0,   226,     0,   227,     0,     0,     0,     0,     0,     0,
       0,     0,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   234,     0,     0,
     235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,   145,     0,     0,     0,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   155,   156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   164,     0,
       0,     0,   166,     0,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,     0,     0,     0,
     176,     0,   177,     0,     0,   178,   179,     0,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   183,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     188,   189,   190,     0,     0,   191,     0,     0,     0,   193,
       0,     0,   194,     0,   195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   196,   197,   198,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   210,     0,     0,   212,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   217,     0,     0,   219,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,     0,     0,     0,   226,
       0,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   234,     0,     0,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   412,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,   133,   428,   429,   430,   135,
     136,   137,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,     0,   140,   438,     0,   439,   440,
     441,   442,   144,     0,   145,     0,   443,   444,   445,   446,
     148,   447,     0,     0,   448,   449,   450,   451,   452,   453,
       0,   151,   454,     0,     0,     0,     0,   152,     0,     0,
       0,   455,   456,   457,   458,     0,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,  2010,   487,     0,   488,
     168,   489,     0,   490,     0,   491,   169,     0,   170,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
       0,   499,   500,   173,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   174,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,   182,   524,   183,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,     0,   533,   534,     0,
     535,   536,   537,   188,   189,   190,   538,   539,   191,     0,
     540,   541,   193,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,  2011,     0,   548,   549,   550,     0,     0,
     196,   197,   198,   199,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,   210,   586,   587,
     212,   588,   589,   590,   591,   592,   593,     0,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
     219,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,  2012,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,     0,   234,     0,
     643,   235,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   653,   654,     0,     0,     0,
       0,     0,    41,    42,  1639,  1640,  4214,     0,     0,     0,
       0,     0,     0,  4215,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   130,   131,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,   133,   428,
     429,   430,   135,   136,   137,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,     0,   140,   438,
       0,   439,   440,   441,   442,   144,     0,   145,     0,   443,
     444,   445,   446,   148,   447,     0,     0,   448,   449,   450,
     451,   452,   453,     0,   151,   454,     0,     0,     0,     0,
     152,     0,     0,     0,   455,   456,   457,   458,     0,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,   169,
       0,   170,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,     0,   499,   500,   173,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   174,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,   182,   524,   183,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,     0,
     533,   534,     0,   535,   536,   537,   188,   189,   190,   538,
     539,   191,     0,   540,   541,   193,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,   197,   198,   199,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
     210,   586,   587,   212,   588,   589,   590,   591,   592,   593,
       0,   594,   215,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,   219,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,   223,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     233,   234,     0,   643,   235,   644,   645,   646,     0,     0,
     647,     0,   236,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   653,   654,
      35,   412,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,   246,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,   133,   428,   429,   430,   135,   136,
     137,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,     0,   140,   438,     0,   439,   440,   441,
     442,   144,     0,   145,     0,   443,   444,   445,   446,   148,
     447,     0,     0,   448,   449,   450,   451,   452,   453,     0,
     151,   454,     0,     0,     0,     0,   152,     0,     0,     0,
     455,   456,   457,   458,     0,   459,   155,   156,   460,  2228,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,  2010,   487,     0,   488,   168,
     489,     0,   490,     0,   491,   169,     0,   170,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,     0,
     499,   500,   173,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,   174,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,   178,   179,   515,
     180,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,   182,   524,   183,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,     0,   533,   534,     0,   535,
     536,   537,   188,   189,   190,   538,   539,   191,     0,   540,
     541,   193,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,  2011,     0,   548,   549,   550,     0,     0,   196,
     197,   198,   199,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,   210,   586,   587,   212,
     588,   589,   590,   591,   592,   593,     0,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,   219,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,  2012,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,     0,   234,     0,   643,
     235,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,     0,   653,   654,     0,     0,     0,     0,
       0,    35,   412,  1639,  1640,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,   133,   428,   429,   430,   135,
     136,   137,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,     0,   140,   438,     0,   439,   440,
     441,   442,   144,     0,   145,     0,   443,   444,   445,   446,
     148,   447,     0,     0,   448,   449,   450,   451,   452,   453,
       0,   151,   454,     0,     0,     0,     0,   152,     0,     0,
       0,   455,   456,   457,   458,     0,   459,   155,   156,   460,
    2233,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,  2010,   487,     0,   488,
     168,   489,     0,   490,     0,   491,   169,     0,   170,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
       0,   499,   500,   173,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   174,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,   182,   524,   183,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,     0,   533,   534,     0,
     535,   536,   537,   188,   189,   190,   538,   539,   191,     0,
     540,   541,   193,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,  2011,     0,   548,   549,   550,     0,     0,
     196,   197,   198,   199,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,   210,   586,   587,
     212,   588,   589,   590,   591,   592,   593,     0,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
     219,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,  2012,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,     0,   234,     0,
     643,   235,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,     0,   653,   654,     0,     0,     0,
       0,     0,    35,   412,  1639,  1640,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,   133,   428,   429,   430,
     135,   136,   137,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,     0,   140,   438,     0,   439,
     440,   441,   442,   144,     0,   145,     0,   443,   444,   445,
     446,   148,   447,     0,     0,   448,   449,   450,   451,   452,
     453,     0,   151,   454,     0,     0,     0,     0,   152,     0,
       0,     0,   455,   456,   457,   458,     0,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,  2010,   487,     0,
     488,   168,   489,     0,   490,     0,   491,   169,     0,   170,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,     0,   499,   500,   173,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   174,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,   178,
     179,   515,   180,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,   182,   524,   183,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,     0,   533,   534,
       0,   535,   536,   537,   188,   189,   190,   538,   539,   191,
       0,   540,   541,   193,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,  2011,     0,   548,   549,   550,     0,
       0,   196,   197,   198,   199,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,   210,   586,
     587,   212,   588,   589,   590,   591,   592,   593,     0,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,   219,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,  2012,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,     0,   234,
       0,   643,   235,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,   653,   654,     0,     0,
       0,     0,     0,    35,     0,  1639,  1640,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,   135,   136,   137,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,     0,   140,   438,     0,
     439,   440,   441,   442,   144,     0,   145,     0,   443,   444,
     445,   446,   148,   447,     0,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,     0,     0,     0,   152,
       0,     0,     0,   455,   456,   457,   458,     0,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,  2010,   487,
       0,   488,   168,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,     0,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,   182,   524,   183,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,     0,   533,
     534,     0,   535,   536,   537,   188,   189,   190,   538,   539,
     191,     0,   540,   541,   193,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,  2011,     0,   548,   549,   550,
       0,     0,   196,   197,   198,   199,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,   212,   588,   589,   590,   591,   592,   593,     0,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,   219,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,  2012,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,     0,
     234,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,   653,   654,    35,
     412,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,   135,   136,   137,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,     0,   140,   438,     0,   439,   440,   441,   442,
     144,     0,   145,     0,   443,   444,   445,   446,   148,   447,
       0,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,     0,     0,     0,   152,     0,     0,     0,   455,
     456,   457,   458,     0,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,   169,     0,   170,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,     0,   499,
     500,   173,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   174,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
     182,   524,   183,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,     0,   533,   534,     0,   535,   536,
     537,   188,   189,   190,   538,   539,   191,     0,   540,   541,
     193,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,   197,
     198,   199,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,   212,   588,
     589,   590,   591,   592,   593,     0,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,   219,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,   623,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,     0,   234,     0,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,     0,   653,   654,    35,   412,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,   133,
     428,   429,   430,   135,   136,   137,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,     0,   140,
     438,     0,   439,   440,   441,   442,   144,     0,   145,     0,
     443,   444,   445,   446,   148,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   151,   454,     0,     0,     0,
       0,   152,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
     169,     0,   170,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,     0,   499,   500,   173,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     174,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,   178,   179,   515,   180,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,   182,   524,   183,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
       0,   533,   534,     0,   535,   536,   537,   188,   189,   190,
     538,   539,   191,     0,   540,   541,   193,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,   197,   198,   199,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,   210,   586,   587,   212,   588,   589,   590,   591,   592,
     593,     0,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,   219,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,     0,   234,     0,   643,   235,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    35,   653,
     654,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,   133,   428,   429,   430,   135,   136,   137,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,     0,   140,   438,     0,   439,   440,   441,   442,   144,
       0,   145,     0,   443,   444,   445,   446,   148,   447,     0,
       0,   448,   449,   450,   451,   452,   453,     0,   151,   454,
       0,     0,     0,     0,   152,     0,     0,     0,   455,   456,
     457,   458,     0,   459,   155,   156,   460,  2213,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,   169,     0,   170,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,     0,   499,   500,
     173,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,   174,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,   178,   179,   515,   180,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,   182,
     524,   183,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,     0,   533,   534,     0,   535,   536,   537,
     188,   189,   190,   538,   539,   191,     0,   540,   541,   193,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,   197,   198,
     199,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,   210,   586,   587,   212,   588,   589,
     590,   591,   592,   593,     0,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,   219,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,     0,   234,     0,   643,   235,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   653,   654,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,   133,   428,   429,   430,   135,
     136,   137,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,     0,   140,   438,     0,   439,   440,
     441,   442,   144,     0,   145,     0,   443,   444,   445,   446,
     148,   447,     0,     0,   448,   449,   450,   451,   452,   453,
       0,   151,   454,     0,     0,     0,     0,   152,     0,     0,
       0,   455,   456,   457,   458,     0,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,   169,     0,   170,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
       0,   499,   500,   173,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   174,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,   182,   524,   183,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,     0,   533,   534,     0,
     535,   536,   537,   188,   189,   190,   538,   539,   191,     0,
     540,   541,   193,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,   197,   198,   199,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,   210,   586,   587,
     212,   588,   589,   590,   591,   592,   593,     0,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
     219,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,     0,   234,     0,
     643,   235,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   653,   654,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,   133,   428,
     429,   430,   135,   136,   137,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,     0,   140,   438,
       0,   439,   440,   441,   442,   144,     0,   145,     0,   443,
     444,   445,   446,   148,   447,     0,     0,   448,   449,   450,
     451,   452,   453,     0,   151,   454,     0,     0,     0,     0,
     152,     0,     0,     0,   455,   456,   457,   458,     0,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,   169,
       0,   170,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,     0,   499,  1990,   173,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   174,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,   182,   524,   183,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,     0,
     533,   534,     0,   535,   536,   537,   188,   189,   190,   538,
     539,   191,     0,   540,   541,   193,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,   197,   198,   199,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
     210,   586,   587,   212,   588,   589,   590,   591,   592,   593,
       0,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,   219,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
       0,   234,     0,   643,   235,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   653,   654,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,   133,   428,   429,   430,   135,   136,   137,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
       0,   140,   438,     0,   439,   440,   441,   442,   144,     0,
     145,     0,   443,   444,   445,   446,   148,   447,     0,     0,
     448,   449,   450,   451,   452,   453,     0,   151,   454,     0,
       0,     0,     0,   152,     0,     0,  2530,   455,   456,   457,
     458,     0,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,   169,     0,   170,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,     0,   499,   500,   173,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   174,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,   182,   524,
     183,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,     0,   533,   534,     0,   535,   536,   537,   188,
     189,   190,   538,   539,   191,     0,   540,   541,   193,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,   197,   198,   199,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,   210,   586,   587,   212,   588,   589,   590,
     591,   592,   593,     0,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,   219,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,  2531,     0,   638,   639,
     640,   641,   642,     0,   234,     0,   643,   235,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      35,   653,   654,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   130,   131,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,   133,   428,   429,   430,   135,   136,
     137,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,     0,   140,   438,     0,   439,   440,   441,
     442,   144,     0,   145,     0,   443,   444,   445,   446,   148,
     447,     0,     0,   448,   449,   450,   451,   452,   453,     0,
     151,   454,     0,     0,     0,     0,   152,     0,     0,     0,
     455,   456,   457,   458,     0,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,   169,     0,   170,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,     0,
     499,   500,   173,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,   174,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,   178,   179,   515,
     180,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,   182,   524,   183,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,     0,   533,   534,     0,   535,
     536,   537,   188,   189,   190,   538,   539,   191,     0,   540,
     541,   193,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
     197,   198,   199,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,   210,   586,   587,   212,
     588,   589,   590,   591,   592,   593,     0,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,   219,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,     0,   234,     0,   643,
     235,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   653,   654,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,   135,   136,   137,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,     0,   140,   438,     0,
     439,   440,   441,   442,   144,     0,   145,     0,   443,   444,
     445,   446,   148,   447,     0,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,     0,     0,     0,   152,
       0,     0,     0,   455,   456,   457,   458,     0,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,   172,  3385,   496,     0,
     497,   498,     0,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,   182,   524,   183,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,     0,   533,
     534,     0,   535,   536,   537,   188,   189,   190,   538,   539,
     191,     0,   540,   541,   193,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,   197,   198,   199,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,   212,   588,   589,   590,   591,   592,   593,     0,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,   219,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,     0,
     234,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    35,   653,   654,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
     133,   428,   429,   430,   135,   136,   137,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,     0,
     140,   438,     0,   439,   440,   441,   442,   144,     0,   145,
       0,   443,   444,   445,   446,   148,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,   151,   454,     0,     0,
       0,     0,   152,     0,     0,     0,   455,   456,   457,   458,
       0,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,   169,     0,   170,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,     0,   499,   500,   173,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   174,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,   178,   179,   515,   180,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,   182,   524,   183,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,     0,   533,   534,     0,   535,   536,   537,   188,   189,
     190,   538,   539,   191,     0,   540,   541,   193,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,   197,   198,   199,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,   210,   586,   587,   212,   588,   589,   590,   591,
     592,   593,     0,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,   219,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,     0,   234,     0,   643,   235,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     653,   654,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,   135,   136,   137,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,     0,   140,   438,     0,   439,   440,   441,   442,
     144,     0,   145,     0,   443,   444,   445,   446,   148,   447,
       0,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,     0,     0,     0,   152,     0,     0,     0,   455,
     456,   457,   458,     0,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,   169,     0,   170,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,     0,   499,
     500,   173,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   174,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
     182,   524,   183,     0,   525,   526,   527,     0,     0,   528,
     529,  1212,   531,   532,     0,   533,   534,     0,   535,   536,
     537,   188,   189,   190,   538,   539,   191,     0,   540,   541,
     193,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,   197,
     198,   199,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,   212,   588,
     589,   590,   591,   592,   593,     0,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,   219,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,     0,   234,     0,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    35,   653,   654,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,   133,   428,   429,   430,
     135,   136,   137,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,     0,   140,   438,     0,   439,
     440,   441,   442,   144,     0,   145,     0,   443,   444,   445,
     446,   148,   447,     0,     0,   448,   449,   450,   451,   452,
     453,     0,   151,   454,     0,     0,     0,     0,   152,     0,
       0,     0,   455,   456,   457,   458,     0,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,   169,     0,   170,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,     0,   499,   500,   173,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   174,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,   178,
     179,   515,   180,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,   182,   524,   183,     0,   525,   526,   527,
       0,     0,   528,   529,  1286,   531,   532,     0,   533,   534,
       0,   535,   536,   537,   188,   189,   190,   538,   539,   191,
       0,   540,   541,   193,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,   197,   198,   199,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,   210,   586,
     587,   212,   588,   589,   590,   591,   592,   593,     0,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,   219,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,     0,   234,
       0,   643,   235,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   653,   654,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,   133,
     428,   429,   430,   135,   136,   137,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,     0,   140,
     438,     0,   439,   440,   441,   442,   144,     0,   145,     0,
     443,   444,   445,   446,   148,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   151,   454,     0,     0,     0,
       0,   152,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
     169,     0,   170,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,     0,   499,  1322,   173,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     174,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,   178,   179,   515,   180,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,   182,   524,   183,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
       0,   533,   534,     0,   535,   536,   537,   188,   189,   190,
     538,   539,   191,     0,   540,   541,   193,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,   197,   198,   199,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,   210,   586,   587,   212,   588,   589,   590,   591,   592,
     593,     0,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,   219,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,     0,   234,     0,   643,   235,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    35,   653,
     654,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,   133,   428,   429,   430,   135,   136,   137,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,     0,   140,   438,     0,   439,   440,   441,   442,   144,
       0,   145,     0,   443,   444,   445,   446,   148,   447,     0,
       0,   448,   449,   450,   451,   452,   453,     0,   151,   454,
       0,     0,     0,     0,   152,     0,     0,     0,   455,   456,
     457,   458,     0,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,   169,     0,   170,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,     0,   499,  1331,
     173,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,   174,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,   178,   179,   515,   180,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,   182,
     524,   183,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,     0,   533,   534,     0,   535,   536,   537,
     188,   189,   190,   538,   539,   191,     0,   540,   541,   193,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,   197,   198,
     199,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,   210,   586,   587,   212,   588,   589,
     590,   591,   592,   593,     0,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,   219,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,     0,   234,     0,   643,   235,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   653,   654,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,   133,   428,   429,   430,   135,
     136,   137,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,     0,   140,   438,     0,   439,   440,
     441,   442,   144,     0,   145,     0,   443,   444,   445,   446,
     148,   447,     0,     0,   448,   449,   450,   451,   452,   453,
       0,   151,   454,     0,     0,     0,     0,   152,     0,     0,
       0,   455,   456,   457,   458,     0,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,   169,     0,   170,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
       0,   499,  1342,   173,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   174,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,   182,   524,   183,     0,   525,   526,   527,     0,
       0,   528,   529,  1343,   531,   532,     0,   533,   534,     0,
     535,   536,   537,   188,   189,   190,   538,   539,   191,     0,
     540,   541,   193,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,   197,   198,   199,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,   210,   586,   587,
     212,   588,   589,   590,   591,   592,   593,     0,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
     219,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,     0,   234,     0,
     643,   235,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,     0,   653,   654
};

static const yytype_int16 yycheck[] =
{
       2,   246,   167,    78,    78,   359,  1098,   209,  1321,   990,
     991,   992,  1093,  1045,    78,   996,    78,    78,  1325,    96,
     880,  1368,   187,  1329,   228,  1398,   154,  1417,  1061,   106,
    1205,  1163,  1223,  1276,   153,  1873,  2049,   150,  1577,  1705,
     715,  1201,  1285,  1739,    78,  1999,  1487,  1889,  1748,  1744,
      84,  1258,  2202,  1213,  1430,   917,  1052,   171,  2757,   160,
     165,  1594,   935,  2473,   132,   142,  1891,  2914,  1832,  1458,
    1459,    78,   945,   933,   917,   203,    78,   840,  1744,  3070,
     157,   375,    84,  3341,  3120,  1757,  3122,    89,  1477,  1929,
     165,  2252,  1633,  1634,  1635,   209,  1796,  1260,   375,  1914,
     117,  1204,  3280,  1263,  1207,  1312,  1266,  1788,  1914,  1914,
    2521,  1271,  1215,  1914,  1598,   117,   959,   880,  1278,  1739,
      78,  2087,  1914,  2432,  2433,  1914,    84,  1287,   117,  1801,
    1802,  3626,  3262,   716,    94,   347,  3575,  1360,   117,   223,
    1140,  2737,  3249,  1140,  2972,   162,  3670,   361,  1988,  1688,
    3521,   153,  2912,   361,  3619,  3262,  3845,   216,  2908,   117,
     162,  2910,  2911,   958,  3826,  3862,  3526,  3527,   167,  3883,
     933,  1731,   132,   162,  1938,  1628,  1629,  2847,  1692,  1381,
    1361,  2296,  4293,   162,  1352,  1179,  1048,  1931,   187,  4096,
    1090,   208,  2602,   153,   154,  1090,  1135,  1136,  3587,   216,
      21,   218,  3459,   163,   162,  1048,   208,    30,   117,    72,
     950,    88,    10,   230,   216,  2965,   218,   108,  1447,  1448,
      72,  2336,   128,    86,   121,  2340,    72,    95,   230,   128,
     905,   822,  3266,  3267,  3268,  3269,  3270,  3271,   114,   143,
      86,   230,   156,   203,  1473,   128,    72,   135,    84,  4556,
     114,   230,   236,   162,  1417,    81,  4432,   180,  4537,   112,
      86,  2671,  3798,  2673,   145,   185,  2567,    75,    76,    77,
      78,    99,   230,   247,    82,  1256,    14,   199,   149,    78,
      99,   227,  1505,   227,    78,    95,   228,   106,    75,    76,
      77,    78,   367,   367,   112,    82,   266,   227,  3793,    37,
     145,   227,     2,   367,   145,   367,   367,    88,  2978,   319,
     307,  2153,   153,    99,   349,   173,    75,    76,    77,    78,
     106,   230,   184,    82,    75,    76,    77,    78,  1361,   197,
     145,    82,   113,   227,    72,  3072,    78,    75,    76,    77,
      78,   375,    29,    81,    82,    83,    84,   204,    86,   268,
     149,   100,     0,   182,    99,   221,    75,    76,    77,    78,
     367,   106,   143,    82,   137,   185,   165,  1042,    25,   352,
    1561,   173,    78,   375,  1506,    78,   410,    72,  2391,    14,
    1772,  1241,    75,    76,    77,    78,    81,   197,    14,    82,
     153,    86,   182,   103,   104,   461,   431,    90,  1530,    75,
      76,    77,    78,   227,   323,   267,    82,   180,   410,  1121,
     222,    75,    76,    77,    78,   266,   135,   375,    82,  4698,
     187,   180,    75,    76,    77,    78,    90,  1819,   233,    82,
    4541,    75,    76,    77,    78,  1876,   471,    90,    82,  4101,
     260,   270,    75,    76,    77,    78,    90,   246,   182,    82,
     227,   411,   410,    75,    76,    77,    78,  1330,   372,  4549,
      82,  2576,    75,    76,    77,    78,   266,   373,   227,    82,
     247,   455,  1184,    25,   373,  1864,  1865,    90,  1241,   345,
     309,   451,  1871,  1345,    75,    76,    77,    78,   485,   266,
     373,    82,  1525,   503,    75,    76,    77,    78,    38,   356,
      40,    82,  1345,   429,   623,   307,   179,    75,    76,    77,
      78,   160,   261,  2046,    82,   343,   226,  2050,   228,  2052,
     503,   173,  2055,  1686,   314,  1368,   336,  1840,   357,   449,
     824,  1404,   506,  1566,  1567,   393,   309,   507,  1844,   667,
     668,   314,  3279,   465,   135,   173,  1419,   824,   429,    75,
      76,    77,    78,    88,  1137,  1138,    82,   367,  1431,   503,
     506,   503,   361,   416,  3694,   429,  1157,   490,   367,  4745,
     441,   258,  1434,   367,   410,  1370,   506,   350,  4857,  3613,
     456,   449,  4861,   232,   429,   404,   396,  3694,   429,  2427,
     363,  1434,   506,  4900,   422,  4090,   424,   501,   416,  4296,
     506,   505,  4264,  1766,   456,   262,   503,   506,  2147,   503,
    1350,  2436,   503,  1856,   429,   503,  1719,  3027,   404,  1794,
    4899,   623,   499,   506,  1784,   367,  1786,   102,  1835,   449,
     451,   494,   495,  1862,  1863,    75,    76,    77,    78,  1830,
     503,  1870,    82,   469,   454,    93,   503,  4309,   494,   495,
      88,  4022,   460,  2192,   505,  4026,  1368,  2196,   456,   404,
    3838,   367,    95,   623,   367,    85,   429,  2040,   494,   495,
     429,   444,    95,  1836,   451,   113,   497,   506,   501,  3857,
     229,  4792,   506,   470,   451,  1992,  4075,   141,  3945,  3536,
     173,   503,  1855,  1853,  1556,   503,  4232,  4233,  4234,  4235,
    4236,   506,   489,  2403,   128,   143,   506,   667,   668,  1648,
     262,  4801,   831,  1556,   959,  1615,   503,  4624,   499,   453,
    1615,  1564,  1565,    72,   329,   374,    75,    76,    77,    78,
     507,   490,    81,    82,    83,    84,  2432,    86,  1901,  1093,
    2047,   460,  2486,   323,  1738,  2440,   505,  4858,   960,  2056,
     501,   461,   503,   872,   505,   715,   494,   495,   431,    22,
     861,   209,   846,   227,   197,  4427,   266,   419,   173,   309,
     209,  3521,  4434,  3807,   197,  2925,   185,    88,  1361,   907,
    3089,  3541,  3091,    72,   503,   173,    75,    76,    77,    78,
     824,   419,    81,    82,   470,   209,  1959,    86,   471,   494,
     495,   236,   113,   820,   969,    25,   971,   926,   973,    72,
     503,   319,   307,   489,   979,    35,  3226,  3227,   820,  2021,
     469,   160,   824,  2938,  2005,  2027,   828,   503,  1996,   322,
     268,   820,   143,   382,   836,   837,  2350,  1002,  1003,   503,
     842,   820,   955,   119,  2297,    88,  2299,  1559,  4871,   851,
     503,   260,  1564,  1565,   959,   504,    88,   419,   507,   503,
     180,  2421,   820,  2086,  2087,   867,   824,   236,   322,  1083,
     503,   128,   307,  3623,  2097,  1083,   878,   175,  2101,   956,
     882,   503,   137,   958,  2113,  2114,  2109,  2110,   437,   335,
     503,   893,   222,   232,   971,   370,   973,   319,   153,  2122,
    2123,   506,  3893,  2598,   247,   325,   983,   382,  1768,   911,
    2133,   820,   503,   336,   134,   917,  4939,  1001,   180,   921,
    3221,  3591,   503,  3224,  3225,  1002,  1003,  3228,   930,   931,
     371,   175,   380,   935,   367,   503,   419,  3238,   307,  4391,
    3249,  4393,   240,   945,   367,   905,   296,   907,   950,   373,
     398,  2647,   207,  3262,  1935,   396,  2637,   959,   433,   398,
     455,   496,   497,   498,   499,   429,   323,   243,  1073,   224,
    2003,   247,   971,   396,   973,   180,  1044,   503,    75,    76,
      77,    78,   173,  1067,   398,    82,  4683,  1046,   235,   180,
     227,  1050,  2155,   953,  4708,   503,   240,   957,   296,    85,
    4435,   230,    88,  1002,  1003,  1768,   506,   151,   284,  1721,
     503,  4382,  2144,  1097,   419,  4510,  4387,  1729,  4378,  4390,
     455,  2053,  2054,   185,   367,   268,   490,   436,   371,  1046,
    3339,   419,   175,  1050,  1068,   374,   268,   387,  1040,   369,
     449,   505,   262,    99,  1046,   189,  1048,   309,  1050,   266,
     307,  4309,   296,   396,  4502,   299,   494,   495,   496,   497,
     498,   499,   228,   503,  1776,   229,  1068,  1779,  1780,   389,
     490,   491,   492,  1075,   494,   495,   496,   497,   498,   499,
    4515,   503,  1042,   324,  1044,   273,   455,  2929,   266,   387,
     175,  1964,  4128,   227,  1178,   350,  4793,   240,   260,   419,
     206,   197,  1975,   972,   309,  4632,  4633,   976,   977,   978,
    1068,  4800,  1972,   247,  1987,   828,   373,   986,   309,   266,
     266,   336,   384,   836,   400,   296,   469,   174,   299,  1841,
     469,   378,   266,  1135,  1136,   431,   192,   457,   507,   396,
    4802,  4636,   137,   387,   501,   494,   495,   384,   505,   469,
    4602,   107,   367,   296,   867,   240,   299,  4622,   264,   958,
     959,   325,   391,  4687,  1171,   504,  2009,   151,   507,    71,
      72,   503,   338,    75,    76,    77,    78,    79,    80,    81,
      82,   396,   268,   503,    86,   496,   497,   498,   499,   444,
    4625,   420,  2725,   337,    88,  1296,  2585,  4044,   320,   227,
    4635,   323,   227,   250,  2237,   189,   495,  4054,   921,  1972,
     439,   296,   207,  2008,   299,  4663,   387,   930,   409,   247,
     329,   412,   247,   329,   180,   462,  1228,   389,  4599,   224,
     230,   327,   473,   507,   451,   401,  1238,    95,   266,   325,
     484,   266,   153,   101,   387,  4073,   429,   151,   412,   143,
     950,   494,   495,   496,   497,   498,   499,  4752,  1260,  2119,
    1505,  3086,   494,   495,   496,   497,   498,   499,  3093,   180,
     160,   151,  4022,   451,  2517,   371,  4026,   329,   180,   423,
    4040,  2444,   180,   151,  1083,   189,  4035,   449,   503,   179,
     111,  1293,  4052,   429,    99,  1370,  1373,   218,  1375,  4826,
     396,  1378,   387,  1380,   451,   451,  1383,  1384,  1385,   189,
    4749,  4750,   503,   410,   411,   501,   219,   451,   396,  1396,
     210,   189,   508,   506,    75,    76,    77,    78,  1330,  4459,
    3926,    82,  1409,  4828,  1411,  2335,  2439,   443,  2335,   197,
      95,   484,   147,  1345,   380,  4523,   101,  1349,  1350,   154,
    1352,  2664,  4459,   337,   229,   350,  2119,   222,  1360,    85,
     503,  2668,    88,   265,   285,   506,  1368,   232,  2674,  3382,
     506,   418,   419,   507,   240,  1587,   181,  2620,  2621,  2622,
    2623,  2481,   247,  2486,  1678,  3694,   288,  1601,  1602,  2632,
    1604,   391,  3088,  1601,  1602,   504,  1604,   506,   309,   484,
     321,  1678,  1404,   306,  2507,   491,   492,   185,   494,   495,
     496,   497,   498,   499,  2577,  1417,   314,  1419,   503,   197,
     420,  1121,  2005,   451,  4919,   246,   451,   505,   507,  1431,
     296,    99,  1434,   337,  2537,  2535,   121,  3598,    97,   423,
    1140,  4880,   197,  1445,   357,  3856,   251,   184,  3414,   444,
     325,  2658,   504,  3754,   506,  2939,  1416,   337,   117,  3760,
    3761,  3762,  3763,  3764,  3765,   247,   380,   503,  3088,   337,
     103,   104,  1474,  3173,  1542,  1543,   309,    85,   336,   507,
      88,  3296,   507,  3164,  1184,   398,   171,   356,   160,  3022,
    3296,  3296,  3902,   162,  3904,  3296,  4674,   105,   369,   389,
    1502,  1503,  1371,  1505,  3296,  1374,   129,  3296,  1377,   367,
    1379,   376,   381,  1382,   137,  1228,  1518,  1386,   121,   423,
    1522,   387,   355,   274,   192,  1238,   323,   160,  3368,   419,
     267,   328,  2392,  1617,   490,   449,   449,   192,   396,   194,
     329,   109,   268,   423,  4802,   501,   179,   503,   504,   505,
     506,  4398,  4399,    41,  1556,   423,   336,  1559,  1575,  2782,
     232,   230,  1564,  1565,   378,  2438,  4557,   457,   171,   347,
       5,  1370,  1574,  1575,   259,   509,   349,   210,  1646,   469,
    1293,   336,  1542,  1543,  2747,   367,  1575,   367,   231,   371,
      25,   182,   494,   495,  1628,  1629,  1575,   386,   469,   325,
      35,  1603,   261,  2315,  4640,  1607,  1608,   412,  2831,   192,
      71,   194,   367,   503,   396,  1716,   396,  1575,    79,    80,
     188,   218,   307,     2,   236,  1627,  1628,  1629,    95,  2392,
    4329,   451,  4382,   216,   101,   506,   450,  4387,  1627,  2862,
    4390,   396,  1441,   390,  1678,   288,  1648,   183,   390,  1349,
    1350,  1685,  1352,   208,  3326,  2330,   259,  3329,   431,  3032,
     268,   382,  1461,   218,   319,   288,  1575,   451,  1368,  1627,
    1628,  1629,   419,   172,  2897,  1692,  1678,   419,  4428,   270,
      81,   231,  1699,  1685,  1686,    86,  1646,   469,   285,   429,
    1692,   152,  1491,   172,   192,   307,   194,  1699,   471,   134,
     385,  4111,  4112,  1692,   307,  3094,  1505,   398,   244,   128,
      89,  1795,   433,  1692,  1731,  3256,   463,   325,   309,   503,
    1678,   463,  4713,  4422,   336,  4424,   309,  1685,   147,  1731,
     197,   314,   389,   137,  1692,   229,   319,  1739,   288,   143,
     183,   202,   161,    71,    72,    75,    76,    77,    78,   153,
     490,  3057,    82,   252,   182,   367,   389,   451,   449,   336,
     262,   196,   419,   257,  1766,  1772,   357,  4614,   494,   495,
     496,   497,   498,   499,   153,   382,   180,  2489,   182,   422,
     159,   424,   385,  1692,   382,  2497,   419,  2499,  2650,   431,
     367,   252,   211,   192,   371,   194,   295,   183,   297,  4549,
     457,   244,  1601,  1602,   447,  1604,   185,  2650,   208,   503,
      85,   309,  1819,    88,  1816,   336,   295,   216,   297,   396,
     463,   319,  3647,   384,   457,  2687,   433,   262,   461,   471,
      75,    76,    77,    78,  1836,   433,   469,    82,    16,   469,
    3047,  1960,   270,   455,  2687,   352,   503,  3380,   248,  4599,
     254,   451,   435,  1855,    75,    76,    77,    78,   244,  1559,
     421,    82,   445,  3627,  1564,  1565,    75,    76,    77,    78,
     503,  1873,   422,    82,   424,   396,   506,  2079,   182,  1896,
     341,   309,   490,   491,   492,  3048,   494,   495,   496,   497,
     498,   499,   469,   469,  1896,   155,    14,   447,  3073,  1901,
    4201,  4202,   227,   503,  2009,   309,  4056,  1896,   469,   470,
     314,  1913,   218,   318,   327,   314,   222,  1896,   222,    37,
     319,   218,   247,   336,  2956,   222,  3101,  1929,   421,   357,
     506,  2927,  3305,  2008,   194,   134,   135,   469,  1896,  1639,
    1640,  2018,   503,  2020,  3483,  4456,   350,  2024,   182,  2026,
     254,  1953,  2029,  2247,   367,  3655,  2033,  1959,    88,   363,
    1962,  3803,  1964,  1965,  2078,  1665,  1666,   336,   336,  4480,
    2247,  3074,   247,  1975,   506,   403,   469,   470,  2062,   285,
    3143,   442,  3145,   113,  2085,  1987,  1988,  1896,   285,   450,
     228,   386,   453,   268,  1996,  2070,  2070,  1999,   367,   367,
    3672,  3673,   332,   307,   274,   309,  2070,  2009,  2070,  2070,
     503,   384,   470,   143,   222,   321,    72,  2729,   256,  2879,
     254,  1721,  3463,  3464,   321,  3401,    34,   396,   396,  1729,
      86,   489,    14,   271,   242,  3198,   435,  2712,     8,   470,
     444,    11,    12,   336,   282,   503,   445,  2049,   421,   462,
     325,  4801,    22,    23,    24,    37,    26,    27,   489,  3222,
    3599,    31,    32,    33,    75,    76,    77,    78,   429,   314,
     115,    82,   503,   307,   367,   309,  1776,   367,   371,  1779,
    1780,   336,   310,   311,  2086,  2087,   152,  2930,   311,   380,
      72,   136,  2094,   314,  3407,  2097,   469,   470,   367,  2101,
     503,  2266,    97,   396,  2106,   314,   396,  2109,  2110,   433,
    4520,  3501,   367,   389,  3274,  2117,  2879,   408,  2120,  2121,
    2122,  2123,   117,   490,  4078,   336,  4825,   396,  2130,  2131,
     503,  2133,   222,  2135,  2136,   201,   369,  2139,   505,   377,
    2157,  1841,  3837,   419,  2249,   501,  3019,  3020,  3990,  3987,
    4459,   507,   242,  2155,  2156,  2157,   367,   153,  2360,  2161,
    2362,   389,  3325,  2165,   506,   507,   389,  2169,  2157,  2171,
    2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,  2157,  2181,
    3876,   457,  4483,  3045,  3436,  2187,   470,  2950,  2190,  3352,
     501,   419,    51,   469,   505,  3861,   419,   386,  3405,  2157,
     384,   336,  3045,   173,  2830,   489,  2832,  2833,  3460,  2008,
      69,   277,   278,  2247,    88,   490,   491,   492,  2930,   494,
     495,   496,   497,   498,   499,   291,  2288,   503,   323,   457,
     469,   470,   367,   328,   457,   231,  2355,   421,  1912,   113,
    1953,   469,  4551,   157,   623,  2247,   469,  3470,  2157,  1962,
    2252,  3624,  3625,   357,   250,    85,  1930,  3420,    71,    72,
     145,   396,   250,  2297,   368,  2299,    79,    80,   153,   143,
     336,  2070,   508,    86,  3663,   503,   126,  3440,     7,   506,
     503,   504,  3155,   510,   507,   469,   470,    72,   392,  2247,
      19,    20,   288,   498,   242,  2297,  1996,  2299,   503,  1999,
     505,   161,  3465,   314,    75,    76,    77,    78,   506,   150,
      39,    82,   510,    42,  3295,    86,   498,  2319,  2402,   503,
    1608,   503,   172,   505,   494,   495,   496,   497,   498,   380,
     381,   301,   328,  2350,   504,  2337,  2049,  2339,  3501,  2297,
     386,  2299,   502,   502,  2346,   161,   506,   506,  2350,  2351,
     504,   504,  2354,   507,   507,   421,    71,   423,   125,    85,
    2479,  2350,    88,  2162,    79,    80,  2137,   274,   228,  2140,
    2330,  2350,  3563,   422,  2376,   424,   346,  2379,   380,   381,
    3913,  3914,  3915,  2385,   501,   509,   503,   113,   505,  2391,
     503,   206,  2350,   119,   268,   269,   256,    86,  3530,   249,
     496,   497,   498,   218,  2421,   506,   507,   222,  2410,   180,
     503,   271,   228,  3275,  3287,  3277,  3289,   143,   422,  2421,
     424,   323,   282,  3770,   506,  2427,   422,   156,   424,   486,
    2432,  2433,  3275,   125,  3277,  2437,  2438,   433,   312,   115,
     256,  2350,  2444,  2460,   304,   295,  2463,   297,   444,   264,
     270,   447,  3533,  3534,   504,   271,   506,   307,  2460,  2461,
     501,  2463,   503,   323,   193,  2482,   282,   504,   438,   506,
     285,  2460,   121,   504,  2463,   506,  3338,   505,  2480,  2481,
    2482,   384,  2484,   862,  2463,   335,  3249,  4500,   304,  2288,
     503,    85,   505,  2606,    88,  3338,  3773,  4036,  3775,  3262,
    2502,  3778,  2460,  3780,   326,  2463,   321,   384,   326,    85,
    2512,   105,    88,   162,   329,   469,   470,   377,   421,   113,
     429,   247,   372,  2525,   504,   119,   506,  3400,   504,   105,
     506,  4070,  2534,  2535,   503,   323,   505,   186,   917,   918,
     487,   488,   268,   269,   421,  4330,  4331,  4332,  4333,   143,
     222,  2460,   201,   504,  2463,   506,   205,   407,   504,   323,
     506,   377,   504,  2917,   506,   486,   469,   470,   504,  4411,
     506,   950,  3747,  2575,   223,  2577,   115,    75,    76,    77,
      78,   504,   326,   506,    82,   504,   312,   506,   504,   238,
     506,   451,   469,   470,    85,  1421,  1422,    88,  2600,   325,
     503,   270,  2604,    75,    76,    77,    78,   504,  3998,   506,
      82,   504,  4308,   506,   105,  2315,   504,  2862,   506,   384,
     494,   495,   496,   497,   498,   499,   503,  1006,   443,    75,
      76,    77,    78,  2635,   384,  2335,    82,  2337,   486,  2339,
    4173,  4174,  3885,  4176,   422,  2647,   424,   496,  2650,   243,
     504,   226,   506,   247,   506,  1034,   421,   504,   503,   506,
      75,    76,    77,    78,  1043,   314,   504,    82,  1047,  1048,
    1049,   421,  2385,   322,   268,   269,   504,   384,  2391,   469,
     470,  3844,   180,  2957,  2958,  2687,    71,   504,   125,   506,
     284,   227,   268,  2695,    79,    80,  3408,   266,  2902,  2903,
    2904,   504,   507,   506,   469,   470,   355,   504,   180,   506,
     504,    96,   506,   496,   421,   309,   509,   509,   312,   469,
     470,   262,   503,  2968,   494,   495,   496,   497,   498,   429,
     429,   325,   502,  2735,   328,   504,   429,   506,   503,    75,
      76,    77,    78,   203,   429,  2747,    82,   108,   422,   325,
     424,  3974,  2712,   503,   429,  2757,  1135,  1136,   504,  2761,
     506,  1140,   469,   470,  2766,   180,   125,   152,   494,   495,
     496,   497,   498,   499,   504,   262,   506,   268,   429,   268,
    2782,  2783,   504,   504,   506,   506,  2788,   505,   504,  2489,
     506,    75,    76,    77,    78,   503,   503,  2497,    82,  2499,
      75,    76,    77,    78,   396,   503,   400,    82,   504,   472,
     506,  2813,  2814,   504,   211,   506,  2818,   202,   504,   503,
     506,  2838,   504,   504,   506,   506,   505,  2844,  2830,  2831,
    2832,  2833,   211,  2121,   325,  3998,  2838,   504,   504,   506,
     506,  2843,  2844,   504,  2846,   506,  2848,  2135,   211,  2838,
    4223,    75,    76,    77,    78,  2844,  2858,  2859,    82,  2838,
    2862,   504,   247,   506,   504,  2844,   506,   252,  4215,  4535,
     323,  2946,  2946,  2875,   504,  2877,   506,   222,  1257,  2881,
    2838,   211,  2946,    71,  2946,  2946,  2844,    75,    76,    77,
      78,    79,    80,   507,    82,  2897,   490,   491,   492,   283,
     494,   495,   496,   497,   498,   499,  2908,   451,  2910,  2911,
    2912,   504,   506,   506,   490,   491,   492,   182,   494,   495,
     496,   497,   498,   499,   504,   323,   506,  3770,  2930,  2838,
     503,  3694,  2934,   274,   386,  2844,    75,    76,    77,    78,
     504,   318,   506,    82,   503,  2947,  4109,   504,   137,   506,
    2952,   504,   504,   506,   506,  4345,   341,  2959,   504,   504,
     506,   506,   469,  2965,  4096,   108,  1345,  3840,  3841,   309,
    1349,  1350,   472,  1352,  4137,   504,   504,   506,   506,   504,
     504,   506,   506,   504,   503,   506,  4149,   175,   504,  1368,
     506,   115,   504,   378,   506,   504,   504,   506,   506,   490,
     491,   492,  3004,   494,   495,   496,   497,   498,   499,   504,
     504,   506,   506,  4709,   504,   115,   506,  3019,  3020,   504,
     504,   506,   506,  3025,   504,   504,   506,   506,   438,  2729,
    4193,   336,   417,  1087,  1413,  1089,   222,  4027,  4071,  4029,
     150,   353,   508,  3045,   211,   211,  3048,   503,  2761,   211,
    4210,   472,   240,  2766,   211,  1434,   211,   442,  3770,  4592,
     211,   506,   211,  2862,   211,   450,   323,   211,   453,  4602,
     211,   211,   323,   211,   211,   419,   503,  2876,   108,   283,
     323,   223,   346,   503,   503,   503,  3088,  3089,   222,  3091,
     222,   222,   503,   333,   503,   503,  2895,   503,   503,   503,
     503,   503,   503,  3120,  3121,  3122,   506,   503,   296,  2908,
     503,   299,   503,   503,   503,   503,   503,   503,  3120,  3121,
    3122,  4494,  4655,   503,   108,   503,   163,   503,  1507,   503,
     503,  3120,  3121,  3122,   503,   503,   266,  3139,  1517,   268,
     108,  3143,   222,  3145,  3146,   321,   222,  2946,  1527,   396,
     283,   262,   387,  3155,   496,   506,   179,   450,   506,   490,
    2121,    14,  3120,  3121,  3122,   503,  2965,   506,   503,  2968,
     503,   299,  4395,   429,  2135,   429,   384,  1556,   505,   429,
    1559,  1560,  4345,   429,  4574,  1564,  1565,   384,  2813,  2814,
     429,   429,   429,  2818,   153,  2908,  3198,  4730,   211,   387,
     384,  4061,   323,   388,   429,   280,  3918,   429,   314,   429,
     145,  3120,  3121,  3122,  3216,   323,   450,   252,   319,   429,
    3222,   503,  3350,  2184,   429,   503,   153,  3244,  3347,   506,
    2930,   336,   451,  2858,  2859,   451,   174,   429,   429,   429,
     125,   125,  3244,   327,  3261,   114,  3248,  3249,   429,   429,
     429,   429,  2965,  4643,  3316,  3244,   429,  4647,  4648,  3261,
    3262,   429,   114,   323,   384,  3244,  3511,   323,   429,  1648,
     506,   429,  3261,  3275,   472,  3277,  3521,   268,   460,   108,
     503,   107,  3261,    97,  4265,  3287,  3244,  3289,  3350,   503,
     503,   211,   469,   309,   503,   451,   484,   180,  4061,   463,
     319,   291,   462,  3261,   309,   108,   222,   503,   108,  3513,
    3514,  3515,  3516,   274,  4661,   385,   211,   211,   505,   211,
     211,   211,    14,  3325,   451,  4417,   451,   429,   313,   318,
     227,  4644,   506,   503,   503,  3244,  3338,  3339,    85,  4645,
     427,    88,   465,   301,  4651,   301,  4653,    88,    85,   396,
    3352,    88,  3261,   506,   427,  4578,   227,   503,   105,   431,
     486,   429,   241,     2,   241,   264,  3368,   503,    71,   324,
     319,   506,  4215,   490,   451,    34,    79,    80,    10,   429,
    3382,   429,    85,  3385,   506,    88,   504,   503,   384,   152,
    3350,   506,   506,   451,   272,   504,   384,   504,  3400,   272,
     504,  3403,   105,   314,   503,   108,   314,   429,   503,   386,
     113,  4574,   274,  1792,   314,  3417,   119,   323,  3420,   115,
     403,   330,   429,   506,   322,  3427,   429,   384,   367,   393,
     429,  3433,   429,  3435,   357,   268,   108,   268,  3440,  3441,
     143,  4604,  3444,  3445,  3446,  3447,  3448,  3449,  3450,  3451,
    3452,  3453,   268,   451,    85,  3457,  3458,    88,   451,  3476,
     268,   268,   322,  3465,   503,   490,   107,   501,  3470,   501,
     490,   211,  3474,   222,  3476,   429,  3478,   429,   393,   224,
    4643,   319,   113,   393,  4647,  4648,  3488,  3476,   119,  3491,
     211,  3493,   503,   210,   469,   323,   323,  3476,   222,  3501,
    3502,  3503,  3504,   497,   239,   239,  3508,   108,  4540,  3511,
     211,   323,   143,   323,   222,   247,  4739,  3316,  3476,  3521,
     247,   268,   247,   393,   506,  2813,  2814,   506,   167,  3531,
    2818,   268,  4613,   506,    96,    89,  1915,  3539,   472,  3541,
     243,   298,   233,   323,   247,  3710,   506,   125,   187,  3249,
     318,  3350,   419,   504,   274,   486,   504,   504,   227,   504,
     504,   504,  3262,   504,   504,   268,   269,  3476,   504,  4429,
    2858,  2859,  4885,   506,   504,   504,   504,   227,   325,   504,
     340,   284,   504,   504,  3586,   486,   503,   429,   325,   503,
    3592,   466,   504,   332,    90,    90,  3598,   374,   466,   457,
     507,   490,   506,   490,  4464,   285,   309,   323,   504,   312,
     323,   504,   243,   167,   326,   250,   247,  1996,   506,   211,
    1999,  3623,   325,   503,   429,   328,   472,   503,   429,   258,
     429,   314,   429,   187,   327,   211,   211,   268,   269,   285,
     429,   341,   341,   429,   448,   429,   293,   429,  3650,   293,
     293,   429,   396,   284,   384,   429,   429,   429,   384,   429,
     429,   384,   384,   211,   429,   114,  4429,   429,   268,  3382,
     268,   268,  3689,   268,   268,   268,  3693,    95,  3695,   268,
     501,   312,   504,   101,   299,   504,   285,  3689,   490,   173,
     438,  3693,  3694,  3695,   325,   369,  4459,   400,   504,   322,
    3689,  4464,   323,   108,  3693,   503,  3695,   236,  3408,   504,
     506,   429,  3511,   506,  3693,   451,  3695,   222,   451,   384,
     384,   384,  3521,   141,   326,  3727,   209,  2106,  3730,   209,
     506,  3689,   268,   203,   501,  3693,   227,  3695,    88,   135,
     222,   227,   503,   490,   491,   492,   504,   494,   495,   496,
     497,   498,   499,   490,   491,   492,   462,   494,   495,   496,
     497,   498,   499,   506,   235,   324,   504,   222,  3770,   400,
    4751,   108,   190,   504,   451,   504,   504,   429,   451,   197,
    3689,   258,   200,   490,  3693,   504,  3695,   490,   491,   492,
     504,   494,   495,   496,   497,   498,   499,   506,   503,   429,
     504,   490,   504,   429,   438,   503,   503,   384,  3521,   429,
    3872,   438,   429,   384,   504,   222,  3441,  3819,  4661,  3444,
    3445,  3446,  3447,  3448,  3449,  3450,  3451,  3452,  3453,   504,
     143,   173,   438,   504,   252,   268,   504,   268,  3840,  3841,
     502,  2220,  3844,   108,   272,   503,   506,   469,   472,   222,
    3912,   504,  2813,  2814,   253,   506,   469,  2818,   148,   490,
     491,   492,   127,   494,   495,   496,   497,   498,   499,   421,
     506,   429,    85,   393,  3876,  3877,  3878,   232,  3503,  3504,
     227,   268,   268,   268,   503,   268,  4088,  4747,   504,   307,
     504,   309,   227,   503,   159,   504,   362,  2858,  2859,   125,
     467,   319,   467,   506,   271,   331,   271,   125,   504,   327,
    3623,   237,   429,   504,   504,   503,   503,  4082,   336,  3921,
     504,   319,    98,   227,   490,   469,   143,   252,   438,   490,
     314,   206,   314,   506,   506,  3937,   429,   211,   268,   187,
    2319,   229,   314,   218,   227,   502,   393,   222,   451,   214,
     451,   108,   198,   371,   465,   131,  2335,   469,  2337,   227,
    2339,   503,   469,   503,   255,   326,   227,   362,   144,  4134,
     503,   503,  3974,   504,   406,   456,   504,   503,   396,   271,
     245,   157,  3984,  3985,  4747,  3987,   339,   503,   363,   264,
    3992,  3993,   468,   429,  3694,  3997,  3998,   469,   504,   323,
     504,  4003,  4004,   222,   504,  4007,  4068,   108,   314,   274,
     285,   503,   294,   503,   250,   280,   503,   210,   173,   195,
    4022,   381,   327,    85,  4026,   504,    88,   381,   490,   125,
     503,   125,   329,  4035,   503,   451,   454,  2416,  4040,   323,
    4394,   307,   421,   105,   309,   217,   321,   354,   224,   137,
    4052,   113,    78,   229,   329,   326,   137,   119,    84,   193,
      85,   455,   362,    89,   456,   506,   108,   227,   222,   466,
    3770,   360,   198,  3872,   252,  4240,  4078,   108,   469,   323,
     323,   143,   503,   503,   326,  3785,  3786,   326,   125,  4091,
     504,   117,   504,   380,   185,   503,    94,   449,   105,   380,
     210,   354,   503,   367,  1818,  2605,   371,  4109,  1565,  3101,
     375,  4128,  1181,  3912,  2930,  1213,   381,  2470,  3693,  2529,
    3243,  4486,  4213,   388,  4661,  4284,  4128,  4529,  3865,  4535,
    4539,   396,  4258,  3026,  4832,  4137,   162,  2717,  4428,  4128,
     405,  4884,  4144,  2522,  4784,  4783,  4847,  4149,   413,   325,
    4684,  3030,  4285,  3441,  4156,  3830,  3444,  3445,  3446,  3447,
    3448,  3449,  3450,  3451,  3452,  3453,  2596,  2596,   443,  3689,
    4128,  3121,  3835,  1916,  2591,  3837,  3307,   353,  4889,  4952,
    2559,   243,   208,  4944,  3261,   247,  3474,  3248,  2567,  4854,
     216,  4193,   218,  4466,  3819,  1908,  4213,  4762,  4840,   464,
    4469,   187,  1405,   468,   230,  3921,   268,   269,   384,  4621,
    3876,  4213,  4709,  4215,   390,  3503,  3504,   393,  3918,  4128,
    3874,  2433,   284,  4022,  4213,  3200,   501,  4026,  4946,   504,
     505,   918,  4866,  4676,  4213,  2249,  2009,  1062,  2250,  2946,
    2619,  3859,  4069,   419,  3596,  2700,  1593,   309,  2947,   425,
     312,  1363,  2286,  1077,  4256,  4213,  1611,  1610,  2959,  2285,
    2953,  1613,   438,   325,  2269,  2644,   328,  2973,   127,  4068,
    2965,  2650,  3521,  4028,  4600,  1067,  3597,    98,  3486,  4576,
    1617,  3478,  4820,  4819,  4823,  2950,  2876,   463,  2784,  2874,
    3592,  2187,   623,  3347,  1300,  1947,  2651,  2319,  4810,   376,
     159,  1629,  1623,   952,  4213,  2294,  4308,  1158,  2687,  4022,
    2335,   950,  2327,  4026,  2924,  1138,  3603,  3568,  1138,  1416,
    4055,  2328,  3604,  1627,   145,   409,  2713,  4329,  1539,  2339,
     969,  1349,   971,  2038,   973,     2,  4413,   982,   400,  4341,
     979,   980,   981,  4345,  4071,    -1,    -1,    -1,  4350,   375,
      -1,    -1,    -1,   174,    -1,   214,  4056,    -1,    -1,    -1,
      -1,    -1,    -1,  1002,  1003,  4367,  4368,  3992,  3993,  4371,
      89,    -1,    -1,    -1,   195,    -1,    -1,    -1,  4078,    -1,
    4382,    -1,    -1,    -1,   410,  4387,   245,    -1,  4390,    -1,
      -1,    -1,    -1,  4395,  4396,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,   229,    -1,
      -1,    -1,    -1,    -1,    -1,   969,    -1,   971,    -1,   973,
    4422,   280,  4424,    -1,    -1,   979,  4428,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,    -1,    -1,
     502,    -1,    -1,    -1,    -1,    -1,   508,    -1,  1002,  1003,
     309,    -1,    -1,    -1,   275,    -1,    -1,  4459,    -1,  4521,
      -1,  4463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,
    3441,    -1,  1121,  3444,  3445,  3446,  3447,  3448,  3449,  3450,
    3451,  3452,  3453,    -1,    -1,    -1,    -1,    -1,  4500,    -1,
      -1,  1140,    -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,
      -1,    -1,   371,  3474,    95,    -1,   375,    -1,    -1,    -1,
     101,    -1,   381,    -1,    -1,    -1,    -1,    -1,    -1,   388,
      -1,  3819,   353,    -1,    -1,    -1,    -1,   396,    -1,    -1,
      -1,    -1,  3503,  3504,    -1,  1184,   405,  4549,    -1,  4551,
      -1,  2930,    -1,    -1,   413,    -1,    -1,   378,    -1,    -1,
     141,    -1,    -1,   384,    -1,    -1,    -1,  1121,    -1,   390,
      -1,  4573,  4574,    -1,  4576,    -1,  4578,    -1,    -1,    -1,
      -1,  1135,  1136,  4382,    -1,    -1,  1140,    -1,  4387,    -1,
      -1,  4390,    -1,  4595,    -1,    -1,    -1,  4599,   419,    -1,
     421,    -1,  4604,    -1,    -1,   464,    -1,    -1,    -1,   190,
      -1,    -1,    -1,    -1,    -1,    -1,   197,   438,    -1,   200,
      -1,    -1,    -1,  4640,    -1,    -1,    -1,    -1,    -1,    -1,
    1184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4640,    -1,
      -1,  4643,   463,    -1,    -1,  4647,  4648,    -1,    -1,    -1,
      -1,  4640,    -1,    -1,    -1,    -1,    -1,  4902,    -1,  4661,
      -1,    -1,    -1,    -1,    -1,    -1,  3045,    -1,    -1,  4382,
      -1,   252,    -1,    -1,  4387,    -1,    -1,  4390,    -1,  4681,
      -1,    -1,  4640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3992,  3993,  4406,  4709,    -1,    -1,
    1349,  1350,    -1,  1352,  4716,  4428,  4341,    -1,    -1,    -1,
      -1,    -1,  4521,    -1,    -1,    -1,   307,    -1,   309,  1368,
      -1,  4640,    -1,    -1,    -1,    -1,    -1,  4739,   319,    -1,
      -1,    -1,  4367,  4368,    -1,    -1,   327,  3126,    -1,    -1,
    4463,    -1,    -1,    -1,  4756,   336,    -1,    -1,    -1,  4459,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   367,  4500,    -1,  4791,
     371,  4866,  4866,    -1,   820,    -1,    -1,    -1,   824,  4801,
    4599,    -1,  4866,    -1,  4866,  4866,    -1,    -1,    -1,    -1,
      -1,   837,    -1,    -1,  1368,   396,   842,    -1,    -1,    -1,
    4822,  4823,    -1,  4825,   108,   851,    -1,  4902,  4902,    85,
      -1,    -1,    88,  4835,    -1,    -1,  4549,    -1,  4902,    -1,
    4902,  4902,  3221,   127,    -1,  3224,  3225,    -1,    -1,  3228,
      -1,    -1,   878,    -1,    -1,    -1,   882,   113,  3819,  3238,
      -1,    -1,    -1,   119,  3243,    -1,    -1,   893,    -1,  4871,
    3249,  4946,  4946,   454,    -1,   159,  3255,    -1,    -1,  4881,
    4897,    -1,  4946,  3262,  4946,  4946,  4599,   143,    -1,    -1,
      -1,   917,    -1,    -1,    -1,  4897,  3275,    -1,  3277,    -1,
      -1,    -1,    -1,    -1,    -1,   931,    -1,    -1,  4897,   935,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4897,   945,
    1559,    -1,    -1,    -1,    -1,  1564,  1565,  4944,    -1,  3308,
     214,    -1,    -1,   959,    -1,  4952,    -1,  4939,    -1,  4897,
      -1,    -1,  4944,    -1,    -1,    -1,  4948,    -1,  4573,   205,
    4952,    -1,    -1,    -1,    -1,  4944,    -1,    -1,  3337,  3338,
      -1,   245,    -1,  4952,    -1,  4944,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4952,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4944,   243,  4897,    -1,
     274,   247,    -1,    -1,  4952,    -1,   280,    -1,  1637,    -1,
    1639,  1640,    -1,    -1,    -1,  1559,    -1,    -1,    -1,    -1,
    1564,  1565,   268,   269,    -1,    -1,    -1,    -1,    -1,  1658,
    1046,    -1,  1048,    -1,  1050,   309,  1665,  1666,   284,    -1,
      -1,  3992,  3993,    -1,    -1,  4944,    -1,    85,    -1,    -1,
      88,    -1,  1068,  4952,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4341,    -1,    -1,   312,   105,    -1,    -1,
      -1,    -1,  4350,    -1,    -1,   113,    -1,  4866,    -1,   325,
      -1,   119,    85,    -1,    -1,    88,    -1,    -1,  4791,  4367,
    4368,    -1,  1721,    -1,    -1,    -1,    -1,   371,  4801,    -1,
    1729,   375,   105,    -1,  1648,   143,    -1,   381,    -1,    -1,
     113,    -1,    -1,  4902,   388,    -1,   119,    -1,  3487,  1135,
    1136,    85,   396,    -1,    88,    -1,    -1,    -1,   837,    -1,
      -1,   405,  4835,   842,    -1,    -1,    -1,    -1,    -1,   413,
     143,    -1,   851,    -1,    -1,    -1,    -1,  1776,    -1,   113,
    1779,  1780,    -1,    -1,   400,   119,    -1,  4946,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   878,
      -1,  3540,    -1,   882,    -1,    -1,    -1,  1721,    -1,   143,
      -1,    -1,    -1,    -1,   893,  1729,    -1,    -1,    -1,    -1,
     464,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,  4897,    -1,   247,
      -1,    -1,  1841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     268,   269,  1776,    -1,    -1,  1779,  1780,    -1,    -1,    -1,
     243,    -1,    -1,    -1,   247,  4948,   284,    -1,   494,   495,
     496,   497,   498,   499,  4944,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4952,    -1,    -1,   268,   269,    -1,    -1,    -1,
      -1,   309,    -1,    -1,   312,    -1,    -1,    -1,    -1,   243,
      -1,   284,    -1,   247,    -1,    -1,    -1,   325,    -1,    -1,
     328,    -1,    -1,    -1,    -1,  4573,    -1,  1841,    -1,    -1,
      -1,    -1,    -1,    -1,   268,   269,   309,    -1,    -1,   312,
      -1,    -1,    -1,    -1,  1330,    -1,  1945,    -1,   108,    -1,
     284,    -1,   325,    85,    78,  3694,    88,    -1,    -1,  1345,
      84,    -1,    -1,    -1,    -1,    89,    -1,   127,    -1,    -1,
      -1,    -1,  3711,   105,    -1,  3714,    -1,  3716,   312,    -1,
      -1,   113,  1368,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,   325,   400,   117,    -1,    -1,    -1,  1996,    -1,   159,
    1999,  3740,  3741,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,    -1,  3754,    -1,    -1,  1404,    -1,
    4341,  3760,  3761,  3762,  3763,  3764,  3765,   400,    -1,  4350,
      -1,  3770,    -1,  1419,    -1,  3774,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,  1431,  4367,  4368,  1434,    -1,
      -1,  1336,    -1,    -1,   214,    -1,  1135,  1136,    -1,  3798,
      -1,    -1,  1347,    -1,    -1,    -1,   400,    -1,    -1,    -1,
    3809,  3810,  3811,  3812,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   490,   491,   492,   245,   494,   495,   496,   497,
     498,   499,    -1,    -1,    -1,    -1,    -1,    -1,   506,    -1,
    2099,  2100,    -1,    -1,    -1,    -1,   230,    -1,  2107,    -1,
      -1,   243,  2111,  2112,   274,   247,    -1,   490,   491,   492,
     280,   494,   495,   496,   497,   498,   499,  2126,    -1,  2128,
      -1,    -1,    -1,    -1,  3873,    -1,   268,   269,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
      -1,  2150,   284,  2152,    -1,    -1,    -1,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,    -1,    -1,    -1,    -1,
    1556,    -1,    -1,    -1,    -1,    -1,    -1,   309,  1564,  1565,
     312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1575,
      -1,    -1,    -1,   325,    -1,  3934,   328,    -1,    -1,    85,
      -1,    -1,    88,  2202,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   371,   838,    -1,    -1,   375,    -1,    -1,   844,   105,
      -1,   381,    -1,    -1,    -1,    -1,   852,   113,   388,    95,
      -1,    -1,    -1,   119,   860,   101,   396,    -1,    -1,   865,
      -1,  1627,  1628,  1629,    -1,   405,    -1,    -1,    -1,    -1,
      -1,   375,  4573,   413,    -1,    -1,    -1,   143,    -1,    -1,
      -1,    -1,  1648,    -1,    -1,    -1,    -1,  2266,   400,    -1,
      -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   410,    -1,    -1,    -1,
      -1,    -1,  1678,    -1,    -1,    -1,    -1,    -1,    -1,  1685,
      -1,    -1,    -1,    -1,   464,    -1,  1692,    -1,   468,    -1,
      -1,    -1,    -1,  1699,    -1,    -1,  2315,  4056,  4057,    -1,
      -1,    -1,    -1,    -1,   190,    -1,    -1,    -1,    -1,    -1,
      -1,   197,    -1,    -1,   200,    -1,  2335,    -1,  2337,  4078,
    2339,    -1,    -1,    -1,    -1,  1731,    -1,    -1,    -1,    95,
      -1,    -1,  2266,    -1,    -1,   101,    -1,   243,   490,   491,
     492,   247,   494,   495,   496,   497,   498,   499,    -1,    -1,
      -1,    -1,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   268,   269,    -1,    -1,   252,  1013,    85,    -1,
      -1,    88,    -1,    -1,    -1,   141,    -1,    -1,   284,    -1,
      -1,  2315,    -1,    -1,    -1,  2319,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,  1045,
      -1,  2335,   119,   309,    -1,    -1,   312,    -1,    -1,    -1,
    1816,    -1,    -1,    -1,    -1,    -1,    -1,  1063,    -1,   325,
      -1,   307,   328,   309,   190,    -1,   143,    -1,    -1,    -1,
      -1,   197,    -1,   319,   200,    -1,    -1,    -1,    -1,  1085,
      -1,   327,  4201,  4202,    -1,    -1,    -1,    -1,    -1,    -1,
     336,    -1,    -1,    -1,    -1,    -1,  4215,    -1,    -1,    -1,
    4219,    -1,  4221,    -1,    -1,  4224,  4225,    -1,    -1,    -1,
    2489,    -1,    -1,  4232,  4233,  4234,  4235,  4236,  2497,    -1,
    2499,   367,    -1,    -1,    -1,   371,   252,    -1,   205,    -1,
    1896,    -1,    -1,    -1,   400,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1913,    -1,    -1,
     396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4280,    -1,  1929,    -1,    -1,   243,    -1,    -1,    -1,
     247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   307,    -1,   309,    -1,    -1,    -1,    -1,  4307,  1648,
      -1,   268,   269,   319,    -1,  2489,    -1,    -1,  1964,  1965,
      -1,   327,    -1,  2497,  2583,  2499,    -1,   284,   454,  1975,
     336,  4330,  4331,  4332,  4333,    -1,    -1,    -1,    -1,    -1,
      -1,  1987,  1988,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,    -1,   312,    -1,    -1,   504,    -1,
      -1,   367,    -1,  2009,    -1,   371,    -1,    -1,   325,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     396,    -1,    -1,    -1,    -1,    89,    -1,    -1,    -1,    -1,
      -1,    -1,  1288,  1289,  1290,    -1,    -1,    -1,    -1,  1954,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1963,    -1,
      -1,    -1,  1967,   117,    -1,    -1,    -1,    -1,  1973,  1974,
      -1,    -1,    -1,    -1,    -1,    -1,   820,    -1,    85,    -1,
     824,    88,    -1,   400,    -1,    -1,  1991,    -1,   454,    -1,
      -1,    -1,    -1,   837,    -1,    -1,    -1,    -1,   842,    -1,
    4459,    -1,    -1,    -1,    -1,    -1,   113,   851,   162,    -1,
    2729,    85,   119,    -1,    88,    -1,    -1,  1816,    -1,    -1,
      -1,    -1,    -1,    -1,  4483,    -1,    -1,    -1,  4487,    -1,
      -1,   105,    -1,    -1,   878,    -1,   143,    -1,   882,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   893,
      -1,  2157,    -1,    -1,   208,    -1,    -1,  1403,    -1,    -1,
      -1,    -1,   216,    -1,   218,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,   917,    -1,    -1,   230,   494,   495,   496,
     497,   498,   499,    -1,  1430,    -1,    -1,   931,    -1,    -1,
      -1,   935,    -1,    -1,    -1,  2729,    -1,    -1,   205,    -1,
      85,   945,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1913,   959,   127,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
    1929,    -1,    -1,    -1,   119,    -1,   243,    -1,   829,   830,
     247,  2247,   833,   834,    -1,    -1,    -1,    -1,   159,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,   850,
      -1,   268,   269,    -1,    -1,    -1,  1965,    -1,    -1,   243,
      -1,    -1,    -1,   247,    -1,    -1,    -1,   284,    -1,   870,
      -1,    -1,    -1,   874,    -1,    -1,    -1,    -1,    -1,  1988,
      -1,  2297,    -1,  2299,   268,   269,    -1,    -1,    -1,   890,
      -1,    -1,  4661,   214,  1048,   312,  2925,    -1,    -1,  2928,
     284,  2930,    -1,  2319,    -1,    -1,    -1,    -1,   325,    -1,
      -1,    -1,    -1,    -1,  1068,  1571,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   245,   309,    -1,    -1,   312,    -1,
    2346,  2246,    -1,    85,  2350,  2351,    88,    -1,  2354,    -1,
      -1,   325,    -1,    -1,   328,    -1,    -1,    -1,   243,    -1,
      -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,   280,
    2376,   113,  1618,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,
      -1,  1135,  1136,   400,    -1,    -1,  2930,    -1,   309,   284,
      -1,   143,    -1,    -1,  2410,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2421,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,    -1,   400,   312,    -1,    -1,
      -1,  2437,  2438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     325,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2460,  2461,    -1,  2463,    -1,    -1,
     371,    -1,   373,    -1,   375,    -1,    -1,    -1,    -1,    -1,
     381,    -1,    -1,    -1,  2480,    -1,  2482,   388,  2484,    -1,
      -1,    -1,    -1,    -1,    -1,   396,    -1,   494,   495,   496,
     497,   498,   499,    -1,   405,    -1,  2502,  1743,    -1,    -1,
      -1,   243,   413,    -1,  1750,   247,  2512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   400,   490,   491,   492,  2525,
     494,   495,   496,   497,   498,   499,   268,   269,  2534,  1775,
     504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4897,    -1,
      -1,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1807,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,
     312,    -1,    -1,    -1,  1820,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   325,    -1,  4944,  1330,    -1,  1834,    -1,
      -1,    -1,    -1,  4952,    -1,  1186,  1187,    -1,    -1,    -1,
      -1,  1345,    -1,    -1,    -1,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,    -1,    -1,    -1,    -1,   504,
    2319,    -1,    -1,    -1,  1368,    -1,    -1,    -1,    -1,    -1,
    3249,    -1,    -1,    -1,    -1,  3254,  3255,    -1,    -1,    -1,
      -1,    -1,    -1,  3262,  2650,    -1,    -1,  2346,    -1,    -1,
      -1,    -1,  2351,    -1,    -1,  2354,    -1,    -1,   400,    -1,
    1404,    -1,    -1,  1254,    -1,    -1,    95,    -1,    -1,    -1,
      -1,  3290,   101,    -1,    -1,  1419,    -1,  2376,    -1,    -1,
      -1,  2687,    -1,  1274,  1275,    -1,    -1,  1431,    85,    -1,
    1434,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,  2410,   141,    -1,    -1,  3249,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,  3262,  2735,
      -1,    -1,    -1,    -1,    -1,  1326,  1327,    -1,  2437,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,   490,   491,
     492,  2757,   494,   495,   496,   497,   498,   499,  2663,    -1,
    2006,   190,  2461,    -1,    -1,    -1,   820,    -1,   197,    -1,
      -1,   200,    -1,    -1,  2679,  2680,    -1,    -1,  2683,    -1,
      -1,  2480,    -1,   837,  2689,  2484,    -1,    95,   842,  3408,
      -1,    -1,    -1,   101,    -1,    -1,    -1,   851,    -1,    -1,
      -1,    -1,    -1,  2502,    -1,    -1,    -1,  2053,  2054,    -1,
      -1,    -1,  1556,  2512,    -1,    -1,    -1,    -1,    -1,    -1,
    1564,  1565,    -1,   252,   878,    -1,  2525,    -1,   882,    -1,
      -1,  1575,  2838,   141,    -1,  2534,    -1,    -1,  2844,   893,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,
     247,    -1,    -1,    -1,  2759,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   917,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   268,   269,    -1,  3408,    -1,    -1,   931,   307,    -1,
     309,   935,   190,  1627,  1628,  1629,    -1,   284,    -1,   197,
     319,   945,   200,    -1,    -1,    -1,    -1,    -1,   327,    -1,
      -1,    -1,    -1,    -1,  1648,   959,    -1,   336,    -1,    -1,
      -1,    -1,   309,    -1,    -1,   312,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2930,    -1,    -1,    -1,   325,    -1,
      -1,   328,    -1,    -1,  1678,    -1,    -1,    -1,   367,    -1,
    2186,  1685,   371,    -1,   252,    -1,    -1,    -1,  1692,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,    -1,  2211,    -1,   396,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3600,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,  1046,   119,  1048,    -1,  1050,    -1,  3004,   307,
      -1,   309,  2248,   400,  2250,    -1,    -1,    -1,    -1,    -1,
      -1,   319,    -1,  3019,  3020,    -1,    -1,   143,    -1,   327,
      -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,   336,    -1,
      -1,    -1,    -1,    -1,    95,    -1,  2735,    -1,    -1,  3045,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2757,   367,
      -1,    -1,    -1,   371,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1816,    -1,    -1,  3694,    -1,    -1,    -1,   205,
     141,  1135,  1136,    -1,    -1,    -1,    -1,    -1,   396,    -1,
      -1,  3710,    -1,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,    -1,    -1,    -1,    -1,   504,    -1,    -1,
      -1,    -1,    -1,    -1,  3120,  3121,  3122,   243,    -1,    -1,
      -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   190,
    3035,    -1,    -1,  3139,    -1,    -1,   197,    -1,    -1,   200,
    3146,    -1,   268,   269,    -1,    -1,   454,    -1,    -1,  3155,
      -1,  3770,  1896,    -1,    -1,    -1,    -1,    -1,   284,    -1,
    3694,    -1,  1753,    -1,    -1,    -1,  3785,  3786,    -1,  1913,
      -1,    -1,    -1,    -1,    -1,  3794,  3710,    -1,    -1,  3798,
      -1,    -1,    -1,    -1,    -1,  1929,   312,    -1,    -1,    -1,
    3809,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,    -1,  3108,    -1,  3110,    -1,    -1,    -1,    -1,
    3216,  2457,  1803,  1804,  1805,  1806,    -1,    -1,    -1,    -1,
    1964,  1965,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1975,    -1,    -1,    -1,    -1,  3770,    -1,  3244,    -1,
      -1,    -1,    -1,  1987,  1988,    -1,   307,    -1,   309,    -1,
      -1,  1842,  1843,    -1,    -1,  3261,    -1,  1848,   319,    -1,
      -1,    -1,    -1,    -1,    -1,  2009,   327,    -1,    -1,  3275,
      -1,  3277,    -1,    -1,   400,   336,  1330,    -1,    -1,    -1,
      -1,  3287,    -1,  3289,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1345,  3197,    -1,    -1,    -1,    -1,  3202,    -1,  3918,
      -1,    -1,    -1,    -1,  1895,  3004,   367,    -1,    -1,    -1,
     371,    -1,    -1,    -1,  1368,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1919,  1920,
    1921,  1922,  3338,    -1,    -1,   396,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1404,    -1,    -1,    -1,    -1,    -1,    -1,  2603,    -1,    -1,
      -1,    -1,  3368,    -1,    -1,  1419,    -1,    -1,   494,   495,
     496,   497,   498,   499,    -1,    -1,    -1,  1431,    -1,  3385,
    1434,    -1,    -1,    -1,  3918,    -1,  1977,    -1,    -1,    -1,
      -1,    -1,    -1,   454,  3400,  1986,    -1,  3403,    -1,    -1,
      -1,    -1,  1993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2157,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4056,    -1,    -1,
    3139,    85,    -1,    -1,    88,    -1,  3351,  3146,    -1,    -1,
    3355,  3356,    -1,  3358,    -1,  3360,  3361,    -1,    -1,  4078,
      -1,   105,    -1,  4082,  3369,    -1,    95,    -1,    -1,   113,
    3476,    -1,   101,    85,    -1,   119,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3402,    -1,   143,
      -1,   113,  1556,  2247,    -1,    -1,    -1,   119,    -1,    -1,
    1564,  1565,   141,    -1,    -1,  4134,    -1,  3216,    -1,    -1,
      -1,  1575,    -1,    -1,    -1,    -1,    -1,    -1,  4147,  4148,
      -1,   143,    -1,  4152,  4153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4082,    -1,
      -1,    -1,    -1,  2297,    -1,  2299,    -1,    -1,    -1,    -1,
      -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,   197,  2160,
      -1,   200,    -1,  1627,    -1,  2319,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    -1,    -1,   205,  1648,    -1,   101,    -1,    -1,   243,
    4134,    -1,  2346,   247,    -1,    -1,  2350,  2351,    -1,    -1,
    2354,    -1,    -1,  4232,  4233,  4234,  4235,  4236,    -1,    -1,
      -1,  4240,    -1,   252,   268,   269,    -1,    -1,    -1,    -1,
      -1,   243,  2376,    -1,    -1,   247,   141,    -1,  1692,    -1,
     284,    -1,    -1,    -1,  3650,  1699,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2901,   268,   269,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,  2410,    -1,   312,  3368,
      -1,    -1,   284,    -1,    -1,    -1,    -1,  1731,   307,    -1,
     309,   325,    -1,  3689,   328,   190,  3385,  3693,    -1,  3695,
     319,    -1,   197,  2437,  2438,   200,    -1,    -1,   327,    -1,
     312,    -1,    -1,    -1,  3403,    -1,  4240,   336,    -1,    -1,
    2956,    -1,    -1,   325,    -1,    -1,  2460,  2461,    -1,  2463,
      -1,  3727,    -1,    -1,  3730,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2480,    -1,   367,    -1,
    2484,    -1,   371,    -1,    -1,    -1,    -1,   252,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,  2502,    -1,
      -1,    -1,  1816,    -1,  3770,    -1,    -1,   396,  2512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2525,    -1,    -1,    -1,    -1,    -1,  4406,   400,    -1,
    2534,    -1,    -1,    -1,    -1,    -1,  2387,  2388,  2389,    -1,
      -1,    -1,   307,  2394,   309,  2396,    -1,  2398,  2399,    -1,
      -1,    -1,    -1,    -1,   319,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   327,    -1,    -1,   454,    -1,    -1,    -1,    -1,
      -1,   336,    -1,    -1,  3840,  3841,    -1,    -1,    -1,    -1,
    4459,    -1,  1896,    -1,    -1,    -1,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,    -1,    -1,    -1,  1913,
     504,    -1,   367,    -1,    -1,    -1,   371,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    85,  1929,    -1,    88,    -1,    -1,
      -1,    -1,   494,   495,   496,   497,   498,   499,    -1,    -1,
      -1,   396,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,  2495,    -1,  2650,    -1,   119,    -1,
    1964,  1965,    -1,    -1,    -1,  3921,    -1,    -1,    -1,    -1,
      -1,  1975,    -1,    -1,    -1,  4459,    85,    -1,    -1,    88,
      -1,    -1,   143,  1987,  1988,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2687,    -1,    -1,    -1,    -1,    -1,   454,
      -1,  3650,    -1,    -1,   113,  2009,    -1,    -1,    -1,    -1,
     119,  2552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2560,
    2561,  2562,  2563,  2564,  2565,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,  2735,    -1,    -1,  3899,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3907,  3908,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2757,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3727,    -1,
      -1,  3730,   243,    -1,    -1,  3281,   247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,  2640,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,
    3306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3314,    -1,
      -1,    -1,  3318,   284,    -1,    -1,    -1,    -1,    -1,  2670,
      -1,  2672,    -1,    -1,   243,    -1,  3332,    -1,   247,    -1,
      -1,    -1,    -1,  1260,  2838,    -1,    -1,  4716,   309,    -1,
    2844,   312,    -1,  2157,    -1,    -1,    -1,    -1,    -1,   268,
     269,    -1,    -1,    -1,   325,    -1,    -1,   328,    -1,    -1,
      -1,    -1,  4128,    -1,    -1,   284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4144,    -1,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
    4156,    -1,    -1,   312,    -1,  3401,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   325,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,
      -1,    -1,  4716,    -1,    -1,  2776,  2930,    -1,    -1,   400,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,  4107,   143,    -1,    -1,    -1,  4213,    -1,  4215,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,
      -1,    -1,  3921,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,  4138,  4139,    -1,    -1,    -1,    -1,    -1,
      -1,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1417,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
    3004,    -1,    -1,    -1,    -1,  2319,    -1,    -1,    -1,    -1,
      -1,    -1,  3518,  3519,  3520,  3019,  3020,    -1,  4897,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,  4194,
    4195,    -1,  2346,   504,    -1,    -1,  2350,  2351,    -1,    -1,
    2354,  3045,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2376,  4329,    -1,  4944,    -1,    -1,   268,   269,
      -1,    -1,    -1,  4952,    -1,   494,   495,   496,   497,   498,
     499,    -1,    -1,    -1,   284,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,  2410,    -1,    -1,   247,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2421,    -1,   309,
      -1,    -1,   312,    -1,    -1,    -1,  3120,  3121,  3122,    -1,
     268,   269,    -1,  2437,  2438,   325,    -1,    98,   328,    -1,
      -1,    -1,    -1,    -1,    -1,  3139,   284,    -1,    -1,   110,
      -1,    -1,  3146,    -1,    -1,    -1,  2460,  2461,    -1,  2463,
    4315,  3155,  4317,  4318,    -1,    -1,  4422,    -1,  4424,    -1,
     131,   309,    -1,  4328,   312,    -1,  2480,    -1,  2482,    -1,
    2484,    -1,    -1,   144,    -1,    -1,    -1,   325,    -1,    -1,
     328,    -1,   153,    -1,    -1,  4144,   157,    -1,  2502,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4156,  2512,    -1,
     400,    -1,  3053,   174,  3055,  3056,    -1,    -1,    -1,   180,
      -1,  2525,  3216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2534,    -1,    -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3244,    -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   400,   224,    -1,    -1,    -1,  3261,    -1,  1686,
     231,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,  3275,    -1,  3277,    -1,    -1,    -1,    -1,    -1,   250,
      -1,    -1,    -1,  3287,    -1,  3289,    -1,    -1,    -1,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
    3806,    -1,    -1,    -1,   504,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1739,    -1,    -1,    -1,    -1,   288,    -1,  3825,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3338,    -1,  2650,    -1,    -1,  1766,
      -1,  3847,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,    -1,    -1,   325,    -1,   504,   328,    -1,    -1,
      -1,    -1,    -1,    -1,  3368,    -1,    -1,    -1,    -1,    -1,
    4329,    -1,    -1,  2687,  4640,    -1,    -1,    -1,    -1,    -1,
      -1,  3385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4661,  3400,    -1,    -1,  3403,
      -1,    -1,  4567,    -1,    -1,    -1,    -1,   378,    -1,  1836,
      -1,    -1,    -1,   384,    -1,    -1,    -1,    -1,    -1,   390,
      -1,  2735,   393,    -1,    -1,    -1,    -1,    -1,  1855,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2757,    -1,    -1,  1873,    -1,   419,    -1,
     421,   422,    -1,   424,   425,    -1,    -1,    -1,  4623,    -1,
      -1,    -1,   433,  4422,    -1,  4424,    -1,   438,    -1,    -1,
      -1,    -1,  3476,   444,  1901,    -1,   447,    -1,    -1,   450,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4656,   463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4009,  4010,  4011,  4012,    94,    -1,    -1,
      -1,  3362,    -1,    -1,  3365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2838,    -1,    -1,     3,    -1,    -1,
    2844,    -1,  1959,     9,    -1,    -1,    -1,    13,    -1,    15,
      -1,    17,    18,    -1,    -1,   132,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,  3409,  4825,
      -1,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    45,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   192,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,  2930,    -1,    -1,    -1,
     207,    -1,   209,    -1,    -1,   101,   213,   103,   104,    -1,
      -1,  4897,    -1,    -1,    -1,    -1,   223,    -1,    -1,    -1,
      -1,    -1,   118,    -1,   231,    -1,  3650,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,   140,   141,    -1,    -1,    -1,    -1,
     146,    -1,   148,    -1,    -1,    -1,    -1,    -1,  4944,    -1,
      -1,    -1,   158,    -1,   160,  3689,  4952,    -1,    -1,  3693,
    3004,  3695,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
     176,    -1,    -1,   179,    -1,  3019,  3020,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4879,   191,    -1,   193,    -1,    -1,
      -1,   197,    -1,  3727,    -1,    -1,  3730,   203,  2155,    -1,
      -1,  3045,    -1,    -1,   210,    -1,   212,    -1,    -1,    -1,
      -1,    -1,   218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,    -1,
      -1,    -1,    -1,  2190,    -1,    -1,  3770,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3641,  3642,  3643,  3644,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,  4311,  3120,  3121,  3122,   119,
     286,   287,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   300,  3139,    85,    -1,    -1,    88,
      -1,    -1,  3146,   143,    -1,   311,  3840,  3841,    -1,    -1,
      -1,  3155,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,  4825,    -1,    -1,    -1,
      -1,    -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   359,   143,    -1,    -1,    -1,   364,    -1,
     366,    -1,    -1,    -1,    -1,   371,    -1,    -1,    -1,    -1,
     376,    -1,  3216,   379,    -1,    -1,    -1,   383,    -1,    -1,
      -1,    -1,   388,   389,    -1,    -1,    -1,  3921,    -1,    -1,
     396,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,
    3244,   407,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,   419,    -1,    -1,    -1,  3261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,
     436,  3275,   438,  3277,    -1,    -1,  3817,    -1,    -1,    -1,
     446,    -1,    -1,  3287,   284,  3289,   452,    -1,    -1,    -1,
      -1,   457,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,
      -1,    -1,    -1,   469,    -1,    -1,    -1,    -1,    -1,   309,
    2427,    -1,   312,  4509,    -1,  2432,  2433,    -1,    -1,   268,
     269,    -1,    -1,    -1,    -1,   325,    -1,  2444,   328,    -1,
      -1,    -1,    -1,    -1,  3338,   284,    -1,   503,    -1,    -1,
      -1,   507,    -1,    -1,  4540,    -1,   623,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,    -1,    -1,   312,  3368,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,   328,
      -1,  3385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3400,    -1,    -1,  3403,
     400,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4128,    -1,    -1,    -1,  4634,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
    4144,   400,    -1,   206,    -1,    -1,    -1,    -1,    -1,    -1,
    2577,    -1,  4156,   105,    -1,   218,    -1,    -1,    -1,   222,
      -1,   113,  3476,    -1,   227,    -1,    -1,   119,    -1,   232,
      -1,    -1,   235,    -1,   237,    -1,    -1,    -1,    -1,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
      -1,   143,    -1,    -1,   504,    -1,    -1,    -1,    -1,    -1,
      -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4213,
      -1,  4215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2647,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   828,   829,   830,   831,   504,   833,   834,    -1,   836,
      -1,   838,    -1,   840,    -1,    -1,    -1,   844,   321,   846,
      -1,    -1,    -1,   850,    -1,   852,   329,    -1,    -1,    -1,
      -1,    -1,    -1,   860,    -1,    -1,    -1,    -1,   865,    -1,
     867,    -1,    -1,   870,    -1,   872,    -1,   874,    -1,    -1,
      -1,   243,    -1,   880,    -1,   247,   883,    -1,    -1,    -1,
      -1,    -1,    -1,   890,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   374,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,
    2747,    -1,    -1,    -1,  4175,  4329,    -1,    -1,    -1,    -1,
      -1,    -1,   284,    -1,   921,    -1,  3650,    -1,  4189,   926,
      -1,    -1,    -1,   930,    -1,    -1,   933,    -1,    -1,    -1,
      85,    -1,    -1,    88,    -1,    -1,   419,   309,    -1,    -1,
     312,   948,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,   325,    -1,  3689,   328,    -1,   113,  3693,
     443,  3695,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,    -1,   468,   469,    -1,   143,    -1,
      -1,    -1,    -1,  3727,  1001,    -1,  3730,    -1,  4422,    -1,
    4424,    -1,    -1,    -1,    -1,    -1,  1013,  1014,    -1,    -1,
      -1,    -1,  4283,    -1,    -1,    -1,    -1,    -1,   501,    -1,
      -1,   504,   505,    -1,   507,    -1,    -1,    -1,   400,    -1,
      -1,    -1,    -1,  1040,    -1,    -1,  3770,  1044,  1045,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,  1063,    -1,    -1,    -1,
    1067,    -1,    -1,  2910,  2911,  2912,    -1,    -1,  1075,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,  1085,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,   243,    -1,
    1097,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3840,  3841,    -1,    -1,
     143,    -1,    -1,   268,   269,    -1,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,    -1,   284,
      -1,    -1,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,    -1,    -1,   312,    -1,  4430,
    4431,  4432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     325,  1178,    -1,   328,    -1,    -1,    -1,    -1,    -1,  1186,
    1187,    -1,    -1,    -1,    -1,    -1,    -1,  3921,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,   247,    -1,  4640,    -1,    -1,    -1,
      -1,  1228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1238,    -1,    -1,  1241,   268,   269,  4661,    -1,    -1,
      -1,  3088,  3089,    -1,  3091,   400,    -1,  1254,    -1,    -1,
      -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1268,    -1,    -1,    -1,    -1,    -1,  1274,  1275,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,  4548,    -1,   312,
      -1,  1288,  1289,  1290,  1291,    -1,  1293,    -1,    -1,    -1,
    1297,    -1,   325,    -1,    -1,   328,  3143,    -1,  3145,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1325,  1326,
    1327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,    -1,    -1,    -1,    -1,   504,
      -1,  3198,    -1,  1360,    -1,    -1,    -1,    -1,    -1,  4630,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3222,    -1,    -1,    -1,    -1,
      -1,  4652,    -1,  4654,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1398,  1399,    -1,  4128,    -1,  1403,    -1,  1405,    -1,
      -1,  4825,  3249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4144,    -1,    -1,    -1,    -1,  3262,    -1,    -1,    -1,    -1,
    1427,    -1,  4156,  1430,    -1,    -1,  1433,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,  1474,    -1,   502,
      -1,    -1,    -1,  4897,  4745,    -1,    -1,    -1,  3325,  4213,
      85,  4215,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      85,    -1,  3339,    88,    -1,  1502,  1503,    -1,  1505,    -1,
     105,    -1,    -1,    -1,   109,  3352,    -1,    -1,   113,    -1,
     105,    -1,    -1,    -1,   119,  1522,  4787,    -1,   113,    -1,
    4944,    -1,    -1,    -1,   119,    -1,    -1,    -1,  4952,    85,
      -1,    -1,    88,    -1,    -1,  1542,  1543,    -1,   143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,    -1,   119,  1571,    -1,    -1,  1574,    -1,    -1,
      -1,    -1,  4843,  3420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   188,    -1,    -1,    -1,   143,    -1,    -1,
      -1,    -1,    -1,  3440,    -1,  4329,  1603,    -1,    -1,    -1,
    1607,  1608,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,
    1617,  1618,  1619,    -1,    -1,  4886,    -1,    -1,  3465,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,   222,    -1,    -1,
     113,    -1,   227,    -1,    -1,    -1,   119,    -1,   243,  1646,
      -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,   243,    -1,
      -1,    -1,   247,    -1,  3501,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,   269,    -1,    -1,    -1,    -1,   284,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,  4422,   284,
    4424,   247,    -1,    -1,  3541,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,    -1,    -1,   312,    -1,    -1,
      -1,    -1,   268,   269,   309,    -1,    -1,   312,    -1,    -1,
     325,    -1,    -1,   328,    -1,    -1,    -1,    -1,   284,    -1,
     325,    -1,    -1,   328,    -1,    -1,  1743,  1744,   221,    -1,
      -1,    -1,    -1,  1750,    -1,    -1,  1753,    -1,    -1,    -1,
      -1,    -1,    -1,   309,    -1,    -1,   312,    -1,    -1,    -1,
     243,  1768,    -1,    -1,   247,    -1,    -1,    -1,  1775,   325,
      -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   268,   269,    -1,  1795,    -1,
      -1,   347,    -1,    -1,    -1,   400,  1803,  1804,  1805,  1806,
    1807,   284,    -1,    -1,    -1,   400,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1820,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1832,   309,  1834,    -1,   312,
      -1,    -1,    -1,    -1,    -1,  1842,  1843,    -1,    -1,    -1,
      -1,  1848,   325,    -1,   400,   328,   451,  3694,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,
      -1,    -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   490,   491,   492,  1895,   494,
     495,   496,   497,   498,   499,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,    -1,  4640,    -1,    -1,    -1,
      -1,    -1,  1919,  1920,  1921,  1922,    -1,   400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4661,    -1,    -1,
      -1,  1938,    -1,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,    -1,    -1,  1953,    -1,    -1,    -1,
      -1,    -1,    -1,  1960,    -1,  1962,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1972,    -1,    -1,    -1,    -1,
    1977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1986,
      -1,    -1,    -1,    -1,    -1,  1992,  1993,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3844,    -1,  2006,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3876,
      -1,    -1,    -1,  2040,    -1,    -1,    -1,    -1,    -1,    -1,
    2047,    -1,  2049,    -1,    -1,    -1,  2053,  2054,    -1,  2056,
      -1,    -1,    -1,    -1,    -1,  2062,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2078,  2079,    85,    -1,  2082,    88,    -1,    -1,  2086,
    2087,    -1,    -1,    -1,    -1,    -1,    -1,  2094,    -1,    -1,
    2097,  4825,    -1,   105,  2101,    -1,   108,    -1,    -1,    -1,
      -1,   113,  2109,  2110,    -1,    -1,    -1,   119,    -1,    -1,
    2117,    -1,  2119,  2120,  2121,  2122,  2123,    -1,    -1,    -1,
      -1,    -1,    -1,  2130,  2131,    -1,  2133,    -1,  2135,  2136,
      -1,   143,  2139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3987,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2156,
      -1,  3998,    -1,  2160,  2161,    -1,    -1,    -1,  2165,    -1,
      -1,    -1,  2169,  4897,  2171,  2172,  2173,  2174,  2175,  2176,
    2177,  2178,  2179,    -1,  2181,    -1,    -1,    -1,    -1,  2186,
    2187,    -1,    -1,  2190,    -1,    -1,    -1,    -1,  4035,    -1,
      -1,    -1,    -1,  4040,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2211,  4052,    -1,    -1,    -1,    -1,
    4944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4952,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,
      -1,  2248,    -1,  2250,    -1,  2252,    -1,    -1,    98,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,
      -1,    -1,  4109,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   131,  2289,    -1,  2291,   105,    -1,    -1,    -1,    -1,
    4137,    -1,    -1,   113,   144,   145,    -1,   309,    -1,   119,
     312,    -1,  4149,   153,    -1,    -1,    -1,   157,    -1,    -1,
      -1,    -1,    -1,   325,    -1,    -1,   328,    -1,    -1,    -1,
      -1,    -1,    -1,   143,   174,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   195,  4193,    -1,  2355,    -1,
      -1,    -1,    -1,  2360,    -1,  2362,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2379,    -1,   224,    -1,    -1,    -1,  2385,   229,
    2387,  2388,  2389,    -1,  2391,  2392,    -1,  2394,   400,  2396,
      -1,  2398,  2399,    -1,    -1,  2402,    -1,    -1,    -1,    -1,
     250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,   275,    -1,   247,    -1,    -1,
      -1,    -1,    -1,  2440,    -1,    -1,    -1,    -1,    -1,  2446,
      -1,    -1,    -1,    -1,  2451,    -1,    -1,    -1,   268,   269,
    2457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4308,    -1,    -1,   284,  2472,  2473,    -1,    -1,    -1,
      -1,    -1,  2479,    -1,    -1,   325,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,  2495,   309,
      -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,  4345,    -1,
      -1,    -1,    -1,   353,    -1,   325,    -1,    -1,   328,    -1,
      -1,    -1,    -1,    -1,  2521,    -1,  2523,  2524,    -1,    -1,
      -1,    -1,   342,    -1,    -1,    -1,    -1,    -1,   378,    -1,
      -1,    -1,   382,    -1,   384,    -1,    -1,    -1,    -1,    -1,
     390,    -1,    -1,   393,    -1,  2552,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2560,  2561,  2562,  2563,  2564,  2565,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2575,   419,
      -1,   421,    -1,    -1,    -1,   425,    -1,    -1,    -1,    -1,
     400,    -1,    -1,   433,    -1,    -1,    -1,    -1,   438,    -1,
      -1,  2598,    -1,    -1,    85,  2602,  2603,    88,    -1,    -1,
    2607,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4459,   463,   105,    -1,    -1,   108,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,  2633,    -1,   119,    -1,
      -1,    -1,    -1,  2640,  2641,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2651,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2668,    -1,  2670,  2671,  2672,  2673,    -1,    -1,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2695,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4551,    -1,    -1,    -1,    -1,    -1,
    2717,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4574,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   243,    -1,  2761,    -1,   247,  4604,    -1,  2766,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2776,
      -1,    -1,    -1,    -1,    -1,  2782,  2783,   268,   269,    -1,
      -1,  2788,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,   284,    -1,    -1,  4643,    -1,    -1,    -1,
    4647,  4648,    -1,    -1,    -1,    -1,  2813,  2814,   105,    -1,
      -1,  2818,    -1,    -1,    -1,    -1,   113,    -1,   309,    -1,
      -1,   312,   119,  2830,  2831,  2832,  2833,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   325,    -1,  2843,   328,    -1,  2846,
      -1,  2848,  2849,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,  2858,  2859,    -1,    -1,  2862,    -1,    -1,    -1,    -1,
      -1,    -1,  4709,    -1,    -1,    -1,    -1,    -1,  2875,    -1,
    2877,    -1,  2879,    -1,  2881,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2897,    -1,    -1,    -1,  2901,    -1,    -1,    -1,    -1,    -1,
      -1,  2908,    -1,  2910,  2911,  2912,    -1,    -1,    -1,   400,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2934,    -1,    -1,
     227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2947,    -1,    -1,    -1,    -1,  2952,   243,    -1,    -1,  2956,
     247,    -1,  2959,    -1,    -1,    -1,    -1,    -1,  2965,    -1,
      -1,  2968,    -1,    -1,    -1,  2972,    -1,    -1,    -1,    -1,
      -1,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   117,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,    -1,
      -1,    -1,   309,    -1,    -1,   312,    -1,    -1,  3025,    -1,
    3027,    -1,    -1,    -1,    -1,  3032,    -1,    -1,   325,    -1,
      -1,   328,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3053,    -1,  3055,  3056,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   208,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   216,    -1,   218,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   230,    -1,   400,    -1,    -1,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,
      -1,    -1,    -1,    41,    -1,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3226,
    3227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    85,    -1,   134,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3255,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,   108,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,  3281,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,  3305,  3306,
      -1,    -1,    -1,    -1,    -1,    -1,   204,  3314,    -1,    -1,
      -1,  3318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   220,    -1,    -1,  3332,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3347,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1260,    -1,    -1,    -1,    -1,  3362,    -1,    -1,  3365,    -1,
      -1,    -1,    -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3382,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   243,    -1,  3401,    -1,   247,    -1,   296,    -1,
      -1,   299,  3409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3417,    -1,    -1,    -1,    -1,    -1,   314,   268,   269,    -1,
    3427,    -1,    -1,    -1,    -1,    -1,  3433,    -1,  3435,    -1,
      -1,    -1,    -1,   284,  3441,    -1,    -1,  3444,  3445,  3446,
    3447,  3448,  3449,  3450,  3451,  3452,  3453,    -1,    -1,    -1,
    3457,  3458,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,
      -1,   312,    -1,  3470,    -1,    -1,    -1,  3474,    -1,    -1,
      -1,  3478,    -1,    -1,   325,    -1,    -1,   328,    -1,    -1,
      -1,  3488,    -1,    -1,  3491,    -1,  3493,    -1,    -1,   387,
      -1,    -1,    -1,    -1,    -1,  3502,  3503,  3504,    -1,    -1,
      -1,  3508,    -1,    -1,  3511,    -1,    -1,  1417,    -1,    -1,
      -1,  3518,  3519,  3520,  3521,  3522,    -1,    -1,    -1,  3526,
    3527,    -1,    85,    -1,  3531,    88,    -1,    -1,    -1,    -1,
    3537,   429,  3539,    -1,  3541,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,   443,    -1,    -1,    -1,   400,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3586,
     143,    -1,    -1,    -1,    -1,  3592,   484,    -1,    -1,  3596,
      -1,  3598,   490,    -1,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,    -1,   506,   507,
     508,   509,   510,    -1,    -1,    -1,  3623,  3624,  3625,    -1,
    3627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3641,  3642,  3643,  3644,    -1,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,  1559,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3679,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,
      -1,   820,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   828,
      -1,    -1,    -1,    -1,    -1,   268,   269,   836,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3744,   867,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,   312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   325,    -1,    -1,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1686,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3798,   921,    -1,    -1,    -1,    -1,    -1,    -1,  3806,
      -1,   930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3817,    -1,  3819,    -1,    -1,    -1,    -1,    -1,  3825,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1739,
    3837,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,    -1,
    3847,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,  3856,
      -1,    -1,    85,    -1,  3861,    88,  1766,    -1,  3865,    -1,
      -1,    -1,    -1,   426,    -1,    -1,    -1,    -1,    -1,    -1,
    3877,  3878,   105,    -1,    -1,   108,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    85,    -1,   119,    88,    -1,    -1,
      -1,    -1,    -1,   206,    -1,  3902,    -1,  3904,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   218,  1260,    -1,    -1,   222,
     143,  1040,   113,    -1,   227,    -1,    -1,  1046,   119,   232,
      -1,  1050,   235,    -1,   237,    -1,  1836,   490,   491,   492,
    3937,   494,   495,   496,   497,   498,   499,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,  1855,  1075,    -1,    -1,    -1,
      -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1873,    -1,    -1,    -1,  3974,    -1,    -1,
      -1,    -1,   285,    -1,    -1,    -1,    -1,  3984,  3985,    -1,
      -1,    -1,    -1,    -1,    -1,  3992,  3993,    -1,    98,    -1,
    3997,  1901,    -1,    -1,    -1,    -1,  4003,  4004,    -1,    -1,
    4007,    -1,  4009,  4010,  4011,  4012,    -1,    -1,   321,  4016,
     243,    -1,  4019,    -1,   247,  4022,   329,    -1,    -1,  4026,
      -1,    -1,    -1,    -1,    -1,  4032,    -1,    -1,  4035,    -1,
      -1,    -1,    -1,  4040,   144,   268,   269,    -1,    -1,  4046,
      -1,    -1,   243,    -1,    -1,  4052,   247,   157,    -1,  1959,
      -1,   284,    -1,    -1,  4061,    -1,    -1,    -1,    -1,    -1,
      -1,   374,  4069,  1417,   174,    -1,  4073,   268,   269,    -1,
     180,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,   312,
      -1,  4088,    -1,   284,  4091,   195,    -1,    -1,    -1,    -1,
      -1,    -1,   325,    -1,    -1,   328,    -1,    -1,    -1,  1228,
      -1,    -1,    -1,   213,  4111,  4112,   419,    -1,   309,  1238,
      -1,   312,    -1,    -1,   224,    -1,    -1,    -1,    -1,   229,
      -1,    -1,    -1,    -1,   325,   235,    -1,   328,  4135,    -1,
     443,  1260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,    -1,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1293,   275,    -1,   400,  4175,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4189,    -1,    -1,    -1,    -1,    -1,   501,    -1,
      -1,   504,   505,    -1,   507,    -1,    -1,    -1,    -1,   400,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   325,  4223,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4232,  4233,  4234,  4235,  4236,
      -1,  1360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   353,    -1,  2155,    -1,    -1,    -1,  4256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,    -1,   378,    -1,
      -1,    -1,    -1,    -1,   384,    -1,  4283,  4284,    -1,    -1,
     390,    -1,    -1,   393,    -1,    -1,    -1,    -1,  1417,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,    -1,
      -1,    -1,    -1,    -1,  4311,    -1,  4313,    -1,    -1,   419,
      -1,   421,    -1,    -1,    -1,   425,  1445,    -1,    -1,    -1,
      -1,    -1,    -1,   433,    -1,    -1,    -1,    -1,   438,    -1,
      -1,    -1,  1686,    -1,  4341,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,  4350,    -1,  1474,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   463,    -1,    -1,    -1,    -1,    -1,    -1,
    4367,  4368,    -1,    -1,  4371,    -1,    -1,    -1,    -1,    -1,
      -1,  4378,    -1,  1502,  1503,  4382,  1505,    -1,    -1,    -1,
    4387,    -1,    -1,  4390,  4391,  1739,  4393,    -1,  4395,  4396,
      -1,    -1,    -1,  1522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1766,   110,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4428,  4429,  4430,  4431,  4432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1574,  1575,   144,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4463,  4464,    -1,    -1,
     157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1603,    -1,    -1,   174,  1607,  1608,
      -1,    -1,  1836,    -1,    -1,    -1,    -1,  4494,    -1,    -1,
      -1,    -1,    -1,  4500,    -1,    -1,    -1,    -1,   195,    -1,
     160,  1855,  4509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4520,    -1,  4522,   213,  2427,    -1,  1873,
      -1,    -1,  2432,  2433,    -1,    -1,    -1,   224,  4535,    -1,
      -1,    -1,   229,  4540,  2444,    -1,    -1,    -1,   235,    -1,
      -1,  4548,  4549,    -1,    -1,    -1,   206,  1901,    -1,    -1,
      -1,    -1,    -1,   250,    -1,    -1,    -1,  1686,   218,    -1,
      -1,    -1,   222,  1692,    -1,    -1,  4573,   227,    -1,  4576,
    1699,  4578,   232,    -1,    -1,   235,    -1,   237,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4595,    -1,
      -1,    -1,  4599,    -1,    -1,  4602,    -1,    -1,    -1,    -1,
      -1,  4608,  1731,    -1,   264,  1959,    -1,    -1,    -1,    -1,
    1739,    95,    -1,    -1,    -1,    -1,    -1,   101,    -1,    -1,
      -1,    -1,    -1,  4630,    -1,   285,    -1,  4634,   325,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1766,   335,    -1,
      -1,    -1,   126,    -1,  4651,  4652,  4653,  4654,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   353,   141,    -1,    -1,
      -1,   321,    -1,    -1,    -1,    -1,    -1,  2577,    -1,   329,
      -1,    -1,    -1,    -1,  4681,    -1,    -1,    -1,    -1,    -1,
      -1,   378,    -1,    -1,    -1,   382,    -1,   384,   172,    -1,
      -1,    -1,    -1,   390,    -1,    -1,   393,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   190,  1836,    -1,    -1,
      -1,    -1,    -1,   197,   374,    -1,   200,    -1,    -1,    -1,
      -1,    -1,   419,    -1,   421,    -1,  1855,    -1,   425,    -1,
      -1,    -1,  4739,    -1,    -1,    -1,   433,  2647,  4745,    -1,
    4747,   438,    -1,    -1,  1873,    -1,    -1,    -1,    -1,  4756,
      -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,   419,
      -1,    -1,    -1,    -1,    -1,   249,   463,  1896,   252,    -1,
      -1,    -1,  1901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4787,    -1,    -1,   443,  4791,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4801,    -1,    -1,    -1,    -1,    -1,
      -1,  2155,    -1,  4810,    -1,    -1,   466,    -1,   468,   469,
      -1,   295,  4819,   297,    -1,  4822,  4823,    -1,    -1,    -1,
      -1,    -1,    -1,   307,  1953,   309,    -1,    -1,  4835,    -1,
    1959,    -1,    -1,  1962,    -1,   319,  4843,  2747,    -1,    -1,
      -1,   501,    -1,   327,   504,   505,    -1,   507,    -1,    -1,
      -1,   335,   336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4871,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4881,    -1,    -1,    -1,    -1,  4886,
      -1,    -1,    -1,   367,    -1,    -1,    -1,   371,   372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2049,    -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4948,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2086,  2087,    -1,
      -1,    -1,    -1,    -1,    -1,  2094,    -1,    -1,  2097,    -1,
     454,    -1,  2101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2109,  2110,    -1,    -1,    -1,    -1,    -1,    -1,  2117,    -1,
      -1,  2120,  2121,  2122,  2123,    -1,    -1,    -1,    -1,    -1,
      -1,  2130,  2131,    -1,  2133,    -1,  2135,  2136,    -1,    -1,
    2139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2155,  2156,  2157,    -1,
      -1,    -1,  2161,    -1,    -1,    -1,  2165,    -1,    -1,    -1,
    2169,    -1,  2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,
    2179,    -1,  2181,    -1,     5,    -1,    -1,    -1,  2187,    -1,
      -1,  2190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2427,    25,    -1,    -1,    -1,  2432,  2433,
      -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,
    2444,    -1,    43,    44,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    -1,  2252,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,  3048,    -1,
      -1,    -1,    95,    -1,    -1,    -1,    -1,    -1,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   126,    -1,    -1,    -1,    -1,  3088,  3089,
      -1,  3091,    -1,   134,    -1,    -1,    -1,    -1,   141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,
      -1,  2350,    -1,  2577,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3143,    -1,  3145,    -1,   190,    -1,    -1,
      -1,    -1,    -1,    -1,   197,    -1,    -1,   200,    -1,    -1,
    2379,    -1,    -1,   204,    -1,    -1,  2385,    -1,    -1,    -1,
      -1,    -1,  2391,    -1,    -1,    -1,    -1,    -1,    -1,   220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3198,   240,
      -1,    -1,  2421,  2647,    -1,    -1,   249,    -1,  2427,   252,
      -1,    -1,    -1,  2432,  2433,    -1,    -1,    -1,    -1,    -1,
      -1,   262,  3222,    -1,    -1,  2444,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2460,    -1,    -1,  2463,    -1,    -1,    -1,    -1,  3249,
      -1,    -1,   295,    -1,   297,   296,    -1,    -1,   299,    -1,
      -1,    -1,  3262,  2482,   307,    -1,   309,    -1,    -1,    -1,
      -1,    -1,    -1,   314,    -1,    -1,   319,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   327,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   335,   336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2747,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   367,  3325,    -1,    -1,   371,   372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3339,
     208,    -1,    -1,    -1,    -1,    -1,   387,    -1,   216,    -1,
     218,    -1,  3352,   396,    -1,    -1,  2575,    -1,  2577,    -1,
      -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   454,    -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,
    3420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2647,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3440,    -1,    -1,   484,    -1,    -1,    -1,    -1,    -1,   490,
      -1,    -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,
     501,   502,   503,    -1,    -1,  3465,    -1,   508,   509,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2695,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2747,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2761,    -1,    -1,    -1,    -1,  2766,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2782,  2783,    -1,    -1,    -1,    -1,  2788,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2813,  2814,    -1,    -1,    -1,  2818,
      -1,    -1,    -1,    -1,  3048,    -1,    -1,    -1,    -1,    -1,
      -1,  2830,  2831,  2832,  2833,    -1,    -1,    -1,    -1,  2838,
      -1,    -1,    -1,    -1,  2843,  2844,    -1,  2846,    -1,  2848,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2858,
    2859,    -1,    -1,  2862,  3088,  3089,    -1,  3091,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2875,    -1,  2877,    -1,
      -1,    -1,  2881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2897,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2908,
      -1,  2910,  2911,  2912,  3694,    -1,    -1,    -1,    -1,  3143,
      -1,  3145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2934,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2947,    -1,
      -1,    -1,    -1,  2952,    -1,    -1,    -1,    -1,    -1,    -1,
    2959,    -1,    -1,    -1,    -1,    -1,  2965,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3198,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3249,  3025,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3048,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3844,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3088,
    3089,    -1,  3091,    -1,    -1,    -1,  3876,    -1,    -1,    -1,
      -1,  3325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3339,    -1,    -1,    -1,    -1,
      -1,  3120,  3121,  3122,    -1,    -1,    -1,    -1,  3352,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3143,    -1,  3145,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   836,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3420,    -1,    -1,  3198,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3987,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3440,    -1,  3998,   867,
      -1,    -1,    -1,  3222,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3465,    -1,    -1,    -1,  3244,    -1,    -1,    -1,    -1,
    3249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3261,  3262,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   921,    -1,    -1,    -1,  3501,    -1,    -1,
      -1,    -1,   930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3325,    -1,    -1,  4109,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3352,    -1,    -1,    -1,  4137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4149,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3382,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1040,    -1,    -1,    -1,    -1,    -1,  1046,    -1,
      -1,    -1,  1050,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4193,    -1,    -1,    -1,    -1,  3417,    -1,
      -1,  3420,    -1,    -1,    -1,    -1,    -1,  1075,  3427,    -1,
      -1,    -1,    -1,    -1,  3433,    -1,  3435,    -1,    -1,    -1,
      -1,  3440,  3441,    -1,    -1,  3444,  3445,  3446,  3447,  3448,
    3449,  3450,  3451,  3452,  3453,    -1,    -1,    -1,  3457,  3458,
      -1,    -1,    -1,    -1,    -1,    -1,  3465,    -1,    -1,    -1,
    3694,  3470,    -1,    -1,    -1,  3474,    -1,  3476,    -1,  3478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3488,
      -1,    -1,  3491,    -1,  3493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3501,  3502,  3503,  3504,    -1,    -1,    -1,  3508,
      -1,    -1,  3511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3539,    -1,  3541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4345,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1228,    -1,    -1,    -1,    -1,    -1,    -1,  3586,    -1,    -1,
    1238,    -1,    -1,  3592,    -1,    -1,    -1,    -1,    -1,  3598,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3844,    -1,    -1,    -1,  3623,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1293,    -1,    -1,    -1,    -1,
      -1,    -1,  3876,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4459,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3689,    -1,    -1,    -1,  3693,  3694,  3695,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3987,    -1,    -1,    -1,    -1,    -1,  1417,
      -1,  4551,    -1,    -1,  3998,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4574,    -1,    -1,  1445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3819,    -1,    -1,    -1,  4604,    -1,  1474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3844,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1502,  1503,    -1,  1505,    -1,    -1,
      -1,    -1,    -1,  4643,    -1,    -1,    -1,  4647,  4648,    -1,
      -1,    -1,    -1,    -1,  1522,    -1,    -1,  3876,  3877,  3878,
      -1,    -1,    -1,    -1,    -1,  4109,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4137,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4149,  1574,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3937,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1603,    -1,    -1,    -1,  1607,
    1608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4193,
      -1,    -1,    -1,    -1,    -1,  3974,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3984,  3985,    -1,  3987,    -1,
      -1,    -1,    -1,  3992,  3993,    -1,    -1,    -1,  3997,  3998,
      -1,    -1,    -1,    -1,  4003,  4004,    -1,    -1,  4007,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4022,    -1,    -1,    -1,  4026,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4035,    -1,  1686,    -1,
      -1,  4040,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1699,    -1,  4052,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1731,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1739,  4091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1766,    -1,
      -1,  4345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4128,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1836,    -1,
      -1,    -1,    -1,    -1,  4193,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1855,    -1,    -1,
      -1,    -1,    -1,    -1,  4213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1873,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1901,    -1,    -1,    -1,  4256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1953,    -1,    -1,    -1,  4308,
      -1,  1959,    -1,    -1,  1962,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4551,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4341,    -1,    -1,    -1,  4345,    -1,    -1,    -1,
    4574,  4350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4367,  4368,
      -1,    -1,  4371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4604,    -1,    -1,  4382,    -1,    -1,    -1,    -1,  4387,    -1,
      -1,  4390,    -1,    -1,    -1,    -1,  4395,  4396,    -1,    -1,
      -1,  2049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4643,
      -1,    -1,    -1,  4647,  4648,    -1,    -1,    -1,    -1,  4428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2086,  2087,
      -1,    -1,    -1,    -1,    -1,    -1,  2094,    -1,    -1,  2097,
      -1,    -1,    -1,  2101,    -1,    -1,    -1,    -1,    -1,    -1,
    4459,  2109,  2110,    -1,  4463,    -1,    -1,    -1,    -1,  2117,
      -1,    -1,  2120,  2121,  2122,  2123,    -1,    -1,    -1,    -1,
      -1,    -1,  2130,  2131,    -1,  2133,    -1,  2135,  2136,    -1,
      -1,  2139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4500,    -1,    -1,    -1,    -1,    -1,  2155,  2156,    -1,
      -1,    -1,    -1,  2161,    -1,    -1,    -1,  2165,    -1,    -1,
      -1,  2169,    -1,  2171,  2172,  2173,  2174,  2175,  2176,  2177,
    2178,  2179,    -1,  2181,    -1,    -1,    -1,    -1,    -1,  2187,
      -1,    -1,  2190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4549,    -1,  4551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4573,  4574,    -1,  4576,    -1,  4578,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4595,    -1,    -1,    -1,
    4599,    -1,    -1,    -1,  2252,  4604,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4640,    -1,    -1,  4643,    -1,    -1,    -1,  4647,  4648,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2379,    -1,    -1,    -1,    -1,    -1,  2385,    -1,    -1,
    4739,    -1,    -1,  2391,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4756,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2421,    -1,    -1,    -1,    -1,    -1,  2427,
      -1,    -1,    -1,    -1,  2432,  2433,    -1,    -1,    -1,    -1,
      -1,    -1,  4791,    -1,    -1,    -1,  2444,    -1,    -1,    -1,
      -1,    -1,  4801,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4822,  4823,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2482,    -1,  4835,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1417,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   154,    -1,    -1,    -1,    -1,
      -1,    -1,  4871,    -1,   163,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4897,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2575,    -1,  2577,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4939,    -1,    -1,    -1,    -1,  4944,    -1,   236,    -1,  4948,
      -1,    -1,    -1,  4952,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2647,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2695,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,
      44,    -1,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,  2747,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,  2761,    -1,    -1,    -1,    -1,  2766,    -1,
      -1,    -1,   411,  1686,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2782,  2783,    -1,    -1,    -1,    -1,
    2788,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     134,    -1,    -1,    -1,    -1,  2813,  2814,    -1,    -1,    -1,
    2818,    -1,    -1,    -1,    -1,    -1,  1739,    -1,    -1,    -1,
      -1,    -1,  2830,  2831,  2832,  2833,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2843,    -1,    -1,  2846,    -1,
    2848,    -1,    -1,  1766,    -1,    -1,    -1,    -1,    -1,    -1,
    2858,  2859,    -1,    -1,  2862,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2875,    -1,  2877,
     204,    -1,    -1,  2881,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,  2897,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2908,    -1,  2910,  2911,  2912,    -1,   240,    -1,    -1,    -1,
      -1,    -1,    -1,  1836,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2934,    -1,   262,    -1,
      -1,    -1,  1855,    -1,    -1,    -1,    -1,    -1,    -1,  2947,
      -1,    -1,    -1,    -1,  2952,    -1,    -1,    -1,    -1,    -1,
    1873,  2959,    -1,    -1,    -1,    -1,    -1,  2965,    -1,    -1,
      -1,    -1,   296,    -1,    -1,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1901,    -1,
     314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3025,   667,   668,
      -1,    -1,    -1,    -1,    -1,    89,    -1,    -1,    -1,    -1,
      94,    -1,    96,    -1,    -1,    -1,  1959,    -1,    -1,    -1,
    3048,    -1,   106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   715,    -1,   132,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
    3088,  3089,    -1,  3091,    -1,    -1,    -1,    -1,    -1,   153,
     154,    -1,    -1,   157,    -1,   429,    -1,    -1,    -1,   163,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,   443,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   187,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3143,    -1,  3145,    -1,   203,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     484,    -1,    -1,    -1,    -1,    -1,   490,    -1,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,    -1,    -1,    -1,   508,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   834,    -1,    -1,    -1,    -1,
    3198,    -1,    -1,    -1,   843,    -1,   845,    -1,   847,    -1,
     849,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3222,    -1,    -1,    -1,    -1,   868,
      -1,    -1,    -1,    -1,    -1,    -1,   875,    -1,    -1,    -1,
      -1,    -1,  2155,    -1,    -1,   884,   885,    -1,    -1,    -1,
     889,  3249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3262,    -1,   905,    -1,   907,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   922,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   936,    -1,    -1,
     939,    -1,   941,    -1,   943,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   957,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3352,    -1,    -1,   411,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1009,    -1,  1011,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3382,    -1,    -1,    -1,    -1,  1260,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1042,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3417,
      -1,    -1,  3420,    -1,    -1,    -1,    -1,    -1,    -1,  3427,
      -1,    -1,    -1,    -1,    -1,  3433,    -1,  3435,  1077,    -1,
      -1,    -1,  3440,  3441,    -1,    -1,  3444,  3445,  3446,  3447,
    3448,  3449,  3450,  3451,  3452,  3453,    -1,    -1,    -1,  3457,
    3458,    -1,    -1,    -1,    -1,    -1,    -1,  3465,    -1,    -1,
      -1,    -1,  3470,    -1,    -1,    -1,  3474,    -1,    -1,    -1,
    3478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3488,    -1,    -1,  3491,    -1,  3493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3501,  3502,  3503,  3504,    -1,    -1,  1148,
    3508,  1150,    -1,  3511,  2427,  1154,    -1,    -1,    -1,  2432,
    2433,    -1,    -1,  3521,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2444,    -1,  3531,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3539,    -1,  3541,    -1,    -1,  1417,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   623,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1216,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3586,    -1,
      -1,    -1,    -1,  1232,  3592,    -1,    -1,    -1,    -1,    -1,
    3598,    -1,    -1,    -1,  1243,    -1,    -1,    -1,    -1,    -1,
      -1,  1250,    -1,   667,   668,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1262,    -1,  3623,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1294,    -1,    -1,    -1,    -1,
      -1,   715,    -1,    -1,  2577,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3694,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,  2647,    -1,    -1,    35,    36,    -1,
      -1,    -1,    -1,    -1,    -1,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1686,    -1,    -1,    -1,    -1,
      -1,  3819,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2747,    -1,   134,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3844,    -1,    -1,    -1,
     904,   905,    -1,   907,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1739,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3876,  3877,
    3878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1766,    -1,    -1,    -1,   953,
      -1,    -1,   956,   957,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   969,    -1,   971,    -1,   973,
      -1,    -1,   220,    -1,    -1,   979,    -1,    -1,    -1,   983,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3937,
      -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,  1002,  1003,
      -1,    -1,    -1,    -1,  1593,  1594,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   262,  1836,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3974,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1855,    -1,  3984,  3985,  1042,  3987,
    1044,    -1,    -1,    -1,  3992,  3993,    -1,    -1,   296,  3997,
    3998,   299,  1873,    -1,    -1,  4003,  4004,    -1,    -1,  4007,
      -1,    -1,  1651,    -1,    -1,  1654,   314,    -1,    -1,    -1,
      -1,    -1,    -1,  1662,  4022,    -1,    -1,    -1,  4026,    -1,
    1901,    -1,    -1,    -1,    -1,    -1,    -1,  4035,    -1,    -1,
      -1,  1680,  4040,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4052,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1717,    -1,
      -1,  1135,  1136,    -1,    -1,  1139,    -1,    -1,  1959,   387,
      -1,    -1,    -1,  4091,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1184,   429,    -1,    -1,    -1,  3048,    -1,    -1,    -1,  4137,
      -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,
      -1,  4149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3088,  3089,    -1,  3091,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,    -1,    -1,    -1,
      -1,    -1,   490,    -1,    -1,  4193,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,    -1,    -1,    -1,
     508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3143,    -1,  3145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4256,    -1,
      -1,    -1,    -1,    -1,    -1,  1904,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1917,    -1,
      -1,    -1,    -1,    -1,  2155,  3198,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3222,
    4308,    -1,    -1,    -1,  1368,    -1,    -1,    -1,    -1,  1373,
      -1,  1375,  1961,    -1,  1378,    -1,  1380,    -1,    -1,  1383,
    1384,  1385,    -1,    -1,    -1,  1389,  3249,  1976,    -1,  1978,
      -1,  1980,  1396,  4341,    -1,    -1,  1985,  4345,    -1,  3262,
      -1,    -1,  4350,    -1,    -1,  1409,    -1,  1411,    -1,    -1,
      -1,    -1,  1416,    -1,    -1,    -1,    -1,    -1,    -1,  4367,
    4368,    -1,    -1,  4371,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4382,    -1,    -1,    -1,    -1,  4387,
      -1,    -1,  4390,    -1,    -1,  2034,    -1,  4395,  4396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2046,    -1,    -1,
      -1,  2050,  3325,  2052,    -1,    -1,  2055,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3339,    -1,    -1,    -1,
    4428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3352,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4459,    -1,    -1,    -1,  4463,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1533,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1542,  1543,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4500,    -1,    -1,  1559,    -1,  3420,    -1,    -1,
    1564,  1565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3440,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4549,  3465,  4551,  2193,    -1,  2427,    -1,    -1,    -1,
      -1,  2432,  2433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2444,    -1,  4573,  4574,    -1,  4576,    -1,
    4578,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3501,    -1,
      -1,    -1,  1646,    -1,  1648,    -1,    -1,  4595,    -1,    -1,
      -1,  4599,    -1,    -1,  1658,    -1,  4604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4643,    -1,    -1,    -1,  4647,
    4648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1721,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1729,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4681,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2577,    -1,  2347,  2348,
      -1,  4709,    -1,  2352,  2353,    -1,    -1,  2356,    -1,    -1,
      -1,    -1,  1776,    -1,    -1,  1779,  1780,  2366,    -1,    -1,
      -1,    -1,    -1,    -1,  2373,    -1,    -1,    -1,  2377,  2378,
      -1,  4739,  2381,  2382,  2383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2393,    -1,  2395,    -1,  4756,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2411,    -1,    -1,    -1,  2647,  2416,    -1,    -1,
      -1,  3694,    -1,    -1,    -1,    -1,    -1,  1841,    -1,    -1,
      -1,    -1,    -1,  4791,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4801,    -1,    -1,    -1,    -1,  2447,  2448,
    2449,  2450,    -1,    -1,    -1,  2454,  2455,    -1,    -1,    -1,
      -1,    -1,    -1,  2462,  4822,  4823,  2465,    -1,    -1,    -1,
    2469,    -1,    -1,    -1,    -1,    -1,    -1,  4835,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2496,    -1,  2498,
      -1,    -1,    -1,    -1,  2503,    -1,    -1,    -1,    -1,  2508,
    2509,  2510,  2511,  4871,  2513,    -1,  2747,    -1,    -1,    -1,
      -1,    -1,    -1,  4881,    -1,    -1,    -1,  2526,  2527,  2528,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2538,
    2539,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3844,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4948,    -1,    -1,    -1,    -1,  2594,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3876,  2018,    -1,  2020,    -1,     5,    -1,
    2024,    -1,  2026,    -1,    -1,  2029,    -1,    -1,    -1,  2033,
      -1,    -1,    -1,    -1,  2038,    -1,    -1,    -1,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    43,    44,    -1,    -1,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2712,  3987,    -1,    -1,    -1,    -1,   828,
      -1,    -1,    -1,    -1,    -1,  3998,  2725,   836,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2753,    -1,    -1,    -1,   867,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2186,    -1,    -1,    -1,    -1,    -1,    -1,  2193,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2202,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,   921,    -1,    -1,    -1,    -1,  3048,    -1,    -1,
      -1,   930,    -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4109,    -1,    -1,    -1,
      -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2266,    -1,    -1,    -1,    -1,  3088,  3089,    -1,
    3091,    -1,    -1,    -1,  4137,   262,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4149,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,
      -1,  2315,   299,    -1,    -1,  2319,    -1,    -1,    -1,    -1,
      -1,  2325,  3143,  2327,  3145,    -1,  2330,   314,    -1,    -1,
    4193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1040,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2945,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1075,  3198,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     387,  3222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3005,  3006,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3249,    -1,
      -1,    -1,    -1,  3022,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3262,   429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,    -1,    -1,    -1,    -1,  3065,  3066,    -1,    -1,
      -1,  3070,  4345,    -1,    -1,  2489,  3075,  3076,  3077,    -1,
      -1,    -1,    -1,  2497,    -1,  2499,    -1,   484,    -1,    -1,
      -1,    -1,    -1,   490,  3325,    -1,    -1,   494,   495,   496,
     497,   498,    -1,    -1,   501,   502,   503,    -1,  3339,    -1,
      -1,   508,  3111,  3112,  3113,  3114,    -1,    -1,    -1,  1228,
      -1,  3352,    -1,    -1,    -1,  1040,    -1,    -1,    -1,  1238,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3147,    -1,
      -1,  1260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1293,    -1,  4459,    -1,    -1,  3420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1260,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3440,
    3209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3217,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3465,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3501,    -1,    -1,    -1,    -1,    -1,    -1,  3276,  4551,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3286,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2712,  2713,
      -1,  4574,    -1,    -1,    -1,    -1,    -1,    -1,  1417,    -1,
      -1,    -1,    -1,    -1,  3313,  2729,  3315,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4604,    -1,    -1,    -1,    -1,  1445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3350,    -1,    -1,  3353,  1417,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1474,    -1,    -1,  3367,    -1,
    4643,    -1,    -1,    -1,  4647,  4648,    -1,    -1,    -1,    -1,
      -1,  3380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1502,  1503,    -1,  1505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3694,    -1,  1574,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1603,    -1,    -1,    -1,  1607,  1608,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2925,    -1,    -1,    -1,    -1,  2930,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1474,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1686,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1502,  1503,    -1,
    1505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1522,    -1,    -1,
      -1,    -1,    -1,  3844,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1686,    -1,    -1,    -1,    -1,    -1,
    1739,  3630,    -1,  3632,    -1,    -1,    -1,  3636,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3876,    -1,    -1,    -1,    -1,
      -1,    -1,  3651,    -1,    -1,    -1,    -1,  1766,    -1,  1574,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3668,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1739,  3677,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1603,    -1,
      -1,    -1,  1607,  1608,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1766,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3717,  3718,
    3719,  3720,  3721,  3722,  3723,    -1,    -1,  1836,    -1,  3728,
    3729,    -1,  3731,  3732,  3733,  3734,  3735,  3736,  3737,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1855,  3746,    -1,  3748,
    3749,    -1,    -1,    -1,    -1,    -1,  3987,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1873,    -1,    -1,  3998,    -1,    -1,
      -1,    -1,    -1,    -1,  1836,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1901,  1855,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1873,    -1,    -1,  3813,  3814,  3815,    -1,    -1,  3818,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3249,    -1,    -1,    -1,  1901,
      -1,    -1,    -1,    -1,  1953,    -1,    -1,    -1,  3262,    -1,
    1959,    -1,    -1,  1962,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3893,    -1,    -1,  1959,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3913,  3914,  3915,    -1,  4149,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3350,    -1,    -1,    -1,
    2049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2086,  2087,    -1,
      -1,    -1,    -1,    -1,    -1,  2094,    -1,    -1,  2097,    -1,
      -1,    -1,  2101,    -1,  3408,    -1,    -1,    -1,    -1,    -1,
    2109,  2110,    -1,    -1,    -1,    -1,    -1,    -1,  2117,    -1,
      -1,  2120,  2121,  2122,  2123,    -1,    -1,    -1,    -1,    -1,
      -1,  2130,  2131,    -1,  2133,    -1,  2135,  2136,    -1,    -1,
    2139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2155,  2156,    -1,    -1,
      -1,    -1,  2161,    -1,    -1,    -1,  2165,    -1,    -1,    -1,
    2169,    -1,  2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,
    2179,    -1,  2181,    -1,    -1,    -1,    -1,    -1,  2187,    -1,
      -1,  2190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2155,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4345,    -1,    -1,    -1,    -1,    -1,
      -1,  4120,  4121,  4122,  4123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2252,    -1,    -1,  4145,  4146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4157,  4158,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4173,  4174,    -1,  4176,    -1,  2094,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3603,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2117,    -1,    -1,  2120,    -1,    -1,  2123,    -1,
      -1,    -1,    -1,    -1,    -1,  2130,  2131,    -1,    -1,    -1,
      -1,  2136,    -1,    -1,  2139,    -1,    -1,    -1,  4459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2156,    -1,    -1,    -1,    -1,  2161,    -1,    -1,    -1,
    2165,    -1,    -1,    -1,  2169,    -1,  2171,  2172,  2173,  2174,
    2175,  2176,  2177,  2178,  2179,    -1,  2181,    -1,    -1,    -1,
    2379,    -1,  2187,    -1,    -1,  2190,  2385,  4276,    -1,    -1,
    3694,    -1,  2391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3710,    -1,    -1,    -1,
    4299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2427,    -1,
    4551,    -1,  4321,  2432,  2433,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2444,    -1,  2252,    -1,    -1,
      -1,    -1,    -1,  4574,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2427,    -1,    -1,    -1,    -1,
    2432,  2433,    -1,  4604,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4380,  2444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4393,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4643,    -1,    -1,    -1,  4647,  4648,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2379,    -1,  2575,    -1,  2577,    -1,
      -1,    -1,    -1,    -1,  4473,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3918,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2577,    -1,    -1,    -1,    -1,
    4519,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2647,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4557,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2647,  2695,    -1,    -1,    -1,
      -1,    -1,    -1,  4592,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4602,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1260,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2747,  4638,
      -1,    -1,  4056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2761,    -1,    -1,    -1,  4655,  2766,    -1,    -1,
    2575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4082,    -1,
      -1,    -1,    -1,  2782,  2783,    -1,    -1,    -1,    -1,  2788,
      -1,    -1,    -1,    -1,    -1,  2747,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2813,  2814,    -1,    -1,    -1,  2818,
      -1,    -1,    -1,    -1,  4713,    -1,    -1,    -1,    -1,    -1,
    4134,  2830,  2831,  2832,  2833,    -1,    -1,    -1,    -1,    -1,
      -1,  4730,    -1,    -1,  2843,    -1,    -1,  2846,    -1,  2848,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2858,
    2859,    -1,    -1,  2862,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2875,    -1,  2877,    -1,
      -1,    -1,  2881,  1417,    -1,    -1,    -1,    -1,    -1,    -1,
    2695,    -1,    -1,    -1,    -1,    -1,  4785,    -1,  2897,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2908,
      -1,  2910,  2911,  2912,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1518,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2934,  4240,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2947,    -1,
      -1,    -1,    -1,  2952,    -1,    -1,    -1,    -1,    -1,    -1,
    2959,    -1,    -1,    -1,    -1,    -1,  2965,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2783,    -1,
      -1,    -1,    -1,  2788,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1589,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2830,  3025,  2832,  2833,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2843,    -1,
      -1,  2846,    -1,  2848,    -1,    -1,    -1,    -1,    -1,  3048,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2875,    -1,  2877,    -1,    -1,    -1,  2881,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3088,
    3089,    -1,  3091,    -1,    -1,    -1,  3048,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2910,  2911,  2912,    -1,  4413,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2934,
      -1,    -1,    -1,    -1,    -1,    -1,  3088,  3089,    -1,  3091,
      -1,    -1,  2947,    -1,  3143,    -1,  3145,  2952,    -1,    -1,
      -1,    -1,  1686,    -1,  2959,  4459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3143,    -1,  3145,    -1,    -1,    -1,    -1,    -1,  3198,
      -1,    -1,    -1,    -1,    -1,  1739,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1260,    -1,    -1,    -1,    -1,    -1,
    3025,    -1,    -1,  3222,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1766,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3198,    -1,    -1,    -1,
    3249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3262,    -1,    -1,    -1,    -1,    -1,    -1,
    3222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3249,    -1,    -1,
      -1,    -1,  1836,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1855,    -1,    -1,    -1,    -1,  3325,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1873,
    3339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3352,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1901,    -1,    -1,
      -1,  1417,    -1,  3325,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3382,    -1,    -1,    -1,  3339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3352,    -1,    -1,    -1,    -1,    -1,  2001,    -1,    -1,    -1,
      -1,    -1,  4716,    -1,    -1,    -1,    -1,    -1,  3417,    -1,
      -1,  3420,    -1,    -1,    -1,  1959,    -1,    -1,  3427,    -1,
      -1,    -1,    -1,    -1,  3433,    -1,  3435,    -1,    -1,    -1,
      -1,  3440,  3441,    -1,    -1,  3444,  3445,  3446,  3447,  3448,
    3449,  3450,  3451,  3452,  3453,    -1,    -1,    -1,  3457,  3458,
      -1,    -1,    -1,    -1,    -1,    -1,  3465,    -1,  3420,    -1,
      -1,  3470,    -1,    -1,    -1,  3474,    -1,    -1,    -1,  3478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3440,  3488,
      -1,    -1,  3491,    -1,  3493,    -1,    -1,  2092,    -1,    -1,
      -1,    -1,  3501,  3502,  3503,  3504,    -1,    -1,    -1,  3508,
      -1,    -1,  3511,  3465,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2116,  3521,    -1,    -1,    -1,  2121,    -1,    -1,    -1,
      -1,    -1,  3531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3539,    -1,  3541,    -1,    -1,    -1,  2141,  2142,    -1,  3501,
    2145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3586,    -1,    -1,
    2185,    -1,    -1,  3592,    -1,    -1,    -1,    -1,    -1,  3598,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2155,  3427,    -1,  3623,    -1,    -1,    -1,  3433,    -1,
    3435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1686,    -1,    -1,    -1,  2239,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3457,  3458,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2262,    -1,    -1,
      -1,    -1,    -1,  3478,    -1,    -1,    -1,  2272,    -1,    -1,
    2275,    -1,    -1,  3488,    -1,    -1,  3491,    -1,  3493,    -1,
      -1,    -1,    -1,  1739,    -1,  3694,    -1,  3502,    -1,    -1,
      -1,    -1,    -1,  3508,    -1,    -1,  3511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1766,    -1,    -1,    -1,    -1,    -1,  3531,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3539,    -1,  3541,    -1,    -1,    -1,
      -1,    -1,  3694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3586,    -1,    -1,    -1,    -1,    -1,  3592,    -1,    -1,
    1836,    -1,    -1,  3598,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1855,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3819,    -1,    -1,    -1,    -1,    -1,    -1,  1873,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3844,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1901,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3876,  3877,  3878,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3844,  2427,    -1,    -1,    -1,    -1,  2432,  2433,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2444,    -1,    -1,  1959,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3876,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3937,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3974,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3984,  3985,    -1,  3987,    -1,
      -1,    -1,    -1,  3992,  3993,    -1,    -1,    -1,  3997,  3998,
      -1,    -1,    -1,    -1,  4003,  4004,    -1,    -1,  4007,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4022,    -1,    -1,    -1,  4026,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3987,  4035,    -1,    -1,    -1,
      -1,  4040,    -1,  2577,    -1,    -1,  3998,    -1,    -1,    -1,
      -1,    -1,    -1,  4052,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3877,  3878,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2155,
    4109,    -1,    -1,  2647,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3937,    -1,    -1,    -1,    -1,    -1,  4137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4149,    -1,    -1,    -1,    -1,    -1,    -1,  4109,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3984,
    3985,    -1,    -1,    -1,    -1,  4137,    -1,    -1,    -1,    -1,
      -1,  2786,  3997,    -1,  4193,    -1,    -1,  4149,  4003,  4004,
      -1,    -1,  4007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2747,  2809,    -1,  2811,    -1,  2813,  2814,
    2815,    -1,    -1,  2818,    -1,    -1,    -1,  2822,    -1,    -1,
    4035,    -1,    -1,    -1,  2829,  4040,    -1,    -1,    -1,  2834,
      -1,  4193,    -1,    -1,    -1,  2840,    -1,  4052,    -1,    -1,
    2845,    -1,    -1,    -1,    -1,    -1,    -1,  4256,    -1,  2854,
      -1,    -1,    -1,  2858,  2859,    -1,  2861,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2873,    -1,
      -1,    -1,    -1,    -1,    -1,  2880,  4091,  2882,  2883,  2884,
    2885,  2886,  2887,  2888,  2889,  2890,  2891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4308,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4341,    -1,    -1,    -1,  4345,    -1,    -1,    -1,
      -1,  4350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4367,  4368,
      -1,    -1,  4371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2427,    -1,  4382,    -1,    -1,  2432,  2433,  4387,    -1,
      -1,  4390,    -1,  4345,    -1,    -1,  4395,  4396,  2444,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3040,    -1,    -1,    -1,    -1,
      -1,  4256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4459,    -1,    -1,    -1,  4463,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4500,    -1,    -1,    -1,    -1,    -1,  4459,    -1,    -1,
      -1,    -1,    -1,    -1,  3048,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2577,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4549,    -1,  4551,    -1,  3088,  3089,    -1,  3091,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4371,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4573,  4574,    -1,  4576,    -1,  4578,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4396,    -1,    -1,    -1,    -1,  4595,    -1,    -1,  4551,
    4599,  2647,    -1,    -1,    -1,  4604,    -1,    -1,    -1,  3143,
      -1,  3145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4643,    -1,    -1,    -1,  4647,  4648,
      -1,    -1,  4604,    -1,    -1,  3250,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3198,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4681,    -1,    -1,    -1,    -1,    -1,  3222,    -1,
      -1,  4643,    -1,    -1,    -1,  4647,  4648,    -1,    -1,    -1,
      -1,  2747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4709,    -1,    -1,    -1,    -1,  3249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4739,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4756,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4576,    -1,    -1,    -1,    -1,  3371,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4595,  3325,  4791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4801,    -1,    -1,  3339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3352,    -1,
      -1,  3416,    -1,  4822,  4823,    -1,    -1,  3422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4835,    -1,    -1,    -1,
      -1,    -1,    -1,  3438,  3439,    -1,  3441,    -1,    -1,  3444,
    3445,  3446,  3447,  3448,  3449,  3450,  3451,  3452,  3453,  3454,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4871,    -1,    -1,    -1,  4681,    -1,    -1,    -1,
      -1,    -1,  4881,    -1,  3479,    -1,  3420,  3482,    -1,  3484,
      -1,    -1,    -1,    -1,  3489,  3490,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3440,    -1,  3503,  3504,
    3505,    -1,  3507,    -1,    -1,  3510,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4948,
      -1,  4756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3501,    -1,    -1,
      -1,    -1,  3567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3579,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4822,  4823,    -1,
      -1,    -1,    -1,    -1,    -1,  3620,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3088,  3089,    -1,  3091,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4871,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4881,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3143,    -1,  3145,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4939,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3262,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3819,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3325,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3352,    -1,    -1,    -1,
    3844,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3876,  3938,    -1,    -1,    -1,  3942,  3943,  3944,
      -1,    -1,  3947,    -1,    -1,    -1,    -1,  3952,  3953,  3954,
    3955,  3956,  3957,  3958,  3959,  3960,  3961,  3962,  3963,    -1,
      -1,    -1,    -1,    -1,  3420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3440,    -1,  3991,  3992,  3993,  3994,
      -1,  3996,    -1,    -1,    -1,  4000,  4001,  4002,    -1,    -1,
    4005,    -1,    -1,  4008,    -1,    -1,    -1,    -1,    -1,  3465,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3987,  4049,  3501,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3998,    -1,    -1,    -1,    -1,    -1,
      -1,  4066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4109,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4137,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4149,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3694,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4193,
      -1,    -1,    -1,    -1,  4259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4305,  4306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4337,    -1,    -1,    -1,  4341,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4355,    -1,  4357,    -1,    -1,    -1,    -1,  4362,  4363,  4364,
      -1,    -1,  4367,  4368,  4369,  4370,    -1,  4372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3844,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3876,  4426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3987,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3998,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4572,  4573,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4588,  4589,  4590,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4607,    -1,    -1,    -1,    -1,  4551,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4109,    -1,    -1,    -1,    -1,    -1,    -1,
    4604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4149,    -1,    -1,    -1,    -1,    -1,  4643,
      -1,    -1,    -1,  4647,  4648,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4719,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4729,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4193,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4790,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4834,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4874,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4345,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4918,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4459,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4551,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4574,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,  4604,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,  4643,    -1,    -1,
      -1,  4647,  4648,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     3,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,   509,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   101,    -1,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,   115,
      -1,    -1,   118,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,   138,    -1,   140,   141,   142,    -1,   144,    -1,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   158,    -1,   160,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
     176,   177,   178,   179,    -1,    -1,    -1,    -1,    -1,   185,
      -1,    -1,    -1,    -1,    -1,   191,    -1,   193,    -1,    -1,
      -1,   197,    -1,    -1,    -1,    -1,    -1,   203,   204,    -1,
      -1,    -1,    -1,    -1,   210,   211,   212,    -1,    -1,   215,
      -1,    -1,   218,    -1,   220,    -1,    -1,    -1,    -1,    -1,
     226,    -1,   228,    -1,    -1,    -1,   232,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,   257,    -1,    -1,   260,    -1,    -1,   263,    -1,   265,
      -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   281,   282,    -1,   284,    -1,
     286,   287,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   300,    -1,    -1,   303,   304,   305,
      -1,    -1,   308,    -1,    -1,   311,   312,    -1,    -1,   315,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,   331,   332,   333,   334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
     346,    -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   358,   359,    -1,    -1,    -1,    -1,   364,    -1,
     366,    -1,    -1,    -1,    -1,   371,    -1,    -1,    -1,    -1,
     376,   377,    -1,   379,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,   388,   389,    -1,    -1,    -1,    -1,    -1,    -1,
     396,   397,    -1,   399,   400,    -1,   402,    -1,    -1,    -1,
      -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,
      -1,    -1,    -1,   419,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,   432,    -1,   434,    -1,
     436,    -1,   438,    -1,    -1,    -1,    -1,   443,    -1,    -1,
     446,    -1,    -1,   449,    -1,    -1,   452,    -1,    -1,    -1,
      -1,   457,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   469,    -1,    -1,    -1,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,   503,    26,    27,
      -1,   507,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
      -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,
     268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   281,   282,    -1,   284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   303,   304,   305,    -1,    -1,
     308,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,   317,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,   331,   332,   333,   334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,
      -1,    -1,   400,    -1,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,   432,    -1,   434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,   510,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
      -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,
     268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   281,   282,    -1,   284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   303,   304,   305,    -1,    -1,
     308,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,   317,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,   331,   332,   333,   334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,
      -1,    -1,   400,    -1,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,   432,    -1,   434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,   510,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,   450,    -1,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   495,   496,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,   450,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,    -1,    -1,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,    -1,   345,    -1,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
     458,   459,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   504,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,    -1,    -1,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,    -1,   345,    -1,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
      -1,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   504,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,   450,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,
      -1,    -1,    -1,   501,   502,   503,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   494,   495,   496,    -1,    -1,
      -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,   450,    -1,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,   450,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,   450,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,   450,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,    -1,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,    -1,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,    -1,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,    -1,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,    -1,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,   450,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,   312,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
     324,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,   450,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   503,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
      -1,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,   324,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   503,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,   312,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,   450,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   503,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
      -1,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   503,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     504,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   504,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
     502,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,   433,    -1,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,    -1,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     5,     6,
       7,     8,     9,    10,    11,    12,    13,   496,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,    -1,   310,   311,   312,   313,    -1,    -1,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,    -1,   345,    -1,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,   496,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   496,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,   496,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,     4,   490,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,   312,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,    -1,    -1,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,    -1,   345,    -1,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
      -1,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,    -1,   345,    -1,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,    -1,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,   486,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,   312,   313,    -1,    -1,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,    -1,   345,    -1,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,   312,   313,    -1,    -1,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,    -1,   345,
      -1,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,    -1,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,
     486,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
      -1,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,   283,
     284,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
      -1,    -1,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
      -1,   345,    -1,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,    -1,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     484,   485,   486,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,    -1,    -1,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,    -1,   345,    -1,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
      -1,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,    -1,    -1,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,    -1,   345,    -1,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,    -1,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,    -1,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,   486,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,    -1,   121,    -1,    -1,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,    -1,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,    -1,
      -1,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
      -1,   219,    -1,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
      -1,   259,   260,   261,    -1,    -1,    -1,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,    -1,   306,   307,
      -1,    -1,   310,   311,   312,   313,    -1,    -1,   316,    -1,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,    -1,   345,    -1,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,    -1,
     398,   399,   400,   401,    -1,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,    -1,
      -1,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,    -1,
      -1,   145,   146,   147,   148,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,   160,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
     232,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,   232,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,   163,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,   324,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,   324,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,   324,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
      -1,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,
      -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,    -1,
     215,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,
      -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,   257,    -1,    -1,    -1,    -1,    -1,   263,    -1,
     265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   281,   282,    -1,   284,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,   304,
     305,    -1,    -1,   308,    -1,    -1,    -1,   312,    -1,    -1,
     315,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   330,   331,   332,   333,   334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,
      -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   377,    -1,    -1,   380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   397,    -1,    -1,   400,    -1,   402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,    -1,    -1,    -1,   432,    -1,   434,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,    -1,    -1,   461,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,
      -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,   211,    -1,    -1,    -1,   215,    -1,
      -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,
      -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
     257,    -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,
      -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   281,   282,    -1,   284,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   303,   304,   305,    -1,
      -1,   308,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,
     317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,   331,   332,   333,   334,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,   346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     377,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     397,    -1,    -1,   400,    -1,   402,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,   428,    -1,    -1,    -1,   432,    -1,   434,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,
      -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,
      -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,
     269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   281,   282,    -1,   284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   303,   304,   305,    -1,    -1,   308,
      -1,    -1,    -1,   312,    -1,    -1,   315,    -1,   317,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,   331,   332,   333,   334,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,
      -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,    -1,
      -1,   400,    -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,
      -1,    -1,    -1,   432,    -1,   434,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,
      -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,
     121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,
      -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,
     211,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,   220,
      -1,    -1,    -1,    -1,    -1,   226,    -1,   228,    -1,    -1,
      -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   256,   257,    -1,    -1,    -1,
      -1,    -1,   263,    -1,   265,    -1,    -1,   268,   269,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     281,   282,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   303,   304,   305,    -1,    -1,   308,    -1,    -1,
      -1,   312,    -1,    -1,   315,    -1,   317,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
     331,   332,   333,   334,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,   346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,    -1,   380,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   397,    -1,    -1,   400,
      -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,   432,    -1,   434,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,
     461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,
      -1,    -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,
      -1,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,
     263,    -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   281,   282,
      -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     303,   304,   305,    -1,    -1,   308,    -1,    -1,    -1,   312,
      -1,    -1,   315,    -1,   317,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,   331,   332,
     333,   334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   377,    -1,    -1,   380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   397,    -1,    -1,   400,    -1,   402,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,   432,
      -1,   434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,   461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,    -1,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    71,   485,   486,    -1,    -1,    -1,
      -1,    -1,    79,    80,   494,   495,   496,    -1,    -1,    -1,
      -1,    -1,    -1,   503,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,   485,   486,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,   503,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,    -1,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,   485,   486,    -1,    -1,    -1,    -1,
      -1,    71,    72,   494,   495,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,    -1,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,   485,   486,    -1,    -1,    -1,
      -1,    -1,    71,    72,   494,   495,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
      -1,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,   485,   486,    -1,    -1,
      -1,    -1,    -1,    71,    -1,   494,   495,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,   485,   486,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
     312,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,   485,   486,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    71,   485,
     486,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    71,   485,   486,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,    -1,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    71,   485,   486,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    71,   485,   486,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,   170,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,   312,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,   450,    -1,   452,   453,
     454,   455,   456,    -1,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      71,   485,   486,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,    -1,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    71,   485,   486,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,   235,   236,    -1,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    71,   485,   486,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    71,
     485,   486,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
     312,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    71,   485,   486,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
      -1,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    71,   485,   486,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    71,   485,
     486,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    71,   485,   486,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,    -1,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,   485,   486
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   512,  1050,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   220,   240,
     262,   296,   299,   314,   387,   429,   443,   458,   484,   490,
     494,   495,   496,   497,   498,   501,   502,   503,   504,   506,
     507,   508,   509,   510,  1041,  1051,  1079,  1081,  1172,  1182,
    1183,  1185,  1191,  1192,  1080,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   210,   211,   212,   215,   218,   220,   226,
     228,   232,   234,   243,   256,   257,   263,   265,   268,   269,
     271,   281,   282,   284,   286,   287,   292,   300,   303,   304,
     305,   308,   311,   312,   315,   317,   330,   331,   332,   333,
     334,   344,   346,   348,   358,   359,   364,   366,   371,   376,
     377,   379,   380,   383,   388,   389,   396,   397,   399,   400,
     402,   407,   415,   419,   427,   428,   432,   434,   436,   438,
     443,   446,   452,   457,   458,   461,   469,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   503,   513,   514,   520,
     521,   523,   524,   525,   526,   527,   528,   529,   531,   532,
     536,   547,   550,   551,   554,   555,   556,   567,   570,   571,
     586,   625,   626,   633,   639,   641,   643,   644,   647,   650,
     651,   655,   656,   665,   669,   670,   671,   675,   676,   678,
     679,   680,   693,   694,   695,   696,   707,   708,   715,   716,
     719,   720,   721,   722,   723,   728,   730,   733,   737,   741,
     742,   752,   753,   756,   761,   772,   791,   794,   795,   796,
     799,   802,   804,   806,   809,   812,   813,   814,   821,   822,
     824,   825,   826,   831,   833,   834,   838,   839,   842,   843,
     844,   846,   847,   848,   849,   851,   854,   855,   860,   866,
     869,   871,   876,   878,   882,   889,   893,   894,   895,   896,
     897,   898,   901,   928,  1047,  1048,  1052,  1054,  1055,  1072,
    1073,  1074,  1075,  1086,  1088,  1092,  1093,  1094,  1095,  1096,
    1098,  1100,  1102,  1103,  1104,  1105,  1107,  1112,  1113,  1117,
    1118,  1127,  1129,  1130,  1131,  1134,  1139,  1142,  1147,  1149,
    1150,  1153,  1155,  1158,  1167,  1185,  1193,    73,  1075,  1083,
    1084,    14,    72,    91,    92,    93,    94,    95,    96,    97,
      98,   100,   101,   102,   110,   111,   113,   114,   116,   117,
     118,   125,   126,   127,   128,   129,   132,   133,   136,   138,
     139,   140,   141,   146,   147,   148,   149,   151,   154,   155,
     156,   157,   158,   159,   162,   171,   172,   173,   174,   176,
     179,   181,   183,   184,   185,   186,   187,   189,   190,   191,
     194,   195,   196,   197,   198,   200,   201,   202,   204,   205,
     207,   208,   209,   210,   212,   213,   214,   217,   219,   221,
     223,   225,   229,   230,   231,   233,   236,   238,   239,   241,
     242,   244,   245,   246,   248,   249,   250,   251,   252,   253,
     255,   259,   260,   261,   267,   270,   272,   273,   274,   275,
     276,   277,   278,   280,   283,   286,   287,   288,   291,   292,
     293,   294,   295,   297,   298,   300,   301,   302,   306,   307,
     310,   311,   313,   316,   318,   319,   320,   322,   325,   326,
     327,   335,   336,   337,   338,   339,   340,   341,   343,   345,
     347,   348,   349,   351,   352,   353,   354,   355,   356,   357,
     359,   360,   361,   362,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   375,   376,   378,   379,   381,   382,
     383,   384,   385,   386,   388,   390,   391,   392,   393,   394,
     396,   398,   399,   401,   403,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   417,   418,   420,   421,   422,
     423,   424,   425,   429,   431,   433,   436,   437,   438,   439,
     440,   441,   442,   445,   446,   447,   448,   449,   452,   453,
     454,   455,   456,   460,   462,   463,   464,   467,   470,   471,
     472,   473,   474,   485,   486,  1042,  1045,  1046,  1047,  1048,
    1065,  1066,  1177,  1179,  1183,  1185,    29,   258,  1128,     9,
      13,    15,    28,    45,    46,    50,    51,    56,    65,    67,
      69,    70,    99,   134,   152,   163,   175,   180,   240,   296,
     299,   387,   457,   484,  1034,  1046,  1047,  1067,  1114,  1115,
    1157,  1158,  1159,  1163,  1168,  1169,  1170,  1179,  1185,    99,
     890,  1033,  1067,  1163,  1176,    14,   890,     5,    25,    29,
      35,    36,    43,    44,    99,   103,   104,   105,   106,   107,
     108,   109,   112,   124,   130,   131,   134,   137,   143,   145,
     152,   153,   160,   163,   164,   165,   166,   168,   169,   170,
     180,   182,   188,   192,   193,   199,   203,   206,   216,   218,
     222,   224,   227,   232,   235,   237,   247,   254,   258,   262,
     264,   266,   279,   285,   289,   290,   309,   314,   321,   323,
     324,   328,   329,   342,   350,   363,   374,   389,   395,   404,
     416,   419,   426,   429,   430,   435,   443,   444,   450,   451,
     457,   459,   465,   466,   468,   469,  1046,  1049,  1159,  1160,
    1161,  1165,  1166,  1167,  1168,  1170,    25,    35,   134,   262,
    1154,    38,    40,   309,  1087,   431,   471,   827,    98,   144,
     157,   174,   180,   195,   213,   224,   229,   235,   250,   275,
     325,   353,   378,   384,   390,   393,   419,   421,   425,   433,
     438,   450,   463,   640,  1115,   179,   827,    99,   890,   461,
     856,   323,   349,   827,   121,   577,   894,    98,   110,   131,
     144,   153,   174,   180,   195,   213,   224,   231,   235,   288,
     325,   328,   378,   384,   393,   421,   422,   424,   425,   433,
     438,   444,   447,   450,   587,   711,   762,   773,  1034,  1056,
    1057,  1058,  1067,  1183,  1185,    14,    99,   348,  1033,  1067,
    1071,   408,   890,    99,   343,   422,   424,   274,   800,   801,
    1183,    98,   110,   131,   144,   157,   174,   195,   213,   224,
     229,   235,   250,   325,   335,   378,   382,   384,   390,   393,
     419,   421,   425,   433,   438,   450,   463,   640,   724,   827,
     509,  1097,  1161,   244,  1071,   160,   179,   210,   461,   503,
     855,   861,   869,   871,   876,   882,   889,   893,  1052,    92,
      99,   116,   219,   225,   227,   247,   276,   306,   351,   365,
     494,   495,   738,   739,   890,  1041,  1044,  1177,  1179,    99,
     160,   363,   389,   743,   744,   745,  1163,  1163,  1038,  1183,
     419,   904,   116,   225,   738,  1163,   431,  1071,   335,   174,
     250,   418,   419,   807,   383,  1163,    99,   134,   394,   427,
     431,   457,   539,  1046,  1047,  1157,  1162,  1168,  1170,  1185,
      96,   232,   743,   744,   349,   827,  1163,   273,    99,   192,
     906,     4,    14,   132,   152,   154,   288,   302,   378,   384,
     394,   427,   431,   474,   537,   538,   539,    99,   394,   427,
     431,   539,   431,   324,   937,  1031,  1163,   904,  1151,  1161,
     496,  1163,   228,   503,   857,   503,  1027,   361,   899,   900,
    1033,   894,   895,   898,   507,   856,   206,   264,   329,   443,
     907,   908,   894,   896,   897,   185,   260,   449,   506,   118,
     513,  1095,  1098,  1094,  1090,   507,  1099,  1101,     5,    25,
      35,   134,   196,   262,  1106,   175,   240,   296,   299,   387,
     484,   503,   968,   969,  1078,  1082,  1172,    73,  1075,  1033,
    1067,  1186,   180,  1056,    21,   451,   497,  1071,  1071,  1186,
     451,  1119,  1120,  1121,    25,   262,   262,  1165,     7,    19,
      20,    39,    42,   156,   193,  1156,  1156,    16,  1095,  1039,
    1048,  1157,  1160,  1163,  1164,  1168,  1169,  1185,   726,  1163,
     726,  1034,   352,   726,   726,  1033,  1163,   173,   419,   751,
    1039,  1042,   242,  1031,   318,    85,   139,   217,   490,   491,
     492,   494,   495,   496,   497,   498,   499,   798,   994,   995,
    1163,  1042,  1033,   242,  1031,  1033,   242,   937,  1033,   386,
    1033,   726,   293,  1042,   242,  1031,   274,    34,   182,   270,
     309,   357,   828,   829,   830,  1031,  1037,  1163,    98,   131,
     144,   145,   153,   157,   174,   195,   213,   224,   229,   250,
     275,   325,   378,   382,   384,   390,   393,   419,   421,   425,
     433,   438,   463,   640,   731,  1183,  1031,   429,  1039,  1033,
     503,   726,   433,  1034,   726,   242,  1033,   173,   419,   422,
     424,  1042,   422,   424,   139,   217,   798,   369,  1042,   533,
    1163,  1033,  1033,   386,  1033,   726,   293,  1042,   390,   419,
     463,   157,   250,   229,   382,   437,   634,    85,  1059,  1060,
     508,  1179,  1186,    99,  1071,  1185,   891,   546,  1045,  1183,
     801,   242,  1039,  1033,   242,   805,   242,  1034,   173,   419,
     242,  1039,   242,  1042,  1043,   150,   139,   217,   242,   798,
     125,   242,  1043,   242,  1033,   242,  1033,   242,  1033,   386,
     242,  1033,   242,   293,  1043,   274,   242,   725,   726,   503,
     509,  1187,  1188,  1189,  1190,  1192,  1097,    71,  1067,  1116,
     503,   870,   587,   890,   861,   855,   862,   863,   864,  1045,
     856,  1044,   739,   740,    99,   739,   890,  1044,   740,    99,
     739,   890,  1044,   740,   740,   740,  1044,  1041,  1041,   266,
     451,  1121,  1122,  1196,  1198,   890,   740,   352,   503,   503,
     606,   606,   606,   323,   429,   506,   606,   937,   938,   739,
     890,   739,   890,   506,   823,  1183,   227,   503,   867,   125,
    1033,  1033,  1031,  1163,   115,   486,   270,   505,   326,   326,
     323,   227,  1183,   429,   222,   734,   323,    83,    84,    85,
      87,   107,   120,   122,   123,   130,   131,   134,   135,   142,
     144,   164,   165,   166,   167,   168,   169,   170,   177,   178,
     196,   211,   215,   216,   220,   234,   262,   263,   265,   281,
     289,   290,   303,   305,   309,   314,   315,   317,   325,   334,
     344,   358,   380,   395,   402,   415,   427,   428,   432,   434,
     435,   444,   450,   458,   476,   477,   478,   479,   480,   481,
     482,   483,   494,   495,   496,   503,   894,   949,   952,   955,
     956,   957,   959,   960,   961,   962,   965,   966,   970,   972,
     973,   992,   996,  1015,  1020,  1028,  1029,  1039,  1040,  1041,
    1163,  1175,  1177,  1179,  1180,  1181,  1182,  1183,   429,   490,
    1186,  1183,   429,   490,  1115,    99,   552,  1030,  1031,   394,
     537,   180,   545,  1183,   546,  1183,   115,   136,   537,   486,
     403,   829,   326,   227,   429,   490,   115,   486,   270,  1196,
     830,   503,  1031,   496,   501,   505,  1021,  1022,   938,  1167,
     226,   228,   461,   852,   853,   855,   226,   858,   180,   970,
    1025,  1026,   899,   506,   503,   859,   504,   504,  1031,    99,
     192,   905,   905,   125,   905,   218,   222,   285,   321,   911,
     913,   914,   923,   925,   926,   907,   908,   227,   266,   937,
     939,  1027,   507,  1089,   496,  1108,  1109,  1111,   509,   509,
      25,   262,   262,   429,   429,   429,   429,   503,   429,   494,
     495,   631,  1044,  1076,  1182,   203,   108,  1063,   125,  1066,
    1066,   266,  1121,  1123,   266,  1121,  1122,  1123,   456,  1132,
    1133,  1179,    14,    37,    84,   494,   495,  1041,  1124,  1125,
    1126,  1175,  1177,  1181,  1182,  1183,  1184,   262,   268,  1033,
     429,  1033,     6,  1033,  1156,  1111,   503,   701,  1022,   336,
     367,   396,   505,   727,   336,   367,   396,   336,   367,   396,
     469,   515,   547,   548,   757,    95,   197,   336,   367,   396,
     454,   559,   396,    95,   197,   449,   530,   472,   242,   937,
     127,   159,   214,   245,   280,   309,   336,   367,   375,   381,
     388,   396,   405,   413,   464,   547,   549,   785,   792,   503,
     774,   367,   530,   211,    95,   101,   141,   190,   197,   200,
     252,   307,   309,   319,   327,   336,   367,   371,   396,   454,
     557,   558,   659,   631,   726,   726,   503,   797,   505,   247,
     367,   515,   522,   336,   367,   211,   126,   172,   249,   295,
     297,   307,   335,   367,   372,   396,   407,   557,   628,   629,
     336,   367,   462,   659,   667,   211,   367,   396,   557,   336,
     367,   371,   396,   151,   189,   337,   423,   323,    95,   101,
     197,   336,   367,   396,   568,   569,   222,   367,   515,   522,
     211,   367,   396,   557,  1033,   507,   283,   182,   324,   473,
     506,   828,   451,   850,   323,  1039,   503,  1033,   173,   419,
    1039,   318,   139,   217,   798,  1033,   386,  1033,   274,   726,
     606,   410,   411,   573,  1183,   503,   701,   702,   137,   120,
     122,   123,   134,   135,   177,   178,   220,   263,   265,   303,
     305,   317,   358,   397,   402,   427,   428,   458,   946,   948,
     950,   952,   954,   956,   957,   958,   960,   961,   965,   966,
    1157,  1164,  1168,  1169,  1185,   227,   503,   697,  1033,   515,
     108,   845,   309,   515,   472,   242,  1031,   515,   726,   726,
     697,   587,   515,   115,   534,   438,   666,   336,   642,   151,
     189,   337,   423,    97,   117,   261,   681,   108,   697,   222,
     515,  1031,   242,   623,  1031,  1031,   726,   150,   763,  1039,
    1033,   640,    74,  1061,  1163,   508,  1062,  1059,   121,   171,
     259,   307,   385,   211,   701,   128,   373,   560,   211,   503,
     211,   472,   211,   774,   211,   506,   242,   725,   242,   726,
     242,   726,   211,   797,  1043,   211,   211,   323,   211,   560,
     211,   151,   189,   337,   423,   211,   323,   211,   222,   242,
     242,   546,   211,   506,   560,   504,  1188,  1189,  1187,   506,
     510,   970,   999,  1120,  1195,  1196,   419,   891,   504,   506,
     216,   323,   435,   543,   546,   631,   865,   861,   740,   890,
     740,   890,  1198,  1199,   740,   890,   740,   890,  1199,   740,
     890,   890,   890,   740,    14,    37,  1171,  1174,  1179,   890,
     503,   607,   608,  1163,   607,    99,   174,   195,   224,   229,
     274,   275,   384,   390,   419,   421,   438,   746,  1030,  1043,
     745,   247,   506,   879,   890,   890,  1183,  1116,   946,  1002,
     108,  1043,   223,   808,   808,   808,   283,  1163,   222,   222,
     746,  1043,   383,  1163,   546,   323,   503,   501,   894,  1003,
     460,   963,   970,  1019,   503,   963,   963,   503,   222,   503,
     503,   503,   951,   951,   346,   894,   503,   503,   953,   503,
     503,   503,   503,   134,   135,   963,   970,   503,   951,   503,
     503,   503,   503,   503,   470,   489,   503,   967,   503,   967,
     503,   503,   894,   503,   503,   503,   503,   503,   503,   503,
     503,   970,   970,   457,   894,   970,   999,  1022,  1183,   135,
     503,   964,   503,  1183,    85,    88,   105,   108,   113,   119,
     143,   243,   247,   268,   269,   284,   309,   312,   325,   328,
     400,   490,   491,   492,   494,   495,   496,   497,   498,   499,
     994,   996,   998,  1185,   333,   970,   266,   506,   902,  1196,
     503,  1183,  1022,    22,  1178,  1179,  1023,   320,   323,  1148,
    1148,    10,   456,  1135,  1136,  1138,  1115,  1115,   183,   244,
     553,   506,   136,   180,   546,   108,   180,   288,   544,   631,
     966,  1183,  1185,  1183,   155,   194,   979,   163,   180,   540,
     541,   543,   631,   180,   540,  1196,  1196,   283,  1031,   970,
     496,  1036,  1165,  1021,   156,   372,   729,   268,   504,   506,
     856,   504,   506,   900,  1032,  1033,   108,   859,   896,   896,
     909,   910,   970,   896,   219,   306,   920,   357,   398,   449,
      99,   915,   970,   916,   918,   970,   972,   923,   924,   914,
     913,   911,   912,   222,   926,   911,   923,   939,  1031,   108,
    1163,   396,  1108,   496,   506,   507,  1166,  1085,  1088,  1085,
     262,   175,   240,   296,   969,   296,   969,   969,   299,  1041,
     296,   299,   387,  1182,  1182,   506,  1077,   179,  1115,   450,
    1064,  1066,  1033,    37,  1041,  1137,  1179,   506,   490,  1033,
      14,  1041,  1182,  1041,  1182,   506,  1095,   503,  1033,   503,
    1167,   496,  1002,   336,   367,   396,   429,   429,   384,  1036,
     505,   429,   429,   384,   429,   429,   421,   537,   840,   222,
     232,   247,   376,   758,   759,   137,   153,   207,   224,   350,
     444,   603,   604,   153,   180,   309,   429,   153,   429,   180,
     309,   384,   153,   384,   648,    98,   131,   144,   157,   195,
     224,   229,   325,   384,   390,   393,   419,   425,   438,   463,
     640,  1033,   211,   367,   396,   557,   323,   631,   388,   280,
     429,   429,   314,   631,   184,   267,   384,   394,   431,   538,
     373,   396,   785,   793,   247,   257,   330,   397,   459,   504,
     775,   778,   779,   780,   782,   946,  1164,   429,   450,  1031,
     145,   207,   594,   603,  1163,   145,   810,   323,   382,   433,
     153,   810,   102,   370,   382,   433,  1031,   252,   319,   726,
     503,   429,   429,   503,   563,   421,   469,   470,   563,   153,
     506,   336,   451,   451,   308,   946,   336,   396,   798,   174,
     429,   517,   396,   548,   429,   429,  1031,   631,   125,   630,
     631,   631,   172,   295,   297,   125,   429,   515,   384,   515,
     307,   629,   429,   429,   314,  1183,   659,   937,   153,   429,
     810,   384,   429,   429,   563,   563,   726,   726,   726,   726,
    1031,   114,   456,   114,   114,   429,   114,   429,   384,   506,
     170,   450,   677,  1042,   429,   517,   548,  1031,   429,   384,
     336,   367,   357,   368,   392,   542,   828,  1037,  1163,  1031,
     701,   946,   323,   472,   774,   631,   726,   726,   797,   268,
     323,   151,   189,   337,   423,   323,   726,   268,   469,   578,
     515,   703,   704,  1185,   697,   503,   948,   108,   107,   947,
     175,   299,   484,   503,   968,   727,   951,   726,   698,   699,
    1165,    97,   835,   946,   211,   645,  1033,   309,   503,   672,
     516,   711,   451,   463,   516,  1042,   160,   232,   535,   586,
     625,   680,   741,   761,   831,  1183,   667,   668,  1033,   291,
     726,   726,   726,   726,   319,   185,   260,   436,   449,   682,
     683,   204,   356,   503,   677,   516,   627,   628,   309,   108,
     319,   503,   606,   606,   222,   764,  1037,   503,   776,   108,
     274,   505,  1041,  1062,   469,   470,   892,   385,  1039,   560,
     946,  1034,   242,  1033,  1039,   560,  1043,  1042,   211,   560,
     211,   451,   211,   451,   798,   560,   560,  1043,  1033,   726,
    1033,  1033,  1033,   726,  1043,   677,   211,   211,   560,   725,
     726,   504,   510,  1190,   504,   506,  1196,  1197,  1120,  1031,
     171,   861,   863,   890,   890,  1199,   890,   890,  1199,   890,
     890,  1033,    14,   506,  1178,   607,   504,   506,   504,   230,
     391,   420,  1032,   725,   173,   393,   750,   751,  1032,   318,
    1032,  1030,  1030,  1032,   725,   429,   469,   754,    93,   209,
     380,   398,   880,   937,   313,   881,   504,   506,   868,   871,
     876,   882,   893,   429,   744,   743,   744,   227,   233,   755,
    1163,    98,   145,   174,   195,   224,   229,   275,   378,   384,
     390,   419,   421,   438,   463,   640,   735,   999,   502,   999,
    1003,  1004,   503,   465,  1016,  1017,   970,   999,   503,  1041,
    1041,   999,   175,   240,   296,   299,   387,   484,  1005,  1006,
    1183,  1185,  1041,   999,   999,  1041,  1041,   963,   963,   970,
     798,   970,  1007,   494,   495,   971,   972,   992,   996,  1009,
     504,   999,   970,   999,  1010,   427,   486,  1041,  1041,   970,
     124,   227,   279,   430,   970,   999,  1013,   999,   301,   972,
     970,   977,   978,   979,   301,   970,   979,   504,   506,   396,
    1041,  1041,   968,   946,   970,  1165,   427,   112,   416,  1024,
     726,   970,   503,   894,  1014,   192,   194,   216,   309,   314,
     319,   435,   445,   970,   119,   243,   247,   284,   400,   503,
     970,   429,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,    99,   106,   404,   993,   380,   503,   992,   231,
     288,   419,   422,   424,   447,   903,  1031,  1029,   227,   929,
      99,   192,   459,   496,   504,   780,   970,  1000,  1001,  1164,
    1033,  1179,  1021,  1137,   506,   490,  1031,   431,   503,  1183,
     506,  1196,   504,   502,   508,   241,   241,   560,  1095,  1031,
     853,   854,  1031,  1025,   504,   506,   503,   506,   109,   188,
     451,   770,   503,   917,  1044,   324,   319,   927,   927,   506,
     380,   381,   919,   924,   912,   451,   877,   180,   503,   872,
     893,  1163,   503,   883,   884,   885,   886,   887,  1163,   507,
    1109,   947,   510,  1088,   510,   504,   631,   504,    34,  1065,
    1140,  1141,  1179,  1133,  1138,  1186,  1124,   947,  1173,  1189,
    1173,   947,   504,   504,   429,   429,   384,  1042,  1033,  1033,
    1036,  1042,  1033,  1033,  1042,  1034,  1033,   152,   841,   378,
     450,   743,   384,   232,   743,   503,  1033,   451,   765,   272,
     272,   451,   503,   622,   242,  1033,   314,  1042,  1033,  1033,
     970,   314,  1033,  1033,  1033,   429,   649,  1039,   503,   726,
     726,   726,   173,   419,   751,   139,   217,   798,  1033,   726,
    1033,   726,   386,   726,   726,   274,   236,   307,   336,   367,
     455,   652,   653,   654,   937,   429,   810,   384,   314,   184,
     267,  1042,  1033,   323,  1033,   330,  1164,   504,   506,   780,
     782,   779,   782,  1164,   727,  1042,  1043,   367,   557,   594,
     946,  1163,  1033,  1033,    99,   450,  1033,   242,  1033,   242,
    1163,   382,   433,   382,   433,  1033,    99,   450,  1033,  1031,
      95,   197,   396,   660,   661,   662,   663,  1165,  1042,  1033,
     565,   566,  1165,  1033,   322,   141,   322,  1033,   558,   429,
    1035,  1163,  1035,   506,   504,   506,   429,   384,  1034,  1042,
     152,   202,   252,   341,   442,   450,   453,   518,  1185,  1042,
    1033,   367,   396,   557,   628,   631,   726,  1033,   631,  1033,
     631,  1042,  1033,   367,   396,   557,  1033,  1033,  1033,  1033,
    1042,  1033,    95,   101,   197,   336,   367,   396,   336,   367,
     396,   697,   367,   396,   367,   396,   367,   945,  1163,  1183,
    1163,   242,  1163,  1042,  1033,  1033,  1033,    95,   569,   393,
    1042,   367,   396,   557,  1033,  1033,   429,   429,   149,   441,
     357,   268,   108,   726,   268,   268,   451,   451,   268,   314,
     732,  1183,   726,   726,   726,   726,   726,   726,   268,   732,
     322,   227,   429,   572,   503,   574,   575,   504,   506,   490,
     970,   107,   947,   946,   501,   501,   429,   429,  1041,   951,
     504,   506,   490,   682,   152,   201,   277,   278,   291,   336,
     421,   423,   836,   596,  1033,   227,   384,   462,   646,   653,
     654,   211,   504,   594,   673,   674,   393,    96,   247,   378,
     417,   518,   519,   222,  1035,  1031,   534,   328,   587,   224,
    1183,   697,   697,   697,   697,   319,   323,   328,   503,   697,
     943,   944,   945,   393,   211,   210,  1053,   726,   284,   588,
     590,   592,   594,   600,   603,  1163,   469,   470,   618,   469,
     564,  1183,   323,   504,   777,   778,   783,   108,   274,   375,
     468,   784,   785,   786,   323,   546,  1061,   497,   239,   239,
     222,   701,   108,   211,   560,   774,   725,   726,  1035,   726,
    1035,   797,   323,   560,   560,   323,   560,   393,   222,   546,
     560,   970,   892,  1186,  1174,   504,   608,   247,   247,   247,
     472,  1032,   506,   631,   632,   235,   747,   748,  1042,    96,
     755,   209,   398,   209,   398,   380,   449,   298,   946,  1033,
     227,   323,   747,   125,   560,  1039,   419,  1039,   318,   274,
     726,   504,   502,   502,   506,   999,   970,   199,  1017,  1018,
     108,   504,   970,   504,   504,   504,   504,   227,   504,   504,
     504,   504,   504,   506,   504,   342,  1008,   504,   971,   971,
      88,   247,   268,   325,   490,   491,   492,   494,   495,   496,
     497,   498,   499,   996,   971,   504,   504,   222,   227,  1011,
    1012,   504,   486,   504,   504,   108,  1013,   999,  1013,  1013,
     227,   504,   504,  1165,   340,   981,   108,   504,   506,   970,
    1165,   506,   970,  1023,   970,  1163,   504,   504,   486,   971,
     971,   205,   999,   227,   192,   194,   216,   314,   319,   435,
     445,   503,   205,   416,  1024,   970,  1014,   970,   429,   798,
     970,   503,   894,   422,   424,   422,   424,  1031,   904,   904,
     904,   503,   894,   930,   931,   932,   937,   940,   973,  1039,
    1163,   466,   941,  1000,  1000,  1001,   504,   332,   985,    90,
     504,   506,   908,     8,    11,    12,    22,    23,    24,    26,
      27,    31,    32,    33,   173,   301,   346,   438,  1143,  1144,
    1146,  1136,  1137,   829,  1041,   968,   541,   970,   947,   859,
    1033,   868,   910,   325,   994,   997,   487,   488,   771,   970,
     919,  1030,   881,   881,   916,   930,   466,   942,   457,   873,
     874,  1163,   374,   875,   887,   888,   506,   929,   490,  1023,
     508,  1091,   507,   506,   490,    30,  1152,   504,   504,   507,
    1042,  1033,  1033,   285,  1043,  1043,   323,  1032,   326,   323,
     970,   604,  1035,   503,   503,   503,   622,   250,   607,   691,
     211,   560,   429,   546,   701,   946,   472,   726,   726,   726,
     797,   151,   189,   337,   423,  1033,   635,  1033,   236,   455,
     429,   429,   635,   652,   659,   367,   396,   557,  1033,  1033,
    1033,   258,   314,   727,   778,   782,   782,   498,   429,   327,
     657,   197,   371,   396,   559,   659,   811,   211,   560,   211,
     560,  1033,  1033,  1033,  1033,   662,   663,   662,   504,   506,
     664,  1183,   504,   506,   490,   505,  1042,   336,   367,   396,
      95,   197,   336,   367,   396,   946,   308,   946,  1042,  1033,
     285,   341,   314,  1183,   341,  1043,   448,   429,   384,   429,
     810,   384,   429,   429,   293,   293,   293,   429,   429,   384,
     429,   429,   384,   429,   384,   429,   384,   429,   560,   946,
      97,   117,   396,   811,   211,   560,   429,  1033,   429,   384,
    1042,  1033,   732,   946,   268,   732,   732,  1035,  1035,   732,
     268,   268,   268,   268,   268,   268,   732,   573,   581,   582,
    1165,   121,   162,   186,   201,   205,   223,   238,   314,   322,
     355,   576,   704,  1185,   325,   494,   495,   631,   700,   782,
     997,  1049,  1183,   504,   501,   504,  1041,   502,   503,  1041,
    1163,  1183,  1194,   504,   699,   700,   323,   285,   490,   837,
     837,   837,   837,   837,   837,   837,   137,   143,   153,   180,
     182,   254,   309,   314,   350,   363,   444,   597,   598,   599,
     515,   546,  1033,   546,   657,  1031,   504,   506,  1033,  1043,
     235,   378,  1043,  1041,   438,   606,   369,   419,   173,   607,
    1031,   683,   705,   706,  1183,   504,   506,  1033,  1031,  1033,
     893,   503,   589,  1031,   504,   506,   322,   563,   322,   323,
     619,   563,   108,   429,  1031,   504,   506,   180,   490,   787,
    1183,   546,   419,   781,   782,   469,   786,   788,   185,   260,
     389,   449,   819,   236,  1057,   893,  1071,   560,   946,  1033,
     560,   560,   451,   560,   451,   560,   560,   726,   726,  1033,
     677,   560,   222,   384,   384,   384,  1032,   751,   506,  1042,
     469,   506,   749,   326,   209,   209,  1043,   746,   560,  1042,
     701,   774,   631,   726,   268,  1003,   504,   426,   970,   203,
     946,   504,   970,   970,   970,  1011,   946,   971,   192,   194,
     309,   319,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   970,   970,  1012,  1011,   967,   967,   946,   504,
     504,   504,   999,   504,   506,   125,   972,   504,  1165,   978,
     347,   414,   980,   504,   506,   462,   974,   108,   504,   964,
    1183,   970,   105,   105,   970,   504,   970,   227,   503,  1002,
     970,   971,   971,   205,   205,   970,   504,   205,   970,   904,
     904,   904,   904,  1031,  1031,  1031,   894,   931,   932,   108,
     933,  1163,   506,   161,   228,   256,   271,   282,   304,   377,
     934,   933,   108,   933,  1163,   503,  1022,   970,   235,   921,
     506,   907,   908,   907,   504,   985,   503,   986,  1163,   970,
     985,  1183,   459,  1001,   504,   506,   490,   504,   502,  1152,
     504,   503,   771,   504,   324,   163,   970,   875,   504,   506,
    1023,  1028,   504,   506,   884,   942,  1025,  1041,   490,  1110,
    1141,  1146,   837,   230,   391,   420,   439,   760,   222,   760,
     504,   503,   610,   611,   767,   973,  1163,   607,   607,   691,
    1037,   504,   182,   254,   307,   309,   692,  1033,  1033,   108,
    1033,   451,   451,   726,   726,   726,   726,   727,  1042,  1033,
     429,   810,   384,   429,   258,   498,   438,  1033,   503,   596,
     309,   563,   173,   309,   409,   412,   563,   438,  1033,  1163,
     661,   566,   700,  1165,   429,   429,   384,   229,   325,   412,
     709,   710,   229,   325,   717,   718,   429,   429,   384,   504,
     504,   504,  1044,  1183,  1183,  1183,  1033,  1033,  1033,  1033,
    1033,  1033,  1033,   222,   222,   369,   222,   242,  1042,  1033,
    1033,  1042,  1033,  1033,  1033,  1033,  1033,  1033,  1033,   143,
     561,  1183,  1183,   438,  1163,  1033,   659,  1033,  1033,   504,
     732,   268,   268,   732,   732,   732,   732,   732,   732,   451,
     579,   580,   504,   506,   496,   503,   543,   583,   631,   845,
    1183,   845,   309,   355,   845,   845,   691,  1041,   469,   470,
     502,  1194,   494,   495,   496,   497,   498,   502,   968,  1031,
     837,   180,  1041,  1183,   180,  1183,   180,  1183,   180,  1183,
     180,  1033,   180,  1033,   180,  1033,   503,   726,  1033,   971,
     183,   244,   182,   314,   272,  1031,   788,   645,   672,   674,
     657,  1043,  1043,   946,   564,  1031,   472,   222,   684,   504,
     506,   945,   657,   319,   503,   870,   469,   624,   591,   593,
     595,   603,  1163,   618,   601,   253,   617,   592,   148,   421,
     620,   893,  1183,   765,   783,   970,   970,   506,   503,   784,
     697,   429,   635,    85,  1068,   504,   560,  1035,  1035,   560,
     560,   393,  1032,  1032,  1032,   631,   232,   748,   755,   227,
     268,   268,   268,   268,   314,   736,  1183,   970,   504,   504,
    1012,   227,   192,   194,   319,   503,   504,   475,   976,   999,
     362,   125,   467,   467,   504,   970,   307,   970,   506,   975,
     948,   968,   971,   971,   970,  1002,   504,   105,   105,   970,
     970,   205,   970,   504,  1031,  1031,  1031,  1031,   504,  1163,
     503,   931,   271,   331,   935,   931,   935,   271,   934,   935,
     271,   503,  1163,   503,  1000,   125,   237,   922,   504,   504,
     985,   987,  1163,  1001,   985,  1144,   495,  1137,  1145,  1182,
    1183,  1183,   798,   319,   893,   874,  1197,   490,   887,   875,
    1190,  1044,   429,   743,   227,   691,   970,   504,   506,   469,
     143,   768,   768,   504,   504,   788,   183,   244,   252,   182,
     453,   560,   946,  1035,  1035,  1033,  1033,  1033,  1033,   438,
     658,   662,   314,   314,  1044,  1163,   946,   560,   560,   490,
    1042,  1033,  1033,  1041,  1041,   946,   506,  1041,  1041,   506,
    1042,  1033,  1033,   429,  1032,  1032,   726,  1032,   211,   726,
     946,   560,   560,   268,   732,   732,   515,   187,   582,   543,
     584,   585,  1183,  1183,   314,   496,   607,  1183,  1183,   502,
     229,   257,   229,   504,  1194,  1194,  1194,  1194,  1194,   227,
     690,  1044,   970,   309,   598,   788,   606,   451,   621,   393,
     451,   108,   503,  1033,   198,   685,   465,   687,  1183,   726,
     588,   624,   173,   307,   504,   506,   469,   619,   208,   248,
     503,   618,   185,   197,   347,  1033,   469,   832,   227,   503,
    1183,   780,   789,   790,  1164,   788,  1031,   255,   636,  1069,
    1163,   560,   560,   560,  1033,   326,   560,   747,   736,   736,
     736,   736,   971,   227,   503,  1002,   503,   504,   506,   504,
     972,   362,   504,   456,   406,   504,   504,   504,   971,   971,
     970,   933,   503,  1032,   931,   323,   451,   936,   931,   271,
     931,   944,   503,   944,  1163,   504,   999,   970,   468,   982,
     985,   985,   339,   988,   504,  1041,  1182,   968,   504,   890,
    1027,   747,   323,   747,   504,   788,   611,   325,   798,   726,
     451,   726,   769,   769,   363,   788,   621,   504,   429,   504,
     506,   561,   700,   503,  1039,   798,   710,   503,   503,   718,
    1033,   469,   369,   469,   469,   222,   561,   732,   574,  1183,
     504,   506,   607,   751,   108,   803,   803,  1031,   691,   504,
     621,   294,   609,   250,  1033,  1035,   893,   657,   380,   408,
     686,   503,   210,   589,   504,   173,   593,   327,   620,    99,
     147,   154,   181,   251,   412,   602,   602,  1030,   619,   381,
     381,   129,   137,   288,   726,   766,   767,   782,   504,   506,
     941,   635,   307,   455,   637,   638,   490,  1070,   560,   971,
    1002,   504,   977,   999,   125,   307,   485,  1032,   504,   970,
     503,   931,   936,   504,   944,   504,   983,   984,  1163,   125,
     907,   985,   749,   760,   560,   768,   621,   503,   726,   770,
     770,  1031,   621,   691,  1033,   662,   451,   562,  1002,   774,
     222,   713,   797,  1002,  1002,   725,   726,   725,   726,  1032,
     560,   585,   803,   111,   246,   222,   307,   605,   228,   338,
     401,   323,   613,   614,   615,   421,   657,   217,   712,   832,
     970,   354,   618,   617,   596,   504,   620,   137,   326,   137,
     504,   506,   784,   789,   193,   455,   635,  1041,  1177,  1185,
      85,   504,   504,   504,   362,   456,   504,  1032,   504,   506,
     108,   999,   356,   381,   989,   227,   769,   466,   612,   798,
     771,   771,   606,   691,   970,   504,   329,   386,   360,   714,
     713,   504,   504,   469,   198,   252,   185,   449,   323,   615,
     323,   614,  1033,   726,   108,   504,  1039,   619,   618,   326,
     326,   564,   767,   788,   100,   261,   820,  1069,   504,   984,
     986,   119,   163,   440,   970,   990,   991,   990,   504,   747,
     770,   503,   691,   504,   609,  1039,   125,   714,   726,   380,
     128,   307,   373,   396,   616,   616,   709,   503,   620,   619,
     620,   310,   503,   815,   817,   822,   871,   876,   882,   893,
     991,   380,   221,   345,   221,   345,   560,   771,   970,   613,
     774,   726,   687,    94,   180,   314,   688,   689,  1041,  1165,
    1182,  1183,   620,   941,   816,   817,   818,   894,   895,   105,
     504,   691,   210,   504,   506,   504,   507,   991,   354,   689,
     818,  1039,   503,   688,   504
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   511,   512,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   514,   515,   515,   516,   516,   517,   517,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   519,
     519,   519,   519,   519,   519,   520,   521,   522,   522,   523,
     524,   525,   526,   526,   527,   527,   528,   529,   530,   530,
     531,   531,   532,   532,   533,   533,   534,   534,   535,   535,
     535,   535,   535,   535,   536,   536,   536,   537,   537,   537,
     538,   538,   538,   538,   538,   538,   538,   538,   538,   538,
     538,   538,   538,   538,   539,   539,   540,   540,   541,   541,
     542,   542,   542,   542,   543,   543,   543,   543,   544,   544,
     544,   544,   544,   544,   544,   545,   545,   545,   546,   546,
     547,   547,   547,   547,   547,   548,   548,   549,   549,   550,
     550,   550,   550,   550,   551,   552,   552,   553,   553,   554,
     555,   555,   555,   555,   556,   556,   556,   556,   556,   556,
     556,   556,   557,   557,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   559,   559,   560,   560,
     560,   561,   561,   562,   562,   563,   564,   564,   565,   565,
     566,   566,   566,   566,   567,   568,   568,   569,   569,   569,
     569,   570,   570,   571,   571,   572,   572,   573,   573,   573,
     574,   574,   575,   575,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   577,   577,   578,   578,
     579,   579,   580,   580,   581,   581,   582,   583,   583,   583,
     583,   583,   584,   584,   585,   586,   586,   586,   586,   587,
     587,   587,   587,   587,   587,   587,   587,   588,   588,   589,
     589,   590,   590,   591,   591,   592,   592,   592,   593,   593,
     594,   595,   596,   596,   597,   597,   597,   597,   598,   598,
     598,   598,   598,   598,   598,   599,   599,   599,   599,   600,
     601,   601,   601,   602,   602,   602,   602,   602,   602,   603,
     603,   604,   604,   604,   604,   604,   604,   604,   605,   605,
     606,   606,   607,   607,   608,   609,   609,   609,   609,   610,
     610,   611,   611,   612,   612,   613,   613,   613,   613,   613,
     614,   615,   616,   616,   616,   616,   616,   617,   617,   618,
     618,   618,   618,   619,   619,   619,   619,   620,   620,   621,
     621,   622,   623,   624,   624,   624,   625,   626,   626,   627,
     627,   628,   628,   629,   629,   629,   629,   629,   629,   629,
     629,   629,   629,   629,   629,   630,   630,   631,   631,   631,
     631,   632,   632,   633,   633,   634,   634,   635,   635,   636,
     636,   637,   637,   638,   638,   639,   639,   640,   640,   641,
     642,   642,   643,   643,   644,   644,   645,   645,   646,   646,
     646,   647,   648,   648,   649,   650,   650,   650,   650,   650,
     650,   650,   650,   650,   650,   650,   650,   650,   650,   650,
     650,   650,   650,   650,   650,   650,   650,   651,   652,   652,
     652,   652,   653,   653,   654,   654,   655,   655,   656,   656,
     657,   657,   658,   658,   659,   660,   660,   661,   661,   661,
     661,   662,   663,   664,   665,   666,   666,   667,   667,   668,
     668,   669,   669,   670,   670,   670,   671,   671,   672,   672,
     673,   673,   674,   675,   675,   676,   677,   677,   677,   678,
     678,   679,   680,   680,   681,   681,   681,   682,   682,   683,
     683,   683,   683,   683,   684,   684,   685,   685,   686,   686,
     687,   687,   688,   688,   688,   689,   689,   689,   689,   690,
     690,   691,   691,   692,   692,   692,   692,   692,   692,   693,
     693,   694,   695,   696,   696,   696,   696,   696,   696,   696,
     696,   696,   696,   696,   696,   696,   696,   697,   698,   698,
     699,   699,   700,   700,   700,   700,   700,   701,   701,   702,
     703,   703,   704,   705,   705,   706,   706,   707,   707,   707,
     708,   709,   709,   710,   710,   710,   710,   710,   711,   711,
     712,   712,   713,   713,   713,   714,   714,   715,   716,   716,
     717,   717,   718,   718,   719,   719,   720,   720,   721,   722,
     723,   723,   723,   723,   724,   724,   724,   724,   724,   724,
     724,   724,   724,   724,   724,   724,   724,   724,   724,   725,
     725,   726,   726,   727,   727,   728,   729,   729,   729,   730,
     730,   730,   730,   730,   730,   730,   730,   730,   730,   730,
     730,   730,   730,   730,   730,   730,   731,   731,   731,   731,
     731,   731,   731,   731,   731,   731,   731,   731,   731,   731,
     731,   731,   731,   732,   732,   733,   733,   733,   733,   733,
     734,   734,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   736,   736,   737,   737,   737,   737,   737,
     737,   737,   737,   737,   737,   737,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   738,   738,   738,
     739,   739,   740,   740,   741,   742,   742,   743,   743,   743,
     743,   743,   744,   744,   745,   745,   745,   745,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   747,   747,   748,   748,   749,   749,
     750,   750,   751,   752,   753,   753,   754,   754,   755,   755,
     756,   757,   757,   758,   758,   758,   759,   759,   759,   760,
     760,   760,   760,   761,   762,   762,   763,   763,   764,   764,
     765,   765,   766,   766,   767,   767,   767,   768,   768,   769,
     769,   769,   770,   770,   770,   771,   771,   771,   772,   772,
     772,   773,   773,   774,   774,   775,   775,   776,   776,   777,
     777,   778,   778,   778,   778,   778,   779,   779,   779,   779,
     779,   780,   781,   782,   782,   782,   783,   783,   783,   784,
     784,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   785,   786,   786,   786,   786,
     787,   787,   788,   788,   789,   790,   790,   791,   792,   792,
     793,   793,   794,   794,   795,   795,   796,   796,   797,   797,
     797,   797,   798,   798,   799,   800,   800,   801,   801,   802,
     802,   802,   803,   803,   803,   804,   805,   805,   806,   806,
     806,   807,   807,   808,   808,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   810,   810,   811,   811,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   813,   813,   813,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   813,   813,   813,   813,   813,   813,
     814,   815,   815,   815,   816,   816,   817,   817,   817,   817,
     817,   818,   818,   819,   819,   819,   819,   820,   820,   820,
     821,   821,   822,   823,   823,   824,   825,   825,   826,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   827,   827,   827,   828,   828,   828,   828,   828,
     829,   829,   829,   830,   830,   831,   831,   832,   832,   832,
     832,   833,   834,   835,   835,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   836,
     836,   837,   837,   838,   838,   839,   840,   840,   841,   842,
     842,   843,   844,   844,   844,   844,   844,   844,   844,   845,
     845,   846,   847,   847,   847,   847,   847,   847,   848,   849,
     849,   849,   850,   850,   851,   851,   851,   851,   851,   852,
     852,   853,   853,   853,   853,   854,   854,   855,   855,   856,
     856,   857,   857,   858,   858,   859,   859,   860,   860,   860,
     860,   861,   861,   861,   861,   861,   861,   861,   862,   862,
     863,   864,   864,   865,   865,   865,   866,   866,   867,   867,
     868,   868,   868,   868,   869,   869,   870,   870,   871,   872,
     872,   872,   873,   873,   874,   875,   875,   876,   877,   877,
     878,   879,   879,   880,   880,   880,   880,   880,   880,   880,
     880,   881,   881,   882,   883,   883,   884,   884,   885,   886,
     887,   888,   888,   889,   890,   890,   891,   891,   891,   891,
     891,   892,   892,   892,   893,   893,   894,   894,   895,   895,
     895,   895,   895,   895,   895,   895,   896,   896,   897,   897,
     897,   897,   897,   897,   898,   898,   899,   899,   900,   901,
     901,   902,   902,   902,   903,   903,   903,   903,   903,   903,
     903,   903,   903,   904,   904,   905,   905,   905,   906,   906,
     906,   906,   907,   907,   908,   909,   909,   910,   910,   911,
     911,   911,   911,   912,   912,   913,   913,   913,   914,   914,
     915,   915,   916,   917,   917,   917,   918,   919,   919,   920,
     920,   921,   921,   922,   922,   923,   923,   924,   924,   925,
     925,   926,   926,   927,   927,   928,   928,   929,   929,   930,
     930,   931,   931,   931,   931,   931,   931,   931,   931,   931,
     931,   931,   932,   932,   932,   932,   932,   932,   933,   933,
     933,   933,   934,   934,   934,   934,   935,   935,   936,   936,
     937,   937,   937,   937,   938,   938,   939,   939,   939,   940,
     941,   941,   942,   942,   942,   943,   943,   944,   944,   945,
     946,   946,   946,   946,   946,   946,   947,   947,   947,   948,
     948,   948,   948,   948,   948,   948,   949,   949,   949,   949,
     950,   950,   951,   951,   952,   952,   952,   952,   952,   952,
     952,   952,   952,   952,   952,   953,   953,   954,   954,   955,
     955,   956,   957,   958,   958,   959,   959,   960,   961,   962,
     962,   962,   962,   962,   962,   963,   963,   964,   964,   965,
     965,   965,   965,   966,   967,   967,   967,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   969,   969,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   974,   974,   975,   975,
     975,   975,   976,   977,   977,   978,   978,   979,   979,   980,
     980,   980,   981,   981,   981,   981,   982,   982,   983,   983,
     984,   985,   985,   985,   986,   987,   987,   988,   988,   989,
     989,   989,   990,   990,   991,   991,   991,   991,   991,   992,
     992,   992,   993,   993,   993,   994,   994,   995,   995,   995,
     995,   995,   995,   995,   995,   995,   996,   996,   997,   997,
     998,   998,   998,   998,   998,   998,   999,   999,  1000,  1000,
    1001,  1001,  1002,  1002,  1003,  1003,  1003,  1004,  1004,  1005,
    1005,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1007,
    1007,  1008,  1009,  1009,  1010,  1010,  1010,  1010,  1010,  1010,
    1011,  1012,  1013,  1013,  1013,  1014,  1014,  1015,  1016,  1016,
    1017,  1018,  1018,  1019,  1019,  1020,  1020,  1021,  1021,  1021,
    1021,  1022,  1022,  1023,  1023,  1024,  1024,  1025,  1025,  1026,
    1026,  1027,  1028,  1028,  1029,  1029,  1029,  1029,  1030,  1030,
    1031,  1031,  1032,  1032,  1033,  1034,  1035,  1036,  1037,  1038,
    1039,  1039,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1041,  1042,  1043,
    1043,  1044,  1044,  1044,  1044,  1045,  1045,  1045,  1045,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1048,  1048,  1048,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1049,  1049,  1049,
    1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,
    1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,
    1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,
    1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,
    1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,
    1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,
    1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,
    1049,  1050,  1050,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1053,  1052,  1054,  1055,  1055,  1055,  1055,  1056,  1056,
    1056,  1056,  1057,  1057,  1058,  1059,  1060,  1060,  1061,  1061,
    1061,  1062,  1062,  1063,  1063,  1064,  1064,  1065,  1065,  1065,
    1065,  1066,  1066,  1066,  1067,  1068,  1068,  1069,  1069,  1070,
    1070,  1070,  1070,  1071,  1071,  1072,  1073,  1074,  1075,  1075,
    1076,  1077,  1077,  1078,  1078,  1078,  1078,  1078,  1080,  1079,
    1081,  1082,  1083,  1083,  1084,  1084,  1084,  1084,  1085,  1085,
    1087,  1086,  1089,  1088,  1090,  1088,  1088,  1091,  1091,  1092,
    1092,  1092,  1093,  1093,  1093,  1093,  1094,  1094,  1095,  1095,
    1095,  1095,  1095,  1095,  1096,  1096,  1096,  1097,  1099,  1098,
    1100,  1101,  1100,  1102,  1102,  1103,  1103,  1104,  1104,  1105,
    1105,  1105,  1105,  1105,  1105,  1105,  1105,  1105,  1106,  1106,
    1106,  1106,  1106,  1106,  1106,  1106,  1106,  1106,  1107,  1107,
    1108,  1108,  1109,  1110,  1110,  1111,  1111,  1111,  1112,  1113,
    1114,  1114,  1114,  1114,  1115,  1115,  1115,  1116,  1116,  1117,
    1117,  1118,  1119,  1119,  1120,  1120,  1121,  1121,  1122,  1122,
    1123,  1124,  1124,  1125,  1125,  1125,  1126,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1126,  1127,  1127,  1127,  1127,  1127,
    1128,  1128,  1129,  1130,  1131,  1132,  1132,  1133,  1134,  1135,
    1135,  1136,  1137,  1137,  1138,  1139,  1140,  1140,  1141,  1142,
    1143,  1143,  1144,  1145,  1145,  1145,  1145,  1145,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1147,  1147,  1148,  1148,  1149,  1149,  1149,
    1151,  1150,  1152,  1152,  1154,  1153,  1155,  1155,  1155,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1157,  1157,
    1158,  1158,  1158,  1158,  1158,  1158,  1158,  1158,  1158,  1158,
    1158,  1158,  1158,  1158,  1158,  1158,  1158,  1158,  1158,  1158,
    1158,  1158,  1158,  1158,  1159,  1159,  1159,  1159,  1159,  1159,
    1160,  1160,  1160,  1160,  1160,  1160,  1160,  1161,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1164,  1164,  1164,  1164,  1164,  1164,  1165,
    1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,
    1166,  1166,  1166,  1166,  1166,  1167,  1167,  1167,  1167,  1168,
    1168,  1168,  1168,  1168,  1168,  1168,  1169,  1169,  1169,  1170,
    1170,  1170,  1170,  1170,  1170,  1171,  1171,  1172,  1173,  1173,
    1174,  1174,  1175,  1176,  1177,  1178,  1178,  1178,  1179,  1180,
    1181,  1182,  1183,  1183,  1183,  1183,  1183,  1184,  1185,  1185,
    1185,  1186,  1186,  1187,  1187,  1187,  1188,  1188,  1189,  1189,
    1190,  1190,  1191,  1191,  1191,  1191,  1191,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1193,  1193,  1193,  1193,  1194,  1194,  1194,
    1194,  1194,  1194,  1194,  1194,  1194,  1195,  1195,  1195,  1195,
    1196,  1196,  1197,  1197,  1198,  1198,  1199,  1199
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     1,     0,     2,     0,     2,     0,
       2,     2,     3,     3,     1,     3,     3,     2,     1,     1,
       2,     2,     2,     3,     3,     5,     5,     0,     3,     5,
       5,     5,     3,     5,     3,     5,     5,     6,     1,     1,
       3,     5,     6,     4,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     3,     3,     2,     2,     2,     2,
       3,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     6,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     3,     4,     3,     2,     2,     1,     2,     1,     3,
       4,     5,     4,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     4,     6,     4,     6,     4,     6,
       4,     6,     1,     3,     2,     3,     4,     6,     6,     6,
       5,     5,     6,     6,     4,     8,     4,     2,     3,     6,
       4,     3,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     3,     3,     3,     4,     4,     3,     2,     3,     2,
       2,     3,     3,     2,     2,     1,     3,     2,     1,     1,
       0,     2,     0,     2,     0,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    10,     6,     1,     1,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     3,     4,     2,     1,     0,     2,     0,
       3,     0,     1,     0,     1,     3,     2,     1,     1,     1,
       3,     0,     1,     3,     1,    11,    14,    10,    13,     1,
       1,     2,     2,     2,     2,     1,     0,     1,     0,     3,
       0,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       4,     4,     2,     0,     3,     1,     1,     2,     2,     1,
       3,     4,     5,     2,     5,     1,     2,     2,     2,     3,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     7,     3,     8,     4,     9,    11,     2,     0,
       3,     0,     1,     3,     1,     2,     2,     2,     0,     1,
       3,     3,     6,     4,     0,     1,     1,     2,     2,     0,
       3,     3,     2,     1,     1,     2,     2,     4,     0,     2,
       2,     2,     0,     3,     4,     4,     0,     2,     0,     4,
       0,     3,     5,     2,     3,     0,     5,     4,     6,     1,
       0,     1,     2,     2,     1,     2,     3,     2,     2,     2,
       2,     3,     3,     1,     3,     1,     0,     1,     2,     2,
       1,     1,     3,     6,    10,     1,     0,     1,     2,     2,
       0,     2,     2,     1,     0,     5,     7,     1,     0,     6,
       2,     0,     3,     5,     5,     8,     2,     0,     2,     2,
       2,     5,     2,     0,     2,     7,    10,     6,     6,     6,
       6,     7,     7,     9,     9,     6,     6,     8,     8,     8,
       8,     6,     6,     7,     8,     6,     6,     7,     2,     2,
       2,     2,     1,     2,     1,     0,     6,     8,     7,     6,
       4,     0,     1,     3,     4,     1,     3,     1,     2,     2,
       2,     2,     1,     1,    10,     2,     0,     2,     2,     1,
       0,     4,     6,     5,     4,     4,     8,    11,     3,     2,
       1,     3,     1,     5,     7,     8,     1,     1,     1,     7,
       9,     8,    15,    20,     1,     1,     2,     1,     3,     1,
       1,     1,     3,     1,     3,     0,     1,     0,     1,     1,
       4,     0,     1,     3,     0,     1,     1,     1,     1,     2,
       0,     0,     2,     2,     1,     2,     2,     2,     2,     6,
       8,     8,     4,     5,     4,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     6,     4,     5,     3,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       1,     3,     3,     1,     0,     1,     3,     6,     8,     8,
      13,     1,     3,     5,     6,     4,     7,     2,     1,     0,
       2,     0,     2,     4,     0,     1,     0,     6,     8,     8,
       1,     3,     5,     5,     7,     9,     7,     9,     5,     6,
       6,     4,     5,     7,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     1,
       3,     1,     2,     2,     3,     5,     2,     2,     0,     6,
       7,     7,     7,     8,     8,     6,     8,     9,     9,     7,
      10,     7,     8,     8,     8,     8,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     3,     1,     1,     8,     9,     9,     9,     9,
       2,     0,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     3,     4,     5,
       4,     5,     3,     4,     3,     4,     1,     2,     3,     3,
       3,     3,     4,     4,     3,     3,     4,     4,     4,     4,
       1,     1,     1,     0,     7,     7,    10,     1,     1,     2,
       4,     5,     1,     3,     2,     2,     2,     2,     1,     2,
       2,     4,     3,     2,     2,     2,     2,     3,     2,     2,
       2,     5,     5,     5,     1,     3,     1,     2,     3,     0,
       1,     3,     2,     6,     6,     9,     3,     0,     3,     0,
       5,     2,     0,     3,     3,     3,     7,     7,    10,     1,
       1,     1,     1,    14,     1,     0,     1,     0,     1,     0,
       2,     0,     1,     3,     5,     5,     7,     2,     0,     1,
       2,     0,     1,     1,     0,     1,     1,     0,     9,    12,
       7,     2,     0,     3,     2,     1,     3,     3,     2,     1,
       3,     3,     3,     2,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     4,     5,     1,     3,     3,     1,
       2,     4,     5,     1,     1,     1,     1,     3,     3,     2,
       2,     1,     2,     2,     2,     1,     2,     2,     1,     1,
       1,     3,     2,     0,     2,     1,     3,     5,     1,     2,
       1,     0,     5,     7,     5,     7,     5,     7,     3,     5,
       5,     5,     1,     3,     2,     1,     2,     1,     2,    11,
      10,    10,     2,     2,     0,     9,     2,     0,     4,     4,
       4,     1,     1,     1,     0,     7,     6,     6,     6,     6,
       8,     8,     6,     6,     7,     9,     9,     6,     6,     6,
       8,     6,     8,     6,     8,     6,     8,     7,     9,     8,
      10,     8,     9,    11,     8,     6,     6,     6,     5,     5,
       8,     8,     8,     8,     6,     9,     1,     0,     2,     0,
       7,     6,     6,     6,     6,     6,     7,     9,     9,     6,
       8,     8,     8,     8,     8,     6,     8,     6,     8,     7,
       9,     6,     7,     6,     6,     6,     6,     6,     7,     7,
       7,     9,     9,     6,     6,     6,     8,     8,     8,     6,
      13,     1,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     1,     1,     1,     0,
       6,     8,     3,     2,     0,     2,     2,     2,     2,     3,
       3,     2,     2,     2,     2,     3,     2,     5,     4,     3,
       3,     3,     1,     1,     0,     3,     2,     2,     1,     2,
       1,     3,     2,     1,     0,     9,    11,     3,     4,     4,
       0,     2,     5,     2,     0,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     4,     3,
       3,     1,     0,     5,     6,     4,     2,     0,     4,     3,
       5,     6,     4,     6,     6,     5,     7,     9,     6,     1,
       0,     6,    11,    11,    11,    13,     9,    11,    10,     4,
       2,     5,     2,     0,     4,     5,     5,     4,     6,     1,
       3,     1,     1,     1,     1,     2,     4,     1,     1,     1,
       0,     1,     0,     1,     0,     3,     0,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       2,     1,     1,     1,     1,     0,     5,     4,     3,     0,
       1,     1,     1,     1,     4,     9,     3,     0,     6,     1,
       4,     2,     1,     3,     2,     3,     0,     7,     2,     0,
       5,     3,     0,     2,     2,     2,     3,     1,     3,     1,
       2,     1,     0,     8,     1,     3,     1,     1,     3,     5,
       2,     1,     3,     7,     1,     1,     0,     3,     2,     2,
       2,     0,     2,     2,     1,     1,     3,     3,     1,     2,
       4,     4,     2,     3,     5,     5,     1,     1,     9,     1,
       2,     4,     4,     4,     2,     3,     1,     3,     6,     1,
       0,     2,     1,     0,     3,     3,     4,     4,     4,     4,
       3,     2,     1,     1,     0,     1,     1,     0,     1,     5,
       1,     0,     1,     0,     3,     1,     3,     4,     3,     2,
       2,     1,     1,     1,     0,     2,     4,     5,     2,     3,
       1,     1,     1,     1,     3,     0,     1,     1,     1,     1,
       1,     3,     0,     2,     0,     1,     3,     1,     0,     1,
       2,     4,     4,     2,     0,     2,     3,     2,     0,     1,
       3,     1,     2,     1,     2,     5,     6,     5,     1,     2,
       1,     4,     3,     4,     5,     4,     5,     4,     5,     2,
       4,     1,     2,     2,     2,     1,     1,     0,     4,     2,
       1,     2,     2,     4,     1,     3,     1,     2,     3,     1,
       2,     0,     2,     4,     0,     1,     0,     1,     3,     3,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     5,     1,     1,     1,     1,
       2,     3,     3,     0,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     1,     3,     0,     1,     1,     1,
       1,     5,     2,     1,     1,     1,     1,     5,     2,     2,
       2,     1,     3,     3,     2,     1,     0,     3,     0,     5,
       2,     5,     2,     1,     2,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     4,     1,     3,     3,     5,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     3,     3,     2,     3,     5,     4,     6,     3,     5,
       4,     6,     4,     6,     5,     7,     3,     2,     4,     2,
       3,     3,     4,     3,     4,     3,     4,     5,     6,     6,
       7,     6,     7,     6,     7,     3,     4,     4,     6,     2,
       3,     4,     1,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     5,     6,
       6,     7,     3,     4,     1,     1,     2,     4,     1,     1,
       1,     2,     2,     2,     2,     1,     4,     5,     6,     8,
       6,     7,     7,     5,     5,     1,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     1,     1,     1,     1,     1,
       6,     4,     4,     4,     4,     6,     5,     5,     5,     4,
       6,     4,     4,     4,     4,     5,     7,     7,     9,     5,
       4,     6,     5,     7,     7,     7,     2,     3,     3,     3,
       4,     0,     4,     1,     3,     3,     1,     1,     1,     2,
       2,     0,     2,     4,     4,     6,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     2,
       2,     0,     1,     4,     2,     2,     2,     2,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     1,     4,
       1,     4,     1,     2,     1,     2,     1,     3,     1,     3,
       1,     3,     1,     3,     3,     3,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       3,     2,     3,     0,     3,     3,     2,     2,     1,     0,
       2,     2,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     2,     0,     2,     1,     0,     1,     1,     1,
       3,     3,     1,     3,     3,     2,     1,     1,     1,     3,
       1,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     5,     2,
       3,     6,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     2,     4,     3,     2,     1,     1,     1,     1,
       1,     0,     8,     2,     5,     3,     2,     2,     3,     7,
       1,     1,     1,     0,     2,     2,     1,     0,     1,     3,
       1,     2,     0,     2,     0,     2,     0,     1,     3,     4,
       3,     1,     1,     1,     1,     2,     0,     2,     4,     0,
       2,     2,     2,     1,     1,     7,     3,     1,     1,     1,
       1,     2,     0,     1,     3,     3,     3,     3,     0,     4,
       5,     5,     0,     1,     1,     1,     2,     2,     1,     2,
       0,     7,     0,     5,     0,     4,     2,     2,     0,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     5,     2,     1,     3,     2,     2,     3,     0,     5,
       1,     0,     5,     2,     2,     1,     1,     1,     2,     2,
       3,     1,     2,     2,     3,     3,     4,     2,     1,     2,
       1,     1,     2,     2,     3,     1,     1,     1,     1,     0,
       1,     3,     5,     0,     2,     0,     1,     2,     3,     2,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     2,
       2,     3,     0,     1,     2,     1,     4,     3,     4,     3,
       2,     1,     3,     1,     1,     1,     1,     2,     2,     1,
       2,     2,     1,     1,     1,     4,     4,     4,     4,     4,
       1,     0,     3,     3,     4,     1,     3,     3,     4,     1,
       3,     3,     1,     1,     1,     6,     1,     3,     3,     6,
       1,     3,     3,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     4,     1,     1,     4,     4,     3,
       0,     7,     1,     0,     0,     7,     3,     4,     3,     1,
       1,     1,     2,     3,     5,     2,     5,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     0,     1,
       2,     1,     2,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     1,     2,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     2,     3,     1,     3,     3,
       3,     3,     3,     3,     1,     1,     0,     2,     2,     1,
       2,     1,     0,     1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1471 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26412 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1473 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26418 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1475 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26424 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1477 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26430 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1479 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26436 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1481 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26442 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1483 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26448 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1485 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26454 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1487 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26460 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1489 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26466 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1491 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26472 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1493 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26478 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1495 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26484 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1497 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26490 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1499 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26496 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1501 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26502 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1503 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26508 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1505 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26514 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1507 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26520 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1509 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26526 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1511 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26532 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1513 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26538 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1515 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26544 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1517 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26550 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1519 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26556 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1521 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26562 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1523 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 26584 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1541 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26590 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1543 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26596 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1545 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26602 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1547 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26608 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1549 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26614 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1551 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26620 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1553 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26626 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1555 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26632 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1557 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26638 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1559 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26644 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1561 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26650 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1563 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26656 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1565 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26662 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1567 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26668 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1569 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26674 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1571 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26680 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1573 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26686 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1575 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26692 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1577 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26698 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1579 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26704 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1581 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26710 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1583 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26716 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1585 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26722 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1587 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26728 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1589 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26734 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1591 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26740 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1593 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26746 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1595 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26752 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1597 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 26760 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1601 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 26766 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1603 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26772 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1605 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 26778 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1607 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 26784 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1609 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26790 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1611 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26796 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1613 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26802 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1615 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26808 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1617 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26814 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1619 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26820 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1621 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26826 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1623 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26832 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1625 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26838 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1627 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26844 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1629 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26850 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1631 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26856 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1633 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26862 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1635 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26868 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1637 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26874 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1639 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26880 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1641 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26886 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1643 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26892 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1645 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 26898 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1647 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26904 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1649 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 26910 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1651 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26916 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1653 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26922 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1655 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26928 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1657 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 26934 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1659 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26940 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1661 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26946 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1663 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26952 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1665 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26958 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1667 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 26969 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1674 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26975 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1676 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26981 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1678 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26987 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1680 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26993 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1682 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26999 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1684 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27005 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1686 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27011 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1688 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27017 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1690 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27023 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1692 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27029 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1694 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27035 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1696 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27045 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1702 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27051 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1704 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27057 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1706 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27063 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1708 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27069 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1710 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27075 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1712 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27081 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1714 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27087 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1716 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27093 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1718 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 27103 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1724 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27117 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1734 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 27125 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1738 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 27135 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1744 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 27143 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1748 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 27157 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1758 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27171 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1767 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 27177 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1769 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27195 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1783 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 27206 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1790 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 27216 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1796 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 27231 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1807 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27241 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1813 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27254 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1822 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 27265 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1829 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 27275 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1835 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 27288 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1844 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 27299 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1851 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 27310 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1858 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27316 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27324 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 27332 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27339 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27347 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27354 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27362 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27369 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 27377 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 27385 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 27393 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 27401 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 27409 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 27417 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 27425 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 27433 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27441 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27449 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 27457 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 27465 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 27473 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 27481 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 27489 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27497 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27505 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27512 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 27520 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27528 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27536 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27544 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 27552 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 27560 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 27568 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 27576 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27584 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 27592 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 27600 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 27608 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 27616 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 27624 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27632 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27640 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27648 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27655 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27663 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27670 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27678 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27686 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27694 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27702 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27710 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27718 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 27726 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 27734 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 27742 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 27750 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 27758 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27766 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 27774 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 27782 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 27790 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= default"));
}
#line 27798 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 27806 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 27814 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2206 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 27823 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 27831 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 27839 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 27847 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 27855 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 27863 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 27871 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 27879 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27887 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 27895 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27903 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 27911 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27919 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2271 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 27933 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 27941 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 27949 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 27957 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 27965 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 27973 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 27981 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 27989 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27997 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28005 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28013 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28021 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28029 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28037 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 28045 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 28053 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28061 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 28069 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28076 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28084 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28092 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 28100 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset time zone");
}
#line 28108 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
}
#line 28116 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset session authorization");
}
#line 28124 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset all");
}
#line 28132 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28140 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28148 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28156 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28164 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 28172 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 28180 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 28188 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 28196 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2448 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 28205 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28213 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 28221 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28229 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 28237 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 28245 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 28253 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 28261 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 28269 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 28277 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 28285 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28293 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28301 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28309 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28317 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28325 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28333 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28341 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28349 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28357 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 28365 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 28373 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 28381 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28389 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 28397 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 28405 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 28413 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 28421 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 28429 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 28437 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28445 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28453 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28461 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28469 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 28477 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 28485 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28493 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28501 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 28509 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 28517 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 28525 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 28533 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 28541 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 28549 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 28557 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 28565 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 28573 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 28581 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 28589 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 28597 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 28605 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 28613 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 28621 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 28629 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 28637 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 28645 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 28653 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 28661 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 28669 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 28677 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28685 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 28693 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28701 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 28709 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 28717 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 28725 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 28733 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28740 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 28748 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28755 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 28763 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28770 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 28778 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 28786 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28793 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28801 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 28809 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 28817 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28825 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 28833 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 28841 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28849 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28857 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 28865 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28873 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28881 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28889 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28897 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2877 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 28906 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 28914 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2890 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-4].str), "to") == 0 && strcmp((yyvsp[-3].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");
			else if (strcmp((yyvsp[-4].str), "from") == 0 && strcmp((yyvsp[-3].str), "stdout") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY FROM STDOUT is not possible");
			else if (strcmp((yyvsp[-4].str), "from") == 0 && strcmp((yyvsp[-3].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(10,mm_strdup("copy"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28929 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2901 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-2].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");

 (yyval.str) = cat_str(6,mm_strdup("copy"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28940 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 28948 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 28956 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28964 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 28972 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 28980 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28988 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 28996 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29004 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29011 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 29019 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 29027 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29035 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29043 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 29051 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 29059 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29067 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29075 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 29083 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 29091 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 29099 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 29107 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 29115 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29122 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 29130 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29137 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 29145 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29152 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 29160 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29167 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29175 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29183 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29191 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29199 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29207 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 29215 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29223 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29230 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29238 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29246 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29254 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29262 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29270 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29278 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29286 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 29294 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 29302 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 29310 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 29318 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 29326 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 29334 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 29342 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29349 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29357 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29364 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29372 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29379 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29387 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29395 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29403 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29411 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29419 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29427 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29435 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29443 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29451 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29459 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 29467 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29475 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29482 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29490 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29498 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29506 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 29514 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 29522 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 29530 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29538 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29546 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 29554 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 29562 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29570 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 29578 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 29586 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 29594 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 29602 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29610 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 29618 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 29626 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29633 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 29641 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 29649 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 29657 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 29665 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 29673 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 29681 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29689 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29697 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 29705 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29713 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29721 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29729 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29737 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29745 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29753 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 29761 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29768 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29776 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29783 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29791 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29799 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29807 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 29815 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3491 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 29824 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 29832 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29839 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29847 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29855 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 29863 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29871 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29879 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29886 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29894 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29902 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29910 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29918 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29925 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 29933 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 29941 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 29949 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 29957 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 29965 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 29973 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 29981 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29989 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29996 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 30004 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 30012 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 30020 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30027 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 30035 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 30043 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 30051 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30058 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 30066 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30073 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 30081 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30088 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 30096 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30104 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 30112 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 30120 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30127 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30135 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30143 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30151 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30159 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30166 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30174 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30182 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 30190 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 30198 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 30206 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30214 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 30222 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 30230 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 30238 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 30246 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 30254 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30262 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 30270 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30278 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 30286 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30293 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30301 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 30309 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 30317 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30325 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30333 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30341 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 30349 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30357 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 30365 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30372 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30380 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30388 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 30396 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30403 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 30411 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 30419 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30427 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30434 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30442 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30450 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 30458 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30465 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("location"),(yyvsp[0].str));
}
#line 30473 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 30481 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30488 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 30496 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 30504 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30512 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30520 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30528 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30535 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 30543 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 30551 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 30559 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 30567 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30575 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30582 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 30590 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30598 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30606 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 30614 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 30622 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 30630 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 30638 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 30646 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30654 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 30662 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 30670 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 30678 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 30686 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 30694 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 30702 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 30710 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 30718 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 30726 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 30734 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 30742 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 30750 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 30758 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 30766 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30774 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 30782 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 30790 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 30798 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 30806 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30814 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30822 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30830 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30837 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30845 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30853 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30861 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30869 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30877 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30884 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30892 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30900 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30908 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30916 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30924 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30932 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 30940 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 30948 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 30956 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30964 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30972 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30980 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30988 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 30996 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31003 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 31011 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 31019 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31027 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31034 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31042 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31050 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31058 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31066 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31074 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31082 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table if not exists"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31090 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31098 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 31106 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31114 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31122 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31130 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31138 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31146 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31154 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 31162 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 31170 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31178 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 31186 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 31194 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31202 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31210 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31218 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 31226 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 31234 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 31242 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31250 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 31258 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 31266 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 31274 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 31282 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 31290 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 31298 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31306 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31313 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 31321 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31328 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 31336 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 31344 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31352 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31359 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31367 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31375 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31382 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31390 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31398 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31406 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31414 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 31422 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31429 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31436 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31444 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 31452 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 31460 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 31468 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 31476 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 31484 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 31492 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31500 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31508 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4664 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 31517 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4673 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31526 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31534 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31542 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31550 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31558 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 31566 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31574 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31582 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 31590 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31598 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31606 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31614 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31622 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31630 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 31638 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31646 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31654 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31662 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 31670 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31678 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31686 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31694 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31702 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31710 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31718 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31726 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 31734 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31742 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31750 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31758 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 31766 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31774 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31781 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31789 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31797 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("add value"),(yyvsp[0].str));
}
#line 31805 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("add value"),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 31813 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("add value"),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 31821 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 31829 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31837 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31845 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31853 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31861 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31869 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31877 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 31885 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 31893 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31900 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 31908 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31915 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 31923 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 31931 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31938 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4958 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 31947 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31954 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31962 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 31970 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 31978 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31986 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31994 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32002 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32010 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32018 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32026 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32034 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32042 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32050 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 32058 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32066 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32074 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32082 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32090 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 32098 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 32106 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 32114 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 32122 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 32130 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 32138 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 32146 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 32154 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 32162 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 32170 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 32178 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 32186 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 32194 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 32202 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 32210 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32218 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32226 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32234 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32242 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 32250 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 32258 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32266 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 32274 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 32282 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32289 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32297 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32305 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32313 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32321 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32329 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32337 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32345 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32353 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32361 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32369 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32377 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 32385 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32393 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search parser"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32401 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search dictionary"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32409 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search template"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32417 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search configuration"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32425 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 32433 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 32441 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 32449 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 32457 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 32465 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 32473 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 32481 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 32489 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 32497 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 32505 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 32513 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 32521 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 32529 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 32537 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 32545 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 32553 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 32561 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32569 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 32577 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32585 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32593 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32601 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32609 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32617 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 32625 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32632 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 32640 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 32648 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 32656 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 32664 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 32672 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 32680 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 32688 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 32696 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 32704 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 32712 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 32720 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32728 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 32736 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 32744 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 32752 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5456 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 32760 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5460 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 32770 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5466 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 32780 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5472 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 32790 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5478 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 32800 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5484 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 32810 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5490 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 32820 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5496 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 32830 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5502 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 32840 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5512 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 32855 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5523 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32870 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5534 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32885 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5545 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32900 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5556 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32915 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5567 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32930 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5578 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32950 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5594 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32970 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5610 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32990 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5626 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33005 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5637 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33025 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5653 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33040 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5664 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33060 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5680 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33075 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 33083 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 33091 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33099 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33106 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33114 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33122 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33130 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33138 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 33146 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 33154 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33162 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33170 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33178 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33186 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 33194 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 33202 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 33210 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33218 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33226 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 33234 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 33242 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 33250 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 33258 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 33266 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 33274 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 33282 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 33290 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 33298 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 33306 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 33314 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 33322 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 33330 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 33338 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 33346 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33354 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33362 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33370 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 33378 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 33386 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33393 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33401 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33409 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33417 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33425 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33433 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33441 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 33449 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33456 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 33464 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33471 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33479 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33487 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33494 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 33502 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 33510 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 33518 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33526 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33534 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33542 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 33550 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 33558 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 33566 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 33574 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33582 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 33590 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33597 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 33605 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33612 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33620 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33627 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 33635 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33642 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33650 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33658 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33666 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33674 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33682 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 33690 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33697 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33705 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 33713 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33720 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 33728 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 33736 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33743 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 33751 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 33759 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33766 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33774 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33782 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33790 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 33798 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33805 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33813 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 33821 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33829 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33837 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33845 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 33853 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33861 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33869 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33877 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33885 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33893 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33901 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33909 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 33917 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 33925 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 33933 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 33941 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 33949 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33957 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33965 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33973 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 33981 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 33989 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33997 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 34005 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 34013 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34021 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34029 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 34037 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 34045 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 34053 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 34061 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 34069 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 34077 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 34085 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 34093 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 34101 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 34109 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 34117 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 34125 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 34133 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 34141 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34149 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 34157 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 34165 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 34173 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34181 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34189 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34197 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 34205 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34212 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34220 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34228 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34236 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34244 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34252 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34260 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 34268 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34275 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34283 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34291 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34299 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34307 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34315 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34323 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34331 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 34355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 34371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 34379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 34411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 34427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 34435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 34443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 34451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 34474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 34513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 34521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 34529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 34584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 34736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 34744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 34752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 34760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 34768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 34808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 34816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 34856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 34872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 34887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 34902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 34910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 34918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 34926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 34934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 34942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 34950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 34958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 34966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 34974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 34982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 34990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 34998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 6946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 6950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 6954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 6958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 6962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 6966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 6970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 6978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 6982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 6986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 6990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 6994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 6998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 35230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 35254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 35325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 35333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 35341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 35349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 35357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 35365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 35404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 35419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 35427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 35435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 35443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 35459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 35467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 35475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 35483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 35491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 35499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 35507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 35515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 35531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 35539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 35547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 35555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 35563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 35578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 35586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 35594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 35602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 35610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7349 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
}
#line 35674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7354 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 35683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7359 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
}
#line 35692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 35707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 35746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 35762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 35778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 35802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 35818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 35834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 35858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 35866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 35889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 35928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 35936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 35960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 35968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 35976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 36000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 36008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 36063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 36071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 36095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 36103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 36111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 36190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 36198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 36206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 36230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 36238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 36246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 36261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 36276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 36306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 36322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7873 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 36459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7879 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 36469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7920 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 36522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("insert into"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 36577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 36609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 7989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 7996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 36632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 36655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 36670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 36678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 36686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 36694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 36702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 36710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 36718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 36726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 36734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 36797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8149 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 36874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8206 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 36894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 36909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 36917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 36925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 36933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8241 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 36944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 36952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 36960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 37096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 37128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 37136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8403 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 37184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8407 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 37190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 37261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 37292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 37300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 37315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 37331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 37361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 37448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8579 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 37457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 37465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 37473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 37497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 37544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 37552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 37560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 37568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 37576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 37591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 37614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for update"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for share"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 37669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 37684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 37700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8814 "preproc.y" /* yacc.c:1646  */
    { 
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = (yyvsp[0].str);
}
#line 37789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 37829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 37853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 37861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 37877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 37901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 37909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 37917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 37925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 37933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 37956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 37972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 37980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 38028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 38044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 38059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8998 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 38068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9041 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 38120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9043 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 38126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 38134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 38142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 38150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 38158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9065 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 38172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9075 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 38186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9085 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 38196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 38323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 38331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 38339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 38347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 38355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 38363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 38371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 38379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 38387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 38395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 38403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 38466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 38522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 38530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 38538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 38546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 38554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 38562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 38570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 38585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 38608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 38624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 38632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 38640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 38648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 38663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 38671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 38679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 38687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 38695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 38711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 38719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 38727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 38735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 38743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 38751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 38759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 38774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 38798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 38806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 38814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 38822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 38830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 38838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 38846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 38854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 38862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 38870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 38878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 38886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 38894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 38934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 38942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 38950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 38958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 38966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 38974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 38982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 38990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 38998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 39006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 39022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 39038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 39054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 39062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 39070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 39078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 39086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 39094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 39102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 39110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 39118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 39126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 39134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 39142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 39150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 39174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 39182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 39190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 39198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 39206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 39214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9697 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 39239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 39247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 39255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 39271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 39279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 39287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 39295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 39303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 39311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 39319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 39327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 39335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 39343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 39351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 39359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 39391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 39399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 39423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 39431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 39503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 39511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 39519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("( )"),(yyvsp[0].str));
}
#line 39535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("( all"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 9882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("( distinct"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 9886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("( * )"),(yyvsp[0].str));
}
#line 39591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 9890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 9894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 39607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 9898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 39615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 9902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 9906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 39631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 9910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 9914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 39647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 9918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 9922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 39663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 9926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 9930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 39679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 9934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 39687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 9938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 39695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 9942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 39703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 9946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 39711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 9950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 39719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 9954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 9958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 9962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 9966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 9970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 9974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 9978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 9982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 9986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 9990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 9994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 9998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 39935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 39943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 39951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 39959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 39967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 40006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 40022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 40030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 40038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 40046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 40061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 40069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 40077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 40085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 40093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 40124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 40132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 40140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 40178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10248 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 40194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 40202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 40233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 40241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 40249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 40257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 40265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 40281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 40297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 40305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 40313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 40337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 40345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 40353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 40361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 40369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 40377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 40385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 40393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 40401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 40457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 40465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 40473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 40481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 40529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 40553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 40561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 40569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 40593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 40616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 40624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 40632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 40640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 40648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 40656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 40688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 40696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 40758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 40766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 40774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 40782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 40814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 40838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 40846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 40892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 40900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 40908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 40916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 40955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 40978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 41026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 41050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 41202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 10969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 10973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 10977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 41250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 10981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 41258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 10985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 41266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 10988 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 10989 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 10995 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 41284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11024 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 41330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 41338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 41378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 41386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 41394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 41402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 41410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 41418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 41426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 41434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 41442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 41450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 41458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 41466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 41474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 41482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 41490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 41498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 41506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 41514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 41522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 41530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 41538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 41546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 41554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 41562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 41570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 41578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 41586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 41594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 41602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 41610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 41618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 41626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 41634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 41642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 41650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 41658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 41666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 41674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 41682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 41690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 41698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 41706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 41714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 41722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 41730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 41738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 41746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 41754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 41762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 41770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 41778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 41786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 41794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 41802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 41810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 41818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 41826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 41834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 41842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 41850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 41858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 41866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 41874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 41882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 41890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 41898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 41906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 41914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 41922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 41930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 41938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 41946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 41954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 41962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 41970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 41978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 41986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 41994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 42002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 42010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 42018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 42026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 42034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 42042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 42050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 42058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 42066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 42074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 42082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 42090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 42098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 42106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 42114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 42122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 42130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 42138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 42146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 42154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 42162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 42170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 42178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 42186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 42194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 42202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 42210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 42218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 42226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 42234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
#line 42242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
#line 42250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 42258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 42266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 42274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 42282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 42290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 42298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 42306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 42314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 42322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 42330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 42338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 42346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 42354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 42362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 42370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 42378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 42386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 42394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 42402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 42410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 42418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 42426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 42434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 42442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 42450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 42458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 42466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 42474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 42482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 42490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 42498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 42506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 42514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 42522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 42530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 42538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 42546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 42554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 42562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 42570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 42578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 42586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 42594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 42602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 42610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 42618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 42626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 42634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 42642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 42650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 42658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 42666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 42674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 42682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 42690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 42698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 42706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 42714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 42722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 42730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 42738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 42746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 42754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 42762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 11754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 42770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 11758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 42778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 11762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 42786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 11766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 42794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 11770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 42802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 11774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 42810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 11778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 42818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 11782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 42826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 11786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 42834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 11790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 42842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 11794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 42850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 11798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 42858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 11802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 42866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 11806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 42874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 11810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 42882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 11814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 42890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 11818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 42898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 11822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 42906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 11826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 42914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 11830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 42922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 11834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 42930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 11838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 42938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 11842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 42946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 11846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 42954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 11850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 42962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 11854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 42970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 11858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 42978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 11862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 42986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 11866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 42994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 11870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 43002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 11874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 43010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 11878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 43018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 11882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 43026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 11886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 43034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 11890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 43042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 11894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 43050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 11898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 43058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 11902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 43066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 11906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 43074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 11910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 43082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 11914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 43090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 11918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 43098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 11922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 43106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 11926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 43114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 11930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 43122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 11934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 43130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 11938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 43138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 11942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 43146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 11946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 43154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 11950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 43162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 11954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 43170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 11958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 43178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 11962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 43186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 11966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 43194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 11970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 43202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 11974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 43210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 11978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 43218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 11982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 43226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 11986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 43234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 11990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 43242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 11994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 43250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 11998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 43258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 43266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 43274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 43282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 43290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 43298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 43306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 43314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 43322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 43330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 43338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 43346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 43354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 43362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 43370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 43378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 43386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 43394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 43402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 43410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 43418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 43426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 43434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 43442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 43450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 43458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 43466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 43474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 43482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 43490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 43498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 43506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 43514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 43522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 43530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 43538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 43546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 43554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 43562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 43570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 43578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 43586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 43594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 43602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 43610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 43618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 43626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 43634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 43642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 43650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 43658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 43666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 43674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 43682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 43690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 43698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 43706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 43714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 43722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 43730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 43738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 43746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 43754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 43762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 43770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 43778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 43786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 43794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 43802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 43810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 43818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 43826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 43834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 43850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 43858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 43866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 43874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 43882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 43890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 43898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 43906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 43914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 43922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 43930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 43938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 43946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 43954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 43962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 43970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 43978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 43986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 43994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 44002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 44010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 44018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 44026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 44034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 44042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 44050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 44058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 44066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 44074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 44082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 44090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 44098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 44106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 44114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 44122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 44130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 44138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 44146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 44154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 44162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 44170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 44178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 44186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 44194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 44202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 44210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 44218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 44226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 44234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 44242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 44250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 44258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 44266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 44274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 44282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 44290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 44298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 44306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 44314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 44322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 44330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 44338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 44346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 44354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 44362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 44370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 44378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 44386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 44394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 44402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 44410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 44418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 44426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12607 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 44432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12610 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 44442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12616 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 44448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12617 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 44454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12618 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 44460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12620 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 44475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12632 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 44481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12633 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 44492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12642 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 44506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 44512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 44518 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 44524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12664 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 44530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12668 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 44546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12680 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)),	(yyvsp[0].str), mm_strdup("\"")));
		}
#line 44566 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12696 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 44574 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12700 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 44587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12710 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12711 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12715 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 44613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 12727 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 44624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 12735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44630 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 12736 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 12739 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 12740 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 44648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 12741 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 44654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 12744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 44660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 12745 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 12748 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 12749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 44678 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 12752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 12753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 44690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 12757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 44696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 12759 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 44702 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 12761 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 44708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 12763 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 44714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 12767 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 44725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 12774 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 44736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 12781 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 44754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 12797 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 44790 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 12831 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 44804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 12840 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 12844 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 44818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 12848 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 44832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 12860 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44838 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 12862 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 44844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 12864 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 44850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 12866 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 44856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 12870 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 44874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 12883 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 12891 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 44943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 12952 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 44953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 12962 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 12963 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 12966 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 12968 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 12969 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 12972 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 12973 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 44995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 12974 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 45001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 12975 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 45007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 12976 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 45013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 12983 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 45019 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 12985 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 45029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 12992 "preproc.y" /* yacc.c:1646  */
    {}
#line 45035 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 12994 "preproc.y" /* yacc.c:1646  */
    {}
#line 45041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 12996 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 12997 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13000 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45059 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13001 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13002 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 45071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13003 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 45077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13006 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13007 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 45089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13011 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 45099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13017 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 45111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13027 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 45125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13037 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 45133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13041 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 45147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13051 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 45155 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13055 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 45163 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13060 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 45169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13061 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13065 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 45181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13066 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 45187 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13067 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 45193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13070 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 45199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13071 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 45205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13072 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 45211 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13073 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 45217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13076 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 45223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13077 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 45229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13081 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 45241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13089 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 45262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13106 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 45274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13114 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 45301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13137 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 45411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13243 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 45447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13277 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 45453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13279 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 45459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13281 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 45465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13285 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 45471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13288 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 45482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13295 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 45528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13338 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45534 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13340 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 45544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13346 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 45555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13355 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 45565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13361 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 45574 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13368 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 45583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13373 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 45591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13378 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 45597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13379 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 45603 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13382 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 45609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13383 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 45615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13384 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 45621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13385 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 45627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13386 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 45633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13387 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 45639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13389 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 45651 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13397 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 45663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13404 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 45669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13407 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 45675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13408 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 45681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13409 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 45687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13410 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 45693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13411 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 45699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13413 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 45711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13421 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 45723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13428 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 45729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13429 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 45735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13430 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 45741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13438 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13440 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 45758 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13449 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 45847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13536 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13538 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 45862 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13544 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13545 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 45874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13546 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 45880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13553 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 45889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13561 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13564 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13565 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 45907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13566 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 45913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13567 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 45919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13570 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 45925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13571 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 45931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13572 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13576 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13578 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 45949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13585 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13586 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 45961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13593 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 45971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13600 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13601 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13604 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13605 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13609 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13614 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13621 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13626 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13633 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13642 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 46051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13648 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13649 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13652 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13653 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 46075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13654 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 46081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13655 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13656 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 46093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 46099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13660 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13667 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 46128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13674 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 46144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13686 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 46154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13692 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 46165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13699 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 46175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13706 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 46181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13707 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46187 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13720 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 46196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13731 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 46205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13742 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 46211 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13750 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 46217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13755 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 46223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13763 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 46231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13769 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 46243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13777 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 46251 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13782 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 46257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13790 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 46263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13797 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 46269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13801 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 46275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13809 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 46283 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13815 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 46295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13824 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 46303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13829 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 46316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13839 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 46329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13849 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 46343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13860 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 46349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13861 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 46355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13862 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 46361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13863 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 46367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13864 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 46373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13865 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 46379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13866 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 46385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13867 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 46391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13868 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 46397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13869 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 46403 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13870 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 46409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13871 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 46415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13872 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 46421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 13873 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 46427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13874 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 46433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13881 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13882 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13885 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 46451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13886 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 46457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13893 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13894 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13895 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13902 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 46485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13908 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 46498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13918 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 46504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13919 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46510 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13926 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 46520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 13932 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 46582 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 13996 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 46592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 14002 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 46602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 14008 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 46612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14016 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 46622 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14022 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 46632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14028 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 46642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14034 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 46652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14040 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 46662 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14046 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 46672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14052 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 46682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14058 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 46692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14064 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 46702 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14074 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14075 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14078 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 46720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14079 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 46726 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14080 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 46732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14081 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 46738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14082 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 46744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14083 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 46750 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14084 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 46756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14085 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 46762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14086 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 46768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14087 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 46774 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14088 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 46780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14089 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 46786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14090 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 46792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14091 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 46798 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14092 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 46804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14093 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 46810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14094 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 46816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14095 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 46822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14096 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 46828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14097 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sql"); }
#line 46834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14098 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 46840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14099 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 46846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14100 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 46852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14101 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 46858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14104 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 46864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14105 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 46870 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14106 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 46876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14107 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 46882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14108 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 46888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14109 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 46894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14113 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 46900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14114 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 46906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14115 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 46912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14116 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 46918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14117 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 46924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14118 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 46930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14119 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 46936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14122 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46942 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14125 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14126 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14127 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14128 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14129 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14130 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14131 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 46984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14132 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 46990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14145 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14146 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14147 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14148 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14149 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14150 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 47026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14151 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 47032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14156 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14157 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14158 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14159 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14160 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14161 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14167 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14169 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 47086 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14170 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 47092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14171 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 47098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14172 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 47104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14173 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 47110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14174 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 47116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14175 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 47122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14176 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14177 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14180 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14181 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14182 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14183 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14184 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 47164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14187 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14188 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14189 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14190 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14193 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 47194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14194 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 47200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14195 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 47206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14196 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 47212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14197 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 47218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14198 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 47224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14199 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 47230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14216 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14217 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14218 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 47248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14221 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 47254 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14222 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 47260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14223 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 47266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14224 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 47272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14225 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 47278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14226 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 47284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14233 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 47293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14239 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14240 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14244 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 47311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14246 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 47317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14251 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 47329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14261 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47342 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14272 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 47351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14278 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 47357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14279 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 47363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14280 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 47369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14284 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 47404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14316 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 47410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14318 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 47416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14320 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 47422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14324 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 47436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14334 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 47450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14344 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 47464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14353 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47470 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14354 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14357 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 47482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14359 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 47488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14360 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 47494 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14361 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14365 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 47506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14367 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 47512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14374 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47518 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14375 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 47524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14377 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 47530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14380 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14382 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47542 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14385 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14386 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 47554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14389 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14390 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 47566 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14393 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14394 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 47578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14395 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 47584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14396 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 47590 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14397 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 47596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14400 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14401 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14402 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47614 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14403 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14404 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 47626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14405 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 47632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14406 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 47638 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14407 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 47644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14408 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 47650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14409 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 47656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14410 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 47662 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14411 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 47668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14412 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 47674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14413 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 47680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14414 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 47686 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14415 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 47692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14416 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 47698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14417 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 47704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14418 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 47710 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14419 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 47716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14420 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 47722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14421 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 47728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14422 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 47734 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14423 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 47740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14424 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 47746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14425 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 47752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14426 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 47758 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14427 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 47764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14428 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 47770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14429 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 47776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14430 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 47782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14431 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 47788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14432 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 47794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14433 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 47800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14434 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 47806 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14435 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 47812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14436 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 47818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14437 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 47824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14438 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 47830 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14439 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 47836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14440 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 47842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14441 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 47848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14442 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 47854 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14443 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 47860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14444 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 47866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14445 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 47872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14446 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 47878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14447 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 47884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14448 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 47890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14449 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 47896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14450 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 47902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14451 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 47908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14452 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 47914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14453 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 47920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 14454 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 47926 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 14455 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 47932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 14458 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 14459 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 14460 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 47950 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 14461 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 47956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 14464 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 14465 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 47968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 14466 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 47974 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 14467 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 47980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 14468 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 47986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 14469 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 47992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 14470 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 47998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 14471 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 14472 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 14475 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 14476 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 14477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 14478 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 14481 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 14482 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 14485 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 14486 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 14489 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 14491 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 48077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 14501 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 14502 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48089 "preproc.c" /* yacc.c:1646  */
    break;


#line 48093 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 14505 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
